""" Zinc Library: An advanced visualisation library for FE models

The Zinc library is an advanced visualisation library for FE models.  The
Zinc library understands a representation of mathematical fields, including
finite element, image-based and CAD.  It also understands fields derived by
mathematical operators.
"""

classifiers = """\
Development Status :: 5 - Production/Stable
Intended Audience :: Developers
Intended Audience :: Education
Intended Audience :: Science/Research
License :: OSI Approved :: Mozilla Public License 2.0 (MPL 2.0)
Programming Language :: Python
Operating System :: Microsoft :: Windows
Operating System :: Unix
Operating System :: MacOS :: MacOS X
Topic :: Scientific/Engineering :: Medical Science Apps.
Topic :: Scientific/Engineering :: Visualization
Topic :: Software Development :: Libraries :: Python Modules
"""

from setuptools import setup

doclines = __doc__.split("\n")

setup(
	name='zinc',
	version='3.1.2-universal-Mac-OS-X-10.12.6-Python-2.7',
	author='H. Sorby',
	author_email='h.sorby@auckland.ac.nz',
	packages=['opencmiss', 'opencmiss.zinc'],
	package_data={'opencmiss.zinc': ['_context.so','_differentialoperator.so','_element.so','_field.so','_fieldmodule.so','_fieldcache.so','_fieldassignment.so','_fieldsmoothing.so','_font.so','_glyph.so','_graphics.so','_light.so','_logger.so','_material.so','_optimisation.so','_node.so','_scene.so','_scenecoordinatesystem.so','_scenefilter.so','_scenepicker.so','_sceneviewer.so','_sceneviewerinput.so','_selection.so','_spectrum.so','_region.so','_result.so','_status.so','_stream.so','_streamimage.so','_streamregion.so','_streamscene.so','_tessellation.so','_timekeeper.so','_timenotifier.so','_timesequence.so']},
	platforms=['any'],
	url='http://pypi.python.org/pypi/PyZinc/',
	license='LICENSE.txt',
	description=doclines[0],
	classifiers = filter(None, classifiers.split("\n")),
	long_description=open('README.txt').read()
)
