/*
 * iron.h. This file is automatically generated from opencmiss.f90 and opencmiss_iron.f90.
 * Do not edit this file directly, instead edit opencmiss.f90, opencmiss_iron.f90 or the generate_bindings script
 */

#ifndef OPENCMISS_H
#define OPENCMISS_H

#include "iron_c_export.h"
/*
 * Defines
 */

const int CMFE_NO_ERROR = 0;
const int CMFE_POINTER_IS_NULL = -1;
const int CMFE_POINTER_NOT_NULL = -2;
const int CMFE_COULD_NOT_ALLOCATE_POINTER = -3;
const int CMFE_ERROR_CONVERTING_POINTER = -4;

typedef unsigned int cmfe_Bool;
const cmfe_Bool cmfe_True = 1;
const cmfe_Bool cmfe_False = 0;

typedef int cmfe_Error;

struct cmfe_BasisType_;
/*>Contains information about a basis function. */
typedef struct cmfe_BasisType_ *cmfe_BasisType;

struct cmfe_BoundaryConditionsType_;
/*>Contains information on the boundary conditions for the equations set. */
typedef struct cmfe_BoundaryConditionsType_ *cmfe_BoundaryConditionsType;

struct cmfe_CellMLType_;
/*>Contains information on a CellML environment. */
typedef struct cmfe_CellMLType_ *cmfe_CellMLType;

struct cmfe_CellMLEquationsType_;
/*>Contains information about the CellML equations for a solver. */
typedef struct cmfe_CellMLEquationsType_ *cmfe_CellMLEquationsType;

struct cmfe_ControlLoopType_;
/*>Contains information on a control loop. */
typedef struct cmfe_ControlLoopType_ *cmfe_ControlLoopType;

struct cmfe_CoordinateSystemType_;
/*>Contains information on a coordinate system. */
typedef struct cmfe_CoordinateSystemType_ *cmfe_CoordinateSystemType;

struct cmfe_DataPointsType_;
/*>Contains information on the data points defined on a region. */
typedef struct cmfe_DataPointsType_ *cmfe_DataPointsType;

struct cmfe_DataProjectionType_;
/*>Contains information about a data projection. */
typedef struct cmfe_DataProjectionType_ *cmfe_DataProjectionType;

struct cmfe_DecompositionType_;
/*>Contains information on the mesh decomposition. */
typedef struct cmfe_DecompositionType_ *cmfe_DecompositionType;

struct cmfe_EquationsType_;
/*>Contains information about the equations in an equations set. */
typedef struct cmfe_EquationsType_ *cmfe_EquationsType;

struct cmfe_EquationsSetType_;
/*>Contains information on an equations set defined on a region. */
typedef struct cmfe_EquationsSetType_ *cmfe_EquationsSetType;

struct cmfe_FieldType_;
/*>Contains information for a field defined on a region. */
typedef struct cmfe_FieldType_ *cmfe_FieldType;

struct cmfe_FieldsType_;
/*>Contains information for a fields defined on a region. */
typedef struct cmfe_FieldsType_ *cmfe_FieldsType;

struct cmfe_GeneratedMeshType_;
/*>Contains information on a generated mesh. */
typedef struct cmfe_GeneratedMeshType_ *cmfe_GeneratedMeshType;

struct cmfe_HistoryType_;
/*>Contains information about a history file for a control loop. */
typedef struct cmfe_HistoryType_ *cmfe_HistoryType;

struct cmfe_InterfaceType_;
/*>Contains information about an interface. */
typedef struct cmfe_InterfaceType_ *cmfe_InterfaceType;

struct cmfe_InterfaceConditionType_;
/*>Contains information about an interface condition. */
typedef struct cmfe_InterfaceConditionType_ *cmfe_InterfaceConditionType;

struct cmfe_InterfaceEquationsType_;
/*>Contains information about an interface condition. */
typedef struct cmfe_InterfaceEquationsType_ *cmfe_InterfaceEquationsType;

struct cmfe_InterfaceMeshConnectivityType_;
/*>Contains information on an interfaces meshes connectivity. */
typedef struct cmfe_InterfaceMeshConnectivityType_ *cmfe_InterfaceMeshConnectivityType;

struct cmfe_InterfacePointsConnectivityType_;
/*>Contains information on an interfaces points connectivity. */
typedef struct cmfe_InterfacePointsConnectivityType_ *cmfe_InterfacePointsConnectivityType;

struct cmfe_DistributedMatrixType_;
/*>A matrix that may be distributed across multiple computational nodes
 *>and may use sparse or full storage. */
typedef struct cmfe_DistributedMatrixType_ *cmfe_DistributedMatrixType;

struct cmfe_DistributedVectorType_;
/*>A vector that may be distributed across multiple computational nodes */
typedef struct cmfe_DistributedVectorType_ *cmfe_DistributedVectorType;

struct cmfe_MeshType_;
/*>Contains information on a mesh defined on a region. */
typedef struct cmfe_MeshType_ *cmfe_MeshType;

struct cmfe_MeshElementsType_;
/*>Contains information on a mesh elements defined in a mesh */
typedef struct cmfe_MeshElementsType_ *cmfe_MeshElementsType;

struct cmfe_MeshEmbeddingType_;
/*>Contains information on an embedded mesh */
typedef struct cmfe_MeshEmbeddingType_ *cmfe_MeshEmbeddingType;

struct cmfe_MeshNodesType_;
/*>Contains information on a mesh nodes defined in a mesh */
typedef struct cmfe_MeshNodesType_ *cmfe_MeshNodesType;

struct cmfe_NodesType_;
/*>Contains information on the nodes defined on a region. */
typedef struct cmfe_NodesType_ *cmfe_NodesType;

struct cmfe_ProblemType_;
/*>Contains information for a problem. */
typedef struct cmfe_ProblemType_ *cmfe_ProblemType;

struct cmfe_QuadratureType_;
/*>Contains information for a particular quadrature scheme for a basis. */
typedef struct cmfe_QuadratureType_ *cmfe_QuadratureType;

struct cmfe_RegionType_;
/*>Contains information for a region. */
typedef struct cmfe_RegionType_ *cmfe_RegionType;

struct cmfe_SolverType_;
/*>Contains information about a solver. */
typedef struct cmfe_SolverType_ *cmfe_SolverType;

struct cmfe_SolverEquationsType_;
/*>Contains information about the solver equations for a solver. */
typedef struct cmfe_SolverEquationsType_ *cmfe_SolverEquationsType;

struct cmfe_ComputationalWorkGroupType_;
/*>Contains information on a computational work group */
typedef struct cmfe_ComputationalWorkGroupType_ *cmfe_ComputationalWorkGroupType;

/*>\addtogroup OPENCMISS_DiagnosticAndTimingConstants OPENCMISS::DiagnosticAndTiming::Constants */
/*>\brief Diagnostic and Timing constants. */
/*>@{ */
/*>\addtogroup OPENCMISS_DiagnosticTypes OPENCMISS::DiagnosticAndTiming::DiagnosticTypes */
/*>\brief Diganostic constants. */
/*>\see OPENCMISS::DiagnosticTypes,OPENCMISS */
/*>@{ */
const int CMFE_ALL_DIAG_TYPE = 1; /*<Type for setting diagnostic output in all routines \see OPENCMISS_DiagnosticTypes,OPENCMISS */
const int CMFE_IN_DIAG_TYPE = 2; /*<Type for setting diagnostic output in one routine \see OPENCMISS_DiagnosticTypes,OPENCMISS */
const int CMFE_FROM_DIAG_TYPE = 3; /*<Type for setting diagnostic output in one routine downwards \see OPENCMISS_DiagnosticTypes,OPENCMISS */
/*>@} */
/*>\addtogroup OPENCMISS_TimingTypes OPENCMISS::DiagnosticAndTiming::TimingTypes */
/*>\brief Timing constants. */
/*>\see OPENCMISS::TimingTypes,OPENCMISS */
/*>@{ */
const int CMFE_ALL_TIMING_TYPE = 1; /*<Type for setting timing output in all routines \see OPENCMISS_TimingTypes,OPENCMISS */
const int CMFE_IN_TIMING_TYPE = 2; /*<Type for setting timing output in one routine \see OPENCMISS_TimingTypes,OPENCMISS */
const int CMFE_FROM_TIMING_TYPE = 3; /*<Type for setting timing output from one routine downwards \see OPENCMISS_TimingTypes,OPENCMISS */
/*>@} */
/*>@} */
/*>\addtogroup OPENCMISS_BasisConstants OPENCMISS::Basis::Constants */
/*>\brief Basis function constants. */
/*>@{ */
/*>\addtogroup OPENCMISS_BasisTypes OPENCMISS::Basis::BasisTypes */
/*>\brief Basis definition type parameters. */
/*>\see OPENCMISS::BasisConstants,OPENCMISS */
/*>@{ symbol 'nodenumber' at (1) has no IMPLICIT type. */
const int CMFE_BASIS_LAGRANGE_HERMITE_TP_TYPE = 1; /*<Lagrange-Hermite tensor product basis type \see OPENCMISS_BasisTypes,OPENCMISS */
const int CMFE_BASIS_SIMPLEX_TYPE = 2; /*<Simplex basis type \see OPENCMISS_BasisTypes,OPENCMISS */
const int CMFE_BASIS_SERENDIPITY_TYPE = 3; /*<Serendipity basis type \see OPENCMISS_BasisTypes,OPENCMISS */
const int CMFE_BASIS_AUXILLIARY_TYPE = 4; /*<Auxillary basis type \see OPENCMISS_BasisTypes,OPENCMISS */
const int CMFE_BASIS_B_SPLINE_TP_TYPE = 5; /*<B-spline basis type \see OPENCMISS_BasisTypes,OPENCMISS */
const int CMFE_BASIS_FOURIER_LAGRANGE_HERMITE_TP_TYPE = 6; /*<Fourier-Lagrange tensor product basis type \see OPENCMISS_BasisTypes,OPENCMISS */
const int CMFE_BASIS_EXTENDED_LAGRANGE_TP_TYPE = 7; /*<Extendend Lagrange tensor product basis type \see OPENCMISS_BasisTypes,OPENCMISS */
/*>@} */
/*>\addtogroup OPENCMISS_BasisInterpolationSpecifications OPENCMISS::Basis::InterpolationSpecifications */
/*>\brief Interpolation specification parameters */
/*>\see OPENCMISS::BasisConstants,OPENCMISS */
/*>@{ */
const int CMFE_BASIS_LINEAR_LAGRANGE_INTERPOLATION = 1; /*<Linear Lagrange interpolation specification \see OPENCMISS_BasisInterpolationSpecifications,OPENCMISS */
const int CMFE_BASIS_QUADRATIC_LAGRANGE_INTERPOLATION = 2; /*<Quadratic Lagrange interpolation specification \see OPENCMISS_BasisInterpolationSpecifications,OPENCMISS */
const int CMFE_BASIS_CUBIC_LAGRANGE_INTERPOLATION = 3; /*<Cubic Lagrange interpolation specification \see OPENCMISS_BasisInterpolationSpecifications,OPENCMISS */
const int CMFE_BASIS_CUBIC_HERMITE_INTERPOLATION = 4; /*<Cubic Hermite interpolation specification \see OPENCMISS_BasisInterpolationSpecifications,OPENCMISS */
const int CMFE_BASIS_QUADRATIC1_HERMITE_INTERPOLATION = 5; /*<Quadratic Hermite (no derivative at xi=0) interpolation specification \see OPENCMISS_BasisInterpolationSpecifications,OPENCMISS */
const int CMFE_BASIS_QUADRATIC2_HERMITE_INTERPOLATION = 6; /*<Quadratic Hermite (no derivative at xi=1) interpolation specification \see OPENCMISS_BasisInterpolationSpecifications,OPENCMISS */
const int CMFE_BASIS_LINEAR_SIMPLEX_INTERPOLATION = 7; /*<Linear Simplex interpolation specification \see OPENCMISS_BasisInterpolationSpecifications,OPENCMISS */
const int CMFE_BASIS_QUADRATIC_SIMPLEX_INTERPOLATION = 8; /*<Quadratic Simplex interpolation specification \see OPENCMISS_BasisInterpolationSpecifications,OPENCMISS */
const int CMFE_BASIS_CUBIC_SIMPLEX_INTERPOLATION = 9; /*<Cubic Simplex interpolation specification \see OPENCMISS_BasisInterpolationSpecifications,OPENCMISS */
/*>@} */
/*>\addtogroup OPENCMISS_BasisQuadratureSchemes OPENCMISS::Basis::QuadratureSchemes */
/*>\brief Quadrature scheme parameters */
/*>\see OPENCMISS::BasisConstants,OPENCMISS */
/*>@{ */
const int CMFE_BASIS_DEFAULT_QUADRATURE_SCHEME = 1; /*<Identifier for the default quadrature scheme \see OPENCMISS_BasisQuadratureSchemes,OPENCMISS */
const int CMFE_BASIS_LOW_QUADRATURE_SCHEME = 2; /*<Identifier for a low order quadrature scheme \see OPENCMISS_BasisQuadratureSchemes,OPENCMISS */
const int CMFE_BASIS_MID_QUADRATURE_SCHEME = 3; /*<Identifier for a mid order quadrature scheme \see OPENCMISS_BasisQuadratureSchemes,OPENCMISS */
const int CMFE_BASIS_HIGH_QUADRATURE_SCHEME = 4; /*<Identifier for a high order quadrature scheme \see OPENCMISS_BasisQuadratureSchemes,OPENCMISS */
/*>@} */
/*>\addtogroup OPENCMISS_BasisQuadratureTypes OPENCMISS::Basis::QuadratureTypes */
/*>\brief Basis quadrature type parameters. */
/*>\see OPENCMISS::BasisConstants,OPENCMISS */
/*>@{ */
const int CMFE_BASIS_GAUSS_LEGENDRE_QUADRATURE = 1; /*<Gauss-Legendre quadrature \see OPENCMISS_BasisQuadratureTypes,OPENCMISS */
const int CMFE_BASIS_GAUSS_LAGUERRE_QUADRATURE = 2; /*<Gauss-Laguerre quadrature \see OPENCMISS_BasisQuadratureTypes,OPENCMISS */
const int CMFE_BASIS_GUASS_HERMITE_QUADRATURE = 3; /*<Gauss-Hermite quadrature \see OPENCMISS_BasisQuadratureTypes,OPENCMISS */
const int CMFE_BASIS_ADAPTIVE_GAUSS_LEGENDRE_QUADRATURE = 4; /*<Adaptive Gauss-Legendre quadrature \see OPENCMISS_BasisQuadratureTypes,OPENCMISS */
const int CMFE_BASIS_GAUSS_SIMPLEX_QUADRATURE = 5; /*<Gauss-Legendre for Simplex elements quadrature \see OPENCMISS_BasisQuadratureTypes,OPENCMISS */
/*>@} */
/*>\addtogroup OPENCMISS_BasisXiCollapse OPENCMISS::Basis::XiCollapse */
/*>\brief Basis Xi collapse parameters. */
/*>\see OPENCMISS::Basis,OPENCMISS */
/*>@{ */
const int CMFE_BASIS_XI_COLLAPSED = 1; /*<The Xi direction is collapsed \see OPENCMISS_BasisXiCollapse,OPENCMISS */
const int CMFE_BASIS_COLLAPSED_AT_XI0 = 2; /*<The Xi direction at the xi=0 end of this Xi direction is collapsed \see OPENCMISS_BasisXiCollapse,OPENCMISS */
const int CMFE_BASIS_COLLAPSED_AT_XI1 = 3; /*<The Xi direction at the xi=1 end of this Xi direction is collapsed \see OPENCMISS_BasisXiCollapse,OPENCMISS */
const int CMFE_BASIS_NOT_COLLAPSED = 4; /*<The Xi direction is not collapsed \see OPENCMISS_BasisXiCollapse,OPENCMISS */
/*>@} */
/*>@} */
/*>\addtogroup OPENCMISS_BoundaryConditionsConstants OPENCMISS::BoundaryConditions::Constants */
/*>\brief Boundary conditions constants. */
/*>@{ */
/*>\addtogroup OPENCMISS_BoundaryConditionsTypes OPENCMISS::BoundaryConditions::Types */
/*>\brief Specific boundary condition types, which might only be applicable to certain equation sets. */
/*>\see OPENCMISS::BoundaryConditions,OPENCMISS */
/*>@{ */
const int CMFE_BOUNDARY_CONDITION_FREE = 0; /*<The dof is free. */
const int CMFE_BOUNDARY_CONDITION_FIXED = 1; /*<The dof is fixed as a boundary condition. */
const int CMFE_BOUNDARY_CONDITION_FIXED_WALL = 4;
const int CMFE_BOUNDARY_CONDITION_FIXED_INLET = 2;
const int CMFE_BOUNDARY_CONDITION_FIXED_OUTLET = 3;
const int CMFE_BOUNDARY_CONDITION_MOVED_WALL = 5;
const int CMFE_BOUNDARY_CONDITION_MOVED_WALL_INCREMENTED = 17;
const int CMFE_BOUNDARY_CONDITION_FREE_WALL = 6;
const int CMFE_BOUNDARY_CONDITION_NEUMANN_POINT = 8; /*<Specify the normal derivative at a node, which is then integrated to find the nodal load term */
const int CMFE_BOUNDARY_CONDITION_NEUMANN_POINT_INCREMENTED = 22; /*<Specify the normal derivative at a node, which is then integrated to find the nodal load term. The value is incremented inside a load incremented control loop. */
const int CMFE_BOUNDARY_CONDITION_NEUMANN_INTEGRATED = 9; /*<Set the integrated right hand side load value directly */
const int CMFE_BOUNDARY_CONDITION_DIRICHLET = 10;
const int CMFE_BOUNDARY_CONDITION_CAUCHY = 11;
const int CMFE_BOUNDARY_CONDITION_ROBIN = 12;
const int CMFE_BOUNDARY_CONDITION_FIXED_INCREMENTED = 13;
const int CMFE_BOUNDARY_CONDITION_PRESSURE = 14;
const int CMFE_BOUNDARY_CONDITION_PRESSURE_INCREMENTED = 15;
const int CMFE_BOUNDARY_CONDITION_CORRECTION_MASS_INCREASE = 18;
const int CMFE_BOUNDARY_CONDITION_IMPERMEABLE_WALL = 19;
const int CMFE_BOUNDARY_CONDITION_NEUMANN_INTEGRATED_ONLY = 20; /*<A Neumann integrated boundary condition, and no point values will be integrated over a face or line that includes this dof */
const int CMFE_BOUNDARY_CONDITION_FIXED_FITTED = 23;
const int CMFE_BOUNDARY_CONDITION_FIXED_NONREFLECTING = 24;
const int CMFE_BOUNDARY_CONDITION_FIXED_CELLML = 25;
/*>@} */
/*>\addtogroup OPENCMISS_BoundaryConditionSparsityTypes OPENCMISS::BoundaryConditions::SparsityTypes */
/*>\brief Storage type for matrices used by boundary conditions. */
/*>\see OPENCMISS::BoundaryConditions,OPENCMISS */
/*>@{ */
const int CMFE_BOUNDARY_CONDITION_SPARSE_MATRICES = 1;
const int CMFE_BOUNDARY_CONDITION_FULL_MATRICES = 2;
/*>@} */
/*>@} */
/*>\addtogroup OPENCMISS_CMISSConstants OpenCMISS::Iron::cmfe_::Constants */
/*>\brief CMISS constants. */
/*>@{ */
/*>\addtogroup OPENCMISS_CMISSErrorHandlingModes OpenCMISS::Iron::cmfe_::ErrorHandlingModes */
/*>\brief CMISS error handling mode parameters */
/*>\see OpenCMISS::Iron::cmfe_,OPENCMISS */
/*>@{ */
const int CMFE_ERRORS_RETURN_ERROR_CODE = 0; /*<Just return the error code \see OPENCMISS_CMISSErrorHandlingModes,OPENCMISS */
const int CMFE_ERRORS_OUTPUT_ERROR = 1; /*<Output the error traceback and return the error code \see OPENCMISS_CMISSErrorHandlingModes,OPENCMISS */
const int CMFE_ERRORS_TRAP_ERROR = 2; /*<Trap the error by outputing the error traceback and stopping the program \see OPENCMISS_CMISSErrorHandlingModes,OPENCMISS */
/*>@} */
/*>@} */
/*>\addtogroup OPENCMISS_CellMLConstants OPENCMISS::CellML::Constants */
/*>\brief CellML constants. */
/*>@{ */
/*>\addtogroup OPENCMISS_CellMLFieldTypes OPENCMISS::CellML::FieldTypes */
/*>\brief CellML field type parameters. */
/*>\see OPENCMISS::CellML,OPENCMISS */
/*>@{ */
const int CMFE_CELLML_MODELS_FIELD = 1; /*<CellML models field type \see OPENCMISS_CellMLFieldTypes,OPENCMISS */
const int CMFE_CELLML_STATE_FIELD = 2; /*<CellML state field type \see OPENCMISS_CellMLFieldTypes,OPENCMISS */
const int CMFE_CELLML_INTERMEDIATE_FIELD = 3; /*<CellML intermediate field type \see OPENCMISS_CellMLFieldTypes,OPENCMISS */
const int CMFE_CELLML_PARAMETERS_FIELD = 4; /*<CellML parameters field type \see OPENCMISS_CellMLFieldTypes,OPENCMISS */
/*>@} */
/*>@} */
/*>\addtogroup OPENCMISS_Constants OPENCMISS::Constants */
/*>\brief OpeCMISS constants. */
/*>@{ */
/*>\addtogroup OPENCMISS_DataTypeConstants OPENCMISS::Constants::DataTypeConstants */
/*>\brief Data type constants for base data types */
/*>\see OPENCMISS_Constants,OPENCMISS */
/*>@{ */
const int CMFE_INTEGER_TYPE = 1; /*<Integer data type \see OPENCMISS_DataTypeConstants,OPENCMISS */
const int CMFE_SHORT_INTEGER_TYPE = 2; /*<Short integer data type \see OPENCMISS_DataTypeConstants,OPENCMISS */
const int CMFE_LONG_INTEGER_TYPE = 3; /*<Long integer data type \see OPENCMISS_DataTypeConstants,OPENCMISS */
const int CMFE_SINGLE_REAL_TYPE = 4; /*<Single precision real data type \see OPENCMISS_DataTypeConstants,OPENCMISS */
const int CMFE_DOUBLE_REAL_TYPE = 5; /*<Double precision real data type \see OPENCMISS_DataTypeConstants,OPENCMISS */
const int CMFE_QUADRAUPLE_REAL_TYPE = 6; /*<Quadruple precision real data type \see OPENCMISS_DataTypeConstants,OPENCMISS */
const int CMFE_CHARACTER_TYPE = 7; /*<Character data type \see OPENCMISS_DataTypeConstants,OPENCMISS */
const int CMFE_LOGICAL_TYPE = 8; /*<Logical data type \see OPENCMISS_DataTypeConstants,OPENCMISS */
const int CMFE_SINGLE_COMPLEX_TYPE = 9; /*<Single precision complex data type \see OPENCMISS_DataTypeConstants,OPENCMISS */
const int CMFE_DOUBLE_COMPLEX_TYPE = 10; /*<Double precision complex data type \see OPENCMISS_DataTypeConstants,OPENCMISS */
const int CMFE_QUADRUPLE_COMPLEX_TYPE = 11; /*<Quadruple precision complex data type \see OPENCMISS_DataTypeConstants,OPENCMISS */
/*>@} */
/*>\addtogroup OPENCMISS_GlobalDerivativeConstants OPENCMISS::Constants::GlobalDerivativeConstants */
/*>\brief Global derivative constant identifiers */
/*>\see OPENCMISS_CONSTANTS,OPENCMISS */
/*>@{ */
const int CMFE_NO_GLOBAL_DERIV = 1; /*<No global derivative i.e., u \see OPENCMISS_GlobalDerivativeConstants,OPENCMISS */
const int CMFE_GLOBAL_DERIV_S1 = 2; /*<First global derivative in the s1 direction i.e., du/ds1 \see OPENCMISS_GlobalDerivativeConstants,OPENCMISS */
const int CMFE_GLOBAL_DERIV_S2 = 3; /*<First global derivative in the s2 direction i.e., du/ds2 \see OPENCMISS_GlobalDerivativeConstants,OPENCMISS */
const int CMFE_GLOBAL_DERIV_S1_S2 = 4; /*<Global Cross derivative in the s1 and s2 direction i.e., d^2u/ds1ds2 \see OPENCMISS_GlobalDerivativeConstants,OPENCMISS */
const int CMFE_GLOBAL_DERIV_S3 = 5; /*<First global derivative in the s3 direction i.e., du/ds3 \see OPENCMISS_GlobalDerivativeConstants,OPENCMISS */
const int CMFE_GLOBAL_DERIV_S1_S3 = 6; /*<Global Cross derivative in the s1 and s3 direction i.e., d^2u/ds1ds3 \see OPENCMISS_GlobalDerivativeConstants,OPENCMISS */
const int CMFE_GLOBAL_DERIV_S2_S3 = 7; /*<Global Cross derivative in the s2 and s3 direction i.e., d^2u/ds2ds3 \see OPENCMISS_GlobalDerivativeConstants,OPENCMISS */
const int CMFE_GLOBAL_DERIV_S1_S2_S3 = 8; /*<Cross derivative in the s1, s2 and s3 direction i.e., d^3u/ds1ds2ds3 \see OPENCMISS_GlobalDerivativeConstants,OPENCMISS */
/*>@} */
/*>@} */
/*>\addtogroup OPENCMISS_ControlLoopConstants OPENCMISS::ControlLoop::Constants */
/*>\brief Control loops constants. */
/*>@{ */
/*>\addtogroup OPENCMISS_ControlLoopIdentifiers OPENCMISS::ControlLoop::Identifiers */
/*>\brief The control loop identification parameters. */
/*>\see OPENCMISS::ControlLoop,OPENCMISS */
/*>@{ */
const int CMFE_CONTROL_LOOP_NODE = 0; /*<The identifier for a each "leaf" node in a control loop. \see OPENCMISS_ControlLoopIdentifiers,OPENCMISS */
/*>@} */
/*>\addtogroup OPENCMISS_ControlLoopOutputTypes OPENCMISS::ControlLoop::OutputTypes */
/*>\brief The control loop output types. */
/*>\see OPENCMISS::ControlLoop,OPENCMISS */
/*>@{ */
const int CMFE_CONTROL_LOOP_NO_OUTPUT = 0; /*<No output from the control loop. \see OPENCMISS_ControlLoopOutputTypes,OPENCMISS */
const int CMFE_CONTROL_LOOP_PROGRESS_OUTPUT = 1; /*<Progress output from the control loop. \see OPENCMISS_ControlLoopOutputTypes,OPENCMISS */
const int CMFE_CONTROL_LOOP_TIMING_OUTPUT = 2; /*<Timing output from the control loop. \see OPENCMISS_ControlLoopOutputTypes,OPENCMISS */
/*>@} */
/*>@} */
/*>\addtogroup OPENCMISS_CoordinateConstants OPENCMISS::Coordinate::Constants */
/*>\brief Coordinate constants. */
/*>@{ */
/*>\addtogroup OPENCMISS_CoordinateSystemTypes OPENCMISS::Coordinate::SystemTypes */
/*>\brief Coordinate system type parameters. */
/*>\see OPENCMISS::Coordinate,OPENCMISS */
/*>@{ */
const int CMFE_COORDINATE_RECTANGULAR_CARTESIAN_TYPE = 1; /*<Rectangular Cartesian coordinate system type \see OPENCMISS_CoordinateSystemTypes,OPENCMISS */
const int CMFE_COORDINATE_CYLINDRICAL_POLAR_TYPE = 2; /*<Cylindrical polar coordinate system type \see OPENCMISS_CoordinateSystemTypes,OPENCMISS */
const int CMFE_COORDINATE_SPHERICAL_POLAR_TYPE = 3; /*<Spherical polar coordinate system type \see OPENCMISS_CoordinateSystemTypes,OPENCMISS */
const int CMFE_COORDINATE_PROLATE_SPHEROIDAL_TYPE = 4; /*<Prolate spheroidal coordinate system type \see OPENCMISS_CoordinateSystemTypes,OPENCMISS */
const int CMFE_COORDINATE_OBLATE_SPHEROIDAL_TYPE = 5; /*<Oblate spheroidal coordinate system type \see OPENCMISS_CoordinateSystemTypes,OPENCMISS */
/*>@} */
/*>\addtogroup OPENCMISS_CoordinateRadialInterpolations OPENCMISS::Coordinate::RadialInterpolations */
/*>\brief The type of radial interpolation for polar coordinate systems */
/*>\see OPENCMISS::Coordinate,OPENCMISS */
/*>@{ */
const int CMFE_COORDINATE_NO_RADIAL_INTERPOLATION_TYPE = 0; /*<No radial interpolation \see OPENCMISS_CoordinateRadialInterpolations,OPENCMISS */
const int CMFE_COORDINATE_RADIAL_INTERPOLATION_TYPE = 1; /*<r radial interpolation \see OPENCMISS_CoordinateRadialInterpolations,OPENCMISS */
const int CMFE_COORDINATE_RADIAL_SQUARED_INTERPOLATION_TYPE = 2; /*<r^2 radial interpolation \see OPENCMISS_CoordinateRadialInterpolations,OPENCMISS */
const int CMFE_COORDINATE_RADIAL_CUBED_INTERPOLATION_TYPE = 3; /*<r^3 radial interpolation \see OPENCMISS_CoordinateRadialInterpolations,OPENCMISS */
/*>@} */
/*>@} */
/*>\addtogroup OPENCMISS_DataProjectionConstants OPENCMISS::DataProjection::Constants */
/*>\brief DataProjection  constants. */
/*>@{ */
/*>\addtogroup OPENCMISS_DataProjectionProjectionTypes OPENCMISS::DataProjection::ProjectionTypes */
/*>\brief Data Projection types */
/*>\see OPENCMISS::DataProjection,OPENCMISS */
/*>@{ */
const int CMFE_DATA_PROJECTION_BOUNDARY_LINES_PROJECTION_TYPE = 1; /*<The boundary line projection type for data projection, only projects to boundary lines of the mesh. \see OPENCMISS_DataProjectionProjectionTypes,OPENCMISS */
const int CMFE_DATA_PROJECTION_BOUNDARY_FACES_PROJECTION_TYPE = 2; /*<The boundary face projection type for data projection, only projects to boundary faces of the mesh. \see OPENCMISS_DataProjectionProjectionTypes,OPENCMISS */
const int CMFE_DATA_PROJECTION_ALL_ELEMENTS_PROJECTION_TYPE = 3; /*<The element projection type for data projection, projects to all elements in mesh. \see OPENCMISS_DataProjectionProjectionTypes,OPENCMISS */
/*>@} */
/*>@} */
/*>\addtogroup OPENCMISS_EquationsConstants OPENCMISS::Equations::Constants */
/*>\brief Equations  constants. */
/*>@{ */
/*>\addtogroup OPENCMISS_EquationsOutputTypes OPENCMISS::Equations::OutputTypes */
/*>\brief Equations output types */
/*>\see OPENCMISS::Equations,OPENCMISS */
/*>@{ */
const int CMFE_EQUATIONS_NO_OUTPUT = 0; /*<No output from the equations \see OPENCMISS_EquationsOutputTypes,OPENCMISS */
const int CMFE_EQUATIONS_TIMING_OUTPUT = 1; /*<Timing information output. \see OPENCMISS_EquationsOutputTypes,OPENCMISS */
const int CMFE_EQUATIONS_MATRIX_OUTPUT = 2; /*<All below and equation matrices output. \see OPENCMISS_EquationsOutputTypes,OPENCMISS */
const int CMFE_EQUATIONS_ELEMENT_MATRIX_OUTPUT = 3; /*<All below and element matrices output. \see OPENCMISS_EquationsOutputTypes,OPENCMISS */
const int CMFE_EQUATIONS_NODAL_MATRIX_OUTPUT = 4; /*<All below and nodal matrices output. \see OPENCMISS_EquationsOutputTypes,OPENCMISS */
/*>@} */
/*>\addtogroup OPENCMISS_EquationsSparsityTypes OPENCMISS::Equations::SparsityTypes */
/*>\brief Equations sparsity types */
/*>\see OPENCMISS::Equations,OPENCMISS */
/*>@{ */
const int CMFE_EQUATIONS_SPARSE_MATRICES = 1; /*<Use sparse matrices for the equations. \see OPENCMISS_EquationsSparsityTypes,OPENCMISS */
const int CMFE_EQUATIONS_FULL_MATRICES = 2; /*<Use fully populated matrices for the equations. \see OPENCMISS_EquationsSparsityTypes,OPENCMISS */
/*>@} */
/*>\addtogroup OPENCMISS_EquationsLumpingTypes OPENCMISS::Equations::LumpingTypes */
/*>\brief Equations lumping types */
/*>\see OPENCMISS::Equations,OPENCMISS */
/*>@{ */
const int CMFE_EQUATIONS_UNLUMPED_MATRICES = 1; /*<The equations matrices are not lumped. \see OPENCMISS_EquationsLumpingTypes,OPENCMISS */
const int CMFE_EQUATIONS_LUMPED_MATRICES = 2; /*<The equations matrices are "mass" lumped. \see OPENCMISS_EquationsLumpingTypes,OPENCMISS */
/*>@} */
/*>\addtogroup OPENCMISS_EquationsLinearityTypes OPENCMISS::Equations::LinearityTypes */
/*>\brief The equations linearity types */
/*>\see OPENCMISS::Equations,OPENCMISS */
/*>@{ */
const int CMFE_EQUATIONS_LINEAR = 1; /*<The equations are linear. \see OPENCMISS_EquationsLinearityTypes,OPENCMISS */
const int CMFE_EQUATIONS_NONLINEAR = 2; /*<The equations are non-linear. \see \see OPENCMISS_EquationsLinearityTypes,OPENCMISS */
const int CMFE_EQUATIONS_NONLINEAR_BCS = 3; /*<The equations have non-linear boundary conditions. \see \see OPENCMISS_EquationsLinearityTypes,OPENCMISS */
/*>@} */
/*>\addtogroup OPENCMISS_EquationsTimeDependenceTypes OPENCMISS::Equations::TimeDependenceTypes */
/*>\brief The equations time dependence types */
/*>\see OPENCMISS::Equations,OPENCMISS */
/*>@{ */
const int CMFE_EQUATIONS_STATIC = 1; /*<The equations are static and have no time dependence. \see OPENCMISS_EquationsTimeDependenceTypes,OPENCMISS */
const int CMFE_EQUATIONS_QUASISTATIC = 2; /*<The equations are quasi-static. \see OPENCMISS_EquationsTimeDependenceTypes,OPENCMISS */
const int CMFE_EQUATIONS_FIRST_ORDER_DYNAMIC = 3; /*<The equations are first order dynamic. \see OPENCMISS_EquationsTimeDependenceTypes,OPENCMISS */
const int CMFE_EQUATIONS_SECOND_ORDER_DYNAMIC = 4; /*<The equations are a second order dynamic. \see OPENCMISS_EquationsTimeDependenceTypes,OPENCMISS */
const int CMFE_EQUATIONS_TIME_STEPPING = 5; /*<The equations are for time stepping. \see OPENCMISS_EquationsTimeDependenceTypes,OPENCMISS */
/*>@} */
/*>@} */
/*>\addtogroup OPENCMISS_EquationsSetConstants OPENCMISS::EquationsSet::Constants */
/*>\brief Equations set constants. */
/*>@{ */
/*>\addtogroup OPENCMISS_EquationsSetClasses OPENCMISS::EquationsSet::Classes */
/*>\brief Equations set classes. */
/*>\see OPENCMISS::EquationsSet,OPENCMISS */
/*>@{ */
const int CMFE_EQUATIONS_SET_NO_CLASS = 0; /*<No equations set class \see OPENCMISS_EquationsSetClasses,OPENCMISS */
const int CMFE_EQUATIONS_SET_ELASTICITY_CLASS = 1; /*<Elasticity equations set class \see OPENCMISS_EquationsSetClasses,OPENCMISS */
const int CMFE_EQUATIONS_SET_FLUID_MECHANICS_CLASS = 2; /*<Fluid Mechanics equations set class \see OPENCMISS_EquationsSetClasses,OPENCMISS */
const int CMFE_EQUATIONS_SET_ELECTROMAGNETICS_CLASS = 3; /*<Electromagnetics equations set class \see OPENCMISS_EquationsSetClasses,OPENCMISS */
const int CMFE_EQUATIONS_SET_CLASSICAL_FIELD_CLASS = 4; /*<Classical Field equations set class \see OPENCMISS_EquationsSetClasses,OPENCMISS */
const int CMFE_EQUATIONS_SET_BIOELECTRICS_CLASS = 5; /*<Bioelectrics equations set class \see OPENCMISS_EquationsSetClasses,OPENCMISS */
const int CMFE_EQUATIONS_SET_MODAL_CLASS = 6; /*<Modal equations set class \see OPENCMISS_EquationsSetClasses,OPENCMISS */
const int CMFE_EQUATIONS_SET_FITTING_CLASS = 7; /*<Fitting equations set class \see OPENCMISS_EquationsSetClasses,OPENCMISS */
const int CMFE_EQUATIONS_SET_OPTIMISATION_CLASS = 8; /*<Optimisation equations set class \see OPENCMISS_EquationsSetClasses,OPENCMISS */
const int CMFE_EQUATIONS_SET_MULTI_PHYSICS_CLASS = 9; /*<Multi Physics equations set class \see OPENCMISS_EquationsSetClasses,OPENCMISS */
/*>@} */
/*>\addtogroup OPENCMISS_EquationsSetTypes OPENCMISS::EquationsSet::Types */
/*>\brief Equations set Types. */
/*>\see OPENCMISS::EquationsSet,OPENCMISS */
/*>@{ */
const int CMFE_EQUATIONS_SET_NO_TYPE = 0; /*<No equations set type \see OPENCMISS_EquationsSetTypes,OPENCMISS */
const int CMFE_EQUATIONS_SET_LINEAR_ELASTICITY_TYPE = 1; /*<Linear elasticity equations set type \see OPENCMISS_EquationsSetTypes,OPENCMISS */
const int CMFE_EQUATIONS_SET_FINITE_ELASTICITY_TYPE = 2; /*<Finite elasticity equations set type \see OPENCMISS_EquationsSetTypes,OPENCMISS */
const int CMFE_EQUATIONS_SET_STOKES_EQUATION_TYPE = 1; /*<Stokes equation equations set type \see OPENCMISS_EquationsSetTypes,OPENCMISS */
const int CMFE_EQUATIONS_SET_NAVIER_STOKES_EQUATION_TYPE = 2; /*<Navier-Stokes equations set type \see OPENCMISS_EquationsSetTypes,OPENCMISS */
const int CMFE_EQUATIONS_SET_DARCY_EQUATION_TYPE = 3; /*<Darcy equation equations set type \see OPENCMISS_EquationsSetTypes,OPENCMISS */
const int CMFE_EQUATIONS_SET_DARCY_PRESSURE_EQUATION_TYPE = 4; /*<Darcy pressure equation equations set type \see OPENCMISS_EquationsSetTypes,OPENCMISS */
const int CMFE_EQUATIONS_SET_POISEUILLE_EQUATION_TYPE = 5; /*<Poiseuille equation equations set type \see OPENCMISS_EquationsSetTypes,OPENCMISS */
const int CMFE_EQUATIONS_SET_BURGERS_EQUATION_TYPE = 6; /*<Burgers equation equations set type \see OPENCMISS_EquationsSetTypes,OPENCMISS */
const int CMFE_EQUATIONS_SET_CHARACTERISTIC_EQUATION_TYPE = 7; /*<Characteristic equation equations set type \see OPENCMISS_EquationsSetTypes,OPENCMISS */
const int CMFE_EQUATIONS_SET_ELECTROSTATIC_TYPE = 1; /*<Electrostatic equations set type \see OPENCMISS_EquationsSetTypes,OPENCMISS */
const int CMFE_EQUATIONS_SET_MAGNETOSTATIC_TYPE = 2; /*<Magnetostatic equations set type \see OPENCMISS_EquationsSetTypes,OPENCMISS */
const int CMFE_EQUATIONS_SET_MAXWELLS_EQUATIONS_TYPE = 3; /*<Maxwells equation equations set type \see OPENCMISS_EquationsSetTypes,OPENCMISS */
const int CMFE_EQUATIONS_SET_LAPLACE_EQUATION_TYPE = 1; /*<Laplace equation equations set type \see OPENCMISS_EquationsSetTypes,OPENCMISS */
const int CMFE_EQUATIONS_SET_POISSON_EQUATION_TYPE = 2; /*<Poisson equation equations set type \see OPENCMISS_EquationsSetTypes,OPENCMISS */
const int CMFE_EQUATIONS_SET_HELMHOLTZ_EQUATION_TYPE = 3; /*<Helmholtz equation equations set type \see OPENCMISS_EquationsSetTypes,OPENCMISS */
const int CMFE_EQUATIONS_SET_WAVE_EQUATION_TYPE = 4; /*<Wave equation equations set type \see OPENCMISS_EquationsSetTypes,OPENCMISS */
const int CMFE_EQUATIONS_SET_DIFFUSION_EQUATION_TYPE = 6; /*<Diffusion equation equations set type \see OPENCMISS_EquationsSetTypes,OPENCMISS */
const int CMFE_EQUATIONS_SET_ADVECTION_EQUATION_TYPE = 11; /*<Advection-Diffusion equation equations set type \see OPENCMISS_EquationsSetTypes,OPENCMISS */
const int CMFE_EQUATIONS_SET_ADVECTION_DIFFUSION_EQUATION_TYPE = 7; /*<Advection-Diffusion equation equations set type \see OPENCMISS_EquationsSetTypes,OPENCMISS */
const int CMFE_EQUATIONS_SET_REACTION_DIFFUSION_EQUATION_TYPE = 8; /*<Reaction-Diffusion equation equations set type \see OPENCMISS_EquationsSetTypes,OPENCMISS */
const int CMFE_EQUATIONS_SET_BIHARMONIC_EQUATION_TYPE = 9; /*<Biharmonic equation equations set type \see OPENCMISS_EquationsSetTypes,OPENCMISS */
const int CMFE_EQUATIONS_SET_MONODOMAIN_EQUATION_TYPE = 1; /*<Monodomain equation equations set type \see OPENCMISS_EquationsSetTypes,OPENCMISS */
const int CMFE_EQUATIONS_SET_BIDOMAIN_EQUATION_TYPE = 2; /*<Bidomain equation equations set type \see OPENCMISS_EquationsSetTypes,OPENCMISS */
const int CMFE_EQUATIONS_SET_LINEAR_ELASTIC_MODAL_TYPE = 1; /*<Linear elasticity modal equations set type \see OPENCMISS_EquationsSetTypes,OPENCMISS */
const int CMFE_EQUATIONS_SET_DATA_FITTING_EQUATION_TYPE = 10; /*<Galerkin projection equations set type \see OPENCMISS_EquationsSetTypes,OPENCMISS */
const int CMFE_EQUATIONS_SET_FINITE_ELASTICITY_DARCY_TYPE = 1; /*<Finite Elasticity Darcy equations set type \see OPENCMISS_EquationsSetTypes,OPENCMISS */
const int CMFE_EQUATIONS_SET_FINITE_ELASTICITY_STOKES_TYPE = 2; /*<Finite Elasticity Stokes equations set type \see OPENCMISS_EquationsSetTypes,OPENCMISS */
const int CMFE_EQUATIONS_SET_FINITE_ELASTICITY_NAVIER_STOKES_TYPE = 3; /*<Finite Elasticity Navier Stokes equations set type \see OPENCMISS_EquationsSetTypes,OPENCMISS */
const int CMFE_EQUATIONS_SET_DIFFUSION_DIFFUSION_TYPE = 4; /*<Diffusion Diffusion equations set type \see OPENCMISS_EquationsSetTypes,OPENCMISS */
const int CMFE_EQUATIONS_SET_DIFFUSION_ADVECTION_DIFFUSION_TYPE = 5; /*<Diffusion Advection Diffusion equations set type \see OPENCMISS_EquationsSetTypes,OPENCMISS */
const int CMFE_EQUATIONS_SET_MONODOMAIN_STRANG_SPLITTING_EQUATION_TYPE = 3; /*<Monodomain equation equations Strang Splitting set type \see OPENCMISS_EquationsSetTypes,OPENCMISS */
/*>@} */
/*>\addtogroup OPENCMISS_EquationsSetSubtypes OPENCMISS::EquationsSet::Subtypes */
/*>\brief Equations set subtypes. */
/*>\see OPENCMISS::EquationsSet,OPENCMISS */
/*>@{ */
const int CMFE_EQUATIONS_SET_NO_SUBTYPE = 0; /*<No equations set subtype \see OPENCMISS_EquationsSetSubtypes,OPENCMISS */
const int CMFE_EQUATIONS_SET_THREE_DIMENSIONAL_SUBTYPE = 4; /*<Three dimensional linear elasticity equations set subtype \see OPENCMISS_EquationsSetSubtypes,OPENCMISS */
const int CMFE_EQUATIONS_SET_TWO_DIMENSIONAL_PLANE_STRESS_SUBTYPE = 2; /*<Plane stress linear elasticity equations set subtype \see OPENCMISS_EquationsSetSubtypes,OPENCMISS */
const int CMFE_EQUATIONS_SET_TWO_DIMENSIONAL_PLANE_STRAIN_SUBTYPE = 3; /*<Plane strain linear elasticity equations set subtype \see OPENCMISS_EquationsSetSubtypes,OPENCMISS */
const int CMFE_EQUATIONS_SET_ONE_DIMENSIONAL_SUBTYPE = 1; /*<One dimensional linear elasticity equations set subtype \see OPENCMISS_EquationsSetSubtypes,OPENCMISS */
const int CMFE_EQUATIONS_SET_PLATE_SUBTYPE = 5; /*<Plate linear elasticity equations set subtype \see OPENCMISS_EquationsSetSubtypes,OPENCMISS */
const int CMFE_EQUATIONS_SET_SHELL_SUBTYPE = 6; /*<Shell linear elasticity equations set subtype \see OPENCMISS_EquationsSetSubtypes,OPENCMISS */
const int CMFE_EQUATIONS_SET_MOONEY_RIVLIN_SUBTYPE = 1; /*<Mooney-Rivlin constitutive law for finite elasticity equations set subtype \see OPENCMISS_EquationsSetSubtypes,OPENCMISS */
const int CMFE_EQUATIONS_SET_INCOMPRESSIBLE_MOONEY_RIVLIN_SUBTYPE = 21; /*<Incompressible Mooney-Rivlin constitutive law for finite elasticity equations set subtype \see OPENCMISS_EquationsSetSubtypes,OPENCMISS */
const int CMFE_EQUATIONS_SET_NEARLY_INCOMPRESSIBLE_MOONEY_RIVLIN_SUBTYPE = 22; /*<Nearly Incompressible Mooney-Rivlin constitutive law for finite elasticity equations set subtype \see OPENCMISS_EquationsSetSubtypes,OPENCMISS */
const int CMFE_EQUATIONS_SET_MOONEY_RIVLIN_ACTIVECONTRACTION_SUBTYPE = 24; /*<Mooney-Rivlin constitutive law with steady-state active contraction for finite elasticity equations set subtype \see OPENCMISS_EquationsSetSubtypes,OPENCMISS */
const int CMFE_EQUATIONS_SET_STVENANT_KIRCHOFF_ACTIVECONTRACTION_SUBTYPE = 25; /*<St Venant Kirchoff constitutive law with steady-state active contraction for finite elasticity equations set subtype \see OPENCMISS_EquationsSetSubtypes,OPENCMISS */
const int CMFE_EQUATIONS_SET_ACTIVECONTRACTION_SUBTYPE = 6; /*<Active contraction/costa-based law with quasistatic time loop for finite elasticity equations set subtype \see OPENCMISS_EquationsSetSubtypes,OPENCMISS */
const int CMFE_EQUATIONS_SET_ISOTROPIC_EXPONENTIAL_SUBTYPE = 2; /*<Isotropic exponential constitutive law for finite elasticity equations set subtype \see OPENCMISS_EquationsSetSubtypes,OPENCMISS */
const int CMFE_EQUATIONS_SET_TRANSVERSE_ISOTROPIC_EXPONENTIAL_SUBTYPE = 3; /*<Transverse isotropic exponential constitutive law for finite elasticity equations set subtype \see OPENCMISS_EquationsSetSubtypes,OPENCMISS */
const int CMFE_EQUATIONS_SET_TRANSVERSE_ISOTROPIC_ACTIVE_SUBTYPE = 27; /*<Transverse isotropic, active-contraction constitutive law for finite elasticity equations set subtype \see OPENCMISS_EquationsSetSubtypes,OPENCMISS */
const int CMFE_EQUATIONS_SET_TRANS_ISOTROPIC_ACTIVE_TRANSITION_SUBTYPE = 28; /*<Transverse isotropic, active-contraction material-transition constitutive law for finite elasticity equations set subtype \see OPENCMISS_EquationsSetSubtypes,OPENCMISS */
const int CMFE_EQUATIONS_SET_ORTHOTROPIC_MATERIAL_COSTA_SUBTYPE = 4; /*<Orthotropic Costa constitutive law for finite elasticity equations set subtype \see OPENCMISS_EquationsSetSubtypes,OPENCMISS */
const int CMFE_EQUATIONS_SET_COMPRESSIBLE_FINITE_ELASTICITY_SUBTYPE = 5; /*<Compressible version for finite elasticity equations set subtype \see OPENCMISS_EquationsSetSubtypes,OPENCMISS */
const int CMFE_EQUATIONS_SET_COMPRESSIBLE_ACTIVECONTRACTION_SUBTYPE = 26; /*<Compressible version for finite elasticity equations set with active contraction subtype \see OPENCMISS_EquationsSetSubtypes,OPENCMISS */
const int CMFE_EQUATIONS_SET_TRANSVERSE_ISOTROPIC_GUCCIONE_SUBTYPE = 15; /*<Transverse isotropic Guccione constitutive law for finite elasticity equations set subtype \see OPENCMISS_EquationsSetSubtypes,OPENCMISS */
const int CMFE_EQUATIONS_SET_ACTIVE_STRAIN_SUBTYPE = 34; /*<Isotropic active strain constitutive law based on multiplicative decomposition of the deformation gradient subtype \see OPENCMISS_EquationsSetSubtypes,OPENCMISS */
const int CMFE_EQUATIONS_SET_MULTISCALE_ACTIVE_STRAIN_SUBTYPE = 35; /*<Isotropic active strain constitutive law based on multiplicative decomposition of the deformation gradient and the cellular model of Razumova et al. (2000) subtype \see OPENCMISS_EquationsSetSubtypes,OPENCMISS */
const int CMFE_EQUATIONS_SET_GUCCIONE_ACTIVECONTRACTION_SUBTYPE = 32; /*<Transverse isotropic Guccione constitutive law with active contraction subtype \see OPENCMISS_EquationsSetSubtypes,OPENCMISS */
const int CMFE_EQUATIONS_SET_INCOMPRESS_FINITE_ELASTICITY_DARCY_SUBTYPE = 8; /*<Incompressible version for finite elasticity coupled with Darcy equations set subtype \see OPENCMISS_EquationsSetSubtypes,OPENCMISS */
const int CMFE_EQUATIONS_SET_ELASTICITY_DARCY_INRIA_MODEL_SUBTYPE = 10; /*<INRIA Model for finite elasticity coupled with Darcy equations set subtype \see OPENCMISS_EquationsSetSubtypes,OPENCMISS */
const int CMFE_EQUATIONS_SET_ELASTICITY_MULTI_COMP_DARCY_INRIA_SUBTYPE = 12; /*<Multi Compartment Darcy INRIA Model coupled with finite elasticity equations set subtype \see OPENCMISS_EquationsSetSubtypes,OPENCMISS */
const int CMFE_EQUATIONS_SET_INCOMPRESS_ELASTICITY_DRIVEN_DARCY_SUBTYPE = 11; /*<Incompressible finite elasticity with Darcy flow driven by solid hydrostatic pressure \see OPENCMISS_EquationsSetSubtypes,OPENCMISS */
const int CMFE_EQUATIONS_SET_INCOMPRESSIBLE_ELASTICITY_DRIVEN_MR_SUBTYPE = 13; /*<Incompressible finite elasticity with Darcy flow driven by solid hydrostatic pressure, formulated in terms of modified invariants. \see OPENCMISS_EquationsSetSubtypes,OPENCMISS */
const int CMFE_EQUATIONS_SET_INCOMPRESS_ELAST_MULTI_COMP_DARCY_SUBTYPE = 14;
const int CMFE_EQUATIONS_SET_MEMBRANE_SUBTYPE = 7; /*<Compressible version for finite elasticity equations set subtype \see OPENCMISS_EquationsSetSubtypes,OPENCMISS */
const int CMFE_EQUATIONS_SET_ORTHOTROPIC_HOLZAPFEL_OGDEN_SUBTYPE = 9; /*<Orthotropic Holzapfel-Ogden constitutive law for finite elasticity equations set subtype \see OPENCMISS_EquationsSetSubtypes,OPENCMISS */
const int CMFE_EQUATIONS_SET_HOLZAPFEL_OGDEN_ACTIVECONTRACTION_SUBTYPE = 31; /*<Orthotropic Holzapfel-Ogden constitutive law with active contraction for finite elasticity equations set subtype \see OPENCMISS_EquationsSetSubtypes,OPENCMISS */
const int CMFE_EQUATIONS_SET_ELASTICITY_FLUID_PRES_STATIC_INRIA_SUBTYPE = 16; /*<Static finite elasticity coupled with fluid pressure set subtype \see OPENCMISS_EquationsSetSubtypes,OPENCMISS */
const int CMFE_EQUATIONS_SET_ELASTICITY_FLUID_PRES_HOLMES_MOW_SUBTYPE = 18; /*<Holmes and Mow's poroelastic constitutive relation subtype \see OPENCMISS_EquationsSetSubtypes,OPENCMISS */
const int CMFE_EQUATIONS_SET_ELASTI_FLUID_PRES_HOLMES_MOW_ACTIVE_SUBTYPE = 19; /*<Holmes and Mow's poroelastic constitutive relation subtype with active contraction \see OPENCMISS_EquationsSetSubtypes,OPENCMISS */
const int CMFE_EQUATIONS_SET_TRANSVERSE_ISOTROPIC_POLYNOMIAL_SUBTYPE = 20; /*<Transverse isotropic constitutive law for finite elasticity equations set subtype \see OPENCMISS_EquationsSetSubtypes,OPENCMISS */
const int CMFE_EQUATIONS_SET_ANISOTROPIC_POLYNOMIAL_SUBTYPE = 29; /*<Anisotropic polynomial constitutive law for finite elasticity equations set subtype \see OPENCMISS_EquationsSetSubtypes,OPENCMISS */
const int CMFE_EQUATIONS_SET_ANISOTROPIC_POLYNOMIAL_ACTIVE_SUBTYPE = 30; /*<Anisotropic polynomial active constitutive law for finite elasticity equations set subtype \see OPENCMISS_EquationsSetSubtypes,OPENCMISS */
const int CMFE_EQUATIONS_SET_TRANSVERSE_ISOTROPIC_HUMPHREY_YIN_SUBTYPE = 23; /*<Humphrey and Yin transversely isotropic constitutive relation subtype \see OPENCMISS_EquationsSetSubtypes,OPENCMISS */
const int CMFE_EQUATIONS_SET_STATIC_STOKES_SUBTYPE = 1; /*<Static Stokes equations set subtype \see OPENCMISS_EquationsSetSubtypes,OPENCMISS */
const int CMFE_EQUATIONS_SET_LAPLACE_STOKES_SUBTYPE = 2; /*<Laplace type Stokes equations set subtype \see OPENCMISS_EquationsSetSubtypes,OPENCMISS */
const int CMFE_EQUATIONS_SET_TRANSIENT_STOKES_SUBTYPE = 3; /*<Transient Stokes equations set subtype \see OPENCMISS_EquationsSetSubtypes,OPENCMISS */
const int CMFE_EQUATIONS_SET_ALE_STOKES_SUBTYPE = 5; /*<ALE Stokes equations set subtype \see OPENCMISS_EquationsSetSubtypes,OPENCMISS */
const int CMFE_EQUATIONS_SET_PGM_STOKES_SUBTYPE = 6; /*<PGM Stokes equations set subtype \see OPENCMISS_EquationsSetSubtypes,OPENCMISS */
const int CMFE_EQUATIONS_SET_OPTIMISED_STOKES_SUBTYPE = 4; /*<Optimised Stokes equations set subtype \see OPENCMISS_EquationsSetSubtypes,OPENCMISS */
const int CMFE_EQUATIONS_SET_STATIC_NAVIER_STOKES_SUBTYPE = 1; /*<Static Navier-Stokes equations set subtype \see OPENCMISS_EquationsSetSubtypes,OPENCMISS */
const int CMFE_EQUATIONS_SET_LAPLACE_NAVIER_STOKES_SUBTYPE = 2; /*<Laplace type Navier-Stokes equations set subtype \see OPENCMISS_EquationsSetSubtypes,OPENCMISS */
const int CMFE_EQUATIONS_SET_TRANSIENT_NAVIER_STOKES_SUBTYPE = 3; /*<Transient Navier-Stokes equations set subtype \see OPENCMISS_EquationsSetSubtypes,OPENCMISS */
const int CMFE_EQUATIONS_SET_TRANSIENT_RBS_NAVIER_STOKES_SUBTYPE = 9; /*<Transient residual-based stabilisation Navier-Stokes equations set subtype \see OPENCMISS_EquationsSetSubtypes,OPENCMISS */
const int CMFE_EQUATIONS_SET_STATIC_RBS_NAVIER_STOKES_SUBTYPE = 13; /*<Transient residual-based stabilisation Navier-Stokes equations set subtype \see OPENCMISS_EquationsSetSubtypes,OPENCMISS */
const int CMFE_EQUATIONS_SET_MULTISCALE3D_NAVIER_STOKES_SUBTYPE = 11; /*<Transient stabilised 3D Navier-Stokes equations set with coupled multiscale boundaries subtype \see OPENCMISS_EquationsSetSubtypes,OPENCMISS */
const int CMFE_EQUATIONS_SET_CONSTITUTIVE_MU_NAVIER_STOKES_SUBTYPE = 18; /*<Transient stabilised 3D Navier-Stokes equations set with coupled constitutive model for non-Newtonian viscosity \see OPENCMISS_EquationsSetSubtypes,OPENCMISS */
const int CMFE_EQUATIONS_SET_TRANSIENT1D_NAVIER_STOKES_SUBTYPE = 8; /*<TRANSIENT1D Navier-Stokes equations set subtype \see OPENCMISS_EquationsSetSubtypes,OPENCMISS */
const int CMFE_EQUATIONS_SET_TRANSIENT1D_ADV_NAVIER_STOKES_SUBTYPE = 14; /*<TRANSIENT1D Navier-Stokes equations set subtype with coupled Advection \see OPENCMISS_EquationsSetSubtypes,OPENCMISS */
const int CMFE_EQUATIONS_SET_CHARACTERISTIC_SUBTYPE = 1; /*<Static Characteristics equations set subtype \see OPENCMISS_EquationsSetSubtypes,OPENCMISS */
const int CMFE_EQUATIONS_SET_COUPLED1D0D_NAVIER_STOKES_SUBTYPE = 12; /*<Coupled 1D-0D Navier-Stokes equations set subtype \see OPENCMISS_EquationsSetSubtypes,OPENCMISS */
const int CMFE_EQUATIONS_SET_COUPLED1D0D_ADV_NAVIER_STOKES_SUBTYPE = 15; /*<Coupled 1D-0D Navier-Stokes equations set subtype with coupled Advection \see OPENCMISS_EquationsSetSubtypes,OPENCMISS */
const int CMFE_EQUATIONS_SET_STREE1D0D_SUBTYPE = 16; /*<Coupled 1D-0D Navier-Stokes equations set subtype with coupled Advection \see */
const int CMFE_EQUATIONS_SET_STREE1D0D_ADV_SUBTYPE = 17; /*<Coupled 1D-0D Navier-Stokes equations set subtype with coupled Advection \see */
const int CMFE_EQUATIONS_SET_ALE_NAVIER_STOKES_SUBTYPE = 5; /*<ALE Navier-Stokes equations set subtype \see OPENCMISS_EquationsSetSubtypes,OPENCMISS */
const int CMFE_EQUATIONS_SET_PGM_NAVIER_STOKES_SUBTYPE = 6; /*<PGM Navier-Stokes equations set subtype \see OPENCMISS_EquationsSetSubtypes,OPENCMISS */
const int CMFE_EQUATIONS_SET_OPTIMISED_NAVIER_STOKES_SUBTYPE = 4; /*<Optimised Navier-Stokes equations set subtype \see OPENCMISS_EquationsSetSubtypes,OPENCMISS */
const int CMFE_EQUATIONS_SET_STANDARD_DARCY_SUBTYPE = 1; /*<Standard Darcy equations set subtype \see OPENCMISS_EquationsSetSubtypes,OPENCMISS */
const int CMFE_EQUATIONS_SET_QUASISTATIC_DARCY_SUBTYPE = 2; /*<Quasistatic Darcy equations set subtype \see OPENCMISS_EquationsSetSubtypes,OPENCMISS */
const int CMFE_EQUATIONS_SET_ALE_DARCY_SUBTYPE = 3; /*<ALE Darcy equations set subtype \see OPENCMISS_EquationsSetSubtypes,OPENCMISS */
const int CMFE_EQUATIONS_SET_TRANSIENT_DARCY_SUBTYPE = 4; /*<Transient Darcy equations set subtype \see OPENCMISS_EquationsSetSubtypes,OPENCMISS */
const int CMFE_EQUATIONS_SET_TRANSIENT_ALE_DARCY_SUBTYPE = 5; /*<Transient ALE Darcy equations set subtype \see OPENCMISS_EquationsSetSubtypes,OPENCMISS */
const int CMFE_EQUATIONS_SET_MULTI_COMPARTMENT_DARCY_SUBTYPE = 6; /*<Multi Compartment Darcy equations set subtype \see OPENCMISS_EquationsSetSubtypes,OPENCMISS */
const int CMFE_EQUATIONS_SET_BURGERS_SUBTYPE = 1; /*<Burgers equations set subtype \see OPENCMISS_EquationsSetSubtypes,OPENCMISS */
const int CMFE_EQUATIONS_SET_GENERALISED_BURGERS_SUBTYPE = 2; /*<Generalised Burgers equations set subtype \see OPENCMISS_EquationsSetSubtypes,OPENCMISS */
const int CMFE_EQUATIONS_SET_STATIC_BURGERS_SUBTYPE = 3; /*<Static Burgers equations set subtype \see OPENCMISS_EquationsSetSubtypes,OPENCMISS */
const int CMFE_EQUATIONS_SET_INVISCID_BURGERS_SUBTYPE = 4; /*<Inviscid Burgers equations set subtype \see OPENCMISS_EquationsSetSubtypes,OPENCMISS */
const int CMFE_EQUATIONS_SET_STANDARD_LAPLACE_SUBTYPE = 1; /*<Standard Laplace equations set subtype \see OPENCMISS_EquationsSetSubtypes,OPENCMISS */
const int CMFE_EQUATIONS_SET_GENERALISED_LAPLACE_SUBTYPE = 2; /*<Generalised Laplace equations set subtype \see OPENCMISS_EquationsSetSubtypes,OPENCMISS */
const int CMFE_EQUATIONS_SET_MOVING_MESH_LAPLACE_SUBTYPE = 3; /*<Moving mesh Laplace equations set subtype \see OPENCMISS_EquationsSetSubtypes,OPENCMISS */
const int CMFE_EQUATIONS_SET_STATIC_POISEUILLE_SUBTYPE = 1; /*<Static Poiseuille equations set subtype \see OPENCMISS_EquationsSetSubtypes,OPENCMISS */
const int CMFE_EQUATIONS_SET_DYNAMIC_POISEUILLE_SUBTYPE = 2; /*<Dynamic Poiseuille equations set subtype \see OPENCMISS_EquationsSetSubtypes,OPENCMISS */
const int CMFE_EQUATIONS_SET_LINEAR_PRESSURE_POISSON_SUBTYPE = 5; /*<Vector source Poisson equations set subtype \see OPENCMISS_EquationsSetSubtypes,OPENCMISS */
const int CMFE_EQUATIONS_SET_NONLINEAR_PRESSURE_POISSON_SUBTYPE = 6; /*<Vector source Poisson equations set subtype \see OPENCMISS_EquationsSetSubtypes,OPENCMISS */
const int CMFE_EQUATIONS_SET_ALE_PRESSURE_POISSON_SUBTYPE = 7; /*<Vector source Poisson equations set subtype \see OPENCMISS_EquationsSetSubtypes,OPENCMISS */
const int CMFE_EQUATIONS_SET_FITTED_PRESSURE_POISSON_SUBTYPE = 8; /*<Vector source Poisson equations set subtype \see OPENCMISS_EquationsSetSubtypes,OPENCMISS */
const int CMFE_EQUATIONS_SET_CONSTANT_SOURCE_POISSON_SUBTYPE = 1; /*<Constant source Poisson equations set subtype \see OPENCMISS_EquationsSetSubtypes,OPENCMISS */
const int CMFE_EQUATIONS_SET_EXTRACELLULAR_BIDOMAIN_POISSON_SUBTYPE = 9; /*<Poisson equations set subtype, that is the extracellular bidomain equation \see OPENCMISS_EquationsSetSubtypes,OPENCMISS */
const int CMFE_EQUATIONS_SET_LINEAR_SOURCE_POISSON_SUBTYPE = 2; /*<Linear source Poisson equations set subtype \see OPENCMISS_EquationsSetSubtypes,OPENCMISS */
const int CMFE_EQUATIONS_SET_QUADRATIC_SOURCE_POISSON_SUBTYPE = 3; /*<Quadratic source Poisson equations set subtype \see OPENCMISS_EquationsSetSubtypes,OPENCMISS */
const int CMFE_EQUATIONS_SET_EXPONENTIAL_SOURCE_POISSON_SUBTYPE = 4; /*<Exponential source Poisson equations set subtype \see OPENCMISS_EquationsSetSubtypes,OPENCMISS */
const int CMFE_EQUATIONS_SET_STANDARD_HELMHOLTZ_SUBTYPE = 2; /*<No source Helmholtz equations set subtype \see OPENCMISS_EquationsSetSubtypes,OPENCMISS */
const int CMFE_EQUATIONS_SET_GENERALISED_HELMHOLTZ_SUBTYPE = 3; /*<No source Helmholtz equations set subtype \see OPENCMISS_EquationsSetSubtypes,OPENCMISS */
const int CMFE_EQUATIONS_SET_NO_SOURCE_DIFFUSION_SUBTYPE = 1; /*<No source diffusion equations set subtype \see OPENCMISS_EquationsSetSubtypes,OPENCMISS */
const int CMFE_EQUATIONS_SET_CONSTANT_SOURCE_DIFFUSION_SUBTYPE = 2; /*<Constant source diffusion equations set subtype \see OPENCMISS_EquationsSetSubtypes,OPENCMISS */
const int CMFE_EQUATIONS_SET_LINEAR_SOURCE_DIFFUSION_SUBTYPE = 3; /*<Linear source diffusion equations set subtype \see OPENCMISS_EquationsSetSubtypes,OPENCMISS */
const int CMFE_EQUATIONS_SET_QUADRATIC_SOURCE_DIFFUSION_SUBTYPE = 4; /*<Quadratic source diffusion equations set subtype \see OPENCMISS_EquationsSetSubtypes,OPENCMISS */
const int CMFE_EQUATIONS_SET_EXPONENTIAL_SOURCE_DIFFUSION_SUBTYPE = 5; /*<Exponential source diffusion equations set subtype \see OPENCMISS_EquationsSetSubtypes,OPENCMISS */
const int CMFE_EQUATIONS_SET_NO_SOURCE_ALE_DIFFUSION_SUBTYPE = 6; /*<No source diffusion equations set subtype \see OPENCMISS_EquationsSetSubtypes,OPENCMISS */
const int CMFE_EQUATIONS_SET_CONSTANT_SOURCE_ALE_DIFFUSION_SUBTYPE = 7; /*<Constant source diffusion equations set subtype \see OPENCMISS_EquationsSetSubtypes,OPENCMISS */
const int CMFE_EQUATIONS_SET_LINEAR_SOURCE_ALE_DIFFUSION_SUBTYPE = 8; /*<Linear source diffusion equations set subtype \see OPENCMISS_EquationsSetSubtypes,OPENCMISS */
const int CMFE_EQUATIONS_SET_QUADRATIC_SOURCE_ALE_DIFFUSION_SUBTYPE = 9; /*<Quadratic source diffusion equations set subtype \see OPENCMISS_EquationsSetSubtypes,OPENCMISS */
const int CMFE_EQUATIONS_SET_EXPONENTIAL_SOURCE_ALE_DIFFUSION_SUBTYPE = 10; /*<Exponential source diffusion equations set subtype \see OPENCMISS_EquationsSetSubtypes,OPENCMISS */
const int CMFE_EQUATIONS_SET_MULTI_COMP_TRANSPORT_DIFFUSION_SUBTYPE = 11; /*<Multi-compartment transport diffusion equations set subtype \see OPENCMISS_EquationsSetSubtypes,OPENCMISS */
const int CMFE_EQUATIONS_SET_ADVECTION_SUBTYPE = 1; /*<advection equations set subtype \see OPENCMISS_EquationsSetSubtypes,OPENCMISS */
const int CMFE_EQUATIONS_SET_NO_SOURCE_ADVECTION_DIFFUSION_SUBTYPE = 1; /*<No source advection diffusion equations set subtype \see OPENCMISS_EquationsSetSubtypes,OPENCMISS */
const int CMFE_EQUATIONS_SET_CONSTANT_SOURCE_ADVECTION_DIFFUSION_SUBTYPE = 2; /*<Constant source advection diffusion equations set subtype \see OPENCMISS_EquationsSetSubtypes,OPENCMISS */
const int CMFE_EQUATIONS_SET_LINEAR_SOURCE_ADVECTION_DIFFUSION_SUBTYPE = 3; /*<Linear source advection diffusion equations set subtype \see OPENCMISS_EquationsSetSubtypes,OPENCMISS */
const int CMFE_EQUATIONS_SET_QUADRATIC_SOURCE_ADVEC_DIFF_SUBTYPE = 4; /*<Quadratic source advection diffusion equations set subtype \see OPENCMISS_EquationsSetSubtypes,OPENCMISS */
const int CMFE_EQUATIONS_SET_EXPONENTIAL_SOURCE_ADVEC_DIFF_SUBTYPE = 5; /*<Exponential source advection diffusion equations set subtype \see OPENCMISS_EquationsSetSubtypes,OPENCMISS */
const int CMFE_EQUATIONS_SET_CONSTITUTIVE_LAW_IN_CELLML_EVALUATE_SUBTYPE = 17; /*<In CellML evaluated incompressible material law for finite elasticity equations set subtype \see OPENCMISS_EquationsSetSubtypes,OPENCMISS */
const int CMFE_EQUATIONS_SET_CONSTIT_AND_GROWTH_LAW_IN_CELLML_SUBTYPE = 33; /*<CellML evaluated growth and constituative material law for finite elasticity equations set subtype \see OPENCMISS_EquationsSetSubtypes,OPENCMISS */
const int CMFE_EQUATIONS_SET_NO_SOURCE_ALE_ADVECTION_DIFFUSION_SUBTYPE = 21; /*<No source advection diffusion equations set subtype \see OPENCMISS_EquationsSetSubtypes,OPENCMISS */
const int CMFE_EQUATIONS_SET_CONSTANT_SOURCE_ALE_ADVEC_DIFF_SUBTYPE = 22; /*<Constant source advection diffusion equations set subtype \see OPENCMISS_EquationsSetSubtypes,OPENCMISS */
const int CMFE_EQUATIONS_SET_LINEAR_SOURCE_ALE_ADVEC_DIFF_SUBTYPE = 23; /*<Linear source advection diffusion equations set subtype \see OPENCMISS_EquationsSetSubtypes,OPENCMISS */
const int CMFE_EQUATIONS_SET_QUADRATIC_SOURCE_ALE_ADVEC_DIFF_SUBTYPE = 24; /*<Quadratic source advection diffusion equations set subtype \see OPENCMISS_EquationsSetSubtypes,OPENCMISS */
const int CMFE_EQUATIONS_SET_EXP_SOURCE_ALE_ADVECTION_DIFFUSION_SUBTYPE = 25; /*<Exponential source advection diffusion equations set subtype \see OPENCMISS_EquationsSetSubtypes,OPENCMISS */
const int CMFE_EQUATIONS_SET_NO_SOURCE_STATIC_ADVEC_DIFF_SUBTYPE = 6; /*<No source advection diffusion equations set subtype \see OPENCMISS_EquationsSetSubtypes,OPENCMISS */
const int CMFE_EQUATIONS_SET_CONSTANT_SOURCE_STATIC_ADVEC_DIFF_SUBTYPE = 7; /*<Constant source advection diffusion equations set subtype \see OPENCMISS_EquationsSetSubtypes,OPENCMISS */
const int CMFE_EQUATIONS_SET_LINEAR_SOURCE_STATIC_ADVEC_DIFF_SUBTYPE = 8; /*<Linear source advection diffusion equations set subtype \see OPENCMISS_EquationsSetSubtypes,OPENCMISS */
const int CMFE_EQUATIONS_SET_NO_SOURCE_ADVECTION_DIFF_SUPG_SUBTYPE = 9; /*<No source advection diffusion equations set subtype \see OPENCMISS_EquationsSetSubtypes,OPENCMISS */
const int CMFE_EQUATIONS_SET_CONSTANT_SOURCE_ADVECTION_DIFF_SUPG_SUBTYPE = 10; /*<Constant source advection diffusion equations set subtype \see OPENCMISS_EquationsSetSubtypes,OPENCMISS */
const int CMFE_EQUATIONS_SET_LINEAR_SOURCE_ADVECTION_DIFF_SUPG_SUBTYPE = 11; /*<Linear source advection diffusion equations set subtype \see OPENCMISS_EquationsSetSubtypes,OPENCMISS */
const int CMFE_EQUATIONS_SET_QUAD_SOURCE_ADVECTION_DIFF_SUPG_SUBTYPE = 12; /*<Quadratic source advection diffusion equations set subtype \see OPENCMISS_EquationsSetSubtypes,OPENCMISS */
const int CMFE_EQUATIONS_SET_EXP_SOURCE_ADVECTION_DIFF_SUPG_SUBTYPE = 13; /*<Exponential source advection diffusion equations set subtype \see OPENCMISS_EquationsSetSubtypes,OPENCMISS */
const int CMFE_EQUATIONS_SET_NO_SOURCE_ALE_ADVECTION_DIFF_SUPG_SUBTYPE = 29; /*<No source advection diffusion equations set subtype \see OPENCMISS_EquationsSetSubtypes,OPENCMISS */
const int CMFE_EQUATIONS_SET_CONSTANT_SOURCE_ALE_ADVEC_DIFF_SUPG_SUBTYPE = 30; /*<Constant source advection diffusion equations set subtype \see OPENCMISS_EquationsSetSubtypes,OPENCMISS */
const int CMFE_EQUATIONS_SET_LINEAR_SOURCE_ALE_ADVEC_DIFF_SUPG_SUBTYPE = 31; /*<Linear source advection diffusion equations set subtype \see OPENCMISS_EquationsSetSubtypes,OPENCMISS */
const int CMFE_EQUATIONS_SET_QUAD_SOURCE_ALE_ADVECTION_DIFF_SUPG_SUBTYPE = 32; /*<Quadratic source advection diffusion equations set subtype \see OPENCMISS_EquationsSetSubtypes,OPENCMISS */
const int CMFE_EQUATIONS_SET_EXP_SOURCE_ALE_ADVECTION_DIFF_SUPG_SUBTYPE = 33; /*<Exponential source advection diffusion equations set subtype \see OPENCMISS_EquationsSetSubtypes,OPENCMISS */
const int CMFE_EQUATIONS_SET_NO_SOURCE_STATIC_ADVEC_DIFF_SUPG_SUBTYPE = 14; /*<No source advection diffusion equations set subtype \see OPENCMISS_EquationsSetSubtypes,OPENCMISS */
const int CMFE_EQUATIONS_SET_CONST_SOURCE_STATIC_ADVEC_DIFF_SUPG_SUBTYPE = 15; /*<Constant source advection diffusion equations set subtype \see OPENCMISS_EquationsSetSubtypes,OPENCMISS */
const int CMFE_EQUATIONS_SET_LIN_SOURCE_STATIC_ADVEC_DIFF_SUPG_SUBTYPE = 16; /*<Linear source advection diffusion equations set subtype \see OPENCMISS_EquationsSetSubtypes,OPENCMISS */
const int CMFE_EQUATIONS_SET_COUPLED_SOURCE_DIFFUSION_ADVEC_DIFF_SUBTYPE = 17; /*<Coupled source diffusion & advection-diffusion equations set subtype \see OPENCMISS_EquationsSetSubtypes,OPENCMISS */
const int CMFE_EQUATIONS_SET_MULTI_COMP_TRANSPORT_ADVEC_DIFF_SUBTYPE = 18; /*<Multi-component transport advection-diffusion equations set \see OPENCMISS_EquationsSetSubtypes,OPENCMISS */
const int CMFE_EQUATIONS_SET_MULT_COMP_TRANSPORT_ADVEC_DIFF_SUPG_SUBTYPE = 19; /*<Multi-component transport advection-diffusion equations set using SUPG scheme \see OPENCMISS_EquationsSetSubtypes,OPENCMISS */
const int CMFE_EQUATIONS_SET_CELLML_REAC_SPLIT_REAC_DIFF_SUBTYPE = 2;
const int CMFE_EQUATIONS_SET_CELLML_REAC_NO_SPLIT_REAC_DIFF_SUBTYPE = 3;
const int CMFE_EQUATIONS_SET_CONSTANT_REAC_DIFF_SUBTYPE = 1;
const int CMFE_EQUATIONS_SET_MONODOMAIN_BUENOOROVIO_SUBTYPE = 1; /*<First monodomain equations set subtype \see OPENCMISS_EquationsSetSubtypes,OPENCMISS */
const int CMFE_EQUATIONS_SET_MONODOMAIN_TENTUSSCHER06_SUBTYPE = 2; /*<First monodomain equations set subtype \see OPENCMISS_EquationsSetSubtypes,OPENCMISS */
const int CMFE_EQUATIONS_SET_FIRST_BIDOMAIN_SUBTYPE = 1; /*<First bidomain equations set subtype \see OPENCMISS_EquationsSetSubtypes,OPENCMISS */
const int CMFE_EQUATIONS_SET_SECOND_BIDOMAIN_SUBTYPE = 2; /*<Second bidomain equations set subtype \see OPENCMISS_EquationsSetSubtypes,OPENCMISS */
const int CMFE_EQUATIONS_SET_STANDARD_DATA_FITTING_SUBTYPE = 1; /*<Standard Galerkin Projection equations set subtype \see OPENCMISS_EquationsSetSubtypes,OPENCMISS */
const int CMFE_EQUATIONS_SET_GENERALISED_DATA_FITTING_SUBTYPE = 2; /*<Generalised Galerkin Projection equations set subtype \see OPENCMISS_EquationsSetSubtypes,OPENCMISS */
const int CMFE_EQUATIONS_SET_MAT_PROPERTIES_DATA_FITTING_SUBTYPE = 3; /*<Material Properties Galerkin Projection equations set subtype \see OPENCMISS_EquationsSetSubtypes,OPENCMISS */
const int CMFE_EQUATIONS_SET_MAT_PROP_INRIA_MODEL_DATA_FITTING_SUBTYPE = 4; /*<Material Properties INRIA Model Galerkin Projection equations set subtype \see OPENCMISS_EquationsSetSubtypes,OPENCMISS */
const int CMFE_EQUATIONS_SET_VECTOR_DATA_FITTING_SUBTYPE = 5; /*<Standard Galerkin Projection equations set subtype \see OPENCMISS_EquationsSetSubtypes,OPENCMISS */
const int CMFE_EQUATIONS_SET_DIVFREE_VECTOR_DATA_FITTING_SUBTYPE = 6; /*<Standard Galerkin Projection equations set subtype \see OPENCMISS_EquationsSetSubtypes,OPENCMISS */
const int CMFE_EQUATIONS_SET_DATA_POINT_VECTOR_STATIC_FITTING_SUBTYPE = 9; /*<Standard static Galerkin Projection using data points subtype \see OPENCMISS_EquationsSetSubtypes,OPENCMISS */
const int CMFE_EQUATIONS_SET_DATA_PT_VECTOR_QUASISTATIC_FITTING_SUBTYPE = 10; /*<Standard quasistatic Galerkin Projection using data points subtype \see OPENCMISS_EquationsSetSubtypes,OPENCMISS */
const int CMFE_EQUATIONS_SET_VECTOR_DATA_PRE_FITTING_SUBTYPE = 7; /*<Standard Galerkin Projection equations set subtype \see OPENCMISS_EquationsSetSubtypes,OPENCMISS */
const int CMFE_EQUATIONS_SET_DIVFREE_VECTOR_DATA_PRE_FITTING_SUBTYPE = 8; /*<Standard Galerkin Projection equations set subtype \see OPENCMISS_EquationsSetSubtypes,OPENCMISS */
const int CMFE_EQUATIONS_SET_COUPLED_SOURCE_DIFFUSION_DIFFUSION_SUBTYPE = 111; /*<Coupled source diffusion-diffusion equations set subtype \see OPENCMISS_EquationsSetSubtypes,OPENCMISS */
const int CMFE_EQUATIONS_SET_STANDARD_MONODOMAIN_ELASTICITY_SUBTYPE = 141; /*<Standard Monodomain Elasticity equations set subtype \see OPENCMISS_EquationsSetSubtypes,OPENCMISS */
const int CMFE_EQUATIONS_SET_1D3D_MONODOMAIN_ELASTICITY_SUBTYPE = 142; /*<Coupled 1D Monodomain 3D Elasticity equations set subtype \see OPENCMISS_EquationsSetSubtypes,OPENCMISS */
const int CMFE_EQUATIONS_SET_MONODOMAIN_ELASTICITY_W_TITIN_SUBTYPE = 143; /*<Coupled 1D Monodomain 3D Elasticity equations set subtype with titin \see OPENCMISS_EquationsSetSubtypes,OPENCMISS */
const int CMFE_EQUATIONS_SET_MONODOMAIN_ELASTICITY_VELOCITY_SUBTYPE = 144; /*<Coupled 1D Monodomain 3D Elasticity equations set subtype with force-velocity relation \see OPENCMISS_EquationsSetSubtypes,OPENCMISS */
const int CMFE_EQUATIONS_SET_1D3D_MONODOMAIN_ACTIVE_STRAIN_SUBTYPE = 145; /*<Coupled 1D Monodomain 3D Elasticity equations set subtype \see OPENCMISS_EquationsSetSubtypes,OPENCMISS */
const int CMFE_EQUATIONS_SET_FINITE_ELASTICITY_NAVIER_STOKES_ALE_SUBTYPE = 151; /*<Finite Elasticity Navier Stokes ALE equations set subtype \see OPENCMISS_EquationsSetSubtype,OPENCMISS */
/*>@} */
/*>\addtogroup OPENCMISS_EquationsSetSolutionMethods OPENCMISS::EquationsSet::SolutionMethods */
/*>\brief The solution method parameters */
/*>\see OPENCMISS::EquationsSet,OPENCMISS */
/*>@{ */
const int CMFE_EQUATIONS_SET_FEM_SOLUTION_METHOD = 1; /*<Finite Element Method solution method. \see OPENCMISS_EquationsSetSolutionMethods,OPENCMISS */
const int CMFE_EQUATIONS_SET_BEM_SOLUTION_METHOD = 2; /*<Boundary Element Method solution method. \see OPENCMISS_EquationsSetSolutionMethods,OPENCMISS */
const int CMFE_EQUATIONS_SET_FD_SOLUTION_METHOD = 3; /*<Finite Difference solution method. \see OPENCMISS_EquationsSetSolutionMethods,OPENCMISS */
const int CMFE_EQUATIONS_SET_FV_SOLUTION_METHOD = 4; /*<Finite Volume solution method. \see OPENCMISS_EquationsSetSolutionMethods,OPENCMISS */
const int CMFE_EQUATIONS_SET_GFEM_SOLUTION_METHOD = 5; /*<Grid-based Finite Element Method solution method. \see OPENCMISS_EquationsSetSolutionMethods,OPENCMISS */
const int CMFE_EQUATIONS_SET_GFD_SOLUTION_METHOD = 6; /*<Grid-based Finite Difference solution method. \see OPENCMISS_EquationsSetSolutionMethods,OPENCMISS */
const int CMFE_EQUATIONS_SET_GFV_SOLUTION_METHOD = 7; /*<Grid-based Finite Volume solution method. \see OPENCMISS_EquationsSetSolutionMethods,OPENCMISS */
/*>@} */
/*>\addtogroup OPENCMISS_EquationsSetDerivedTypes OPENCMISS::EquationsSet::OutputTypes */
/*>\brief Field values to output */
/*>\see OPENCMISS::EquationsSet,OPENCMISS */
/*>@{ */
const int CMFE_EQUATIONS_SET_DERIVED_STRAIN = 1; /*<Strain tensor field output. \see OPENCMISS_EquationsSetDerivedTypes,OPENCMISS */
const int CMFE_EQUATIONS_SET_DERIVED_STRESS = 2; /*<Stress tensor field output. \see OPENCMISS_EquationsSetDerivedTypes,OPENCMISS */
/*>@} */
/*>\addtogroup OPENCMISS_EquationsSetDynamicMatrixTypes OPENCMISS::EquationsSet::DynamicMatrixTypes */
/*>\brief Type of matrix in a dynamic equations set */
/*>@{ */
const int CMFE_EQUATIONS_MATRIX_STIFFNESS = 1; /*<A stiffness matrix (multiplies displacement values) */
const int CMFE_EQUATIONS_MATRIX_DAMPING = 2; /*<A damping matrix (multiplies velocity values) */
const int CMFE_EQUATIONS_MATRIX_MASS = 3; /*<A mass matrix (multiplies acceleration values) */
/*>@} */
/*>\addtogroup OPENCMISS_EquationsSetAnalyticFunctionTypes OPENCMISS::EquationsSet::AnalyticFunctionTypes */
/*>\brief The analytic function types. */
/*>\see OPENCMISS::EquationsSet,OPENCMISS */
/*>@{ */
/*>\addtogroup OPENCMISS_EquationsSetLaplaceAnalyticFunctionTypes OPENCMISS::EquationsSet::AnalyticFunctionTypes::Laplace */
/*>\brief The analytic function types for a Laplace equation */
/*>\see OPENCMISS::EquationsSet::AnalyticFunctionTypes,OPENCMISS */
/*>@{ */
const int CMFE_EQUATIONS_SET_LAPLACE_EQUATION_TWO_DIM_1 = 1; /*<u=x**2+2*x*y-y**2 \see OPENCMISS_EquationsSetLaplaceAnalyticFunctionTypes,OPENCMISS */
const int CMFE_EQUATIONS_SET_LAPLACE_EQUATION_TWO_DIM_2 = 2; /*<u=cos(x)cosh(y) \see OPENCMISS_EquationsSetLaplaceAnalyticFunctionTypes,OPENCMISS */
const int CMFE_EQUATIONS_SET_LAPLACE_EQUATION_THREE_DIM_1 = 3; /*<u=x**2-2*y**2+z**2 \see OPENCMISS_EquationsSetLaplaceAnalyticFunctionTypes,OPENCMISS */
const int CMFE_EQUATIONS_SET_LAPLACE_EQUATION_THREE_DIM_2 = 4; /*<u=cos(x)*cosh(y)*z \see OPENCMISS_EquationsSetLaplaceAnalyticFunctionTypes,OPENCMISS */
/*>@} */
/*>\addtogroup OPENCMISS_EquationsSetHelmholtzAnalyticFunctionTypes OPENCMISS::EquationsSet::AnalyticFunctionTypes::Helmholtz */
/*>\brief The analytic function types for a Helmholtz equation */
/*>\see OPENCMISS::EquationsSet::AnalyticFunctionTypes,OPENCMISS */
/*>@{ */
const int CMFE_EQUATIONS_SET_HELMHOLTZ_EQUATION_TWO_DIM_1 = 1; /*<u=cos(sqrt(2)*k*x)*sin(sqrt(2)*k*y) \see OPENCMISS_EquationsSetHelmholtzAnalyticFunctionTypes,OPENCMISS */
/*>@} */
/*>\addtogroup OPENCMISS_PoiseuilleAnalyticFunctionTypes OPENCMISS::EquationsSet::AnalyticFunctionTypes::Poiseuille */
/*>\brief The analytic function types for a Poiseuille equation. */
/*>\see OPENCMISS::EquationsSet::AnalyticFunctionTypes,OPENCMISS */
/*>@{ */
const int CMFE_EQUATIONS_SET_POISEUILLE_EQUATION_TWO_DIM_1 = 1; /*<u=ln(4/(x+y+1^2)) \see OPENCMISS_EquationsSetPoiseuilleAnalyticFunctionTypes,OPENCMISS */
/*>@} */
/*>\addtogroup OPENCMISS_PoissonAnalyticFunctionTypes OPENCMISS::EquationsSet::AnalyticFunctionTypes::Poisson */
/*>\brief The analytic function types for a Poisson equation. */
/*>\see OPENCMISS::EquationsSet::AnalyticFunctionTypes,OPENCMISS */
/*>@{ */
const int CMFE_EQUATIONS_SET_POISSON_EQUATION_TWO_DIM_1 = 1; /*<u=ln(4/(x+y+1^2)) \see OPENCMISS_EquationsSetPoissonAnalyticFunctionTypes,OPENCMISS */
const int CMFE_EQUATIONS_SET_POISSON_EQUATION_TWO_DIM_2 = 2; /*<u=tbd \see OPENCMISS_EquationsSetPoissonAnalyticFunctionTypes,OPENCMISS */
const int CMFE_EQUATIONS_SET_POISSON_EQUATION_TWO_DIM_3 = 3; /*<u=tbd \see OPENCMISS_EquationsSetPoissonAnalyticFunctionTypes,OPENCMISS */
const int CMFE_EQUATIONS_SET_POISSON_EQUATION_THREE_DIM_1 = 4; /*<u=ln(6/(x+y+z+1^2)) \see OPENCMISS_EquationsSetPoissonAnalyticFunctionTypes,OPENCMISS */
const int CMFE_EQUATIONS_SET_POISSON_EQUATION_THREE_DIM_2 = 5; /*<u=tbd \see OPENCMISS_EquationsSetPoissonAnalyticFunctionTypes,OPENCMISS */
const int CMFE_EQUATIONS_SET_POISSON_EQUATION_THREE_DIM_3 = 6; /*<u=tbd \see OPENCMISS_EquationsSetPoissonAnalyticFunctionTypes,OPENCMISS */
const int CMFE_EQUATIONS_SET_PRESSURE_POISSON_THREE_DIM_1 = 18; /*<u=tbd \see OPENCMISS_EquationsSetPoissonAnalyticFunctionTypes,OPENCMISS */
const int CMFE_EQUATIONS_SET_PRESSURE_POISSON_THREE_DIM_2 = 19; /*<u=tbd \see OPENCMISS_EquationsSetPoissonAnalyticFunctionTypes,OPENCMISS */
/*>@} */
/*>\addtogroup OPENCMISS_DiffusionAnalyticFunctionTypes OPENCMISS::EquationsSet::AnalyticFunctionTypes::Diffusion */
/*>\brief The analytic function types for a diffusion equation. */
/*>\see OPENCMISS::EquationsSet::AnalyticFunctionTypes,OPENCMISS */
/*>@{ */
const int CMFE_EQUATIONS_SET_DIFFUSION_EQUATION_ONE_DIM_1 = 1;
const int CMFE_EQUATIONS_SET_DIFFUSION_EQUATION_TWO_DIM_1 = 2; /*<u=exp(-kt)*sin(sqrt(k)*(x*cos(phi)+y*sin(phi))) \see OPENCMISS_EquationsSetDiffusionAnalyticFunctionTypes,OPENCMISS */
const int CMFE_EQUATIONS_SET_DIFFUSION_EQUATION_THREE_DIM_1 = 3;
const int CMFE_EQUATIONS_SET_LINEAR_SOURCE_DIFFUSION_THREE_DIM_1 = 3;
const int CMFE_EQUATIONS_SET_QUADRATIC_SOURCE_DIFFUSION_ONE_DIM_1 = 1;
const int CMFE_EQUATIONS_SET_EXPONENTIAL_SOURCE_DIFFUSION_ONE_DIM_1 = 1;
const int CMFE_EQUATIONS_SET_MULTI_COMP_DIFFUSION_TWO_COMP_TWO_DIM = 4; /*<Prescribed solution, using a source term to correct for error - 2D with 2 compartments */
const int CMFE_EQUATIONS_SET_MULTI_COMP_DIFFUSION_TWO_COMP_THREE_DIM = 5; /*<Prescribed solution, using a source term to correct for error - 3D with 2 compartments */
const int CMFE_EQUATIONS_SET_MULTI_COMP_DIFFUSION_THREE_COMP_THREE_DIM = 6; /*<Prescribed solution, using a source term to correct for error - 3D with 3 compartments */
const int CMFE_EQUATIONS_SET_MULTI_COMP_DIFFUSION_FOUR_COMP_THREE_DIM = 7; /*<Prescribed solution, using a source term to correct for error - 3D with 3 compartments */
/*>@} */
/*>\addtogroup OPENCMISS_AdvectionDiffusionAnalyticFunctionTypes OPENCMISS::EquationsSet::AnalyticFunctionTypes::AdvectionDiffusion */
/*>\brief The analytic function types for an advection-diffusion equation. */
/*>\see OPENCMISS::EquationsSet::AnalyticFunctionTypes,OPENCMISS */
/*>@{ */
const int CMFE_EQUATIONS_SET_ADVECTION_DIFFUSION_EQUATION_TWO_DIM_1 = 1; /*<u=exp(-kt)*sin(sqrt(k)*(x*cos(phi)+y*sin(phi))) \see OPENCMISS_EquationsSetDiffusionAnalyticFunctionTypes,OPENCMISS */
/*>\addtogroup OPENCMISS_StokesAnalyticFunctionTypes OPENCMISS::EquationsSet::AnalyticFunctionTypes::Stokes */
/*>\brief The analytic function types for a Stokes equation. */
/*>\see OPENCMISS::EquationsSet::AnalyticFunctionTypes,OPENCMISS */
/*>@{ */
const int CMFE_EQUATIONS_SET_STOKES_EQUATION_TWO_DIM_1 = 1; /*<u=tbd \see OPENCMISS_EquationsSetStokesAnalyticFunctionTypes,OPENCMISS */
const int CMFE_EQUATIONS_SET_STOKES_EQUATION_TWO_DIM_2 = 2; /*<u=tbd \see OPENCMISS_EquationsSetStokesAnalyticFunctionTypes,OPENCMISS */
const int CMFE_EQUATIONS_SET_STOKES_EQUATION_TWO_DIM_3 = 3; /*<u=tbd \see OPENCMISS_EquationsSetStokesAnalyticFunctionTypes,OPENCMISS */
const int CMFE_EQUATIONS_SET_STOKES_EQUATION_TWO_DIM_4 = 4; /*<u=tbd \see OPENCMISS_EquationsSetStokesAnalyticFunctionTypes,OPENCMISS */
const int CMFE_EQUATIONS_SET_STOKES_EQUATION_TWO_DIM_5 = 5; /*<u=tbd \see OPENCMISS_EquationsSetStokesAnalyticFunctionTypes,OPENCMISS */
const int CMFE_EQUATIONS_SET_STOKES_EQUATION_THREE_DIM_1 = 6; /*<u=tbd \see OPENCMISS_EquationsSetStokesAnalyticFunctionTypes,OPENCMISS */
const int CMFE_EQUATIONS_SET_STOKES_EQUATION_THREE_DIM_2 = 7; /*<u=tbd \see OPENCMISS_EquationsSetStokesAnalyticFunctionTypes,OPENCMISS */
const int CMFE_EQUATIONS_SET_STOKES_EQUATION_THREE_DIM_3 = 8; /*<u=tbd \see OPENCMISS_EquationsSetStokesAnalyticFunctionTypes,OPENCMISS */
const int CMFE_EQUATIONS_SET_STOKES_EQUATION_THREE_DIM_4 = 9; /*<u=tbd \see OPENCMISS_EquationsSetStokesAnalyticFunctionTypes,OPENCMISS */
const int CMFE_EQUATIONS_SET_STOKES_EQUATION_THREE_DIM_5 = 10; /*<u=tbd \see OPENCMISS_EquationsSetStokesAnalyticFunctionTypes,OPENCMISS */
/*>@} */
/*>\addtogroup OPENCMISS_NavierStokesAnalyticFunctionTypes OPENCMISS::EquationsSet::AnalyticFunctionTypes::NavierStokes */
/*>\brief The analytic function types for a Navier-Stokes equation. */
/*>\see OPENCMISS::EquationsSet::AnalyticFunctionTypes,OPENCMISS */
/*>@{ */
const int CMFE_EQUATIONS_SET_NAVIER_STOKES_EQUATION_TWO_DIM_POISEUILLE = 12; /*<fully developed 2D channel flow (parabolic) \see OPENCMISS_EquationsSetNavierStokesAnalyticFunctionTypes,OPENCMISS */
const int CMFE_EQUATIONS_SET_NAVIER_STOKES_EQUATION_TWO_DIM_TAYLOR_GREEN = 13; /*<2D dynamic nonlinear Taylor-Green vortex decay \see OPENCMISS_EquationsSetNavierStokesAnalyticFunctionTypes,OPENCMISS */
const int CMFE_EQUATIONS_SET_NAVIER_STOKES_EQUATION_FLOWRATE_AORTA = 14; /*<A fourier decomposed flow waveform for boundary conditions */
const int CMFE_EQUATIONS_SET_NAVIER_STOKES_EQUATION_SINUSOID = 15; /*<A sinusoidal flow waveform */
const int CMFE_EQUATIONS_SET_NAVIER_STOKES_EQUATION_SPLINT_FROM_FILE = 17; /*<Spline integration of dependent values specified in a file */
const int CMFE_EQUATIONS_SET_NAVIER_STOKES_EQUATION_TWO_DIM_1 = 1; /*<u=tbd \see OPENCMISS_EquationsSetNavierStokesAnalyticFunctionTypes,OPENCMISS */
const int CMFE_EQUATIONS_SET_NAVIER_STOKES_EQUATION_TWO_DIM_2 = 2; /*<u=tbd \see OPENCMISS_EquationsSetNavierStokesAnalyticFunctionTypes,OPENCMISS */
const int CMFE_EQUATIONS_SET_NAVIER_STOKES_EQUATION_TWO_DIM_3 = 3; /*<u=tbd \see OPENCMISS_EquationsSetNavierStokesAnalyticFunctionTypes,OPENCMISS */
const int CMFE_EQUATIONS_SET_NAVIER_STOKES_EQUATION_TWO_DIM_4 = 4; /*<u=tbd \see OPENCMISS_EquationsSetNavierStokesAnalyticFunctionTypes,OPENCMISS */
const int CMFE_EQUATIONS_SET_NAVIER_STOKES_EQUATION_TWO_DIM_5 = 5; /*<u=tbd \see OPENCMISS_EquationsSetNavierStokesAnalyticFunctionTypes,OPENCMISS */
const int CMFE_EQUATIONS_SET_NAVIER_STOKES_EQUATION_THREE_DIM_1 = 6; /*<u=tbd \see OPENCMISS_EquationsSetNavierStokesAnalyticFunctionTypes,OPENCMISS */
const int CMFE_EQUATIONS_SET_NAVIER_STOKES_EQUATION_THREE_DIM_2 = 7; /*<u=tbd \see OPENCMISS_EquationsSetNavierStokesAnalyticFunctionTypes,OPENCMISS */
const int CMFE_EQUATIONS_SET_NAVIER_STOKES_EQUATION_THREE_DIM_3 = 8; /*<u=tbd \see OPENCMISS_EquationsSetNavierStokesAnalyticFunctionTypes,OPENCMISS */
const int CMFE_EQUATIONS_SET_NAVIER_STOKES_EQUATION_THREE_DIM_4 = 9; /*<u=tbd \see OPENCMISS_EquationsSetNavierStokesAnalyticFunctionTypes,OPENCMISS */
const int CMFE_EQUATIONS_SET_NAVIER_STOKES_EQUATION_THREE_DIM_5 = 10; /*<u=tbd \see OPENCMISS_EquationsSetNavierStokesAnalyticFunctionTypes,OPENCMISS */
/*>@} */
/*>\addtogroup OPENCMISS_DarcyAnalyticFunctionTypes OPENCMISS::EquationsSet::AnalyticFunctionTypes::Darcy */
/*>\brief The analytic function types for a Darcy equation. */
/*>\see OPENCMISS::EquationsSet::AnalyticFunctionTypes,OPENCMISS */
/*>@{ */
const int CMFE_EQUATIONS_SET_DARCY_EQUATION_TWO_DIM_1 = 1; /*<u=tbd \see OPENCMISS_EquationsSetDarcyAnalyticFunctionTypes,OPENCMISS */
const int CMFE_EQUATIONS_SET_DARCY_EQUATION_TWO_DIM_2 = 2; /*<u=tbd \see OPENCMISS_EquationsSetDarcyAnalyticFunctionTypes,OPENCMISS */
const int CMFE_EQUATIONS_SET_DARCY_EQUATION_TWO_DIM_3 = 3; /*<u=tbd \see OPENCMISS_EquationsSetDarcyAnalyticFunctionTypes,OPENCMISS */
const int CMFE_EQUATIONS_SET_DARCY_EQUATION_THREE_DIM_1 = 4; /*<u=tbd \see OPENCMISS_EquationsSetDarcyAnalyticFunctionTypes,OPENCMISS */
const int CMFE_EQUATIONS_SET_DARCY_EQUATION_THREE_DIM_2 = 5; /*<u=tbd \see OPENCMISS_EquationsSetDarcyAnalyticFunctionTypes,OPENCMISS */
const int CMFE_EQUATIONS_SET_DARCY_EQUATION_THREE_DIM_3 = 6; /*<u=tbd \see OPENCMISS_EquationsSetDarcyAnalyticFunctionTypes,OPENCMISS */
const int CMFE_EQUATIONS_SET_INCOMP_ELAST_DARCY_ANALYTIC_DARCY = 7; /*<this is a solution where the finite elasticity solve is skipped to allow easy analytic testing of the mass increase & velocity solve step of incompressible poromechanical model */
/*>@} */
/*>\addtogroup OPENCMISS_BurgersAnalyticFunctionTypes OPENCMISS::EquationsSet::AnalyticFunctionTypes::Burgers */
/*>\brief The analytic function types for a Burgers equation. */
/*>\see OPENCMISS::EquationsSet::AnalyticFunctionTypes,OPENCMISS */
/*>@{ */
const int CMFE_EQUATIONS_SET_BURGERS_EQUATION_ONE_DIM_1 = 1;
const int CMFE_EQUATIONS_SET_GENERALISED_BURGERS_EQUATION_ONE_DIM_1 = 1;
const int CMFE_EQUATIONS_SET_GENERALISED_BURGERS_EQUATION_ONE_DIM_2 = 2;
const int CMFE_EQUATIONS_SET_STATIC_BURGERS_EQUATION_ONE_DIM_1 = 1;
/*>@} */
/*>\addtogroup OPENCMISS_EquationsSetLinearElasticityAnalyticFunctionTypes OPENCMISS::EquationsSet::AnalyticFunctionTypes::LinearElasticity */
/*>\brief The analytic function types for a LinearElasticity equation */
/*>\see OPENCMISS::EquationsSet::AnalyticFunctionTypes,OPENCMISS */
/*>@{ */
const int CMFE_EQUATIONS_SET_LINEAR_ELASTICITY_ONE_DIM_1 = 1; /*<u=tbd \see OPENCMISS_EquationsSetLinearElasticityAnalyticFunctionTypes,OPENCMISS */
const int CMFE_EQUATIONS_SET_LINEAR_ELASTICITY_TWO_DIM_1 = 2; /*<u=tbd \see OPENCMISS_EquationsSetLinearElasticityAnalyticFunctionTypes,OPENCMISS */
const int CMFE_EQUATIONS_SET_LINEAR_ELASTICITY_TWO_DIM_2 = 3; /*<u=tbd \see OPENCMISS_EquationsSetLinearElasticityAnalyticFunctionTypes,OPENCMISS */
const int CMFE_EQUATIONS_SET_LINEAR_ELASTICITY_THREE_DIM_1 = 4; /*<u=tbd \see OPENCMISS_EquationsSetLinearElasticityAnalyticFunctionTypes,OPENCMISS */
const int CMFE_EQUATIONS_SET_LINEAR_ELASTICITY_THREE_DIM_2 = 5; /*<u=tbd \see OPENCMISS_EquationsSetLinearElasticityAnalyticFunctionTypes,OPENCMISS */
/*>@} */
/*>\addtogroup OPENCMISS_EquationsSetFiniteElasticityAnalyticFunctionTypes OPENCMISS::EquationsSet::AnalyticFunctionTypes::FiniteElasticity */
/*>\brief The analytic function types for a FiniteElasticity equation */
/*>\see OPENCMISS::EquationsSet::AnalyticFunctionTypes,OPENCMISS */
/*>@{ */
const int CMFE_EQUATIONS_SET_FINITE_ELASTICITY_CYLINDER = 1; /*<u=tbd \see OPENCMISS_EquationsSetLinearElasticityAnalyticFunctionTypes,OPENCMISS */
/*>@} */
/*>@} */
/*>@} */
/*>\addtogroup OPENCMISS_AnalyticParamIndices OPENCMISS::FiniteElasticity::AnalyticParamIndices */
/*>\brief Indices for EQUATIONS_SET_ANALYTIC_TYPE%ANALYTIC_USER_PARAMS */
/*>\see OPENCMISS::FiniteElasticity::AnalyticParamIndices,OPENCMISS */
/*>@{ */
const int CMFE_FINITE_ELASTICITY_ANALYTIC_CYLINDER_PARAM_PIN_IDX = 1; /*<Inner pressure parameter index \see OPENCMISS_AnalyticParamIndices,OPENCMISS */
const int CMFE_FINITE_ELASTICITY_ANALYTIC_CYLINDER_PARAM_POUT_IDX = 2; /*<Outer pressure parameter index \see OPENCMISS_AnalyticParamIndices,OPENCMISS */
const int CMFE_FINITE_ELASTICITY_ANALYTIC_CYLINDER_PARAM_LAMBDA_IDX = 3; /*<Lambda parameter index \see OPENCMISS_AnalyticParamIndices,OPENCMISS */
const int CMFE_FINITE_ELASTICITY_ANALYTIC_CYLINDER_PARAM_TSI_IDX = 4; /*<Tsi parameter index \see OPENCMISS_AnalyticParamIndices,OPENCMISS */
const int CMFE_FINITE_ELASTICITY_ANALYTIC_CYLINDER_PARAM_RIN_IDX = 5; /*<Inner radius parameter index \see OPENCMISS_AnalyticParamIndices,OPENCMISS */
const int CMFE_FINITE_ELASTICITY_ANALYTIC_CYLINDER_PARAM_ROUT_IDX = 6; /*<Outer radius parameter index \see OPENCMISS_AnalyticParamIndices,OPENCMISS */
const int CMFE_FINITE_ELASTICITY_ANALYTIC_CYLINDER_PARAM_C1_IDX = 7; /*<c1 parameter index \see OPENCMISS_AnalyticParamIndices,OPENCMISS */
const int CMFE_FINITE_ELASTICITY_ANALYTIC_CYLINDER_PARAM_C2_IDX = 8; /*<c2 parameter index \see OPENCMISS_AnalyticParamIndices,OPENCMISS */
/*>@} */
/*>\addtogroup OPENCMISS_FieldConstants OPENCMISS::Field::Constants */
/*>\brief Field constants. */
/*>@{ */
/*>\addtogroup OPENCMISS_FieldDependentTypes OPENCMISS::Field::DependentTypes */
/*>\brief Depedent field parameter types. */
/*>\see OPENCMISS::Field,OPENCMISS */
/*>@{ */
const int CMFE_FIELD_INDEPENDENT_TYPE = 1; /*<Independent field type \see OPENCMISS_FieldDependentTypes,OPENCMISS */
const int CMFE_FIELD_DEPENDENT_TYPE = 2; /*<Dependent field type \see OPENCMISS_FieldDependentTypes,OPENCMISS */
/*>@} */
/*>\addtogroup OPENCMISS_FieldDimensionTypes OPENCMISS::Field::DimensionTypes */
/*>\brief Field dimension parameter types. */
/*>\see OPENCMISS::Field,OPENCMISS */
/*>@{ */
const int CMFE_FIELD_SCALAR_DIMENSION_TYPE = 1; /*<Scalar field \see OPENCMISS_FieldDimensionTypes,OPENCMISS */
const int CMFE_FIELD_VECTOR_DIMENSION_TYPE = 2; /*<Vector field \see OPENCMISS_FieldDimensionTypes,OPENCMISS */
const int CMFE_FIELD_TENSOR_DIMENSION_TYPE = 3; /*<Tensor field \see OPENCMISS_FieldDimensionTypes,OPENCMISS */
/*>@} */
/*>\addtogroup OPENCMISS_FieldTypes OPENCMISS::Field::Types */
/*>\brief Field type parameters. */
/*>\see OPENCMISS::Field,OPENCMISS */
/*>@{ */
const int CMFE_FIELD_GEOMETRIC_TYPE = 1; /*<Geometric field \see OPENCMISS_FieldTypes,OPENCMISS */
const int CMFE_FIELD_FIBRE_TYPE = 2; /*<Fibre field \see OPENCMISS_FieldTypes,OPENCMISS */
const int CMFE_FIELD_GENERAL_TYPE = 3; /*<General field \see OPENCMISS_FieldTypes,OPENCMISS */
const int CMFE_FIELD_MATERIAL_TYPE = 4; /*<Material field \see OPENCMISS_FieldTypes,OPENCMISS */
const int CMFE_FIELD_GEOMETRIC_GENERAL_TYPE = 5; /*<Geometric general field \see OPENCMISS_FieldTypes,OPENCMISS */
/*>@} */
/*>\addtogroup OPENCMISS_FieldInterpolationTypes OPENCMISS::Field::InterpolationTypes */
/*>\brief Field interpolation parameters. */
/*>\see OPENCMISS::Field,OPENCMISS */
/*>@{ */
const int CMFE_FIELD_CONSTANT_INTERPOLATION = 1; /*<Constant interpolation. One parameter for the field \see OPENCMISS_FieldInterpolationTypes,OPENCMISS */
const int CMFE_FIELD_ELEMENT_BASED_INTERPOLATION = 2; /*<Element based interpolation. Parameters are different in each element \see OPENCMISS_FieldInterpolationTypes,OPENCMISS */
const int CMFE_FIELD_NODE_BASED_INTERPOLATION = 3; /*<Node based interpolation. Parameters are nodal based and a basis function is used \see OPENCMISS_FieldInterpolationTypes,OPENCMISS */
const int CMFE_FIELD_GRID_POINT_BASED_INTERPOLATION = 4; /*<Grid point based interpolation. Parameters are different at each grid point \see OPENCMISS_FieldInterpolationTypes,OPENCMISS */
const int CMFE_FIELD_GAUSS_POINT_BASED_INTERPOLATION = 5; /*<Gauss point based interpolation. Parameters are different at each Gauss point \see OPENCMISS_FieldInterpolationTypes,OPENCMISS */
const int CMFE_FIELD_DATA_POINT_BASED_INTERPOLATION = 6; /*<Data point based interpolation. Parameters are different at each data point \see OPENCMISS_FieldInterpolationTypes,OPENCMISS */
/*>@} */
/*>\addtogroup OPENCMISS_FieldVariableTypes OPENCMISS::Field::VariableTypes */
/*>\brief Field variable type parameters. */
/*>\see OPENCMISS::Field,OPENCMISS */
/*>@{ */
const int CMFE_FIELD_NUMBER_OF_VARIABLE_SUBTYPES = 4; /*<The number of subtypes of a variable - i.e., u, du/dn, du/dt, d^2u/dt^2 \see OPENCMISS_FieldVariableTypes,OPENCMISS */
const int CMFE_FIELD_U_VARIABLE_TYPE = 1; /*<Standard variable type i.e., u \see OPENCMISS_FieldVariableTypes,OPENCMISS */
const int CMFE_FIELD_DELUDELN_VARIABLE_TYPE = 2; /*<Normal derivative variable type i.e., du/dn \see OPENCMISS_FieldVariableTypes,OPENCMISS */
const int CMFE_FIELD_DELUDELT_VARIABLE_TYPE = 3; /*<First time derivative variable type i.e., du/dt \see OPENCMISS_FieldVariableTypes,OPENCMISS */
const int CMFE_FIELD_DEL2UDELT2_VARIABLE_TYPE = 4; /*<Second time derivative variable type i.e., d^2u/dt^2 \see OPENCMISS_FieldVariableTypes,OPENCMISS */
const int CMFE_FIELD_V_VARIABLE_TYPE = 5; /*<Second standard variable type i.e., v \see OPENCMISS_FieldVariableTypes,OPENCMISS */
const int CMFE_FIELD_DELVDELN_VARIABLE_TYPE = 6; /*<Second normal derivative variable type i.e., dv/dn \see OPENCMISS_FieldVariableTypes,OPENCMISS */
const int CMFE_FIELD_DELVDELT_VARIABLE_TYPE = 7; /*<Second first time derivative variable type i.e., dv/dt \see OPENCMISS_FieldVariableTypes,OPENCMISS */
const int CMFE_FIELD_DEL2VDELT2_VARIABLE_TYPE = 8; /*<Second second time derivative variable type i.e., d^2v/dt^2 \see OPENCMISS_FieldVariableTypes,OPENCMISS */
const int CMFE_FIELD_U1_VARIABLE_TYPE = 9; /*<Standard variable type i.e., u \see OPENCMISS_FieldVariableTypes,OPENCMISS */
const int CMFE_FIELD_DELU1DELN_VARIABLE_TYPE = 10; /*<Normal derivative variable type i.e., du/dn \see OPENCMISS_FieldVariableTypes,OPENCMISS */
const int CMFE_FIELD_DELU1DELT_VARIABLE_TYPE = 11; /*<First time derivative variable type i.e., du/dt \see OPENCMISS_FieldVariableTypes,OPENCMISS */
const int CMFE_FIELD_DEL2U1DELT2_VARIABLE_TYPE = 12; /*<Second time derivative variable type i.e., d^2u/dt^2 \see OPENCMISS_FieldVariableTypes,OPENCMISS */
const int CMFE_FIELD_U2_VARIABLE_TYPE = 13; /*<Standard variable type i.e., u \see OPENCMISS_FieldVariableTypes,OPENCMISS */
const int CMFE_FIELD_DELU2DELN_VARIABLE_TYPE = 14; /*<Normal derivative variable type i.e., du/dn \see OPENCMISS_FieldVariableTypes,OPENCMISS */
const int CMFE_FIELD_DELU2DELT_VARIABLE_TYPE = 15; /*<First time derivative variable type i.e., du/dt \see OPENCMISS_FieldVariableTypes,OPENCMISS */
const int CMFE_FIELD_DEL2U2DELT2_VARIABLE_TYPE = 16; /*<Second time derivative variable type i.e., d^2u/dt^2 \see OPENCMISS_FieldVariableTypes,OPENCMISS */
const int CMFE_FIELD_U3_VARIABLE_TYPE = 17; /*<Standard variable type i.e., u \see OPENCMISS_FieldVariableTypes,OPENCMISS */
const int CMFE_FIELD_DELU3DELN_VARIABLE_TYPE = 18; /*<Normal derivative variable type i.e., du/dn \see OPENCMISS_FieldVariableTypes,OPENCMISS */
const int CMFE_FIELD_DELU3DELT_VARIABLE_TYPE = 19; /*<First time derivative variable type i.e., du/dt \see OPENCMISS_FieldVariableTypes,OPENCMISS */
const int CMFE_FIELD_DEL2U3DELT2_VARIABLE_TYPE = 20; /*<Second time derivative variable type i.e., d^2u/dt^2 \see OPENCMISS_FieldVariableTypes,OPENCMISS */
const int CMFE_FIELD_U4_VARIABLE_TYPE = 21; /*<Standard variable type i.e., u \see OPENCMISS_FieldVariableTypes,OPENCMISS */
const int CMFE_FIELD_DELU4DELN_VARIABLE_TYPE = 22; /*<Normal derivative variable type i.e., du/dn \see OPENCMISS_FieldVariableTypes,OPENCMISS */
const int CMFE_FIELD_DELU4DELT_VARIABLE_TYPE = 23; /*<First time derivative variable type i.e., du/dt \see OPENCMISS_FieldVariableTypes,OPENCMISS */
const int CMFE_FIELD_DEL2U4DELT2_VARIABLE_TYPE = 24; /*<Second time derivative variable type i.e., d^2u/dt^2 \see OPENCMISS_FieldVariableTypes,OPENCMISS */
const int CMFE_FIELD_U5_VARIABLE_TYPE = 25; /*<Standard variable type i.e., u \see OPENCMISS_FieldVariableTypes,OPENCMISS */
const int CMFE_FIELD_DELU5DELN_VARIABLE_TYPE = 26; /*<Normal derivative variable type i.e., du/dn \see OPENCMISS_FieldVariableTypes,OPENCMISS */
const int CMFE_FIELD_DELU5DELT_VARIABLE_TYPE = 27; /*<First time derivative variable type i.e., du/dt \see OPENCMISS_FieldVariableTypes,OPENCMISS */
const int CMFE_FIELD_DEL2U5DELT2_VARIABLE_TYPE = 28; /*<Second time derivative variable type i.e., d^2u/dt^2 \see OPENCMISS_FieldVariableTypes,OPENCMISS */
const int CMFE_FIELD_U6_VARIABLE_TYPE = 29; /*<Standard variable type i.e., u \see OPENCMISS_FieldVariableTypes,OPENCMISS */
const int CMFE_FIELD_DELU6DELN_VARIABLE_TYPE = 30; /*<Normal derivative variable type i.e., du/dn \see OPENCMISS_FieldVariableTypes,OPENCMISS */
const int CMFE_FIELD_DELU6DELT_VARIABLE_TYPE = 31; /*<First time derivative variable type i.e., du/dt \see OPENCMISS_FieldVariableTypes,OPENCMISS */
const int CMFE_FIELD_DEL2U6DELT2_VARIABLE_TYPE = 32; /*<Second time derivative variable type i.e., d^2u/dt^2 \see OPENCMISS_FieldVariableTypes,OPENCMISS */
const int CMFE_FIELD_U7_VARIABLE_TYPE = 33; /*<Standard variable type i.e., u \see OPENCMISS_FieldVariableTypes,OPENCMISS */
const int CMFE_FIELD_DELU7DELN_VARIABLE_TYPE = 34; /*<Normal derivative variable type i.e., du/dn \see OPENCMISS_FieldVariableTypes,OPENCMISS */
const int CMFE_FIELD_DELU7DELT_VARIABLE_TYPE = 35; /*<First time derivative variable type i.e., du/dt \see OPENCMISS_FieldVariableTypes,OPENCMISS */
const int CMFE_FIELD_DEL2U7DELT2_VARIABLE_TYPE = 36; /*<Second time derivative variable type i.e., d^2u/dt^2 \see OPENCMISS_FieldVariableTypes,OPENCMISS */
const int CMFE_FIELD_U8_VARIABLE_TYPE = 37; /*<Standard variable type i.e., u \see OPENCMISS_FieldVariableTypes,OPENCMISS */
const int CMFE_FIELD_DELU8DELN_VARIABLE_TYPE = 38; /*<Normal derivative variable type i.e., du/dn \see OPENCMISS_FieldVariableTypes,OPENCMISS */
const int CMFE_FIELD_DELU8DELT_VARIABLE_TYPE = 39; /*<First time derivative variable type i.e., du/dt \see OPENCMISS_FieldVariableTypes,OPENCMISS */
const int CMFE_FIELD_DEL2U8DELT2_VARIABLE_TYPE = 40; /*<Second time derivative variable type i.e., d^2u/dt^2 \see OPENCMISS_FieldVariableTypes,OPENCMISS */
const int CMFE_FIELD_U9_VARIABLE_TYPE = 41; /*<Standard variable type i.e., u \see OPENCMISS_FieldVariableTypes,OPENCMISS */
const int CMFE_FIELD_DELU9DELN_VARIABLE_TYPE = 42; /*<Normal derivative variable type i.e., du/dn \see OPENCMISS_FieldVariableTypes,OPENCMISS */
const int CMFE_FIELD_DELU9DELT_VARIABLE_TYPE = 43; /*<First time derivative variable type i.e., du/dt \see OPENCMISS_FieldVariableTypes,OPENCMISS */
const int CMFE_FIELD_DEL2U9DELT2_VARIABLE_TYPE = 44; /*<Second time derivative variable type i.e., d^2u/dt^2 \see OPENCMISS_FieldVariableTypes,OPENCMISS */
const int CMFE_FIELD_U10_VARIABLE_TYPE = 45; /*<Standard variable type i.e., u \see OPENCMISS_FieldVariableTypes,OPENCMISS */
const int CMFE_FIELD_DELU10DELN_VARIABLE_TYPE = 46; /*<Normal derivative variable type i.e., du/dn \see OPENCMISS_FieldVariableTypes,OPENCMISS */
const int CMFE_FIELD_DELU10DELT_VARIABLE_TYPE = 47; /*<First time derivative variable type i.e., du/dt \see OPENCMISS_FieldVariableTypes,OPENCMISS */
const int CMFE_FIELD_DEL2U10DELT2_VARIABLE_TYPE = 48; /*<Second time derivative variable type i.e., d^2u/dt^2 \see OPENCMISS_FieldVariableTypes,OPENCMISS */
/*>@} */
/*>\addtogroup OPENCMISS_FieldDataTypes OPENCMISS::Field::DataTypes */
/*>\brief Field data types */
/*>\see OPENCMISS::Field,OPENCMISS */
/*>@{ */
const int CMFE_FIELD_INTG_TYPE = 1; /*<Integer field data type \see OPENCMISS_FieldDataTypes,OPENCMISS */
const int CMFE_FIELD_SP_TYPE = 2; /*<Single precision real field data type \see OPENCMISS_FieldDataTypes,OPENCMISS */
const int CMFE_FIELD_DP_TYPE = 3; /*<Double precision real field data type \see OPENCMISS_FieldDataTypes,OPENCMISS */
const int CMFE_FIELD_L_TYPE = 4; /*<Logical field data type \see OPENCMISS_FieldDataTypes,OPENCMISS */
/*>@} */
/*>\addtogroup OPENCMISS_FieldDOFOrderTypes OPENCMISS::Field::DOFOrderTypes */
/*>\brief Field DOF order types */
/*>\see OPENCMISS::Field,OPENCMISS */
/*>@{ */
const int CMFE_FIELD_SEPARATED_COMPONENT_DOF_ORDER = 1; /*<Field variable component dofs are not contiguous \see OPENCMISS_FieldDOFOrderTypes,OPENCMISS */
const int CMFE_FIELD_CONTIGUOUS_COMPONENT_DOF_ORDER = 2; /*<Field variable component dofs are contiguous \see OPENCMISS_FieldDOFOrderTypes,OPENCMISS */
/*>@} */
/*>\addtogroup OPENCMISS_FieldParameterSetTypes OPENCMISS::Field::ParameterSetTypes */
/*>\brief Field parameter set type parameters */
/*>\see OPENCMISS::Field,OPENCMISS */
/*>@{ */
const int CMFE_FIELD_VALUES_SET_TYPE = 1; /*<The parameter set corresponding to the field values (at time T+DT for dynamic problems) \see OPENCMISS_FieldParameterSetTypes,OPENCMISS */
const int CMFE_FIELD_BOUNDARY_CONDITIONS_SET_TYPE = 2; /*<The parameter set corresponding to the field boundary condition values \see OPENCMISS_FieldParameterSetTypes,OPENCMISS */
const int CMFE_FIELD_INITIAL_VALUES_SET_TYPE = 3; /*<The parameter set corresponding to the field initial values \see OPENCMISS_FieldParameterSetTypes,OPENCMISS */
const int CMFE_FIELD_INCREMENTAL_VALUES_SET_TYPE = 4; /*<The parameter set corresponding to the field incremental values \see OPENCMISS_FieldParameterSetTypes,OPENCMISS */
const int CMFE_FIELD_ANALYTIC_VALUES_SET_TYPE = 5; /*<The parameter set corresponding to the analytic field values \see OPENCMISS_FieldParameterSetTypes,OPENCMISS */
const int CMFE_FIELD_PREVIOUS_VALUES_SET_TYPE = 6; /*<The parameter set corresponding to the previous field values (at time T) \see OPENCMISS_FieldParameterSetTypes,OPENCMISS */
const int CMFE_FIELD_MEAN_PREDICTED_DISPLACEMENT_SET_TYPE = 7; /*<The parameter set corresponding to the mean predicited avalues (at time T+DT) \see OPENCMISS_FieldParameterSetTypes,OPENCMISS */
const int CMFE_FIELD_VELOCITY_VALUES_SET_TYPE = 8; /*<The parameter set corresponding to the velocity values (at time T+DT) \see OPENCMISS_FieldParameterSetTypes,OPENCMISS */
const int CMFE_FIELD_INITIAL_VELOCITY_SET_TYPE = 9; /*<The parameter set corresponding to the initial velocity values for dynamic problems. This is also the previous velocity values \see OPENCMISS_FieldParameterSetTypes,OPENCMISS */
const int CMFE_FIELD_PREVIOUS_VELOCITY_SET_TYPE = 9; /*<The parameter set corresponding to the previous velocity values (at time T). This is also the initial velocity values for dynamic problems. \see OPENCMISS_FieldParameterSetTypes,OPENCMISS */
const int CMFE_FIELD_MEAN_PREDICTED_VELOCITY_SET_TYPE = 10; /*<The parameter set corresponding to the mean predicited velocity values (at time T+DT) \see OPENCMISS_FieldParameterSetTypes,OPENCMISS */
const int CMFE_FIELD_ACCELERATION_VALUES_SET_TYPE = 11; /*<The parameter set corresponding to the acceleration values (at time T+DT) \see OPENCMISS_FieldParameterSetTypes,OPENCMISS */
const int CMFE_FIELD_INITIAL_ACCELERATION_SET_TYPE = 12; /*<The parameter set corresponding to the initial acceleration values for dynamic problems. This is also the previous accelearation values \see OPENCMISS_FieldParameterSetTypes,OPENCMISS */
const int CMFE_FIELD_PREVIOUS_ACCELERATION_SET_TYPE = 12; /*<The parameter set corresponding to the previous acceleration values (at time T).This is also the initial acceleration values for dynamic problems. \see OPENCMISS_FieldParameterSetTypes,OPENCMISS */
const int CMFE_FIELD_MEAN_PREDICTED_ACCELERATION_SET_TYPE = 13; /*<The parameter set corresponding to the mean predicited acceleration values (at time T+DT) \see OPENCMISS_FieldParameterSetTypes,OPENCMISS */
const int CMFE_FIELD_PRESSURE_VALUES_SET_TYPE = 29; /*<The parameter set corresponding to the surface pressure values. \see OPENCMISS_FieldParameterSetTypes,OPENCMISS */
const int CMFE_FIELD_PREVIOUS_PRESSURE_SET_TYPE = 30; /*<The parameter set corresponding to the previous surface pressure values (at time T). \see OPENCMISS_FieldParameterSetTypes,OPENCMISS */
const int CMFE_FIELD_IMPERMEABLE_FLAG_VALUES_SET_TYPE = 34; /*<The parameter set corresponding to the impermeable flag values. \see OPENCMISS_FieldParameterSetTypes,OPENCMISS */
const int CMFE_FIELD_INTEGRATED_NEUMANN_SET_TYPE = 35; /*<Stores integrated Neumann values calculated from Neumann point values. \see OPENCMISS_FieldParameterSetTypes,OPENCMISS */
const int CMFE_FIELD_MESH_DISPLACEMENT_SET_TYPE = 19; /*<The parameter set corresponding to the mesh displacement values for ALE \see OPENCMISS_FieldParameterSetTypes,OPENCMISS */
const int CMFE_FIELD_MESH_VELOCITY_SET_TYPE = 20; /*<The parameter set corresponding to the mesh velocity values for ALE \see OPENCMISS_FieldParameterSetTypes,OPENCMISS */
/*>@} */
/*>\addtogroup OPENCMISS_FieldScalingTypes OPENCMISS::Field::ScalingTypes */
/*>\brief Field scaling type parameters */
/*>\see OPENCMISS::Field,OPENCMISS */
/*>@{ */
const int CMFE_FIELD_NO_SCALING = 0; /*<The field is not scaled \see OPENCMISS_FieldScalingTypes,OPENCMISS */
const int CMFE_FIELD_UNIT_SCALING = 1; /*<The field has unit scaling \see OPENCMISS_FieldScalingTypes,OPENCMISS */
const int CMFE_FIELD_ARC_LENGTH_SCALING = 2; /*<The field has arc length scaling \see OPENCMISS_FieldScalingTypes,OPENCMISS */
const int CMFE_FIELD_ARITHMETIC_MEAN_SCALING = 3; /*<The field has arithmetic mean of the arc length scaling \see OPENCMISS_FieldScalingTypes,OPENCMISS */
const int CMFE_FIELD_GEOMETRIC_MEAN_SCALING = 4; /*<The field has geometric mean of the arc length scaling \see OPENCMISS_FieldScalingTypes,OPENCMISS */
const int CMFE_FIELD_HARMONIC_MEAN_SCALING = 5; /*<The field has geometric mean of the arc length scaling \see OPENCMISS_FieldScalingTypes,OPENCMISS */
/*>@} */
/*>@} */
/*>\addtogroup OPENCMISS_GeneratedMeshConstants OPENCMISS::GeneratedMesh::Constants */
/*>\brief Generated mesh constants. */
/*>@{ */
/*>\addtogroup OPENCMISS_GeneratedMeshTypes OPENCMISS::GeneratedMesh::Types */
/*>\brief Generated mesh types. */
/*>\see OPENCMISS::GeneratedMesh,OPENCMISS */
/*>@{ */
const int CMFE_GENERATED_MESH_REGULAR_MESH_TYPE = 1; /*<A regular generated mesh. \see OPENCMISS_GeneratedMeshTypes,OPENCMISS */
const int CMFE_GENERATED_MESH_POLAR_MESH_TYPE = 2; /*<A polar generated mesh. \see OPENCMISS_GeneratedMeshTypes,OPENCMISS */
const int CMFE_GENERATED_MESH_FRACTAL_TREE_MESH_TYPE = 3; /*<A fractal tree generated mesh. \see OPENCMISS_GeneratedMeshTypes,OPENCMISS */
const int CMFE_GENERATED_MESH_CYLINDER_MESH_TYPE = 4; /*<A cylinder generated mesh. \see OPENCMISS_GeneratedMeshTypes,OPENCMISS */
const int CMFE_GENERATED_MESH_ELLIPSOID_MESH_TYPE = 5; /*<An ellipsoid generated mesh. \see OPENCMISS_GeneratedMeshTypes,OPENCMISS */
/*>@} */
/*>@} */
/*>\addtogroup OPENCMISS_GeneratedMeshConstants OPENCMISS::GeneratedMesh::Constants */
/*>\brief Generated mesh constants. */
/*>@{ */
/*>\addtogroup OPENCMISS_GeneratedMeshSurfaceTypes OPENCMISS::GeneratedMesh::SurfaceTypes */
/*>\brief Generated mesh surface types. */
/*>\see OPENCMISS::GeneratedMesh,OPENCMISS */
/*>@{ */
const int CMFE_GENERATED_MESH_CYLINDER_INNER_SURFACE = 1; /*<Cylinder inner surface constant. \see OPENCMISS_GeneratedMeshSurfaceTypes,OPENCMISS */
const int CMFE_GENERATED_MESH_CYLINDER_OUTER_SURFACE = 2; /*<Cylinder outer surface. \see OPENCMISS_GeneratedMeshSurfaceTypes,OPENCMISS */
const int CMFE_GENERATED_MESH_CYLINDER_TOP_SURFACE = 3; /*<Cylinder top surface constant. \see OPENCMISS_GeneratedMeshSurfaceTypes,OPENCMISS */
const int CMFE_GENERATED_MESH_CYLINDER_BOTTOM_SURFACE = 4; /*<Cylinder bottom surface constant. \see OPENCMISS_GeneratedMeshSurfaceTypes,OPENCMISS */
const int CMFE_GENERATED_MESH_ELLIPSOID_INNER_SURFACE = 5; /*<Ellipsoid inner surface constant. \see OPENCMISS_GeneratedMeshSurfaceTypes,OPENCMISS */
const int CMFE_GENERATED_MESH_ELLIPSOID_OUTER_SURFACE = 6; /*<Ellipsoid outer surface constant. \see OPENCMISS_GeneratedMeshSurfaceTypes,OPENCMISS */
const int CMFE_GENERATED_MESH_ELLIPSOID_TOP_SURFACE = 7; /*<Ellipsoid top surface constant. \see OPENCMISS_GeneratedMeshSurfaceTypes,OPENCMISS */
const int CMFE_GENERATED_MESH_REGULAR_LEFT_SURFACE = 8; /*<Regular left surface constant. \see OPENCMISS_GeneratedMeshSurfaceTypes,OPENCMISS */
const int CMFE_GENERATED_MESH_REGULAR_RIGHT_SURFACE = 9; /*<Regular right surface constant. \see OPENCMISS_GeneratedMeshSurfaceTypes,OPENCMISS */
const int CMFE_GENERATED_MESH_REGULAR_TOP_SURFACE = 10; /*<Regular top surface constant. \see OPENCMISS_GeneratedMeshSurfaceTypes,OPENCMISS */
const int CMFE_GENERATED_MESH_REGULAR_BOTTOM_SURFACE = 11; /*<Regular bottom surface constant. \see OPENCMISS_GeneratedMeshSurfaceTypes,OPENCMISS */
const int CMFE_GENERATED_MESH_REGULAR_FRONT_SURFACE = 12; /*<Regular front surface constant. \see OPENCMISS_GeneratedMeshSurfaceTypes,OPENCMISS */
const int CMFE_GENERATED_MESH_REGULAR_BACK_SURFACE = 13; /*<Regular back surface constant. \see OPENCMISS_GeneratedMeshSurfaceTypes,OPENCMISS */
/*>@} */
/*>@} */
/*>\addtogroup OPENCMISS_InterfaceConditionConstants OPENCMISS::InterfaceConditions::Constants */
/*>\brief Interface conditions constants. */
/*>@{ */
/*>\addtogroup OPENCMISS_InterfaceConditionMethods OPENCMISS::InterfaceConditions::Methods */
/*>\brief Interface condition methods. */
/*>\see OPENCMISS::InterfaceConditions,OPENCMISS */
/*>@{ */
const int CMFE_INTERFACE_CONDITION_LAGRANGE_MULTIPLIERS_METHOD = 1; /*<Lagrange multipliers interface condition method. \see OPENCMISS_InterfaceConditionMethods,OPENCMISS */
const int CMFE_INTERFACE_CONDITION_AUGMENTED_LAGRANGE_METHOD = 2; /*<Augmented Lagrange multiplers interface condition method. \see OPENCMISS_InterfaceConditionMethods,OPENCMISS */
const int CMFE_INTERFACE_CONDITION_PENALTY_METHOD = 3; /*<Penalty interface condition method. \see OPENCMISS_InterfaceConditionMethods,OPENCMISS */
const int CMFE_INTERFACE_CONDITION_POINT_TO_POINT_METHOD = 4; /*<Point to point interface condition method. \see OPENCMISS_InterfaceConditionMethods,OPENCMISS */
/*>@} */
/*>\addtogroup OPENCMISS_InterfaceConditionOperators OPENCMISS::InterfaceConditions::Operators */
/*>\brief Interface condition operator types. */
/*>\see OPENCMISS::InterfaceConditions,OPENCMISS */
/*>@{ */
const int CMFE_INTERFACE_CONDITION_FIELD_CONTINUITY_OPERATOR = 1; /*<Continuous field operator, i.e., lambda.(u1_gauss-u2_gauss). \see OPENCMISS_InterfaceConditionOperators,OPENCMISS */
const int CMFE_INTERFACE_CONDITION_FIELD_NORMAL_CONTINUITY_OPERATOR = 2; /*<Continuous field normal operator, i.e., lambda(u_1.n_1-u_2.n_2). \see OPENCMISS_InterfaceConditionOperators,OPENCMISS */
const int CMFE_INTERFACE_CONDITION_FLS_CONTACT_OPERATOR = 3; /*<Frictionless contact operator, i.e., lambda.(x_1.n-x_2.n). \see OPENCMISS_InterfaceConditionOperators,OPENCMISS */
const int CMFE_INTERFACE_CONDITION_FLS_CONTACT_REPROJECT_OPERATOR = 4; /*<Frictionless contact operator, reproject at each newton iteration and has geometric linearisation terms i.e., lambda.(x_1.n-x_2.n). \see OPENCMISS_InterfaceConditionOperators,OPENCMISS */
const int CMFE_INTERFACE_CONDITION_SOLID_FLUID_OPERATOR = 5; /*<Solid fluid operator, i.e., lambda.(v_f-du_s/dt). \see OPENCMISS_InterfaceConditionOperators,OPENCMISS */
const int CMFE_INTERFACE_CONDITION_SOLID_FLUID_NORMAL_OPERATOR = 6; /*<Solid fluid normal operator, i.e., lambda(v_f.n_f-du_s/dt.n_s). \see OPENCMISS_InterfaceConditionOperators,OPENCMISS */
/*>@} */
/*>\addtogroup OPENCMISS_InterfaceConditionIntegrationTypes OPENCMISS::InterfaceConditions::IntegrationTypes */
/*>\brief Interface condition integration types. */
/*>\see OPENCMISS::InterfaceConditions,OPENCMISS */
/*>@{ */
const int CMFE_INTERFACE_CONDITION_GAUSS_INTEGRATION = 1; /*<Gauss points integration type, i.e. Loop over element Gauss points and sum up their contribution. \see OPENCMISS_InterfaceConditionIntegrationTypes,OPENCMISS */
const int CMFE_INTERFACE_CONDITION_DATA_POINTS_INTEGRATION = 2; /*<Data points integration type i.e. Loop over data points and  sum up their contribution. \see OPENCMISS_InterfaceConditionIntegrationTypes,OPENCMISS */
/*>@} */
/*>@} */
/*>\addtogroup OPENCMISS_InterfaceMatricesTimeDependenceTypes OPENCMISS::InterfaceMatrices::TimeDependenceTypes */
/*>\brief Interface matrices time dependency types */
/*>@{ */
/*>@} */
/*>\addtogroup OPENCMISS_MeshConstants OPENCMISS::Mesh::Constants */
/*>\brief Mesh constants. */
/*>@{ */
/*>\addtogroup OPENCMISS_DecompositionTypes OPENCMISS::Mesh::DecompositionTypes */
/*>\brief The Decomposition types parameters */
/*>\see OPENCMISS::Mesh,OPENCMISS */
/*>@{ */
const int CMFE_DECOMPOSITION_ALL_TYPE = 1; /*<The decomposition contains all elements. \see OPENCMISS_DecompositionTypes,OPENCMISS */
const int CMFE_DECOMPOSITION_CALCULATED_TYPE = 2; /*<The element decomposition is calculated by graph partitioning. \see OPENCMISS_DecompositionTypes,OPENCMISS */
const int CMFE_DECOMPOSITION_USER_DEFINED_TYPE = 3; /*<The user will set the element decomposition. \see OPENCMISS_DecompositionTypes,OPENCMISS */
/*>@} */
/*>@} */
/*>\addtogroup OPENCMISS_MatrixVectorConstants OPENCMISS::MatrixVector::Constants */
/*>\brief Distributed matrix and vector function constants. */
/*>@{ */
/*>\addtogroup OPENCMISS_MatrixStorageTypes OPENCMISS::MatrixVector::MatrixStorageTypes */
/*>\brief Type of matrix storage. */
/*>\see OPENCMISS::MatrixVectorConstants,OPENCMISS */
/*>@{ */
const int CMFE_MATRIX_BLOCK_STORAGE_TYPE = 0; /*<Distributed matrix block storage type \see OPENCMISS_MatrixStorageTypes,OPENCMISS */
const int CMFE_MATRIX_DIAGONAL_STORAGE_TYPE = 1; /*<Distributed matrix diagonal storage type \see OPENCMISS_MatrixStorageTypes,OPENCMISS */
const int CMFE_MATRIX_COLUMN_MAJOR_STORAGE_TYPE = 2; /*<Distributed matrix column major storage type \see OPENCMISS_MatrixStorageTypes,OPENCMISS */
const int CMFE_MATRIX_ROW_MAJOR_STORAGE_TYPE = 3; /*<Distributed matrix row major storage type \see OPENCMISS_MatrixStorageTypes,OPENCMISS */
const int CMFE_MATRIX_COMPRESSED_ROW_STORAGE_TYPE = 4; /*<Distributed matrix compressed row storage type \see OPENCMISS_MatrixStorageTypes,OPENCMISS */
const int CMFE_MATRIX_COMPRESSED_COLUMN_STORAGE_TYPE = 5; /*<Distributed matrix compressed column storage type \see OPENCMISS_MatrixStorageTypes,OPENCMISS */
const int CMFE_MATRIX_ROW_COLUMN_STORAGE_TYPE = 6; /*<Distributed matrix row-column storage type \see OPENCMISS_MatrixStorageTypes,OPENCMISS */
/*>@} */
/*>\addtogroup OPENCMISS_MatrixVectorDataTypes OPENCMISS::MatrixVector::DataTypes */
/*>\brief Type of data stored in matrices and vectors. */
/*>\see OPENCMISS::MatrixVectorConstants,OPENCMISS */
/*>@{ */
const int CMFE_MATRIX_VECTOR_INTG_TYPE = 1;
const int CMFE_MATRIX_VECTOR_SP_TYPE = 4; /*<Single precision real distributed matrix-vector data type \see OPENCMISS_MatrixVectorDataTypes,OPENCMISS */
const int CMFE_MATRIX_VECTOR_DP_TYPE = 5; /*<Double precision real distributed matrix-vector data type \see OPENCMISS_MatrixVectorDataTypes,OPENCMISS */
const int CMFE_MATRIX_VECTOR_L_TYPE = 8; /*<Logical distributed matrix-vector data type \see OPENCMISS_MatrixVectorDataTypes,OPENCMISS */
/*>@} */
/*>@} */
/*>\addtogroup OPENCMISS_ProblemConstants OPENCMISS::Problem::Constants */
/*>\brief Problem constants. */
/*>@{ */
/*>\addtogroup OPENCMISS_ProblemClasses OPENCMISS::Problem::Classes */
/*>\brief Problem classes. */
/*>\see OPENCMISS::Problem,OPENCMISS */
/*>@{ */
const int CMFE_PROBLEM_NO_CLASS = 0; /*<No problem class \see OPENCMISS_ProblemClasses,OPENCMISS */
const int CMFE_PROBLEM_ELASTICITY_CLASS = 1; /*<Elasticity problem class \see OPENCMISS_ProblemClasses,OPENCMISS */
const int CMFE_PROBLEM_FLUID_MECHANICS_CLASS = 2; /*<Fluid mechanics problem class \see OPENCMISS_ProblemClasses,OPENCMISS */
const int CMFE_PROBLEM_ELECTROMAGNETICS_CLASS = 3; /*<Electromagnetics problem class \see OPENCMISS_ProblemClasses,OPENCMISS */
const int CMFE_PROBLEM_CLASSICAL_FIELD_CLASS = 4; /*<Classical field problem class \see OPENCMISS_ProblemClasses,OPENCMISS */
const int CMFE_PROBLEM_BIOELECTRICS_CLASS = 5; /*<Bioelectrics problem class \see OPENCMISS_ProblemClasses,OPENCMISS */
const int CMFE_PROBLEM_MODAL_CLASS = 6; /*<Modal problem class \see OPENCMISS_ProblemClasses,OPENCMISS */
const int CMFE_PROBLEM_FITTING_CLASS = 7; /*<Fitting problem class \see OPENCMISS_ProblemClasses,OPENCMISS */
const int CMFE_PROBLEM_OPTIMISATION_CLASS = 8; /*<Optimisation problem class \see OPENCMISS_ProblemClasses,OPENCMISS */
const int CMFE_PROBLEM_MULTI_PHYSICS_CLASS = 9; /*<Multi physics problem class \see OPENCMISS_ProblemClasses,OPENCMISS */
/*>@} */
/*>\addtogroup OPENCMISS_ProblemTypes OPENCMISS::Problem::Types */
/*>\brief Problem Types. */
/*>\see OPENCMISS::Problem,OPENCMISS */
/*>@{ */
const int CMFE_PROBLEM_NO_TYPE = 0; /*<No problem type \see OPENCMISS_ProblemTypes,OPENCMISS */
const int CMFE_PROBLEM_LINEAR_ELASTICITY_TYPE = 1; /*<Linear elasticity problem type \see OPENCMISS_ProblemTypes,OPENCMISS */
const int CMFE_PROBLEM_FINITE_ELASTICITY_TYPE = 2; /*<Finite elasticity problem type \see OPENCMISS_ProblemTypes,OPENCMISS */
const int CMFE_PROBLEM_LINEAR_ELASTICITY_CONTACT_TYPE = 3; /*<Linear elasticity problem subject to contact contstraint type \see OPENCMISS_ProblemTypes,OPENCMISS */
const int CMFE_PROBLEM_FINITE_ELASTICITY_CONTACT_TYPE = 4; /*<Finite elasticity problem subject to contact constraint type \see OPENCMISS_ProblemTypes,OPENCMISS */
const int CMFE_PROBLEM_STOKES_EQUATION_TYPE = 1; /*<Stokes equation problem type \see OPENCMISS_ProblemTypes,OPENCMISS */
const int CMFE_PROBLEM_NAVIER_STOKES_EQUATION_TYPE = 2; /*<Navier-Stokes problem type \see OPENCMISS_ProblemTypes,OPENCMISS */
const int CMFE_PROBLEM_DARCY_EQUATION_TYPE = 3; /*<Darcy equation problem type \see OPENCMISS_ProblemTypes,OPENCMISS */
const int CMFE_PROBLEM_POISEUILLE_EQUATION_TYPE = 5; /*<Poiseuille equation problem type \see OPENCMISS_ProblemTypes,OPENCMISS */
const int CMFE_PROBLEM_BURGERS_EQUATION_TYPE = 6; /*<Burgers equation problem type \see OPENCMISS_ProblemTypes,OPENCMISS */
const int CMFE_PROBLEM_ELECTROSTATIC_TYPE = 1; /*<Electrostatic problem type \see OPENCMISS_ProblemTypes,OPENCMISS */
const int CMFE_PROBLEM_MAGNETOSTATIC_TYPE = 2; /*<Magnetostatic problem type \see OPENCMISS_ProblemTypes,OPENCMISS */
const int CMFE_PROBLEM_MAXWELLS_EQUATIONS_TYPE = 3; /*<Maxwell's equations problem type \see OPENCMISS_ProblemTypes,OPENCMISS */
const int CMFE_PROBLEM_LAPLACE_EQUATION_TYPE = 1; /*<Laplace problem type \see OPENCMISS_ProblemTypes,OPENCMISS */
const int CMFE_PROBLEM_POISSON_EQUATION_TYPE = 2; /*<Poisson problem type \see OPENCMISS_ProblemTypes,OPENCMISS */
const int CMFE_PROBLEM_HELMHOLTZ_EQUATION_TYPE = 3; /*<Helmholtz problem type \see OPENCMISS_ProblemTypes,OPENCMISS */
const int CMFE_PROBLEM_WAVE_EQUATION_TYPE = 4; /*<Wave equation problem type \see OPENCMISS_ProblemTypes,OPENCMISS */
const int CMFE_PROBLEM_DIFFUSION_EQUATION_TYPE = 6; /*<Diffusion equation problem type \see OPENCMISS_ProblemTypes,OPENCMISS */
const int CMFE_PROBLEM_ADVECTION_DIFFUSION_EQUATION_TYPE = 7; /*<Advection-Diffusion equation problem type \see OPENCMISS_ProblemTypes,OPENCMISS */
const int CMFE_PROBLEM_REACTION_DIFFUSION_EQUATION_TYPE = 8; /*<Reaction-Diffusion equation problem type \see OPENCMISS_ProblemTypes,OPENCMISS */
const int CMFE_PROBLEM_BIHARMONIC_EQUATION_TYPE = 9; /*<Bi-harmonic equation problem type \see OPENCMISS_ProblemTypes,OPENCMISS */
const int CMFE_PROBLEM_MONODOMAIN_EQUATION_TYPE = 1; /*<Monodomain equation problem type \see OPENCMISS_ProblemTypes,OPENCMISS */
const int CMFE_PROBLEM_BIDOMAIN_EQUATION_TYPE = 2; /*<Bidomain equation problem type \see OPENCMISS_ProblemTypes,OPENCMISS */
const int CMFE_PROBLEM_LINEAR_ELASTIC_MODAL_TYPE = 1; /*<Linear elastic modal problem type \see OPENCMISS_ProblemTypes,OPENCMISS */
const int CMFE_PROBLEM_DATA_FITTING_TYPE = 10; /*<Galerkin projection problem type \see OPENCMISS_ProblemTypes,OPENCMISS */
const int CMFE_PROBLEM_FINITE_ELASTICITY_DARCY_TYPE = 1; /*<Finite Elasticity Darcy problem type \see OPENCMISS_ProblemTypes,OPENCMISS */
const int CMFE_PROBLEM_FINITE_ELASTICITY_STOKES_TYPE = 2; /*<Finite Elasticity Stokes problem type \see OPENCMISS_ProblemTypes,OPENCMISS */
const int CMFE_PROBLEM_FINITE_ELASTICITY_NAVIER_STOKES_TYPE = 3; /*<Finite Elasticity NavierStokes problem type \see OPENCMISS_ProblemTypes,OPENCMISS */
const int CMFE_PROBLEM_DIFFUSION_DIFFUSION_TYPE = 4; /*<Diffusion Diffusion problem type \see OPENCMISS_ProblemTypes,OPENCMISS */
const int CMFE_PROBLEM_DIFFUSION_ADVECTION_DIFFUSION_TYPE = 5; /*<Diffusion Advection Diffusion problem type \see OPENCMISS_ProblemTypes,OPENCMISS */
const int CMFE_PROBLEM_MULTI_COMPARTMENT_TRANSPORT_TYPE = 6; /*<Multi-compartment transport problem type \see OPENCMISS_ProblemTypes,OPENCMISS */
const int CMFE_PROBLEM_FINITE_ELASTICITY_FLUID_PRESSURE_TYPE = 7; /*<Finite elasticity fluid pressure problem type \see OPENCMISS_ProblemTypes,OPENCMISS */
const int CMFE_PROBLEM_BIOELECTRIC_FINITE_ELASTICITY_TYPE = 8; /*<Monodomain finite elasticity problem type \see OPENCMISS_ProblemTypes,OPENCMISS */
const int CMFE_PROBLEM_MONODOMAIN_STRANG_SPLITTING_EQUATION_TYPE = 3; /*<Monodomain equation problem type \see OPENCMISS_ProblemTypes,OPENCMISS */
/*>@} */
/*>\addtogroup OPENCMISS_ProblemSubtypes OPENCMISS::Problem::Subtypes */
/*>\brief Problem Subtypes. */
/*>\see OPENCMISS::Problem,OPENCMISS */
/*>@{ */
const int CMFE_PROBLEM_NO_SUBTYPE = 0; /*<No problem subtype \see OPENCMISS_ProblemSubtypes,OPENCMISS */
const int CMFE_PROBLEM_STATIC_STOKES_SUBTYPE = 1; /*<Static Stokes problem subtype \see OPENCMISS_ProblemSubtypes,OPENCMISS */
const int CMFE_PROBLEM_LAPLACE_STOKES_SUBTYPE = 2; /*<Laplace type Stokes problem subtype \see OPENCMISS_ProblemSubtypes,OPENCMISS */
const int CMFE_PROBLEM_TRANSIENT_STOKES_SUBTYPE = 3; /*<Transient Stokes problem subtype \see OPENCMISS_ProblemSubtypes,OPENCMISS */
const int CMFE_PROBLEM_ALE_STOKES_SUBTYPE = 5; /*<ALE Stokes problem subtype \see OPENCMISS_ProblemSubtypes,OPENCMISS */
const int CMFE_PROBLEM_PGM_STOKES_SUBTYPE = 6; /*<PGM Stokes problem subtype \see OPENCMISS_ProblemSubtypes,OPENCMISS */
const int CMFE_PROBLEM_OPTIMISED_STOKES_SUBTYPE = 4; /*<Optimised Stokes problem subtype \see OPENCMISS_ProblemSubtypes,OPENCMISS */
const int CMFE_PROBLEM_STATIC_NAVIER_STOKES_SUBTYPE = 1; /*<Static Navier-Stokes problem subtype \see OPENCMISS_ProblemSubtypes,OPENCMISS */
const int CMFE_PROBLEM_LAPLACE_NAVIER_STOKES_SUBTYPE = 2; /*<Laplace type Navier-Stokes problem subtype \see OPENCMISS_ProblemSubtypes,OPENCMISS */
const int CMFE_PROBLEM_TRANSIENT_NAVIER_STOKES_SUBTYPE = 3; /*<Transient Navier-Stokes problem subtype \see OPENCMISS_ProblemSubtypes,OPENCMISS */
const int CMFE_PROBLEM_TRANSIENT_RBS_NAVIER_STOKES_SUBTYPE = 9; /*<Transient stabilised Navier-Stokes problem subtype \see OPENCMISS_ProblemSubtypes,OPENCMISS */
const int CMFE_PROBLEM_MULTISCALE_NAVIER_STOKES_SUBTYPE = 10; /*<Transient stabilised Navier-Stokes problem with multiscale boundary coupling subtype \see OPENCMISS_ProblemSubtypes,OPENCMISS */
const int CMFE_PROBLEM_TRANSIENT1D_NAVIER_STOKES_SUBTYPE = 8; /*<TRANSIENT1D Navier-Stokes problem subtype \see OPENCMISS_ProblemSubtypes,OPENCMISS */
const int CMFE_PROBLEM_COUPLED1D0D_NAVIER_STOKES_SUBTYPE = 11; /*<Coupled 1D-DAE Navier-Stokes problem subtype \see OPENCMISS_ProblemSubtypes,OPENCMISS */
const int CMFE_PROBLEM_TRANSIENT1D_ADV_NAVIER_STOKES_SUBTYPE = 13; /*<TRANSIENT1D Navier-Stokes problem subtype with Advection \see OPENCMISS_ProblemSubtypes,OPENCMISS */
const int CMFE_PROBLEM_COUPLED1D0D_ADV_NAVIER_STOKES_SUBTYPE = 14; /*<Coupled 1D-DAE Navier-Stokes problem subtype with Advection \see OPENCMISS_ProblemSubtypes,OPENCMISS */
const int CMFE_PROBLEM_STREE1D0D_SUBTYPE = 14; /*<Coupled 1D-DAE Navier-Stokes problem subtype with Advection \see OPENCMISS_ProblemSubtypes,OPENCMISS */
const int CMFE_PROBLEM_STREE1D0D_ADV_SUBTYPE = 14; /*<Coupled 1D-DAE Navier-Stokes problem subtype with Advection \see OPENCMISS_ProblemSubtypes,OPENCMISS */
const int CMFE_PROBLEM_ALE_NAVIER_STOKES_SUBTYPE = 5; /*<ALE Navier-Stokes problem subtype \see OPENCMISS_ProblemSubtypes,OPENCMISS */
const int CMFE_PROBLEM_PGM_NAVIER_STOKES_SUBTYPE = 6; /*<PGM Navier-Stokes problem subtype \see OPENCMISS_ProblemSubtypes,OPENCMISS */
const int CMFE_PROBLEM_OPTIMISED_NAVIER_STOKES_SUBTYPE = 4; /*<Optimised Navier-Stokes problem subtype \see OPENCMISS_ProblemSubtypes,OPENCMISS */
const int CMFE_PROBLEM_STANDARD_DARCY_SUBTYPE = 1; /*<Standard Darcy problem subtype \see OPENCMISS_ProblemSubtypes,OPENCMISS */
const int CMFE_PROBLEM_QUASISTATIC_DARCY_SUBTYPE = 2; /*<Quasistatic Darcy problem subtype \see OPENCMISS_ProblemSubtypes,OPENCMISS */
const int CMFE_PROBLEM_ALE_DARCY_SUBTYPE = 3; /*<ALE Darcy problem subtype \see OPENCMISS_ProblemSubtypes,OPENCMISS */
const int CMFE_PROBLEM_TRANSIENT_DARCY_SUBTYPE = 4; /*<Transient Darcy problem subtype \see OPENCMISS_ProblemSubtypes,OPENCMISS */
const int CMFE_PROBLEM_PGM_DARCY_SUBTYPE = 5; /*<PGM Darcy problem subtype \see OPENCMISS_ProblemSubtypes,OPENCMISS */
const int CMFE_PROBLEM_PGM_TRANSIENT_DARCY_SUBTYPE = 6; /*<PGM Transient Darcy problem subtype \see OPENCMISS_ProblemSubtypes,OPENCMISS */
const int CMFE_PROBLEM_STANDARD_LAPLACE_SUBTYPE = 1; /*<Standard Laplace problem subtype \see OPENCMISS_ProblemSubtypes,OPENCMISS */
const int CMFE_PROBLEM_GENERALISED_LAPLACE_SUBTYPE = 2; /*<Generalised Laplace problem subtype \see OPENCMISS_ProblemSubtypes,OPENCMISS */
const int CMFE_PROBLEM_STATIC_POISEUILLE_SUBTYPE = 1; /*<Static Poiseuille problem subtype \see OPENCMISS_ProblemSubtypes,OPENCMISS */
const int CMFE_PROBLEM_DYNAMIC_POISEUILLE_SUBTYPE = 2; /*<Static Poiseuille problem subtype \see OPENCMISS_ProblemSubtypes,OPENCMISS */
const int CMFE_PROBLEM_EXTRACELLULAR_BIDOMAIN_POISSON_SUBTYPE = 7; /*<Linear source Poisson problem subtype \see OPENCMISS_ProblemSubtypes,OPENCMISS */
const int CMFE_PROBLEM_LINEAR_SOURCE_POISSON_SUBTYPE = 1; /*<Linear source Poisson problem subtype \see OPENCMISS_ProblemSubtypes,OPENCMISS */
const int CMFE_PROBLEM_LINEAR_PRESSURE_POISSON_SUBTYPE = 3; /*<Vector source Poisson problem subtype \see OPENCMISS_ProblemSubtypes,OPENCMISS */
const int CMFE_PROBLEM_NONLINEAR_PRESSURE_POISSON_SUBTYPE = 4; /*<Vector source Poisson problem subtype \see OPENCMISS_ProblemSubtypes,OPENCMISS */
const int CMFE_PROBLEM_ALE_PRESSURE_POISSON_SUBTYPE = 5; /*<Vector source Poisson problem subtype \see OPENCMISS_ProblemSubtypes,OPENCMISS */
const int CMFE_PROBLEM_FITTED_PRESSURE_POISSON_SUBTYPE = 6; /*<Vector source Poisson problem subtype \see OPENCMISS_ProblemSubtypes,OPENCMISS */
const int CMFE_PROBLEM_NONLINEAR_SOURCE_POISSON_SUBTYPE = 2; /*<Nonlinear source Poisson problem subtype \see OPENCMISS_ProblemSubtypes,OPENCMISS */
const int CMFE_PROBLEM_STANDARD_HELMHOLTZ_SUBTYPE = 2; /*<No source Helmholtz problem subtype \see OPENCMISS_ProblemSubtypes,OPENCMISS */
const int CMFE_PROBLEM_GENERALISED_HELMHOLTZ_SUBTYPE = 3; /*<No source Helmholtz problem subtype \see OPENCMISS_ProblemSubtypes,OPENCMISS */
const int CMFE_PROBLEM_NO_SOURCE_DIFFUSION_SUBTYPE = 1; /*<No source Diffusion problem subtype \see OPENCMISS_ProblemSubtypes,OPENCMISS */
const int CMFE_PROBLEM_LINEAR_SOURCE_DIFFUSION_SUBTYPE = 2; /*<Linear source Diffusion problem subtype \see OPENCMISS_ProblemSubtypes,OPENCMISS */
const int CMFE_PROBLEM_NONLINEAR_SOURCE_DIFFUSION_SUBTYPE = 3; /*<Nonlinear source Diffusion problem subtype \see OPENCMISS_ProblemSubtypes,OPENCMISS */
const int CMFE_PROBLEM_NO_SOURCE_ALE_DIFFUSION_SUBTYPE = 4; /*<No source Diffusion problem subtype \see OPENCMISS_ProblemSubtypes,OPENCMISS */
const int CMFE_PROBLEM_LINEAR_SOURCE_ALE_DIFFUSION_SUBTYPE = 5; /*<Linear source Diffusion problem subtype \see OPENCMISS_ProblemSubtypes,OPENCMISS */
const int CMFE_PROBLEM_NONLINEAR_SOURCE_ALE_DIFFUSION_SUBTYPE = 6; /*<Nonlinear source Diffusion problem subtype \see OPENCMISS_ProblemSubtypes,OPENCMISS */
const int CMFE_PROBLEM_NO_SOURCE_ADVECTION_DIFFUSION_SUBTYPE = 1; /*<No source advection-Diffusion problem subtype \see OPENCMISS_ProblemSubtypes,OPENCMISS */
const int CMFE_PROBLEM_LINEAR_SOURCE_ADVECTION_DIFFUSION_SUBTYPE = 2; /*<Linear source advection-Diffusion problem subtype \see OPENCMISS_ProblemSubtypes,OPENCMISS */
const int CMFE_PROBLEM_NONLINEAR_SOURCE_ADVECTION_DIFFUSION_SUBTYPE = 3; /*<Nonlinear source advection-Diffusion problem subtype \see OPENCMISS_ProblemSubtypes,OPENCMISS */
const int CMFE_PROBLEM_NO_SOURCE_ALE_ADVECTION_DIFFUSION_SUBTYPE = 4; /*<No source advection-Diffusion problem subtype \see OPENCMISS_ProblemSubtypes,OPENCMISS */
const int CMFE_PROBLEM_LINEAR_SOURCE_ALE_ADVECTION_DIFFUSION_SUBTYPE = 5; /*<Linear source advection-Diffusion problem subtype \see OPENCMISS_ProblemSubtypes,OPENCMISS */
const int CMFE_PROBLEM_NONLINEAR_SOURCE_ALE_ADVECTION_DIFFUSION_SUBTYPE = 6; /*<Nonlinear source advection-Diffusion problem subtype \see OPENCMISS_ProblemSubtypes,OPENCMISS */
const int CMFE_PROBLEM_NO_SOURCE_STATIC_ADVEC_DIFF_SUBTYPE = 7; /*<No source advection-Diffusion problem subtype \see OPENCMISS_ProblemSubtypes,OPENCMISS */
const int CMFE_PROBLEM_LINEAR_SOURCE_STATIC_ADVEC_DIFF_SUBTYPE = 8; /*<Linear source advection-Diffusion problem subtype \see OPENCMISS_ProblemSubtypes,OPENCMISS */
const int CMFE_PROBLEM_NONLINEAR_SOURCE_STATIC_ADVEC_DIFF_SUBTYPE = 9; /*<Nonlinear source advection-Diffusion problem subtype \see OPENCMISS_ProblemSubtypes,OPENCMISS */
const int CMFE_PROBLEM_STATIC_BURGERS_SUBTYPE = 1; /*<static Burgers problem subtype \see OPENCMISS_ProblemSubtypes,OPENCMISS */
const int CMFE_PROBLEM_DYNAMIC_BURGERS_SUBTYPE = 2; /*<dynamic Burgers problem subtype \see OPENCMISS_ProblemSubtypes,OPENCMISS */
const int CMFE_PROBLEM_CELLML_REAC_INTEG_REAC_DIFF_STRANG_SPLIT_SUBTYPE = 1;
const int CMFE_PROBLEM_CELLML_REAC_EVAL_REAC_DIFF_NO_SPLIT_SUBTYPE = 2;
const int CMFE_PROBLEM_CONSTANT_REAC_DIFF_NO_SPLIT_SUBTYPE = 3;
const int CMFE_PROBLEM_STANDARD_DATA_FITTING_SUBTYPE = 1; /*<Standard Galerkin projection problem subtype \see OPENCMISS_ProblemSubtypes,OPENCMISS */
const int CMFE_PROBLEM_VECTOR_DATA_FITTING_SUBTYPE = 4; /*<Standard Galerkin projection problem subtype \see OPENCMISS_ProblemSubtypes,OPENCMISS */
const int CMFE_PROBLEM_DIV_FREE_VECTOR_DATA_FITTING_SUBTYPE = 5; /*<Standard Galerkin projection problem subtype \see OPENCMISS_ProblemSubtypes,OPENCMISS */
const int CMFE_PROBLEM_DATA_POINT_VECTOR_STATIC_FITTING_SUBTYPE = 8; /*<Standard static Galerkin projection problem using data points subtype \see OPENCMISS_ProblemSubtypes,OPENCMISS */
const int CMFE_PROBLEM_DATA_PT_VECTOR_QUASISTATIC_FITTING_SUBTYPE = 9; /*<Standard quasistatic Galerkin projection problem using data points subtype \see OPENCMISS_ProblemSubtypes,OPENCMISS */
const int CMFE_PROBLEM_VECTOR_DATA_PRE_FITTING_SUBTYPE = 6; /*<Standard Galerkin projection problem subtype \see OPENCMISS_ProblemSubtypes,OPENCMISS */
const int CMFE_PROBLEM_DIV_FREE_VECTOR_DATA_PRE_FITTING_SUBTYPE = 7; /*<Standard Galerkin projection problem subtype \see OPENCMISS_ProblemSubtypes,OPENCMISS */
const int CMFE_PROBLEM_GENERALISED_DATA_FITTING_SUBTYPE = 2; /*<Generalised Galerkin projection problem subtype \see OPENCMISS_ProblemSubtypes,OPENCMISS */
const int CMFE_PROBLEM_MAT_PROPERTIES_DATA_FITTING_SUBTYPE = 3; /*<Material Properties Galerkin projection problem subtype \see OPENCMISS_ProblemSubtypes,OPENCMISS */
const int CMFE_PROBLEM_STANDARD_ELASTICITY_DARCY_SUBTYPE = 101; /*<Standard Elasticity Darcy problem subtype \see OPENCMISS_ProblemSubtypes,OPENCMISS */
const int CMFE_PROBLEM_PGM_ELASTICITY_DARCY_SUBTYPE = 102; /*<PGM Elasticity Darcy problem subtype \see OPENCMISS_ProblemSubtypes,OPENCMISS */
const int CMFE_PROBLEM_QUASISTATIC_ELASTICITY_TRANSIENT_DARCY_SUBTYPE = 103; /*<Quasistatic Elasticity Transient Darcy problem subtype \see OPENCMISS_ProblemSubtypes,OPENCMISS */
const int CMFE_PROBLEM_QUASISTATIC_ELAST_TRANS_DARCY_MAT_SOLVE_SUBTYPE = 104; /*<Quasistatic Elasticity Transient Darcy Material Solve problem subtype \see OPENCMISS_ProblemSubtypes,OPENCMISS */
const int CMFE_PROBLEM_COUPLED_SOURCE_DIFFUSION_DIFFUSION_SUBTYPE = 111; /*<Coupled source diffusion-diffusion problem subtype \see OPENCMISS_ProblemSubtypes,OPENCMISS */
const int CMFE_PROBLEM_COUPLED_SOURCE_DIFFUSION_ADVEC_DIFFUSION_SUBTYPE = 121; /*<Coupled source diffusion & advection-diffusion problem subtype \see OPENCMISS_ProblemSubtypes,OPENCMISS */
const int CMFE_PROBLEM_STANDARD_MULTI_COMPARTMENT_TRANSPORT_SUBTYPE = 131; /*<Standard multi-compartment transport problem subtype \see OPENCMISS_ProblemSubtypes,OPENCMISS */
const int CMFE_PROBLEM_STANDARD_ELASTICITY_FLUID_PRESSURE_SUBTYPE = 133; /*<Standard elasticity fluid pressure problem subtype \see OPENCMISS_ProblemSubtypes,OPENCMISS */
const int CMFE_PROBLEM_GUDUNOV_MONODOMAIN_SIMPLE_ELASTICITY_SUBTYPE = 141; /*<Transient monodomain simple elasticity problem subtype \see OPENCMISS_ProblemSubtypes,OPENCMISS */
const int CMFE_PROBLEM_GUDUNOV_MONODOMAIN_1D3D_ELASTICITY_SUBTYPE = 142; /*<Transient monodomain simple elasticity problem subtype \see OPENCMISS_ProblemSubtypes,OPENCMISS */
const int CMFE_PROBLEM_MONODOMAIN_ELASTICITY_W_TITIN_SUBTYPE = 143; /*<Transient monodomain simple elasticity problem subtype with titin \see OPENCMISS_ProblemSubtypes,OPENCMISS */
const int CMFE_PROBLEM_MONODOMAIN_ELASTICITY_VELOCITY_SUBTYPE = 144; /*<Transient monodomain simple elasticity problem subtype with force-velocity relation \see OPENCMISS_ProblemSubtypes,OPENCMISS */
const int CMFE_PROBLEM_MONODOMAIN_1D3D_ACTIVE_STRAIN_SUBTYPE = 145; /*<Transient monodomain active strain elasticity problem subtype \see OPENCMISS_ProblemSubtypes,OPENCMISS */
const int CMFE_PROBLEM_FINITE_ELASTICITY_NAVIER_STOKES_ALE_SUBTYPE = 151; /*<Coupled Finite Elasticity Navier Stokes moving mesh subtype \see OPENCMISS_ProblemSubtypes,OPENCMISS */
const int CMFE_PROBLEM_QUASISTATIC_FINITE_ELASTICITY_SUBTYPE = 1; /*<Quasistatic finite elasticity subtype \see OPENCMISS_ProblemSubtypes,OPENCMISS */
const int CMFE_PROBLEM_FINITE_ELASTICITY_CELLML_SUBTYPE = 2; /*<Quasistatic finite elasticity subtype \see OPENCMISS_ProblemSubtypes,OPENCMISS */
const int CMFE_PROBLEM_MULTISCALE_FINITE_ELASTICITY_SUBTYPE = 3; /*<Multiscale finite elasticity subtype \see OPENCMISS_ProblemSubtypes,OPENCMISS */
const int CMFE_PROBLEM_FINITE_ELASTICITY_WITH_GROWTH_CELLML_SUBTYPE = 4; /*<Quasistatic finite elasticity subtype \see OPENCMISS_ProblemSubtypes,OPENCMISS */
const int CMFE_PROBLEM_MONODOMAIN_GUDUNOV_SPLIT_SUBTYPE = 1; /*<Monodomain Gudunov split problem subtype \see OPENCMISS_ProblemSubtypes,OPENCMISS */
const int CMFE_PROBLEM_MONODOMAIN_STRANG_SPLIT_SUBTYPE = 2; /*<Monodomain Gudunov split problem subtype \see OPENCMISS_ProblemSubtypes,OPENCMISS */
const int CMFE_PROBLEM_BIDOMAIN_GUDUNOV_SPLIT_SUBTYPE = 1; /*<Bidomain Gudunov split problem subtype \see OPENCMISS_ProblemSubtypes,OPENCMISS */
const int CMFE_PROBLEM_BIDOMAIN_STRANG_SPLIT_SUBTYPE = 2; /*<Bidomain Gudunov split problem subtype \see OPENCMISS_ProblemSubtypes,OPENCMISS */
const int CMFE_PROBLEM_MONODOMAIN_BUENOOROVIO_SUBTYPE = 1; /*<Generalised Laplace problem subtype \see OPENCMISS_ProblemSubtypes,OPENCMISS */
const int CMFE_PROBLEM_MONODOMAIN_TENTUSSCHER06_SUBTYPE = 2; /*<Generalised Laplace problem subtype \see OPENCMISS_ProblemSubtypes,OPENCMISS */
const int CMFE_PROBLEM_LE_CONTACT_TRANSFORM_REPROJECT_SUBTYPE = 1; /*<linear elasticity problem subject to contact constraint, transform field at load increments and reproject at Newton iterations \see OPENCMISS_ProblemSubtypes,OPENCMISS */
const int CMFE_PROBLEM_LE_CONTACT_TRANSFORM_SUBTYPE = 2; /*<linear elasticity problem subject to contact constraint, transform field at load increments \see OPENCMISS_ProblemSubtypes,OPENCMISS */
const int CMFE_PROBLEM_LE_CONTACT_REPROJECT_SUBTYPE = 3; /*<linear elasticity problem subject to contact constraint, reproject at Newton iterations \see OPENCMISS_ProblemSubtypes,OPENCMISS */
const int CMFE_PROBLEM_FE_CONTACT_TRANSFORM_REPROJECT_SUBTYPE = 4; /*<linear elasticity problem subject to contact constraint, transform field at load increments and reproject at Newton iterations \see OPENCMISS_ProblemSubtypes,OPENCMISS */
const int CMFE_PROBLEM_FE_CONTACT_TRANSFORM_SUBTYPE = 5; /*<finear elasticity problem subject to contact constraint, transform field at load increments \see OPENCMISS_ProblemSubtypes,OPENCMISS */
const int CMFE_PROBLEM_FE_CONTACT_REPROJECT_SUBTYPE = 6; /*<finear elasticity problem subject to contact constraint, reproject at Newton iterations \see OPENCMISS_ProblemSubtypes,OPENCMISS */
/*>@} */
/*>\addtogroup OPENCMISS_ProblemControlLoopTypes OPENCMISS::Problem::ControlLoopTypes */
/*>\brief Problem control loop type parameters */
/*>\see OPENCMISS::Problem,OPENCMISS */
/*>@{ */
const int CMFE_PROBLEM_CONTROL_SIMPLE_TYPE = 1; /*<Simple, one iteration control loop. \see OPENCMISS_ProblemControlLoopTypes,OPENCMISS */
const int CMFE_PROBLEM_CONTROL_FIXED_LOOP_TYPE = 2; /*<Fixed iteration control loop. \see OPENCMISS_ProblemControlLoopTypes,OPENCMISS */
const int CMFE_PROBLEM_CONTROL_TIME_LOOP_TYPE = 3; /*<Time control loop. \see OPENCMISS_ProblemControlLoopTypes,OPENCMISS */
const int CMFE_PROBLEM_CONTROL_WHILE_LOOP_TYPE = 4; /*<While control loop. \see OPENCMISS_ProblemControlLoopTypes,OPENCMISS */
const int CMFE_PROBLEM_CONTROL_LOAD_INCREMENT_LOOP_TYPE = 5; /*<Load increment control loop. \see OPENCMISS_ProblemControlLoopTypes,OPENCMISS */
/*>@} */
/*>@} */
/*>\addtogroup OPENCMISS_SolverConstants OPENCMISS::Solver::Constants */
/*>\brief Solver constants. */
/*>@{ */
/*>\addtogroup OPENCMISS_SolverTypes OPENCMISS::Solver::SolverTypes */
/*>\brief The types of solver */
/*>\see OPENCMISS::Solver::Constants,OPENCMISS */
/*>@{ */
const int CMFE_SOLVER_LINEAR_TYPE = 1; /*<A linear solver. \see OPENCMISS_SolverTypes,OPENCMISS */
const int CMFE_SOLVER_NONLINEAR_TYPE = 2; /*<A nonlinear solver. \see OPENCMISS_SolverTypes,OPENCMISS */
const int CMFE_SOLVER_DYNAMIC_TYPE = 3; /*<A dynamic solver. \see  OPENCMISS_SolverTypes,OPENCMISS */
const int CMFE_SOLVER_DAE_TYPE = 4; /*<A differential-algebraic equation solver. \see OPENCMISS_SolverTypes,OPENCMISS */
const int CMFE_SOLVER_EIGENPROBLEM_TYPE = 5; /*<A eigenproblem solver. \see OPENCMISS_SolverTypes,OPENCMISS */
const int CMFE_SOLVER_OPTIMISER_TYPE = 6; /*<An optimiser solver. \see OPENCMISS_SolverTypes,OPENCMISS */
/*>@} */
/*>\addtogroup OPENCMISS_SolverLibraries OPENCMISS::Solver::SolverLibraries */
/*>\brief The types of solver libraries. */
/*>\see OPENCMISS::Solver::Constants,OPENCMISS */
/*>@{ */
const int CMFE_SOLVER_CMISS_LIBRARY = 1; /*<CMISS (internal) solver library. \see OPENCMISS_SolverLibraries,OPENCMISS */
const int CMFE_SOLVER_PETSC_LIBRARY = 2; /*<PETSc solver library. \see OPENCMISS_SolverLibraries,OPENCMISS */
const int CMFE_SOLVER_MUMPS_LIBRARY = 3; /*<MUMPS solver library. \see OPENCMISS_SolverLibraries,OPENCMISS */
const int CMFE_SOLVER_SUPERLU_LIBRARY = 4; /*<SuperLU solver library. \see OPENCMISS_SolverLibraries,OPENCMISS */
const int CMFE_SOLVER_SPOOLES_LIBRARY = 5; /*<SPOOLES solver library. \see OPENCMISS_SolverLibraries,OPENCMISS */
const int CMFE_SOLVER_UMFPACK_LIBRARY = 6; /*<UMFPACK solver library. \see OPENCMISS_SolverLibraries,OPENCMISS */
const int CMFE_SOLVER_LUSOL_LIBRARY = 7; /*<LUSOL solver library. \see OPENCMISS_SolverLibraries,OPENCMISS */
const int CMFE_SOLVER_ESSL_LIBRARY = 8; /*<ESSL solver library. \see OPENCMISS_SolverLibraries,OPENCMISS */
const int CMFE_SOLVER_LAPACK_LIBRARY = 9; /*<LAPACK solver library. \see OPENCMISS_SolverLibraries,OPENCMISS */
const int CMFE_SOLVER_TAO_LIBRARY = 10; /*<TAO solver library. \see OPENCMISS_SolverLibraries,OPENCMISS */
const int CMFE_SOLVER_HYPRE_LIBRARY = 11; /*<Hypre solver library. \see OPENCMISS_SolverLibraries,OPENCMISS */
const int CMFE_SOLVER_PASTIX_LIBRARY = 12; /*<PaStiX solver library. \see OPENCMISS_SolverLibraries,OPENCMISS */
/*>@} */
/*>\addtogroup OPENCMISS_LinearSolverTypes OPENCMISS::Solver::LinearSolverTypes */
/*>\brief The types of linear solvers. */
/*>\see OPENCMISS::Solver::Constants,OPENCMISS */
/*>@{ */
const int CMFE_SOLVER_LINEAR_DIRECT_SOLVE_TYPE = 1; /*<Direct linear solver type. \see OPENCMISS_LinearSolverTypes,OPENCMISS */
const int CMFE_SOLVER_LINEAR_ITERATIVE_SOLVE_TYPE = 2; /*<Iterative linear solver type. \see OPENCMISS_LinearSolverTypes,OPENCMISS */
/*>@} */
/*>\addtogroup OPENCMISS_DirectLinearSolverTypes OPENCMISS::Solver::DirectLinearSolverTypes */
/*>\brief The types of direct linear solvers. \todo Move libraries to a more appropriate place. */
/*>\see OPENCMISS::Solver::Constants,OPENCMISS */
/*>@{ */
const int CMFE_SOLVER_DIRECT_LU = 1; /*<LU direct linear solver. \see OPENCMISS_DirectLinearSolverTypes,OPENCMISS */
const int CMFE_SOLVER_DIRECT_CHOLESKY = 2; /*<Cholesky direct linear solver. \see OPENCMISS_DirectLinearSolverTypes,OPENCMISS */
const int CMFE_SOLVER_DIRECT_SVD = 3; /*<SVD direct linear solver. \see OPENCMISS_DirectLinearSolverTypes,OPENCMISS */
/*>@} */
/*>\addtogroup OPENCMISS_IterativeLinearSolverTypes OPENCMISS::Solver::IterativeLinearSolverTypes */
/*>\brief The types of iterative linear solvers. */
/*>\see OPENCMISS::Solver::Constants,OPENCMISS */
/*>@{ */
const int CMFE_SOLVER_ITERATIVE_RICHARDSON = 1; /*<Richardson iterative solver type. \see  OPENCMISS_IterativeLinearSolverTypes,OPENCMISS */
const int CMFE_SOLVER_ITERATIVE_CHEBYSHEV = 2; /*<Chebychev iterative solver type. \see OPENCMISS_IterativeLinearSolverTypes,OPENCMISS */
const int CMFE_SOLVER_ITERATIVE_CONJUGATE_GRADIENT = 3; /*<Conjugate gradient iterative solver type. \see OPENCMISS_IterativeLinearSolverTypes,OPENCMISS */
const int CMFE_SOLVER_ITERATIVE_BICONJUGATE_GRADIENT = 4; /*<Bi-conjugate gradient iterative solver type. \see OPENCMISS_IterativeLinearSolverTypes,OPENCMISS */
const int CMFE_SOLVER_ITERATIVE_GMRES = 5; /*<Generalised minimum residual iterative solver type. \see OPENCMISS_IterativeLinearSolverTypes,OPENCMISS */
const int CMFE_SOLVER_ITERATIVE_BiCGSTAB = 6; /*<Stabalised bi-conjugate gradient iterative solver type. \see OPENCMISS_IterativeLinearSolverTypes,OPENCMISS */
const int CMFE_SOLVER_ITERATIVE_CONJGRAD_SQUARED = 7; /*<Conjugate gradient squared iterative solver type. \see OPENCMISS_IterativeLinearSolverTypes,OPENCMISS */
/*>@} */
/*>\addtogroup OPENCMISS_IterativePreconditionerTypes OPENCMISS::Solver::IterativePreconditionerTypes */
/*>\brief The types of iterative preconditioners. */
/*>\see OPENCMISS::Solver::Constants,OPENCMISS */
/*>@{ */
const int CMFE_SOLVER_ITERATIVE_NO_PRECONDITIONER = 0; /*<No preconditioner type. \see OPENCMISS_IterativePreconditionerTypes,OPENCMISS */
const int CMFE_SOLVER_ITERATIVE_JACOBI_PRECONDITIONER = 1; /*<Jacobi preconditioner type. \see OPENCMISS_IterativePreconditionerTypes,OPENCMISS */
const int CMFE_SOLVER_ITERATIVE_BLOCK_JACOBI_PRECONDITIONER = 2; /*<Iterative block Jacobi preconditioner type. \see OPENCMISS_IterativePreconditionerTypes,OPENCMISS */
const int CMFE_SOLVER_ITERATIVE_SOR_PRECONDITIONER = 3; /*<Successive over relaxation preconditioner type. \see OPENCMISS_IterativePreconditionerTypes,OPENCMISS */
const int CMFE_SOLVER_ITERATIVE_INCOMPLETE_CHOLESKY_PRECONDITIONER = 4; /*<Incomplete Cholesky preconditioner type. \see OPENCMISS_IterativePreconditionerTypes,OPENCMISS */
const int CMFE_SOLVER_ITERATIVE_INCOMPLETE_LU_PRECONDITIONER = 5; /*<Incomplete LU preconditioner type. \see OPENCMISS_IterativePreconditionerTypes,OPENCMISS */
const int CMFE_SOLVER_ITERATIVE_ADDITIVE_SCHWARZ_PRECONDITIONER = 6; /*<Additive Schwrz preconditioner type. \see OPENCMISS_IterativePreconditionerTypes,OPENCMISS */
/*>@} */
/*>\addtogroup OPENCMISS_NonlinearSolverTypes OPENCMISS::Solver::NonlinearSolverTypes */
/*>\brief The types of nonlinear solvers. */
/*>\see OPENCMISS::Solver::Constants,OPENCMISS */
/*>@{ */
const int CMFE_SOLVER_NONLINEAR_NEWTON = 1; /*<Newton nonlinear solver type. \see OPENCMISS_NonlinearSolverTypes,OPENCMISS */
const int CMFE_SOLVER_NONLINEAR_BFGS_INVERSE = 2; /*<BFGS inverse nonlinear solver type. \see OPENCMISS_NonlinearSolverTypes,OPENCMISS */
const int CMFE_SOLVER_NONLINEAR_SQP = 3; /*<Sequential Quadratic Program nonlinear solver type. \see OPENCMISS_NonlinearSolverTypes,OPENCMISS */
const int CMFE_SOLVER_NONLINEAR_QUASI_NEWTON = 4; /*<Quasi-Newton nonlinear solver type. \see OPENCMISS_NonlinearSolverTypes,OPENCMISS */
/*>@} */
/*>\addtogroup OPENCMISS_QuasiNewtonSolverTypes OPENCMISS::Solver::QuasiNewtonSolverTypes */
/*>\brief The types of nonlinear Quasi-Newton solvers */
/*>\see OPENCMISS::Solver::Constants,OPENCMISS */
/*>@{ */
const int CMFE_SOLVER_QUASI_NEWTON_LINESEARCH = 1; /*<Quasi-Newton line search nonlinear solver type \see OPENCMISS_QuasiNewtonSolverTypes,OPENCMISS */
const int CMFE_SOLVER_QUASI_NEWTON_TRUSTREGION = 2; /*<Quasi-Newton trust region nonlinear solver type \see OPENCMISS_QuasiNewtonSolverTypes,OPENCMISS */
/*>@} */
/*>\addtogroup OPENCMISS_QuasiNewtonTypes OPENCMISS::Solver::QuasiNewtonTypes */
/*>\brief The nonlinear Quasi-Newton types */
/*>\see OPENCMISS::Solver::Constants,OPENCMISS */
/*>@{ */
const int CMFE_SOLVER_QUASI_NEWTON_LBFGS = 1; /*<LBFGS Quasi-Newton type \see OPENCMISS_QuasiNewtonTypes,OPENCMISS */
const int CMFE_SOLVER_QUASI_NEWTON_GOODBROYDEN = 2; /*<"Good" Broyden Quasi-Newton type \see OPENCMISS_QuasiNewtonTypes,OPENCMISS */
const int CMFE_SOLVER_QUASI_NEWTON_BADBROYDEN = 3; /*<"Bad" Broyden Quasi-Newton type \see OPENCMISS_QuasiNewtonTypes,OPENCMISS */
/*>@} */
/*>\addtogroup OPENCMISS_QuasiNewtonLineSearchTypes OPENCMISS::Solver::NonlinearQuasiNewtonLineSearchTypes */
/*>\brief The types of line search techniques for Quasi-Newton line search nonlinear solvers */
/*>\see OPENCMISS::Solver::Constants,OPENCMISS */
/*>@{ */
const int CMFE_SOLVER_QUASI_NEWTON_LINESEARCH_BASIC = 1; /*<Simple damping line search. \see OPENCMISS_QuasiNewtonLineSearchTypes,OPENCMISS */
const int CMFE_SOLVER_QUASI_NEWTON_LINESEARCH_L2 = 2; /*<Secant line search over the L2 norm of the function \see OPENCMISS_QuasiNewtonLineSearchTypes,OPENCMISS */
const int CMFE_SOLVER_QUASI_NEWTON_LINESEARCH_CP = 3; /*<Critical point secant line search \see OPENCMISS_QuasiNewtonLineSearchTypes,OPENCMISS */
/*>@} */
/*>\addtogroup OPENCMISS_QuasiNewtonRestartTypes OPENCMISS::Solver::QuasiNewtonRestartTypes */
/*>\brief The nonlinear Quasi-Newton restart types */
/*>\see OPENCMISS::Solver::Constants,OPENCMISS */
/*>@{ */
const int CMFE_SOLVER_QUASI_NEWTON_RESTART_NONE = 1; /*<Never restart \see OPENCMISS_QuasiNewtonRestartTypes,OPENCMISS */
const int CMFE_SOLVER_QUASI_NEWTON_RESTART_POWELL = 2; /*<Restart based upon descent criteria \see OPENCMISS_QuasiNewtonRestartTypes,OPENCMISS */
const int CMFE_SOLVER_QUASI_NEWTON_RESTART_PERIODIC = 3; /*<Restart after a fixed number of iterations \see OPENCMISS_QuasiNewtonRestartTypes,OPENCMISS */
/*>@} */
/*>\addtogroup OPENCMISS_QuasiNewtonScaleTypes OPENCMISS::Solver::QuasiNewtonScaleTypes */
/*>\brief The nonlinear Quasi-Newton scale types */
/*>\see OPENCMISS::Solver::Constants,OPENCMISS */
/*>@{ */
const int CMFE_SOLVER_QUASI_NEWTON_SCALE_NONE = 1; /*<Don't scale the problem \see OPENCMISS_QuasiNewtonScaleTypes,OPENCMISS */
const int CMFE_SOLVER_QUASI_NEWTON_SCALE_SHANNO = 2; /*<Use Shanno scaling \see OPENCMISS_QuasiNewtonScaleTypes,OPENCMISS */
const int CMFE_SOLVER_QUASI_NEWTON_SCALE_LINESEARCH = 3; /*<Scale based upon line search lambda \see OPENCMISS_QuasiNewtonScaleTypes,OPENCMISS */
const int CMFE_SOLVER_QUASI_NEWTON_SCALE_JACOBIAN = 4; /*<Scale by inverting a previously computed Jacobian \see OPENCMISS_QuasiNewtonScaleTypes,OPENCMISS */
/*>@} */
/*>\addtogroup OPENCMISS_NewtonSolverTypes OPENCMISS::Solver::NewtonSolverTypes */
/*>\brief The types of nonlinear Newton solvers. */
/*>\see OPENCMISS::Solver::Constants,OPENCMISS */
/*>@{ */
const int CMFE_SOLVER_NEWTON_LINESEARCH = 1; /*<Newton line search nonlinear solver type. \see OPENCMISS_NewtonSolverTypes,OPENCMISS */
const int CMFE_SOLVER_NEWTON_TRUSTREGION = 2; /*<Newton trust region nonlinear solver type. \see OPENCMISS_NewtonSolverTypes,OPENCMISS */
/*>@} */
/*>\addtogroup OPENCMISS_NewtonLineSearchTypes OPENCMISS::Solver::NewtonLineSearchTypes */
/*>\brief The types line search techniques for Newton line search nonlinear solvers. */
/*>\see OPENCMISS::Solver::Constants,OPENCMISS */
/*>@{ */
const int CMFE_SOLVER_NEWTON_LINESEARCH_LINEAR = 2; /*<Linear line search for Newton line search nonlinear solves \see OPENCMISS_NewtonLineSearchTypes,OPENCMISS */
const int CMFE_SOLVER_NEWTON_LINESEARCH_QUADRATIC = 3; /*<Quadratic search for Newton line search nonlinear solves \see OPENCMISS_NewtonLineSearchTypes,OPENCMISS */
const int CMFE_SOLVER_NEWTON_LINESEARCH_CUBIC = 4; /*<Cubic search for Newton line search nonlinear solves \see OPENCMISS_NewtonLineSearchTypes,OPENCMISS */
/*>@} */
/*>\addtogroup OPENCMISS_JacobianCalculationTypes OPENCMISS::Solver::JacobianCalculationTypes */
/*>\brief The Jacobian calculation types for a nonlinear solver. */
/*>\see OPENCMISS::Solver::Constants,OPENCMISS */
/*>@{ */
const int CMFE_SOLVER_NEWTON_JACOBIAN_NOT_CALCULATED = 1; /*<The Jacobian values will not be calculated for the nonlinear equations set. \see OPENCMISS_JacobianCalculationTypes,OPENCMISS */
const int CMFE_SOLVER_NEWTON_JACOBIAN_EQUATIONS_CALCULATED = 2; /*<The Jacobian values will be calculated analytically for the nonlinear equations set. \see OPENCMISS_JacobianCalculationTypes,OPENCMISS */
const int CMFE_SOLVER_NEWTON_JACOBIAN_FD_CALCULATED = 3; /*<The Jacobian values will be calcualted using finite differences for the nonlinear equations set. \see OPENCMISS_JacobianCalculationTypes,OPENCMISS */
/*>@} */
/*>\addtogroup OPENCMISS_NewtonConvergenceTypes OPENCMISS::Solver::NewtonConvergenceTypes */
/*>\brief The convergence test types for a nonlinear newton solver. */
/*>\see OPENCMISS::Solver::Constants,OPENCMISS */
/*>@{ */
const int CMFE_SOLVER_NEWTON_CONVERGENCE_PETSC_DEFAULT = 1; /*<Newton solver Petsc default convergence test type. \see OPENCMISS_NewtonConvergenceTypes,OPENCMISS */
const int CMFE_SOLVER_NEWTON_CONVERGENCE_ENERGY_NORM = 2; /*<Newton solver energy norm convergence test type. \see OPENCMISS_NewtonConvergenceTypes,OPENCMISS */
const int CMFE_SOLVER_NEWTON_CONVERGENCE_DIFFERENTIATED_RATIO = 3; /*<Newton solver Sum of differentiated ratios of unconstrained to constrained residuals convergence test type. \see OPENCMISS_NewtonConvergenceTypes,OPENCMISS */
/*>@} */
/*>\addtogroup OPENCMISS_DynamicOrderTypes OPENCMISS::Solver::DynamicOrderTypes */
/*>\brief The order types for a dynamic solver. */
/*>\see OPENCMISS::Solver::Constants,OPENCMISS */
/*>@{ */
const int CMFE_SOLVER_DYNAMIC_FIRST_ORDER = 1; /*<Dynamic solver has first order terms. \see OPENCMISS_DynamicOrderTypes,OPENCMISS */
const int CMFE_SOLVER_DYNAMIC_SECOND_ORDER = 2; /*<Dynamic solver has second order terms. \see OPENCMISS_DynamicOrderTypes,OPENCMISS */
/*>@} */
/*>\addtogroup OPENCMISS_DynamicLinearityTypes OPENCMISS::Solver::DynamicLinearityTypes */
/*>\brief The time linearity types for a dynamic solver. */
/*>\see OPENCMISS::Solver::Constants,OPENCMISS */
/*>@{ */
const int CMFE_SOLVER_DYNAMIC_LINEAR = 1; /*<Dynamic solver has linear terms. \see OPENCMISS_DynamicLinearityTypes,OPENCMISS */
const int CMFE_SOLVER_DYNAMIC_NONLINEAR = 2; /*<Dynamic solver has nonlinear terms. \see OPENCMISS_DynamicLinearityTypes,OPENCMISS */
/*>@} */
/*>\addtogroup OPENCMISS_DynamicDegreeTypes OPENCMISS::Solver::DynamicDegreeTypes */
/*>\brief The time interpolation polynomial degree types for a dynamic solver. */
/*>\see OPENCMISS::Solver::Constants,OPENCMISS */
/*>@{ */
const int CMFE_SOLVER_DYNAMIC_FIRST_DEGREE = 1; /*<Dynamic solver uses a first degree polynomial for time interpolation. \see OPENCMISS_DynamicDegreeTypes,OPENCMISS */
const int CMFE_SOLVER_DYNAMIC_SECOND_DEGREE = 2; /*<Dynamic solver uses a second degree polynomial for time interpolation. \see OPENCMISS_DynamicDegreeTypes,OPENCMISS */
const int CMFE_SOLVER_DYNAMIC_THIRD_DEGREE = 3; /*<Dynamic solver uses a third degree polynomial for time interpolation. \see OPENCMISS_DynamicDegreeTypes,OPENCMISS */
/*>@} */
/*>\addtogroup OPENCMISS_DynamicSchemeTypes OPENCMISS::Solver::DynamicSchemeTypes */
/*>\brief The types of dynamic solver scheme. */
/*>\see OPENCMISS::Solver::Constants,OPENCMISS */
/*>@{ */
const int CMFE_SOLVER_DYNAMIC_EULER_SCHEME = 1; /*<Euler (explicit) dynamic solver. \see OPENCMISS_DynamicSchemeTypes,OPENCMISS */
const int CMFE_SOLVER_DYNAMIC_BACKWARD_EULER_SCHEME = 2; /*<Backward Euler (implicit) dynamic solver. \see OPENCMISS_DynamicSchemeTypes,OPENCMISS */
const int CMFE_SOLVER_DYNAMIC_CRANK_NICOLSON_SCHEME = 3; /*<Crank-Nicolson dynamic solver. \see OPENCMISS_DynamicSchemeTypes,OPENCMISS */
const int CMFE_SOLVER_DYNAMIC_GALERKIN_SCHEME = 4; /*<Galerkin dynamic solver. \see OPENCMISS_DynamicSchemeTypes,OPENCMISS */
const int CMFE_SOLVER_DYNAMIC_ZLAMAL_SCHEME = 5; /*<Zlamal dynamic solver. \see OPENCMISS_DynamicSchemeTypes,OPENCMISS */
const int CMFE_SOLVER_DYNAMIC_SECOND_DEGREE_GEAR_SCHEME = 6; /*<2nd degree Gear dynamic solver. \see OPENCMISS_DynamicSchemeTypes,OPENCMISS */
const int CMFE_SOLVER_DYNAMIC_SECOND_DEGREE_LINIGER1_SCHEME = 7; /*<1st 2nd degree Liniger dynamic solver. \see OPENCMISS_DynamicSchemeTypes,OPENCMISS */
const int CMFE_SOLVER_DYNAMIC_SECOND_DEGREE_LINIGER2_SCHEME = 8; /*<2nd 2nd degree Liniger dynamic solver. \see OPENCMISS_DynamicSchemeTypes,OPENCMISS */
const int CMFE_SOLVER_DYNAMIC_NEWMARK1_SCHEME = 9; /*<1st Newmark dynamic solver. \see OPENCMISS_DynamicSchemeTypes,OPENCMISS */
const int CMFE_SOLVER_DYNAMIC_NEWMARK2_SCHEME = 10; /*<2nd Newmark dynamic solver. \see OPENCMISS_DynamicSchemeTypes,OPENCMISS */
const int CMFE_SOLVER_DYNAMIC_NEWMARK3_SCHEME = 11; /*<3rd Newmark dynamic solver. \see OPENCMISS_DynamicSchemeTypes,OPENCMISS */
const int CMFE_SOLVER_DYNAMIC_THIRD_DEGREE_GEAR_SCHEME = 12; /*<3rd degree Gear dynamic solver. \see OPENCMISS_DynamicSchemeTypes,OPENCMISS */
const int CMFE_SOLVER_DYNAMIC_THIRD_DEGREE_LINIGER1_SCHEME = 13; /*<1st 3rd degree Liniger dynamic solver. \see OPENCMISS_DynamicSchemeTypes,OPENCMISS */
const int CMFE_SOLVER_DYNAMIC_THIRD_DEGREE_LINIGER2_SCHEME = 14; /*<2nd 3rd degree Liniger dynamic solver. \see OPENCMISS_DynamicSchemeTypes,OPENCMISS */
const int CMFE_SOLVER_DYNAMIC_HOUBOLT_SCHEME = 15; /*<Houbolt dynamic solver. \see OPENCMISS_DynamicSchemeTypes,OPENCMISS */
const int CMFE_SOLVER_DYNAMIC_WILSON_SCHEME = 16; /*<Wilson dynamic solver. \see OPENCMISS_DynamicSchemeTypes,OPENCMISS */
const int CMFE_SOLVER_DYNAMIC_BOSSAK_NEWMARK1_SCHEME = 17; /*<1st Bossak-Newmark dynamic solver. \see OPENCMISS_DynamicSchemeTypes,OPENCMISS */
const int CMFE_SOLVER_DYNAMIC_BOSSAK_NEWMARK2_SCHEME = 18; /*<2nd Bossak-Newmark dynamic solver. \see OPENCMISS_DynamicSchemeTypes,OPENCMISS */
const int CMFE_SOLVER_DYNAMIC_HILBERT_HUGHES_TAYLOR1_SCHEME = 19; /*<1st Hilbert-Hughes-Taylor dynamic solver. \see OPENCMISS_DynamicSchemeTypes,OPENCMISS */
const int CMFE_SOLVER_DYNAMIC_HILBERT_HUGHES_TAYLOR2_SCHEME = 20; /*<1st Hilbert-Hughes-Taylor dynamic solver. \see OPENCMISS_DynamicSchemeTypes,OPENCMISS */
const int CMFE_SOLVER_DYNAMIC_USER_DEFINED_SCHEME = 21; /*<User specified degree and theta dynamic solver. \see OPENCMISS_DynamicSchemeTypes,OPENCMISS */
/*>@} */
/*>\addtogroup OPENCMISS_DAETypes OPENCMISS::Solver::DAETypes */
/*>\brief The type of differential-algebraic equation. */
/*>\see OPENCMISS::Solver::Constants,OPENCMISS */
/*>@{ */
const int CMFE_SOLVER_DAE_DIFFERENTIAL_ONLY = 0; /*<Differential equations only. \see OPENCMISS_DAETypes,OPENCMISS */
const int CMFE_SOLVER_DAE_INDEX_1 = 1; /*<Index 1 differential-algebraic equation. \see OPENCMISS_DAETypes,OPENCMISS */
const int CMFE_SOLVER_DAE_INDEX_2 = 2; /*<Index 2 differential-algebraic equation. \see OPENCMISS_DAETypes,OPENCMISS */
const int CMFE_SOLVER_DAE_INDEX_3 = 3; /*<Index 3 differential-algebraic equation. \see OPENCMISS_DAETypes,OPENCMISS */
/*>@} */
/*>\addtogroup OPENCMISS_DAESolverTypes OPENCMISS::Solver::DAESolverTypes */
/*>\brief The differential-algebraic equation solver types for a differential-algebraic equation solver. */
/*>\see OPENCMISS::Solver::Constants,OPENCMISS */
/*>@{ */
const int CMFE_SOLVER_DAE_EULER = 1; /*<Euler differential-algebraic equation solver. \see */
const int CMFE_SOLVER_DAE_CRANK_NICOLSON = 2; /*<Crank-Nicolson differential-algebraic equation solver. \see */
const int CMFE_SOLVER_DAE_RUNGE_KUTTA = 3; /*<Runge-Kutta differential-algebraic equation solver. \see */
const int CMFE_SOLVER_DAE_ADAMS_MOULTON = 4; /*<Adams-Moulton differential-algebraic equation solver. \see */
const int CMFE_SOLVER_DAE_BDF = 5; /*<General BDF differential-algebraic equation solver. \see */
const int CMFE_SOLVER_DAE_RUSH_LARSON = 6; /*<Rush-Larson differential-algebraic equation solver. \see */
const int CMFE_SOLVER_DAE_EXTERNAL = 7; /*<External (e.g., CellML generated) differential-algebraic equation solver. \see */
/*>@} */
/*>\addtogroup OPENCMISS_EulerDAESolverTypes OPENCMISS::Solver::EulerDAESolverTypes */
/*>\brief The Euler solver types for a differential-algebriac equation solver. */
/*>\see OPENCMISS::Solver::Constants,OPENCMISS */
/*>@{ */
const int CMFE_SOLVER_DAE_EULER_FORWARD = 1; /*<Forward Euler differential equation solver. \see OPENCMISS_EulerDAESolverTypes,OPENCMISS */
const int CMFE_SOLVER_DAE_EULER_BACKWARD = 2; /*<Backward Euler differential equation solver. \see OPENCMISS_EulerDAESolverTypes,OPENCMISS */
const int CMFE_SOLVER_DAE_EULER_IMPROVED = 3; /*<Improved Euler differential equation solver. \see OPENCMISS_EulerDAESolverTypes,OPENCMISS */
/*>@} */
/*>\addtogroup OPENCMISS_SolutionInitialiseTypes OPENCMISS::Solver::SolutionInitialiseTypes */
/*>\brief The types of solution initialisation. */
/*>\see OPENCMISS::Solver::Constants,OPENCMISS */
/*>@{ */
const int CMFE_SOLVER_SOLUTION_INITIALISE_ZERO = 0; /*<Initialise the solution by zeroing it before a solve. \see OPENCMISS_SolutionInitialiseTypes,OPENCMISS */
const int CMFE_SOLVER_SOLUTION_INITIALISE_CURRENT_FIELD = 1; /*<Initialise the solution by copying in the current dependent field values. \see OPENCMISS_SolutionInitialiseTypes,OPENCMISS */
const int CMFE_SOLVER_SOLUTION_INITIALISE_NO_CHANGE = 2; /*<Do not change the solution before a solve. \see OPENCMISS_SolutionInitialiseTypes,OPENCMISS */
/*>@} */
/*>\addtogroup OPENCMISS_SolverOutputTypes OPENCMISS::Solver::OutputTypes */
/*>\brief The types of output. */
/*>\see OPENCMISS::Solver::Constants,OPENCMISS */
/*>@{ */
const int CMFE_SOLVER_NO_OUTPUT = 0; /*<No output from the solver routines. \see OPENCMISS_SolverOutputTypes,OPENCMISS */
const int CMFE_SOLVER_PROGRESS_OUTPUT = 1; /*<Progress output from solver routines. \see OPENCMISS_SolverOutputTypes,OPENCMISS */
const int CMFE_SOLVER_TIMING_OUTPUT = 2; /*<Timing output from the solver routines plus below. \see OPENCMISS_SolverOutputTypes,OPENCMISS */
const int CMFE_SOLVER_SOLVER_OUTPUT = 3; /*<Solver specific output from the solver routines plus below. \see OPENCMISS_SolverOutputTypes,OPENCMISS */
const int CMFE_SOLVER_MATRIX_OUTPUT = 4; /*<Solver matrices output from the solver routines plus below. \see OPENCMISS_SolverOutputTypes,OPENCMISS */
/*>@} */
/*>\addtogroup OPENCMISS_SolverEquationsSparsityTypes OPENCMISS::SolverEquations::SparsityTypes */
/*>\brief The types of sparse solver equations matrices. */
/*>\see OPENCMISS::Solver::Constants,OPENCMISS */
/*>@{ */
const int CMFE_SOLVER_SPARSE_MATRICES = 1; /*<Use sparse solver matrices. \see OPENCMISS_SolverEquationsSparsityTypes,OPENCMISS */
const int CMFE_SOLVER_FULL_MATRICES = 2; /*<Use fully populated solver matrices. \see OPENCMISS_SolverEquationsSparsityTypes,OPENCMISS */
/*>@} */
/*>@} */
struct cmfe_FieldMLIOType_;
/*>Provides input and output of fields through the FieldML API */
typedef struct cmfe_FieldMLIOType_ *cmfe_FieldMLIOType;


/*>Finalises CMISS. */
IRON_C_EXPORT cmfe_Error cmfe_Finalise();

/*>Initialises CMISS returning a user number to the world coordinate system and region. */
IRON_C_EXPORT cmfe_Error cmfe_InitialiseNum(int *worldCoordinateSystemUserNumber /*<On return, the world coordinate system user number. */,
    int *worldRegionUserNumber /*<On return, the world region user number. */);

/*>Initialises CMISS returning a pointer to the world coordinate system and region. */
IRON_C_EXPORT cmfe_Error cmfe_Initialise(cmfe_CoordinateSystemType worldCoordinateSystem /*<On return, the world coordinate system. */,
    cmfe_RegionType worldRegion /*<On return, the world region. */);

/*>Returns the working precision */
IRON_C_EXPORT cmfe_Error cmfe_WorkingRealPrecisionGet(int *workingRealPrecision /*<On return, the working real precision */);

/*>Finalises a cmfe_BasisType object. */
IRON_C_EXPORT cmfe_Error cmfe_Basis_Finalise(cmfe_BasisType *cmfe_Basis /*<The cmfe_BasisType object to finalise. */);

/*>Initialises a cmfe_BasisType object. */
IRON_C_EXPORT cmfe_Error cmfe_Basis_Initialise(cmfe_BasisType *cmfe_Basis /*<The cmfe_BasisType object to initialise. */);

/*>Finalises a cmfe_BoundaryConditionsType object. */
IRON_C_EXPORT cmfe_Error cmfe_BoundaryConditions_Finalise(cmfe_BoundaryConditionsType *cmfe_BoundaryConditions /*<The cmfe_BoundaryConditionsType object to finalise. */);

/*>Initialises a cmfe_BoundaryConditionsType object. */
IRON_C_EXPORT cmfe_Error cmfe_BoundaryConditions_Initialise(cmfe_BoundaryConditionsType *cmfe_BoundaryConditions /*<The cmfe_BoundaryConditionsType object to initialise. */);

/*>Finalises a cmfe_CellMLType object. */
IRON_C_EXPORT cmfe_Error cmfe_CellML_Finalise(cmfe_CellMLType *cmfe_CellML /*<The cmfe_CellMLType object to finalise. */);

/*>Initialises a cmfe_CellMLType object. */
IRON_C_EXPORT cmfe_Error cmfe_CellML_Initialise(cmfe_CellMLType *cmfe_CellML /*<The cmfe_CellMLType object to initialise. */);

/*>Finalises a cmfe_CellMLEquationsType object. */
IRON_C_EXPORT cmfe_Error cmfe_CellMLEquations_Finalise(cmfe_CellMLEquationsType *cmfe_CellMLEquations /*<The cmfe_CellMLEquationsType object to finalise. */);

/*>Initialises a cmfe_CellMLEquationsType object. */
IRON_C_EXPORT cmfe_Error cmfe_CellMLEquations_Initialise(cmfe_CellMLEquationsType *cmfe_CellMLEquations /*<The cmfe_CellMLEquationsType object to initialise. */);

/*>Initialises a cmfe_ComputationalWorkGroupType object. */
IRON_C_EXPORT cmfe_Error cmfe_ComputationalWorkGroup_Initialise(cmfe_ComputationalWorkGroupType *cmfe_ComputationalWorkGroup /*<The cmfe_ComputationalWorkGroupType object to initialise. */);

/*>Finalises a cmfe_ControlLoopType object. */
IRON_C_EXPORT cmfe_Error cmfe_ControlLoop_Finalise(cmfe_ControlLoopType *cmfe_ControlLoop /*<The cmfe_ControlLoopType object to finalise. */);

/*>Initialises a cmfe_ControlLoopType object. */
IRON_C_EXPORT cmfe_Error cmfe_ControlLoop_Initialise(cmfe_ControlLoopType *cmfe_ControlLoop /*<The cmfe_ControlLoopType object to initialise. */);

/*>Finalises a cmfe_CoordinateSystemType object. */
IRON_C_EXPORT cmfe_Error cmfe_CoordinateSystem_Finalise(cmfe_CoordinateSystemType *cmfe_CoordinateSystem /*<The cmfe_CoordinateSystemType object to finalise. */);

/*>Initialises a cmfe_CoordinateSystemType object. */
IRON_C_EXPORT cmfe_Error cmfe_CoordinateSystem_Initialise(cmfe_CoordinateSystemType *cmfe_CoordinateSystem /*<The cmfe_CoordinateSystemType object to initialise. */);

/*>Finalises a cmfe_DataPointsType object. */
IRON_C_EXPORT cmfe_Error cmfe_DataPoints_Finalise(cmfe_DataPointsType *cmfe_DataPoints /*<The cmfe_DataPointsType object to finalise. */);

/*>Initialises a cmfe_DataPointsType object. */
IRON_C_EXPORT cmfe_Error cmfe_DataPoints_Initialise(cmfe_DataPointsType *cmfe_DataPoints /*<The cmfe_DataPointsType object to initialise. */);

/*>Finalises a cmfe_DataProjectionType object. */
IRON_C_EXPORT cmfe_Error cmfe_DataProjection_Finalise(cmfe_DataProjectionType *cmfe_DataProjection /*<The cmfe_DataProjectionType object to finalise. */);

/*>Initialises a cmfe_DataProjectionType object. */
IRON_C_EXPORT cmfe_Error cmfe_DataProjection_Initialise(cmfe_DataProjectionType *cmfe_DataProjection /*<The cmfe_DataProjectionType object to initialise. */);

/*>Finalises a cmfe_DecompositionType object. */
IRON_C_EXPORT cmfe_Error cmfe_Decomposition_Finalise(cmfe_DecompositionType *cmfe_Decomposition /*<The cmfe_DecompositionType object to finalise. */);

/*>Initialises a cmfe_DecompositionType object. */
IRON_C_EXPORT cmfe_Error cmfe_Decomposition_Initialise(cmfe_DecompositionType *cmfe_Decomposition /*<The cmfe_DecompositionType object to initialise. */);

/*>Finalises a cmfe_EquationsType object. */
IRON_C_EXPORT cmfe_Error cmfe_Equations_Finalise(cmfe_EquationsType *cmfe_Equations /*<The cmfe_EquationsType object to finalise. */);

/*>Initialises a cmfe_EquationsType object. */
IRON_C_EXPORT cmfe_Error cmfe_Equations_Initialise(cmfe_EquationsType *cmfe_Equations /*<The cmfe_EquationsType object to initialise. */);

/*>Finalises a cmfe_EquationsSetType object. */
IRON_C_EXPORT cmfe_Error cmfe_EquationsSet_Finalise(cmfe_EquationsSetType *cmfe_EquationsSet /*<The cmfe_EquationsSetType object to finalise. */);

/*>Initialises a cmfe_EquationsSetType object. */
IRON_C_EXPORT cmfe_Error cmfe_EquationsSet_Initialise(cmfe_EquationsSetType *cmfe_EquationsSet /*<The cmfe_EquationsSetType object to initialise. */);

/*>Finalises a cmfe_FieldType object. */
IRON_C_EXPORT cmfe_Error cmfe_Field_Finalise(cmfe_FieldType *cmfe_Field /*<The cmfe_FieldType object to finalise. */);

/*>Initialises a cmfe_FieldType object. */
IRON_C_EXPORT cmfe_Error cmfe_Field_Initialise(cmfe_FieldType *cmfe_Field /*<The cmfe_FieldType object to initialise. */);

/*>Creates a cmfe_FieldsType object for an inteface by an object reference. */
IRON_C_EXPORT cmfe_Error cmfe_Fields_CreateInterface(const cmfe_InterfaceType interface /*<The interface to get the fields from */,
    cmfe_FieldsType fields /*<On return, the fields attached to the specified interface. Must not be associated on entry. */);

/*>Creates a cmfe_FieldsType object for a region by an object reference. */
IRON_C_EXPORT cmfe_Error cmfe_Fields_CreateRegion(const cmfe_RegionType region /*<The region to get the fields from */,
    cmfe_FieldsType fields /*<On return, the fields attached to the specified region. Must not be associated on entry. */);

/*>Finalises a cmfe_FieldsType object. */
IRON_C_EXPORT cmfe_Error cmfe_Fields_Finalise(cmfe_FieldsType *cmfe_Fields /*<The cmfe_FieldsType object to finalise. */);

/*>Initialises a cmfe_FieldsType object. */
IRON_C_EXPORT cmfe_Error cmfe_Fields_Initialise(cmfe_FieldsType *cmfe_Fields /*<The cmfe_FieldsType object to initialise. */);

/*>Finalises a cmfe_GeneratedMeshType object. */
IRON_C_EXPORT cmfe_Error cmfe_GeneratedMesh_Finalise(cmfe_GeneratedMeshType *cmfe_GeneratedMesh /*<The cmfe_GeneratedMeshType object to finalise. */);

/*>Initialises a cmfe_GeneratedMeshType object. */
IRON_C_EXPORT cmfe_Error cmfe_GeneratedMesh_Initialise(cmfe_GeneratedMeshType *cmfe_GeneratedMesh /*<The cmfe_GeneratedMeshType object to initialise. */);

/*>Finalises a cmfe_InterfaceType object. */
IRON_C_EXPORT cmfe_Error cmfe_Interface_Finalise(cmfe_InterfaceType *cmfe_Interface /*<The cmfe_InterfaceType object to finalise. */);

/*>Initialises a cmfe_InterfaceType object. */
IRON_C_EXPORT cmfe_Error cmfe_Interface_Initialise(cmfe_InterfaceType *cmfe_Interface /*<The cmfe_InterfaceType object to initialise. */);

/*>Finalises a cmfe_InterfaceConditionType object. */
IRON_C_EXPORT cmfe_Error cmfe_InterfaceCondition_Finalise(cmfe_InterfaceConditionType *cmfe_InterfaceCondition /*<The cmfe_InterfaceConditionType object to finalise. */);

/*>Initialises a cmfe_InterfaceConditionType object. */
IRON_C_EXPORT cmfe_Error cmfe_InterfaceCondition_Initialise(cmfe_InterfaceConditionType *cmfe_InterfaceCondition /*<The cmfe_InterfaceConditionType object to initialise. */);

/*>Finalises a cmfe_InterfaceEquationsType object. */
IRON_C_EXPORT cmfe_Error cmfe_InterfaceEquations_Finalise(cmfe_InterfaceEquationsType *cmfe_InterfaceEquations /*<The cmfe_InterfaceEquationsType object to finalise. */);

/*>Initialises a cmfe_InterfaceEquationsType object. */
IRON_C_EXPORT cmfe_Error cmfe_InterfaceEquations_Initialise(cmfe_InterfaceEquationsType *cmfe_InterfaceEquations /*<The cmfe_InterfaceEquationsType object to initialise. */);

/*>Finalise a cmfe_InterfaceMeshConnectivityType object. */
IRON_C_EXPORT cmfe_Error cmfe_InterfacePointsConnectivity_Finalise(cmfe_InterfacePointsConnectivityType *cmfe_InterfacePointsConnectivity /*<The cmfe_InterfacePointsConnectivityType object to initialise. */);

/*>Initialises a cmfe_InterfaceMeshConnectivityType object. */
IRON_C_EXPORT cmfe_Error cmfe_InterfacePointsConnectivity_Initialise(cmfe_InterfacePointsConnectivityType *cmfe_InterfacePointsConnectivity /*<The cmfe_InterfacePointsConnectivityType object to initialise. */);

/*>Finalises a cmfe_InterfaceMeshConnectivityType object. */
IRON_C_EXPORT cmfe_Error cmfe_InterfaceMeshConnectivity_Finalise(cmfe_InterfaceMeshConnectivityType *cmfe_InterfaceMeshConnectivity /*<The cmfe_InterfaceMeshConnectivityType object to finalise. */);

/*>Initialises a cmfe_InterfaceMeshConnectivityType object. */
IRON_C_EXPORT cmfe_Error cmfe_InterfaceMeshConnectivity_Initialise(cmfe_InterfaceMeshConnectivityType *cmfe_InterfaceMeshConnectivity /*<The cmfe_InterfaceMeshConnectivityType object to initialise. */);

/*>Finalises a cmfe_HistoryType object. */
IRON_C_EXPORT cmfe_Error cmfe_History_Finalise(cmfe_HistoryType *cmfe_History /*<The cmfe_HistoryType object to finalise. */);

/*>Initialises a cmfe_HistoryType object. */
IRON_C_EXPORT cmfe_Error cmfe_History_Initialise(cmfe_HistoryType *cmfe_History /*<The cmfe_HistoryType object to initialise. */);

/*>Initialises a cmfe_DistributedMatrixType object. */
IRON_C_EXPORT cmfe_Error cmfe_DistributedMatrix_Initialise(cmfe_DistributedMatrixType *cmfe_DistributedMatrix /*<The cmfe_DistributedMatrixType object to initialise. */);

/*>Initialises a cmfe_DistributedVectorType object. */
IRON_C_EXPORT cmfe_Error cmfe_DistributedVector_Initialise(cmfe_DistributedVectorType *cmfe_DistributedVector /*<The cmfe_DistributedVectorType object to initialise. */);

/*>Finalises a cmfe_MeshType object. */
IRON_C_EXPORT cmfe_Error cmfe_Mesh_Finalise(cmfe_MeshType *cmfe_Mesh /*<The cmfe_MeshType object to finalise. */);

/*>Initialises a cmfe_MeshType object. */
IRON_C_EXPORT cmfe_Error cmfe_Mesh_Initialise(cmfe_MeshType *cmfe_Mesh /*<The cmfe_MeshType object to initialise. */);

/*>Finalises a cmfe_MeshElementsType object. */
IRON_C_EXPORT cmfe_Error cmfe_MeshElements_Finalise(cmfe_MeshElementsType *cmfe_MeshElements /*<The cmfe_MeshElementsType object to finalise. */);

/*>Initialises a cmfe_MeshElementsType object. */
IRON_C_EXPORT cmfe_Error cmfe_MeshElements_Initialise(cmfe_MeshElementsType *cmfe_MeshElements /*<The cmfe_MeshElementsType object to initialise. */);

/*>Finalises a cmfe_MeshNodesType object. */
IRON_C_EXPORT cmfe_Error cmfe_MeshNodes_Finalise(cmfe_MeshNodesType *cmfe_MeshNodes /*<The cmfe_MeshNodesType object to finalise. */);

/*>Initialises a cmfe_MeshNodesType object. */
IRON_C_EXPORT cmfe_Error cmfe_MeshNodes_Initialise(cmfe_MeshNodesType *cmfe_MeshNodes /*<The cmfe_MeshNodesType object to initialise. */);

/*>Finalises a cmfe_NodesType object. */
IRON_C_EXPORT cmfe_Error cmfe_Nodes_Finalise(cmfe_NodesType *cmfe_Nodes /*<The cmfe_NodesType object to finalise. */);

/*>Initialises a cmfe_NodesType object. */
IRON_C_EXPORT cmfe_Error cmfe_Nodes_Initialise(cmfe_NodesType *cmfe_Nodes /*<The cmfe_NodesType object to initialise. */);

/*>Finalises a cmfe_ProblemType object. */
IRON_C_EXPORT cmfe_Error cmfe_Problem_Finalise(cmfe_ProblemType *cmfe_Problem /*<The cmfe_ProblemType object to finalise. */);

/*>Initialises a cmfe_ProblemType object. */
IRON_C_EXPORT cmfe_Error cmfe_Problem_Initialise(cmfe_ProblemType *cmfe_Problem /*<The cmfe_ProblemType object to initialise. */);

/*>Finalises a cmfe_QuadratureType object. */
IRON_C_EXPORT cmfe_Error cmfe_Quadrature_Finalise(cmfe_QuadratureType *cmfe_Quadrature /*<The cmfe_QuadratureType object to finalise. */);

/*>Initialises a cmfe_QuadratureType object. */
IRON_C_EXPORT cmfe_Error cmfe_Quadrature_Initialise(cmfe_QuadratureType *cmfe_Quadrature /*<The cmfe_QuadratureType object to initialise. */);

/*>Finalises a cmfe_RegionType object. */
IRON_C_EXPORT cmfe_Error cmfe_Region_Finalise(cmfe_RegionType *cmfe_Region /*<The cmfe_RegionType object to finalise. */);

/*>Initialises a cmfe_RegionType object. */
IRON_C_EXPORT cmfe_Error cmfe_Region_Initialise(cmfe_RegionType *cmfe_Region /*<The cmfe_RegionType object to initialise. */);

/*>Finalises a cmfe_SolverType object. */
IRON_C_EXPORT cmfe_Error cmfe_Solver_Finalise(cmfe_SolverType *cmfe_Solver /*<The cmfe_SolverType object to finalise. */);

/*>Initialises a cmfe_SolverType object. */
IRON_C_EXPORT cmfe_Error cmfe_Solver_Initialise(cmfe_SolverType *cmfe_Solver /*<The cmfe_SolverType object to initialise. */);

/*>Finalises a cmfe_SolverEquationsType object. */
IRON_C_EXPORT cmfe_Error cmfe_SolverEquations_Finalise(cmfe_SolverEquationsType *cmfe_SolverEquations /*<The cmfe_SolverEquationsType object to finalise. */);

/*>Initialises a cmfe_SolverEquationsType object. */
IRON_C_EXPORT cmfe_Error cmfe_SolverEquations_Initialise(cmfe_SolverEquationsType *cmfe_SolverEquations /*<The cmfe_SolverEquationsType object to initialise. */);

/*>Output the analytic error analysis for a field specified by a user number compared to the analytic values parameter set. */
IRON_C_EXPORT cmfe_Error cmfe_AnalyticAnalysis_OutputNum(const int regionUserNumber /*<The user number of the region containing the field for analytic error analysis. */,
    const int fieldUserNumber /*<The user number of the field to calculate the analytic error analysis for. */,
    const int fileNameSize /*<Length of fileName string */,
    const char *fileName /*<If not empty, the filename to output the analytic analysis to. If empty, the analysis will be output to the standard output. */);

/*>Output the analytic error analysis for a field identified by an object compared to the analytic values parameter set. */
IRON_C_EXPORT cmfe_Error cmfe_AnalyticAnalysis_Output(const cmfe_FieldType field /*<The dependent field to calculate the analytic error analysis for. */,
    const int fileNameSize /*<Length of fileName string */,
    const char *fileName /*<If not empty, the filename to output the analytic analysis to. If empty, the analysis will be output to the standard output. */);

/*>Get absolute error value for the node in a field specified by a user number compared to the analytic value. */
IRON_C_EXPORT cmfe_Error cmfe_AnalyticAnalysis_AbsoluteErrorGetNodeNum(const int regionUserNumber /*<The user number of the region containing the field for analytic error analysis. */,
    const int fieldUserNumber /*<The user number of the field to calculate the analytic error analysis for. */,
    const int variableType /*<variable type */,
    const int versionNumber /*<derivative version number */,
    const int derivativeNumber /*<derivative number */,
    const int nodeNumber /*<node number */,
    const int componentNumber /*<component number */,
    double *value /*<On return, the absolute error */);

/*>Get absolute error value for the node in a field identified by an object compared to the analytic value. */
IRON_C_EXPORT cmfe_Error cmfe_AnalyticAnalysis_AbsoluteErrorGetNode(const cmfe_FieldType field /*<The dependent field to calculate the analytic error analysis for. */,
    const int variableType /*<variable type */,
    const int versionNumber /*<derivative version number */,
    const int derivativeNumber /*<derivative number */,
    const int nodeNumber /*<node number */,
    const int componentNumber /*<component number */,
    double *value /*<On return, the absolute error */);

/*>Get percentage error value for the node in a field specified by a user number compared to the analytic value. */
IRON_C_EXPORT cmfe_Error cmfe_AnalyticAnalysis_PercentageErrorGetNodeNum(const int regionUserNumber /*<The user number of the region containing the field for analytic error analysis. */,
    const int fieldUserNumber /*<The user number of the field to calculate the analytic error analysis for. */,
    const int variableType /*<variable type */,
    const int versionNumber /*<derivative version number */,
    const int derivativeNumber /*<derivative number */,
    const int nodeNumber /*<node number */,
    const int componentNumber /*<component number */,
    double *value /*<On return, the percentage error */);

/*>Get percentage error value for the node in a field identified by an object compared to the analytic value. */
IRON_C_EXPORT cmfe_Error cmfe_AnalyticAnalysis_PercentageErrorGetNode(const cmfe_FieldType field /*<The dependent field to calculate the analytic error analysis for. */,
    const int variableType /*<variable type */,
    const int versionNumber /*<derivative version number */,
    const int derivativeNumber /*<derivative number */,
    const int nodeNumber /*<node number */,
    const int componentNumber /*<component number */,
    double *value /*<On return, the percentage error */);

/*>Get relative error value for the node in a field specified by a user number compared to the analytic value. */
IRON_C_EXPORT cmfe_Error cmfe_AnalyticAnalysis_RelativeErrorGetNodeNum(const int regionUserNumber /*<The user number of the region containing the field for analytic error analysis. */,
    const int fieldUserNumber /*<The user number of the field to calculate the analytic error analysis for. */,
    const int variableType /*<variable type */,
    const int versionNumber /*<derivative version number */,
    const int derivativeNumber /*<derivative number */,
    const int nodeNumber /*<node number */,
    const int componentNumber /*<component number */,
    double *value /*<On return, the relative error */);

/*>Get relative error value for the node in a field identified by an object compared to the analytic value. */
IRON_C_EXPORT cmfe_Error cmfe_AnalyticAnalysis_RelativeErrorGetNode(const cmfe_FieldType field /*<The dependent field to calculate the analytic error analysis for. */,
    const int variableType /*<variable type */,
    const int versionNumber /*<derivative version number */,
    const int derivativeNumber /*<derivative number */,
    const int nodeNumber /*<node number */,
    const int componentNumber /*<component number */,
    double *value /*<On return, the relative error */);

/*>Get absolute error value for the element in a field specified by a user number compared to the analytic value. */
IRON_C_EXPORT cmfe_Error cmfe_AnalyticAnalysis_AbsoluteErrorGetElementNum(const int regionUserNumber /*<The user number of the region containing the field for analytic error analysis. */,
    const int fieldUserNumber /*<The user number of the field to calculate the analytic error analysis for. */,
    const int variableType /*<variable type */,
    const int elementNumber /*<element number */,
    const int componentNumber /*<component number */,
    double *value /*<On return, the absolute error */);

/*>Get absolute error value for the element in a field identified by an object compared to the analytic value. */
IRON_C_EXPORT cmfe_Error cmfe_AnalyticAnalysis_AbsoluteErrorGetElement(const cmfe_FieldType field /*<The dependent field to calculate the analytic error analysis for. */,
    const int variableType /*<variable type */,
    const int elementNumber /*<element number */,
    const int componentNumber /*<component number */,
    double *VALUE /*<On return, the absolute error */);

/*>Get percentage error value for the element in a field specified by a user number compared to the analytic value. */
IRON_C_EXPORT cmfe_Error cmfe_AnalyticAnalysis_PercentageErrorGetElementNum(const int regionUserNumber /*<The user number of the region containing the field for analytic error analysis. */,
    const int fieldUserNumber /*<The user number of the field to calculate the analytic error analysis for. */,
    const int variableType /*<variable type */,
    const int elementNumber /*<element number */,
    const int componentNumber /*<component number */,
    double *value /*<On return, the percentage error */);

/*>Get percentage error value for the element in a field identified by an object compared to the analytic value. */
IRON_C_EXPORT cmfe_Error cmfe_AnalyticAnalysis_PercentageErrorGetElement(const cmfe_FieldType field /*<The dependent field to calculate the analytic error analysis for. */,
    const int variableType /*<variable type */,
    const int elementNumber /*<element number */,
    const int componentNumber /*<component number */,
    double *VALUE /*<On return, the percentage error */);

/*>Get relative error value for the element in a field specified by a user number compared to the analytic value. */
IRON_C_EXPORT cmfe_Error cmfe_AnalyticAnalysis_RelativeErrorGetElementNum(const int regionUserNumber /*<The user number of the region containing the field for analytic error analysis. */,
    const int fieldUserNumber /*<The user number of the field to calculate the analytic error analysis for. */,
    const int variableType /*<variable type */,
    const int elementNumber /*<element number */,
    const int componentNumber /*<component number */,
    double *value /*<On return, the relative error */);

/*>Get relative error value for the element in a field identified by an object compared to the analytic value. */
IRON_C_EXPORT cmfe_Error cmfe_AnalyticAnalysis_RelativeErrorGetElement(const cmfe_FieldType field /*<The dependent field to calculate the analytic error analysis for. */,
    const int variableType /*<variable type */,
    const int elementNumber /*<element number */,
    const int componentNumber /*<component number */,
    double *VALUE /*<On return, the relative error */);

/*>Get absolute error value for the constant in a field specified by a user number compared to the analytic value. */
IRON_C_EXPORT cmfe_Error cmfe_AnalyticAnalysis_AbsoluteErrorGetConstantNum(const int regionUserNumber /*<The user number of the region containing the field for analytic error analysis. */,
    const int fieldUserNumber /*<The user number of the field to calculate the analytic error analysis for. */,
    const int variableType /*<variable type */,
    const int componentNumber /*<component number */,
    double *value /*<On return, the absolute error */);

/*>Get absolute error value for the constant in a field identified by an object compared to the analytic value. */
IRON_C_EXPORT cmfe_Error cmfe_AnalyticAnalysis_AbsoluteErrorGetConstant(const cmfe_FieldType field /*<The dependent field to calculate the analytic error analysis for. */,
    const int variableType /*<variable type */,
    const int componentNumber /*<component number */,
    double *VALUE /*<On return, the absolute error */);

/*>Get percentage error value for the constant in a field specified by a user number compared to the analytic value. */
IRON_C_EXPORT cmfe_Error cmfe_AnalyticAnalysis_PercentageErrorGetConstantNum(const int regionUserNumber /*<The user number of the region containing the field for analytic error analysis. */,
    const int fieldUserNumber /*<The user number of the field to calculate the analytic error analysis for. */,
    const int variableType /*<variable type */,
    const int componentNumber /*<component number */,
    double *value /*<On return, the percentage error */);

/*>Get percentage error value for the constant in a field identified by an object compared to the analytic value. */
IRON_C_EXPORT cmfe_Error cmfe_AnalyticAnalysis_PercentageErrorGetConstant(const cmfe_FieldType field /*<The dependent field to calculate the analytic error analysis for. */,
    const int variableType /*<variable type */,
    const int componentNumber /*<component number */,
    double *VALUE /*<On return, the percentage error */);

/*>Get relative error value for the constant in a field specified by a user number compared to the analytic value. */
IRON_C_EXPORT cmfe_Error cmfe_AnalyticAnalysis_RelativeErrorGetConstantNum(const int regionUserNumber /*<The user number of the region containing the field for analytic error analysis. */,
    const int fieldUserNumber /*<The user number of the field to calculate the analytic error analysis for. */,
    const int variableType /*<variable type */,
    const int componentNumber /*<component number */,
    double *value /*<On return, the relative error */);

/*>Get relative error value for the constant in a field identified by an object compared to the analytic value. */
IRON_C_EXPORT cmfe_Error cmfe_AnalyticAnalysis_RelativeErrorGetConstant(const cmfe_FieldType field /*<The dependent field to calculate the analytic error analysis for. */,
    const int variableType /*<variable type */,
    const int componentNumber /*<component number */,
    double *VALUE /*<On return, the relative error */);

/*>Get rms error value for nodes in a field compared to the analytic value. */
IRON_C_EXPORT cmfe_Error cmfe_AnalyticAnalysis_RMSErrorGetNodeNum(const int regionUserNumber /*<The user number of the region containing the field for analytic error analysis. */,
    const int fieldUserNumber /*<The user number of the field to calculate the analytic error analysis for. */,
    const int variableType /*<variable type */,
    const int componentNumber /*<component number */,
    const int errorType /*<error type */,
    double localValue[8] /*<On return, the local error */,
    double localGhostValue[8] /*<On return, the local ghost error */,
    double globalValue[8] /*<On return, the global error */);

/*>Get rms error value for nodes in a field identified by an object compared to the analytic value. */
IRON_C_EXPORT cmfe_Error cmfe_AnalyticAnalysis_RMSErrorGetNode(const cmfe_FieldType field /*<The dependent field to calculate the analytic error analysis for. */,
    const int variableType /*<variable type */,
    const int componentNumber /*<component number */,
    const int errorType /*<error type */,
    double localValue[8] /*<On return, the local error */,
    double localGhostValue[8] /*<On return, the local ghost error */,
    double globalValue[8] /*<On return, the global error */);

/*>Get rms error value for elements in a field compared to the analytic value. */
IRON_C_EXPORT cmfe_Error cmfe_AnalyticAnalysis_RMSErrorGetElementNum(const int regionUserNumber /*<The user number of the region containing the field for analytic error analysis. */,
    const int fieldUserNumber /*<The user number of the field to calculate the analytic error analysis for. */,
    const int variableType /*<variable type */,
    const int componentNumber /*<component number */,
    const int errorType /*<error type */,
    double *localValue /*<On return, the local error */,
    double *localGhostValue /*<On return, the local ghost error */,
    double *globalValue /*<On return, the global error */);

/*>Get relative error value for the constant in a field identified by an object compared to the analytic value. */
IRON_C_EXPORT cmfe_Error cmfe_AnalyticAnalysis_RMSErrorGetElement(const cmfe_FieldType field /*<The dependent field to calculate the analytic error analysis for. */,
    const int variableType /*<variable type */,
    const int componentNumber /*<component number */,
    const int errorType /*<error type */,
    double *localValue /*<On return, the local error */,
    double *localGhostValue /*<On return, the local ghost error */,
    double *globalValue /*<On return, the global error */);

/*>Get integral value for the numerical values. */
IRON_C_EXPORT cmfe_Error cmfe_AnalyticAnalysis_IntegralNumericalValueGetNum(const int regionUserNumber /*<The user number of the region containing the field for analytic error analysis. */,
    const int fieldUserNumber /*<The user number of the field to calculate the analytic error analysis for. */,
    const int variableType /*<variable type */,
    const int componentNumber /*<component number */,
    double integralValue[2] /*<On return, the integral value */,
    double ghostIntegralValue[2] /*<On return, ghost integral value */);

/*>Get integral value for the numerical values. */
IRON_C_EXPORT cmfe_Error cmfe_AnalyticAnalysis_IntegralNumericalValueGet(const cmfe_FieldType field /*<The dependent field to calculate the analytic error analysis for. */,
    const int variableType /*<variable type */,
    const int componentNumber /*<component number */,
    double integralValue[2] /*<On return, the integral value */,
    double ghostIntegralValue[2] /*<On return, ghost integral value */);

/*>Get integral value for the analytic values. */
IRON_C_EXPORT cmfe_Error cmfe_AnalyticAnalysis_IntegralAnalyticValueGetNum(const int regionUserNumber /*<The user number of the region containing the field for analytic error analysis. */,
    const int fieldUserNumber /*<The user number of the field to calculate the analytic error analysis for. */,
    const int variableType /*<variable type */,
    const int componentNumber /*<component number */,
    double integralValue[2] /*<On return, the integral value */,
    double ghostIntegralValue[2] /*<On return, ghost integral value */);

/*>Get integral value for the analytic values. */
IRON_C_EXPORT cmfe_Error cmfe_AnalyticAnalysis_IntegralAnalyticValueGet(const cmfe_FieldType field /*<The dependent field to calculate the analytic error analysis for. */,
    const int variableType /*<variable type */,
    const int componentNumber /*<component number */,
    double integralValue[2] /*<On return, the integral value */,
    double ghostIntegralValue[2] /*<On return, ghost integral value */);

/*>Get integral value for the percentage errors. */
IRON_C_EXPORT cmfe_Error cmfe_AnalyticAnalysis_IntegralPercentageErrorGetNum(const int regionUserNumber /*<The user number of the region containing the field for analytic error analysis. */,
    const int fieldUserNumber /*<The user number of the field to calculate the analytic error analysis for. */,
    const int variableType /*<variable type */,
    const int componentNumber /*<component number */,
    double integralValue[2] /*<On return, the integral value */,
    double ghostIntegralValue[2] /*<On return, ghost integral value */);

/*>Get integral value for the percentage errors. */
IRON_C_EXPORT cmfe_Error cmfe_AnalyticAnalysis_IntegralPercentageErrorGet(const cmfe_FieldType field /*<The dependent field to calculate the analytic error analysis for. */,
    const int variableType /*<variable type */,
    const int componentNumber /*<component number */,
    double integralValue[2] /*<On return, the integral value */,
    double ghostIntegralValue[2] /*<On return, ghost integral value */);

/*>Get integral value for the absolute errors. */
IRON_C_EXPORT cmfe_Error cmfe_AnalyticAnalysis_IntegralAbsoluteErrorGetNum(const int regionUserNumber /*<The user number of the region containing the field for analytic error analysis. */,
    const int fieldUserNumber /*<The user number of the field to calculate the analytic error analysis for. */,
    const int variableType /*<variable type */,
    const int componentNumber /*<component number */,
    double integralValue[2] /*<On return, the integral value */,
    double ghostIntegralValue[2] /*<On return, ghost integral value */);

/*>Get integral value for the absolute errors. */
IRON_C_EXPORT cmfe_Error cmfe_AnalyticAnalysis_IntegralAbsoluteErrorGet(const cmfe_FieldType field /*<The dependent field to calculate the analytic error analysis for. */,
    const int variableType /*<variable type */,
    const int componentNumber /*<component number */,
    double integralValue[2] /*<On return, the integral value */,
    double ghostIntegralValue[2] /*<On return, ghost integral value */);

/*>Get integral value for the relative error. */
IRON_C_EXPORT cmfe_Error cmfe_AnalyticAnalysis_IntegralRelativeErrorGetNum(const int regionUserNumber /*<The user number of the region containing the field for analytic error analysis. */,
    const int fieldUserNumber /*<The user number of the field to calculate the analytic error analysis for. */,
    const int variableType /*<variable type */,
    const int componentNumber /*<component number */,
    double integralValue[2] /*<On return, the integral value */,
    double ghostIntegralValue[2] /*<On return, ghost integral value */);

/*>Get integral value for the relative error. */
IRON_C_EXPORT cmfe_Error cmfe_AnalyticAnalysis_IntegralRelativeErrorGet(const cmfe_FieldType field /*<The dependent field to calculate the analytic error analysis for. */,
    const int variableType /*<variable type */,
    const int componentNumber /*<component number */,
    double integralValue[2] /*<On return, the integral value */,
    double ghostIntegralValue[2] /*<On return, ghost integral value */);

/*>Get integral value for the nid numerical. */
IRON_C_EXPORT cmfe_Error cmfe_AnalyticAnalysis_IntegralNIDNumericalValueGetNum(const int regionUserNumber /*<The user number of the region containing the field for analytic error analysis. */,
    const int fieldUserNumber /*<The user number of the field to calculate the analytic error analysis for. */,
    const int variableType /*<variable type */,
    const int componentNumber /*<component number */,
    double integralValue[2] /*<On return, the integral value */,
    double ghostIntegralValue[2] /*<On return, ghost integral value */);

/*>Get integral value for the nid numerical. */
IRON_C_EXPORT cmfe_Error cmfe_AnalyticAnalysis_IntegralNIDNumericalValueGet(const cmfe_FieldType field /*<The dependent field to calculate the analytic error analysis for. */,
    const int variableType /*<variable type */,
    const int componentNumber /*<component number */,
    double integralValue[2] /*<On return, the integral value */,
    double ghostIntegralValue[2] /*<On return, ghost integral value */);

/*>Get integral value for the nid error. */
IRON_C_EXPORT cmfe_Error cmfe_AnalyticAnalysis_IntegralNIDErrorGetNum(const int regionUserNumber /*<The user number of the region containing the field for analytic error analysis. */,
    const int fieldUserNumber /*<The user number of the field to calculate the analytic error analysis for. */,
    const int variableType /*<variable type */,
    const int componentNumber /*<component number */,
    double integralValue[2] /*<On return, the integral value */,
    double ghostIntegralValue[2] /*<On return, ghost integral value */);

/*>Get integral value for the nid error. */
IRON_C_EXPORT cmfe_Error cmfe_AnalyticAnalysis_IntegralNIDErrorGet(const cmfe_FieldType field /*<The dependent field to calculate the analytic error analysis for. */,
    const int variableType /*<variable type */,
    const int componentNumber /*<component number */,
    double integralValue[2] /*<On return, the integral value */,
    double ghostIntegralValue[2] /*<On return, ghost integral value */);

/*>Sets diagnostics off. \see OpenCMISS::Iron::cmfe_DiagnosticsSetOn */
IRON_C_EXPORT cmfe_Error cmfe_DiagnosticsSetOff();

/*>Sets diagnostics on \see OpenCMISS::Iron::cmfe_DiagnosticsSetOff */
IRON_C_EXPORT cmfe_Error cmfe_DiagnosticsSetOn(const int diagType /*<The type of diagnostics to set on \see OPENCMISS_DiagnosticTypes. */,
    const int levelListSize /*<Length of levelList */,
    const int *levelList /*<The list of diagnostic levels to set on. */,
    const int diagFilenameSize /*<Length of diagFilename string */,
    const char *diagFilename /*<If present the name of the file to output diagnostic information to. If omitted the diagnostic output is sent to the screen. */,
    const int routineListNumStrings /*<Number of strings in routineList */,
    const int routineListStringLength /*<Length of strings in routineList */,
    const char *routineList /*<The list of routines to set diagnostics on in. */);

/*>Sets output off \see OpenCMISS::Iron::cmfe_OutputSetOff */
IRON_C_EXPORT cmfe_Error cmfe_OutputSetOff();

/*>Sets output on \see OpenCMISS::Iron::cmfe_OutputSetOff */
IRON_C_EXPORT cmfe_Error cmfe_OutputSetOn(const int echoFilenameSize /*<Length of echoFilename string */,
    const char *echoFilename /*<The filename of the file to echo output to */);

/*>Sets timing off \see OpenCMISS::Iron::cmfe_TimingSetOn */
IRON_C_EXPORT cmfe_Error cmfe_TimingSetOff();

/*>Sets timing on \see OpenCMISS::Iron::cmfe_TimingSetOff */
IRON_C_EXPORT cmfe_Error cmfe_TimingSetOn(const int timingType /*<The type of timing to set on \see OPENCMISS_TimingTypes. */,
    const cmfe_Bool timingSummaryFlag /*<.TRUE. if the timing information will be output with subsequent OpenCMISS::Iron::cmfe_TimingSummaryOutput calls, .FALSE. if the timing information will be output every time the routine exits. */,
    const int timingFilenameSize /*<Length of timingFilename string */,
    const char *timingFilename /*<If present the name of the file to output timing information to. If omitted the timing output is sent to the screen. */,
    const int routineListNumStrings /*<Number of strings in routineList */,
    const int routineListStringLength /*<Length of strings in routineList */,
    const char *routineList /*<The list of routines to set timing on in. */);

/*>Outputs the timing summary. */
IRON_C_EXPORT cmfe_Error cmfe_TimingSummaryOutput();

/*>Returns the collapsed Xi flags of a basis identified by a user number. */
IRON_C_EXPORT cmfe_Error cmfe_Basis_CollapsedXiGetNum(const int userNumber /*<The user number of the basis to get the collapsed Xi flags for. */,
    const int collapsedXiSize /*<Length of collapsedXi */,
    int *collapsedXi /*<collapsedXi(ni). On return, the collapsed Xi parameter for the ni'th Xi direction. \see OPENCMISS_BasisXiCollapse */);

/*>Returns the collapsed Xi flags of a basis identified by an object. */
IRON_C_EXPORT cmfe_Error cmfe_Basis_CollapsedXiGet(const cmfe_BasisType basis /*<The basis to get the collapsed Xi flags for. */,
    const int collapsedXiSize /*<Length of collapsedXi */,
    int *collapsedXi /*<collapsedXi(ni). On return, the collapsed Xi parameter for the ni'th Xi direction. \see OPENCMISS_BasisXiCollapse */);

/*>Sets/changes the collapsed Xi flags of a basis identified by a user number. */
IRON_C_EXPORT cmfe_Error cmfe_Basis_CollapsedXiSetNum(const int userNumber /*<The user number of the basis to set the collapsed Xi flags for. */,
    const int collapsedXiSize /*<Length of collapsedXi */,
    const int *collapsedXi /*<collapsedXi(ni). The collapsed Xi parameter for the ni'th Xi direction to set. \see OPENCMISS_BasisXiCollapse */);

/*>Sets/changes the collapsed Xi flags of a basis identified by an object. */
IRON_C_EXPORT cmfe_Error cmfe_Basis_CollapsedXiSet(cmfe_BasisType basis /*<The basis to set the collapsed Xi flags for. */,
    const int collapsedXiSize /*<Length of collapsedXi */,
    const int *collapsedXi /*<collapsedXi(ni). The collapsed Xi parameter for the ni'th Xi direction to set. \see OPENCMISS_BasisXiCollapse */);

/*>Finishes the creation of a new basis identified by a user number. */
IRON_C_EXPORT cmfe_Error cmfe_Basis_CreateFinishNum(const int userNumber /*<The user number of the basis to finish the creation of. */);

/*>Finishes the creation of a new basis identified by an object. */
IRON_C_EXPORT cmfe_Error cmfe_Basis_CreateFinish(cmfe_BasisType basis /*<The basis to finish the creation of */);

/*>Starts the creation of a new basis for a basis identified by a user number. */
IRON_C_EXPORT cmfe_Error cmfe_Basis_CreateStartNum(const int userNumber /*<The user number of the basis to start the creation of. */);

/*>Starts the creation of a new basis for a basis identified by an object. */
IRON_C_EXPORT cmfe_Error cmfe_Basis_CreateStart(const int userNumber /*<The user number of the basis to start the creation of. */,
    cmfe_BasisType basis /*<On exit, the newly created basis. */);

/*>Destroys a basis identified by its basis user number. */
IRON_C_EXPORT cmfe_Error cmfe_Basis_DestroyNum(const int userNumber /*<The user number of the basis to destroy. */);

/*>Destroys a basis identified by an object. */
IRON_C_EXPORT cmfe_Error cmfe_Basis_Destroy(cmfe_BasisType basis /*<The basis to destroy. */);

/*>Get the interpolation type in each xi directions for a basis identified by a user number. */
IRON_C_EXPORT cmfe_Error cmfe_Basis_InterpolationXiGetNum(const int userNumber /*<The user number of the basis to get the interpolation xi for. */,
    const int interpolationXiSize /*<Length of interpolationXi */,
    int *interpolationXi /*<On return, the interpolation xi parameters for each Xi direction \see OPENCMISS_BasisInterpolationSpecifications. */);

/*>Get the interpolation type in each xi directions for a basis indentified by an object. */
IRON_C_EXPORT cmfe_Error cmfe_Basis_InterpolationXiGet(const cmfe_BasisType basis /*<The basis to get the interpolation xi for. */,
    const int interpolationXiSize /*<Length of interpolationXi */,
    int *interpolationXi /*<On return, the interpolation xi parameters for each Xi direction \see OPENCMISS_BasisInterpolationSpecifications. */);

/*>Sets/changes the interpolation type in each xi directions for a basis identified by a user number. */
IRON_C_EXPORT cmfe_Error cmfe_Basis_InterpolationXiSetNum(const int userNumber /*<The user number of the basis to get the interpolation xi for. */,
    const int interpolationXiSize /*<Length of interpolationXi */,
    const int *interpolationXi /*<The interpolation xi parameters for each Xi direction \see OPENCMISS_BasisInterpolationSpecifications. */);

/*>Sets/changes the interpolation type in each xi directions for a basis indentified by an object. */
IRON_C_EXPORT cmfe_Error cmfe_Basis_InterpolationXiSet(const cmfe_BasisType basis /*<The basis to get the interpolation xi for. */,
    const int interpolationXiSize /*<Length of interpolationXi */,
    const int *interpolationXi /*<The interpolation xi parameters for each Xi direction \see OPENCMISS_BasisInterpolationSpecifications. */);

/*>Returns the number of local nodes in a basis identified by a user number. */
IRON_C_EXPORT cmfe_Error cmfe_Basis_NumberOfLocalNodesGetNum(const int userNumber /*<The user number of the basis to get the interpolation xi for. */,
    int *numberOfLocalNodes /*<On return, the number of local nodes in the specified basis. */);

/*>Returns the number of local nodes in a basis identified by an object. */
IRON_C_EXPORT cmfe_Error cmfe_Basis_NumberOfLocalNodesGet(const cmfe_BasisType basis /*<The basis to get the number of local nodes for. */,
    int *numberOfLocalNodes /*<On return, the number of local nodes in the specified basis. */);

/*>Returns the number of Xi directions in a basis identified by a user number. */
IRON_C_EXPORT cmfe_Error cmfe_Basis_NumberOfXiGetNum(const int userNumber /*<The user number of the basis to get the number xi for. */,
    int *numberOfXi /*<On return, the number of xi directions in the specified basis. */);

/*>Returns the number of Xi directions in a basis identified by an object. */
IRON_C_EXPORT cmfe_Error cmfe_Basis_NumberOfXiGet(const cmfe_BasisType basis /*<The basis to get the number of xi directions for. */,
    int *numberOfXi /*<On return, the number of xi directions in the specified basis. */);

/*>Sets/changes the number of Xi directions in a basis identified by a user number. */
IRON_C_EXPORT cmfe_Error cmfe_Basis_NumberOfXiSetNum(const int userNumber /*<The user number of the basis to set the number xi for. */,
    const int numberOfXi /*<The number of xi directions in the specified basis to set. */);

/*>Sets/changes the number of Xi directions in a basis identified by an object. */
IRON_C_EXPORT cmfe_Error cmfe_Basis_NumberOfXiSet(cmfe_BasisType basis /*<The basis to set the number of xi directions for. */,
    const int numberOfXi /*<The number of xi directions in the specified basis to set. */);

/*>Returns the number of Gauss points in each Xi directions for a basis quadrature identified by a user number. */
IRON_C_EXPORT cmfe_Error cmfe_Basis_QuadratureNumberOfGaussXiGetNum(const int userNumber /*<The user number of the basis to get the number of Gauss Xi for. */,
    const int numberOfGaussXiSize /*<Length of numberOfGaussXi */,
    int *numberOfGaussXi /*<On return, the number of Gauss points in each Xi directions in the specified basis. */);

/*>Returns the number Gauss points in each Xi directions for a basis quadrature identified by an object. */
IRON_C_EXPORT cmfe_Error cmfe_Basis_QuadratureNumberOfGaussXiGet(const cmfe_BasisType basis /*<The basis to get the number of Gauss Xi for. */,
    const int numberOfGaussXiSize /*<Length of numberOfGaussXi */,
    int *numberOfGaussXi /*<On return, the number of Gauss points in each Xi directions in the specified basis. */);

/*>Sets/changes the number of Gauss points in each Xi directions for a basis quadrature identified by a user number. */
IRON_C_EXPORT cmfe_Error cmfe_Basis_QuadratureNumberOfGaussXiSetNum(const int userNumber /*<The user number of the basis to set the number of Gauss Xi for. */,
    const int numberOfGaussXiSize /*<Length of numberOfGaussXi */,
    const int *numberOfGaussXi /*<The number of Gauss points in each Xi directions in the specified basis to set. */);

/*>Sets the number Gauss points in each Xi directions for a basis quadrature identified by an object. */
IRON_C_EXPORT cmfe_Error cmfe_Basis_QuadratureNumberOfGaussXiSet(cmfe_BasisType basis /*<The basis to get the number of Gauss Xi for. */,
    const int numberOfGaussXiSize /*<Length of numberOfGaussXi */,
    const int *numberOfGaussXi /*<The number of Gauss points in each Xi directions in the specified basis to set. */);

/*>Returns the xi position of a Gauss point on a basis quadrature identified by a user number. */
IRON_C_EXPORT cmfe_Error cmfe_Basis_QuadratureSingleGaussXiGetNum(const int userNumber /*<The user number of the basis to get the Gauss Xi positions for. */,
    const int quadratureScheme /*<The quadrature scheme to return the Gauss positions for. */,
    const int GaussPoint /*<The Gauss point to return the element xi positions for. */,
    const int GaussXiSize /*<Length of GaussXi */,
    double *GaussXi /*<On return, GaussXi(xi_direction) the xi position of the specified Gauss point for the specified quadrature scheme. */);

/*>Returns the xi position of a Gauss point on a basis quadrature identified by an object. */
IRON_C_EXPORT cmfe_Error cmfe_Basis_QuadratureSingleGaussXiGet(const cmfe_BasisType basis /*<The basis to get the Gauss Xi positions for. */,
    const int quadratureScheme /*<The quadrature scheme to return the Gauss xi positions for. */,
    const int GaussPoint /*<The Gauss point to return the element xi positions for. */,
    const int GaussXiSize /*<Length of GaussXi */,
    double *GaussXi /*<On return, GaussXi(xi_direction) the xi position of the specified Gauss point for the specified quadrature scheme. */);

/*>Returns the xi positions of Gauss points on a basis quadrature identified by a user number. */
IRON_C_EXPORT cmfe_Error cmfe_Basis_QuadratureMultipleGaussXiGetNum(const int userNumber /*<The user number of the basis to get the Gauss Xi positions for. */,
    const int quadratureScheme /*<The quadrature scheme to return the Gauss positions for. */,
    const int GaussPointsSize /*<Length of GaussPoints */,
    const int *GaussPoints /*<The Gauss points to return the element xi positions for. */,
    const int GaussXiSize1 /*<Size of dimension 1 of GaussXi */,
    const int GaussXiSize2 /*<Size of dimension 2 of GaussXi */,
    double *GaussXi /*<On return, GaussXi(Gauss_point,xi_direction) the Gauss xi positions for the specified quadrature scheme. */);

/*>Returns the xi positions of Gauss points on a basis quadrature identified by an object. */
IRON_C_EXPORT cmfe_Error cmfe_Basis_QuadratureMultipleGaussXiGet(const cmfe_BasisType basis /*<The basis to get the Gauss Xi positions for. */,
    const int quadratureScheme /*<The quadrature scheme to return the Gauss xi positions for. */,
    const int GaussPointsSize /*<Length of GaussPoints */,
    const int *GaussPoints /*<The Gauss points to return the element xi positions for. */,
    const int GaussXiSize1 /*<Size of dimension 1 of GaussXi */,
    const int GaussXiSize2 /*<Size of dimension 2 of GaussXi */,
    double *GaussXi /*<On return, GaussXi(Gauss_point,xi_direction) the Gauss xi positions for the specified quadrature scheme. */);

/*>Returns the order of quadrature a basis quadrature identified by a user number. */
IRON_C_EXPORT cmfe_Error cmfe_Basis_QuadratureOrderGetNum(const int userNumber /*<The user number of the basis to get the quadrature order for. */,
    int *quadratureOrder /*<On return, the order of quadrature in the specified basis. */);

/*>Returns the the order of quadrature for a basis quadrature identified by an object. */
IRON_C_EXPORT cmfe_Error cmfe_Basis_QuadratureOrderGet(const cmfe_BasisType basis /*<The basis to get the quadrature order for. */,
    int *quadratureOrder /*<On return, the order of quadrature in the specified basis. */);

/*>Sets/changes the order of quadrature a basis quadrature identified by a user number. */
IRON_C_EXPORT cmfe_Error cmfe_Basis_QuadratureOrderSetNum(const int userNumber /*<The user number of the basis to set the quadrature order for. */,
    const int quadratureOrder /*<The order of quadrature in the specified basis to set. */);

/*>Sets/changes the the order of quadrature for a basis quadrature identified by an object. */
IRON_C_EXPORT cmfe_Error cmfe_Basis_QuadratureOrderSet(cmfe_BasisType basis /*<The basis to set the quadrature order for. */,
    const int quadratureOrder /*<The order of quadrature in the specified basis to set. */);

/*>Returns the type of quadrature a basis quadrature identified by a user number. */
IRON_C_EXPORT cmfe_Error cmfe_Basis_QuadratureTypeGetNum(const int userNumber /*<The user number of the basis to get the quadrature type for. */,
    int *quadratureType /*<On return, the type of quadrature in the specified basis. \see OPENCMISS_QuadratureTypes */);

/*>Returns the the type of quadrature for a basis quadrature identified by an object. */
IRON_C_EXPORT cmfe_Error cmfe_Basis_QuadratureTypeGet(const cmfe_BasisType basis /*<The basis to get the quadrature order for. */,
    int *quadratureType /*<On return, the type of quadrature in the specified basis. \see OPENCMISS_QuadratureTypes */);

/*>Sets/changes the type of quadrature a basis quadrature identified by a user number. */
IRON_C_EXPORT cmfe_Error cmfe_Basis_QuadratureTypeSetNum(const int userNumber /*<The user number of the basis to get the quadrature type for. */,
    const int quadratureType /*<The type of quadrature in the specified basis to set. \see OPENCMISS_QuadratureTypes */);

/*>Sets/changes the the type of quadrature for a basis quadrature identified by an object. */
IRON_C_EXPORT cmfe_Error cmfe_Basis_QuadratureTypeSet(cmfe_BasisType basis /*<The basis to get the quadrature type for. */,
    const int quadratureType /*<The type of quadrature in the specified basis to set. \see OPENCMISS_QuadratureTypes */);

/*>Sets/changes the local face Gauss scheme calculation, on a basis identified by a user number. */
IRON_C_EXPORT cmfe_Error cmfe_Basis_QuadratureLocalFaceGaussEvaluateSetNum(const int userNumber /*<The user number of the basis to get the quadrature type for. */,
    const cmfe_Bool faceGaussEvaluate /*<The value to set face Gauss evaluation flag to. */);

/*>Sets/changes the local face Gauss scheme calculation, on a basis identified by an object. */
IRON_C_EXPORT cmfe_Error cmfe_Basis_QuadratureLocalFaceGaussEvaluateSet(cmfe_BasisType basis /*<The basis to get the quadrature type for. */,
    const cmfe_Bool faceGaussEvaluate /*<The type of quadrature in the specified basis to set. */);

/*>Returns the type of a basis identified by a user number. */
IRON_C_EXPORT cmfe_Error cmfe_Basis_TypeGetNum(const int userNumber /*<The user number of the basis to get the type for. */,
    int *basisType /*<On return, the type of the specified basis. \see OPENCMISS_BasisTypes */);

/*>Returns the type of a basis identified by an object. */
IRON_C_EXPORT cmfe_Error cmfe_Basis_TypeGet(const cmfe_BasisType basis /*<The basis to get the type for. */,
    int *basisType /*<On return, the type of the specified basis. \see OPENCMISS_BasisTypes */);

/*>Sets/changes the type of a basis identified by a user number. */
IRON_C_EXPORT cmfe_Error cmfe_Basis_TypeSetNum(const int userNumber /*<The user number of the basis to set the type for. */,
    const int basisType /*<The type of the specified basis to set. \see OPENCMISS_BasisTypes */);

/*>Sets/changes the type of a basis identified by an object. */
IRON_C_EXPORT cmfe_Error cmfe_Basis_TypeSet(cmfe_BasisType basis /*<The basis to set the type for. */,
    const int basisType /*<The type of the specified basis to set. \see OPENCMISS_BasisTypes */);

/*>Destroys the boundary conditions for solver equations identified by a control loop identifier. */
IRON_C_EXPORT cmfe_Error cmfe_BoundaryConditions_DestroyNum(const int problemUserNumber /*<The user number of the problem containing the solver equations to destroy the boundary conditions for. */,
    const int controlLoopIdentifiersSize /*<Length of controlLoopIdentifiers */,
    const int *controlLoopIdentifiers /*<controlLoopIdentifiers(i). The i'th control loop identifier to get the solver equations boundary conditions for. */,
    const int solverIndex /*<The solver index to get the solver equations for. */);

/*>Destroys boundary conditions identified by an object. */
IRON_C_EXPORT cmfe_Error cmfe_BoundaryConditions_Destroy(cmfe_BoundaryConditionsType boundaryConditions /*<The boundary conditions to destroy. */);

/*>Adds to the value of the specified constant and sets this as a boundary condition on the specified constant for boundary conditions identified by a user number. */
IRON_C_EXPORT cmfe_Error cmfe_BoundaryConditions_AddConstantNum(const int regionUserNumber /*<The user number of the region containing the dependent field to add the boundary conditions for. */,
    const int problemUserNumber /*<The user number of the problem containing the solver equations to add the boundary conditions for. */,
    const int controlLoopIdentifiersSize /*<Length of controlLoopIdentifiers */,
    const int *controlLoopIdentifiers /*<controlLoopIdentifiers(i). The i'th control loop identifier to get the solver equations boundary conditions for. */,
    const int solverIndex /*<The solver index to get the solver equations for. */,
    const int fieldUserNumber /*<The user number of the dependent field for the boundary condition. */,
    const int variableType /*<The variable type of the dependent field to add the boundary condition at. \see OPENCMISS_FieldVariableTypes */,
    const int componentNumber /*<The component number of the dependent field to add the boundary condition at. */,
    const int condition /*<The boundary condition type to set \see OPENCMISS_BoundaryConditionsTypes,OPENCMISS */,
    const double value /*<The value of the boundary condition to add. */);

/*>Adds to the value of the specified constant and sets this as a boundary condition on the specified constant for boundary conditions identified by an object. */
IRON_C_EXPORT cmfe_Error cmfe_BoundaryConditions_AddConstant(const cmfe_BoundaryConditionsType boundaryConditions /*<The boundary conditions to add the constant to. */,
    const cmfe_FieldType field /*<The dependent field to set the boundary condition on. */,
    const int variableType /*<The variable type of the dependent field to set the boundary condition at. \see OPENCMISS_FieldVariableTypes */,
    const int componentNumber /*<The component number of the dependent field to set the boundary condition at. */,
    const int condition /*<The boundary condition type to set \see OPENCMISS_BoundaryConditionsTypes,OPENCMISS */,
    const double value /*<The value of the boundary condition to add. */);

/*>Sets the value of the specified constant as a boundary condition on the specified constant for boundary conditions identified by a user number. */
IRON_C_EXPORT cmfe_Error cmfe_BoundaryConditions_SetConstantNum(const int regionUserNumber /*<The user number of the region containing the equations set to set the boundary conditions for. */,
    const int problemUserNumber /*<The user number of the problem containing the solver equations to destroy the boundary conditions for. */,
    const int controlLoopIdentifiersSize /*<Length of controlLoopIdentifiers */,
    const int *controlLoopIdentifiers /*<controlLoopIdentifiers(i). The i'th control loop identifier to get the solver equations boundary conditions for. */,
    const int solverIndex /*<The solver index to get the solver equations for. */,
    const int variableType /*<The variable type of the dependent field to set the boundary condition at. \see OPENCMISS_FieldVariableTypes */,
    const int fieldUserNumber /*<The user number of the dependent field for the boundary condition. */,
    const int componentNumber /*<The component number of the dependent field to set the boundary condition at. */,
    const int condition /*<The boundary condition type to set \see OPENCMISS_BoundaryConditionsTypes,OPENCMISS */,
    const double value /*<The value of the boundary condition to set. */);

/*>Sets the value of the specified constant and sets this as a boundary condition on the specified constant for boundary conditions identified by an object. */
IRON_C_EXPORT cmfe_Error cmfe_BoundaryConditions_SetConstant(const cmfe_BoundaryConditionsType boundaryConditions /*<The boundary conditions to set the constant to. */,
    const cmfe_FieldType field /*<The dependent field to set the boundary condition on. */,
    const int variableType /*<The variable type of the dependent field to set the boundary condition at. \see OPENCMISS_FieldVariableTypes */,
    const int componentNumber /*<The component number of the dependent field to set the boundary condition at. */,
    const int condition /*<The boundary condition type to set \see OPENCMISS_BoundaryConditionsTypes,OPENCMISS */,
    const double value /*<The value of the boundary condition to set. */);

/*>Adds the value to the specified element and sets this as a boundary condition on the specified element for boundary conditions identified by a user number. */
IRON_C_EXPORT cmfe_Error cmfe_BoundaryConditions_AddElementNum(const int regionUserNumber /*<The user number of the region containing the equations set to add the boundary conditions for. */,
    const int problemUserNumber /*<The user number of the problem containing the solver equations to destroy the boundary conditions for. */,
    const int controlLoopIdentifiersSize /*<Length of controlLoopIdentifiers */,
    const int *controlLoopIdentifiers /*<controlLoopIdentifiers(i). The i'th control loop identifier to get the solver equations boundary conditions for. */,
    const int solverIndex /*<The solver index to get the solver equations for. */,
    const int fieldUserNumber /*<The user number of the dependent field for the boundary condition. */,
    const int variableType /*<The variable type of the dependent field to add the boundary condition at. \see OPENCMISS_FieldVariableTypes */,
    const int elementUserNumber /*<The user number of the element to add the boundary conditions for. */,
    const int componentNumber /*<The component number of the dependent field to add the boundary condition at. */,
    const int condition /*<The boundary condition type to set \see OPENCMISS_BoundaryConditionsTypes,OPENCMISS */,
    const double value /*<The value of the boundary condition to add. */);

/*>Adds to the value of the specified element and sets this as a boundary condition on the specified element for boundary conditions identified by an object. */
IRON_C_EXPORT cmfe_Error cmfe_BoundaryConditions_AddElement(const cmfe_BoundaryConditionsType boundaryConditions /*<The boundary conditions to add the element to. */,
    const cmfe_FieldType field /*<The dependent field to set the boundary condition on. */,
    const int variableType /*<The variable type of the dependent field to add the boundary condition at. \see OPENCMISS_FieldVariableTypes */,
    const int elementUserNumber /*<The user number of the element to add the boundary conditions for. */,
    const int componentNumber /*<The component number of the dependent field to set the boundary condition at. */,
    const int condition /*<The boundary condition type to set \see OPENCMISS_BoundaryConditionsTypes,OPENCMISS */,
    const double value /*<The value of the boundary condition to add. */);

/*>Sets the value of the specified element as a boundary condition on the specified element for boundary conditions identified by a user number. */
IRON_C_EXPORT cmfe_Error cmfe_BoundaryConditions_SetElementNum(const int regionUserNumber /*<The user number of the region containing the equations set to set the boundary conditions for. */,
    const int problemUserNumber /*<The user number of the problem containing the solver equations to destroy the boundary conditions for. */,
    const int controlLoopIdentifiersSize /*<Length of controlLoopIdentifiers */,
    const int *controlLoopIdentifiers /*<controlLoopIdentifiers(i). The i'th control loop identifier to get the solver equations boundary conditions for. */,
    const int solverIndex /*<The solver index to get the solver equations for. */,
    const int fieldUserNumber /*<The user number of the dependent field for the boundary condition. */,
    const int variableType /*<The variable type of the dependent field to set the boundary condition at. \see OPENCMISS_FieldVariableTypes */,
    const int elementUserNumber /*<The user number of the element to set the boundary conditions for. */,
    const int componentNumber /*<The component number of the dependent field to set the boundary condition at. */,
    const int condition /*<The boundary condition type to set \see OPENCMISS_BoundaryConditionsTypes,OPENCMISS */,
    const double value /*<The value of the boundary condition to set. */);

/*>Sets the value of the specified element and sets this as a boundary condition on the specified elements for boundary conditions identified by an object. */
IRON_C_EXPORT cmfe_Error cmfe_BoundaryConditions_SetElement(const cmfe_BoundaryConditionsType boundaryConditions /*<The boundary conditions to set the element to. */,
    const cmfe_FieldType field /*<The dependent field to set the boundary condition on. */,
    const int variableType /*<The variable type of the dependent field to set the boundary condition at. \see OPENCMISS_FieldVariableTypes */,
    const int elementUserNumber /*<The user number of the element to set the boundary conditions for. */,
    const int componentNumber /*<The component number of the dependent field to set the boundary condition at. */,
    const int condition /*<The boundary condition type to set \see OPENCMISS_BoundaryConditionsTypes,OPENCMISS */,
    const double value /*<The value of the boundary condition to set. */);

/*>Adds the value to the specified node and sets this as a boundary condition on the specified node for boundary conditions identified by a user number. */
IRON_C_EXPORT cmfe_Error cmfe_BoundaryConditions_AddNodeNum(const int regionUserNumber /*<The user number of the region containing the equations set to add the boundary conditions for. */,
    const int problemUserNumber /*<The user number of the problem containing the solver equations to destroy the boundary conditions for. */,
    const int controlLoopIdentifiersSize /*<Length of controlLoopIdentifiers */,
    const int *controlLoopIdentifiers /*<controlLoopIdentifiers(i). The i'th control loop identifier to get the solver equations boundary conditions for. */,
    const int solverIndex /*<The solver index to get the solver equations for. */,
    const int fieldUserNumber /*<The user number of the dependent field for the boundary condition. */,
    const int variableType /*<The variable type of the dependent field to add the boundary condition at. \see OPENCMISS_FieldVariableTypes */,
    const int versionNumber /*<The user number of the node derivative version to add the boundary conditions for. */,
    const int derivativeNumber /*<The user number of the node derivative to add the boundary conditions for. */,
    const int nodeUserNumber /*<The user number of the node to add the boundary conditions for. */,
    const int componentNumber /*<The component number of the dependent field to add the boundary condition at. */,
    const int condition /*<The boundary condition type to set \see OPENCMISS_BoundaryConditionsTypes,OPENCMISS */,
    const double value /*<The value of the boundary condition to add. */);

/*>Adds to the value of the specified node and sets this as a boundary condition on the specified node for boundary conditions identified by an object. */
IRON_C_EXPORT cmfe_Error cmfe_BoundaryConditions_AddNode(const cmfe_BoundaryConditionsType boundaryConditions /*<The boundary conditions to add the node to. */,
    const cmfe_FieldType field /*<The dependent field to set the boundary condition on. */,
    const int variableType /*<The variable type of the dependent field to add the boundary condition at. \see OPENCMISS_FieldVariableTypes */,
    const int versionNumber /*<The user number of the node derivative version to add the boundary conditions for. */,
    const int derivativeNumber /*<The user number of the node derivative to add the boundary conditions for. */,
    const int nodeUserNumber /*<The user number of the node to add the boundary conditions for. */,
    const int componentNumber /*<The component number of the dependent field to set the boundary condition at. */,
    const int condition /*<The boundary condition type to set \see OPENCMISS_BoundaryConditionsTypes,OPENCMISS */,
    const double value /*<The value of the boundary condition to add. */);

/*>Sets the value of the specified node as a boundary condition on the specified node for boundary conditions identified by a user number. */
IRON_C_EXPORT cmfe_Error cmfe_BoundaryConditions_SetNodeNum(const int regionUserNumber /*<The user number of the region containing the equations set to set the boundary conditions for. */,
    const int problemUserNumber /*<The user number of the problem containing the solver equations to destroy the boundary conditions for. */,
    const int controlLoopIdentifiersSize /*<Length of controlLoopIdentifiers */,
    const int *controlLoopIdentifiers /*<controlLoopIdentifiers(i). The i'th control loop identifier to get the solver equations boundary conditions for. */,
    const int solverIndex /*<The solver index to get the solver equations for. */,
    const int fieldUserNumber /*<The user number of the dependent field for the boundary condition. */,
    const int variableType /*<The variable type of the dependent field to set the boundary condition at. \see OPENCMISS_FieldVariableTypes */,
    const int versionNumber /*<The user number of the node derivative version to set the boundary conditions for. */,
    const int derivativeNumber /*<The user number of the node derivative to set the boundary conditions for. */,
    const int nodeUserNumber /*<The user number of the node to set the boundary conditions for. */,
    const int componentNumber /*<The component number of the dependent field to set the boundary condition at. */,
    const int condition /*<The boundary condition type to set \see OPENCMISS_BoundaryConditionsTypes,OPENCMISS */,
    const double value /*<The value of the boundary condition to set. */);

/*>Sets the value of the specified node and sets this as a boundary condition on the specified node for boundary conditions identified by an object. */
IRON_C_EXPORT cmfe_Error cmfe_BoundaryConditions_SetNode(const cmfe_BoundaryConditionsType boundaryConditions /*<The boundary conditions to set the node to. */,
    const cmfe_FieldType field /*<The dependent field to set the boundary condition on. */,
    const int variableType /*<The variable type of the dependent field to set the boundary condition at. \see OPENCMISS_FieldVariableTypes */,
    const int versionNumber /*<The user number of the node derivative version to set the boundary conditions for. */,
    const int derivativeNumber /*<The user number of the node derivative to set the boundary conditions for. */,
    const int nodeUserNumber /*<The user number of the node to set the boundary conditions for. */,
    const int componentNumber /*<The component number of the dependent field to set the boundary condition at. */,
    const int condition /*<The boundary condition type to set \see OPENCMISS_BoundaryConditionsTypes,OPENCMISS */,
    const double value /*<The value of the boundary condition to set. */);

/*>Sets the Neumann integration matrix sparsity for boundary conditions identified by a control loop identifier. */
IRON_C_EXPORT cmfe_Error cmfe_BoundaryConditions_NeumannSparsityTypeSetNum(const int problemUserNumber /*<The user number of the problem containing the solver equations to destroy the boundary conditions for. */,
    const int controlLoopIdentifiersSize /*<Length of controlLoopIdentifiers */,
    const int *controlLoopIdentifiers /*<controlLoopIdentifiers(i). The i'th control loop identifier to get the solver equations boundary conditions for. */,
    const int solverIndex /*<The solver index to get the solver equations for. */,
    const int sparsityType /*<The sparsity type for the Neumann integration matrices. \see OPENCMISS_BoundaryConditionSparsityTypes,OPENCMISS */);

/*>Sets the Neumann integration matrix sparsity type for the boundary conditions */
IRON_C_EXPORT cmfe_Error cmfe_BoundaryConditions_NeumannSparsityTypeSet(cmfe_BoundaryConditionsType boundaryConditions /*<The boundary conditions */,
    const int sparsityType /*<The sparsity type for the Neumann integration matrices. \see OPENCMISS_BoundaryConditionSparsityTypes,OPENCMISS */);

/*>Constrain multiple nodal equations dependent field DOFs to be a single solver DOF in the solver equations */
IRON_C_EXPORT cmfe_Error cmfe_BoundaryConditions_ConstrainNodeDofsEqualNum(const int regionUserNumber /*<The user number of the region containing the field DOFs to constrain. */,
    const int problemUserNumber /*<The user number of the problem containing the solver equations. */,
    const int controlLoopIdentifier /*<The control loop identifier to get the solver equations. */,
    const int solverIndex /*<The solver index of the solver equations. */,
    const int fieldUserNumber /*<The user number of the dependent field containing the DOFs to contrain. */,
    const int fieldVariableType /*<The variable type of the dependent field containing the DOFs to constrain. \see OPENCMISS_FieldVariableTypes */,
    const int versionNumber /*<The derivative version number. */,
    const int derivativeNumber /*<The derivative number. */,
    const int component /*<The field component number of the DOFs to be constrained. */,
    const int nodesSize /*<Length of nodes */,
    const int *nodes /*<The user numbers of the nodes to be constrained to be equal. */);

/*>Constrain multiple nodal equations dependent field DOFs to be a single solver DOF in the solver equations */
IRON_C_EXPORT cmfe_Error cmfe_BoundaryConditions_ConstrainNodeDofsEqual(const cmfe_BoundaryConditionsType boundaryConditions /*<The boundary conditions to constrain the DOFs in. */,
    const cmfe_FieldType field /*<The equations dependent field containing the field DOFs to be constrained. */,
    const int fieldVariableType /*<The field variable type of the DOFs to be constrained. \see OPENCMISS_FieldVariableTypes */,
    const int versionNumber /*<The derivative version number. */,
    const int derivativeNumber /*<The derivative number. */,
    const int component /*<The field component number of the DOFs to be constrained. */,
    const int nodesSize /*<Length of nodes */,
    const int *nodes /*<The user numbers of the nodes to be constrained to be equal. */);

/*>Returns the error handling mode for OpenCMISS */
IRON_C_EXPORT cmfe_Error cmfe_ErrorHandlingModeGet(int *errorHandlingMode /*<On return, the error handling mode. \see OPENCMISS_CMISSErrorHandlingModes,OPENCMISS */);

/*>Sets the error handling mode for OpenCMISS */
IRON_C_EXPORT cmfe_Error cmfe_ErrorHandlingModeSet(const int errorHandlingMode /*<The error handling mode to set. \see OPENCMISS_CMISSErrorHandlingModes,OPENCMISS */);

/*>Extracts the most recent error string for OpenCMISS */
IRON_C_EXPORT cmfe_Error cmfe_ExtractErrorMessage(const int errorMessageSize /*<Length of errorMessage string */,
    char *errorMessage /*<On return, the extracted error message. */);

/*>Returns the random seeds for OpenCMISS */
IRON_C_EXPORT cmfe_Error cmfe_RandomSeedsGet(const int randomSeedsSize /*<Length of randomSeeds */,
    int *randomSeeds /*<On return, the random seeds. */);

/*>Returns the size of the random seeds array for OpenCMISS */
IRON_C_EXPORT cmfe_Error cmfe_RandomSeedsSizeGet(int *randomSeedsSize /*<On return, the size of the random seeds array. */);

/*>Sets the random seeds for OpenCMISS */
IRON_C_EXPORT cmfe_Error cmfe_RandomSeedsSet(const int randomSeedsSize /*<Length of randomSeeds */,
    const int *randomSeeds /*<The random seeds to set. */);

/*>Sets a CellML model variable to be known by user number. */
IRON_C_EXPORT cmfe_Error cmfe_CellML_VariableSetAsKnownNum(const int regionUserNumber /*<The user number of the region containing the CellML enviroment. */,
    const int CellMLUserNumber /*<The user number of the CellML enviroment. */,
    const int CellMLModelUserNumber /*<The user number of the CellML model in which to find the given variable. */,
    const int variableIDSize /*<Length of variableID string */,
    const char *variableID /*<The CellML variable to set as known (in the format 'component_name/variable_name'). */);

/*>Sets a CellML model variable to be known by object. */
IRON_C_EXPORT cmfe_Error cmfe_CellML_VariableSetAsKnown(const cmfe_CellMLType CellML /*<The CellML enviroment. */,
    const int CellMLModelUserNumber /*<The user number of the CellML model in which to find the given variable. */,
    const int variableIDSize /*<Length of variableID string */,
    const char *variableID /*<The CellML variable to set as known (in the format 'component_name/variable_name'). */);

/*>Sets a CellML model variable to be wanted by user number. */
IRON_C_EXPORT cmfe_Error cmfe_CellML_VariableSetAsWantedNum(const int regionUserNumber /*<The user number of the region containing the CellML enviroment. */,
    const int CellMLUserNumber /*<The user number of the CellML enviroment. */,
    const int CellMLModelUserNumber /*<The user number of the CellML model in which to find the given variable. */,
    const int variableIDSize /*<Length of variableID string */,
    const char *variableID /*<The CellML variable to set as wanted (in the format 'component_name/variable_name'). */);

/*>Sets a CellML model variable to be wanted by object. */
IRON_C_EXPORT cmfe_Error cmfe_CellML_VariableSetAsWanted(const cmfe_CellMLType CellML /*<The CellML enviroment. */,
    const int CellMLModelUserNumber /*<The user number of the CellML model in which to find the given variable. */,
    const int variableIDSize /*<Length of variableID string */,
    const char *variableID /*<The CellML variable to set as wanted (in the format 'component_name/variable_name'). */);

/*>Defines a CellML model variable to field variable component map by user number */
IRON_C_EXPORT cmfe_Error cmfe_CellML_CreateCellMLToFieldMapNum(const int regionUserNumber /*<The user number of the region containing the CellML enviroment. */,
    const int CellMLUserNumber /*<The user number of the CellML enviroment. */,
    const int CellMLModelUserNumber /*<The user number of the CellML model to map fom. */,
    const int variableIDSize /*<Length of variableID string */,
    const char *variableID /*<The of the CellML variable in the given model to map from. */,
    const int CellMLParameterSet /*<The CellML variable parameter set to map from. */,
    const int fieldUserNumber /*<The user number of the field to map to */,
    const int variableType /*<The field variable type to map to. */,
    const int componentNumber /*<The field variable component number to map to. */,
    const int fieldParameterSet /*<The field variable parameter set to map to. */);

/*>Defines a CellML model variable to field variable component map by object. */
IRON_C_EXPORT cmfe_Error cmfe_CellML_CreateCellMLToFieldMap(const cmfe_CellMLType CellML /*<The CellML enviroment. */,
    const int CellMLModelUserNumber /*<The user number of the CellML model to map from. */,
    const int variableIDSize /*<Length of variableID string */,
    const char *variableID /*<The of the CellML variable in the given model to map from. */,
    const int CellMLParameterSet /*<The CellML variable parameter set to map from. */,
    const cmfe_FieldType field /*<The field to map to. */,
    const int variableType /*<The field variable type to map to. */,
    const int componentNumber /*<The field variable component number to. */,
    const int fieldParameterSet /*<The field variable parameter set to map to. */);

/*>Defines a field variable component to CellML model variable map by user number. */
IRON_C_EXPORT cmfe_Error cmfe_CellML_CreateFieldToCellMLMapNum(const int regionUserNumber /*<The user number of the region containing the CellML enviroment. */,
    const int CellMLUserNumber /*<The user number of the CellML enviroment. */,
    const int fieldUserNumber /*<The user number of the field to map from. */,
    const int variableType /*<The field variable type to map from. */,
    const int componentNumber /*<The field variable component number to map from. */,
    const int fieldParameterSet /*<The field variable parameter set to map from. */,
    const int CellMLModelUserNumber /*<The user number of the CellML model to map to. */,
    const int variableIDSize /*<Length of variableID string */,
    const char *variableID /*<The of the CellML variable in the given model to map to. */,
    const int CellMLParameterSet /*<The CellML variable parameter set to map to. */);

/*>Defines a field variable component to CellML model variable map by object. */
IRON_C_EXPORT cmfe_Error cmfe_CellML_CreateFieldToCellMLMap(const cmfe_CellMLType CellML /*<The CellML enviroment. */,
    const cmfe_FieldType field /*<The field to map from. */,
    const int variableType /*<The field variable to map from. */,
    const int componentNumber /*<The component number to map from the given field variable. */,
    const int fieldParameterSet /*<The field variable parameter set to map from. */,
    const int CellMLModelUserNumber /*<The user number of the CellML model to map to. */,
    const int variableIDSize /*<Length of variableID string */,
    const char *variableID /*<The of the CellML variable in the given model to map to. */,
    const int CellMLParameterSet /*<The CellML variable parameter set to map to. */);

/*>Finishes the creation of a CellML environment identified by a user number. */
IRON_C_EXPORT cmfe_Error cmfe_CellML_CreateFinishNum(const int regionUserNumber /*<The user number of the region containing the CellML environment. */,
    const int CellMLUserNumber /*<The user number of the CellML enviroment to finish creating. */);

/*>Finish the creation of a CellML environment identified by an object. */
IRON_C_EXPORT cmfe_Error cmfe_CellML_CreateFinish(cmfe_CellMLType CellML /*<The CellML environment to finish the creation of. */);

/*>Starts the creation of a CellML environment identified by a user number. */
IRON_C_EXPORT cmfe_Error cmfe_CellML_CreateStartNum(const int CellMLUserNumber /*<The user number of the CellML enviroment to start creating. */,
    const int regionUserNumber /*<The user number of the Region containing the field to start the CellML enviroment creation on. */);

/*>Start the creation of a CellML environment identified by an object. */
IRON_C_EXPORT cmfe_Error cmfe_CellML_CreateStart(const int CellMLUserNumber /*<The user number of the CellML enviroment to start creating. */,
    const cmfe_RegionType region /*<The region containing the field to start the CellML enviroment creation on. */,
    cmfe_CellMLType CellML /*<On return, the created CellML environment. */);

/*>Destroys a CellML environment identified by a user number. */
IRON_C_EXPORT cmfe_Error cmfe_CellML_DestroyNum(const int regionUserNumber /*<The user number of the region containing the CellML enviroment to destroy. */,
    const int CellMLUserNumber /*<The user number of the CellML enviroment to destroy. */);

/*>Destroy a CellML environment identified by an object. */
IRON_C_EXPORT cmfe_Error cmfe_CellML_Destroy(cmfe_CellMLType CellML /*<The CellML environment to destroy. */);

/*>Finishes the creation of field maps for a CellML environment identified by a user number. */
IRON_C_EXPORT cmfe_Error cmfe_CellML_FieldMapsCreateFinishNum(const int regionUserNumber /*<The user number of the region containing the CellML environment. */,
    const int CellMLUserNumber /*<The user number of the CellML enviroment to finish creating. */);

/*>Finish the creation of field maps for a CellML environment identified by an object. */
IRON_C_EXPORT cmfe_Error cmfe_CellML_FieldMapsCreateFinish(cmfe_CellMLType CellML /*<The CellML environment to finish the creation of maps for. */);

/*>Starts the creation of field maps for a CellML environment identified by a user number. */
IRON_C_EXPORT cmfe_Error cmfe_CellML_FieldMapsCreateStartNum(const int regionUserNumber /*<The user number of the Region containing the CellML enviroment. */,
    const int CellMLUserNumber /*<The user number of the CellML enviroment to start creating the maps for. */);

/*>Start the creation of field maps for a CellML environment identified by an object. */
IRON_C_EXPORT cmfe_Error cmfe_CellML_FieldMapsCreateStart(cmfe_CellMLType CellML /*<The CellML environment object to start the creation of maps for. */);

/*>Imports a specified CellML model as specified by a character URI into a CellML environment identified by a user number. */
IRON_C_EXPORT cmfe_Error cmfe_CellML_ModelImportNum(const int regionUserNumber /*<The user number of the region containing the CellML enviroment to import the model into. */,
    const int CellMLUserNumber /*<The user number of the CellML enviroment to import the model into. */,
    const int URISize /*<Length of URI string */,
    const char *URI /*<The URI of the CellML model to import. */,
    int *modelIndex /*<On return, the index of the imported model. */);

/*>Imports a specified CellML model as specified by a character URI into a CellML environment identified by an object. */
IRON_C_EXPORT cmfe_Error cmfe_CellML_ModelImport(cmfe_CellMLType CellML /*<The CellML environment to import the model into. */,
    const int URISize /*<Length of URI string */,
    const char *URI /*<The URI of the CellML model to import. */,
    int *modelIndex /*<On return, the index of the imported model. */);

/*>Finishes the creation of CellML models field for a CellML environment identified by a user number. */
IRON_C_EXPORT cmfe_Error cmfe_CellML_ModelsFieldCreateFinishNum(const int regionUserNumber /*<The user number of the region containing the CellML enviroment to finish creating. */,
    const int CellMLUserNumber /*<The user number of the CellML enviroment to finish creating the models field for. */);

/*>Finish the creation of CellML models field for a CellML environment identified by an object. */
IRON_C_EXPORT cmfe_Error cmfe_CellML_ModelsFieldCreateFinish(cmfe_CellMLType CellML /*<The CellML environment to finish the creation of the models field for. */);

/*>Starts the creation of CellML models field for a CellML environment identified by a user number. */
IRON_C_EXPORT cmfe_Error cmfe_CellML_ModelsFieldCreateStartNum(const int regionUserNumber /*<The user number of the region containing the CellML enviroment. */,
    const int CellMLUserNumber /*<The user number of the CellML environment to start creating the models field for. */,
    const int CellMLModelsFieldUserNumber /*<The user number of the CellML models field to start creating. */);

/*>Start the creation of CellML models field for a CellML environment identified by an object. */
IRON_C_EXPORT cmfe_Error cmfe_CellML_ModelsFieldCreateStart(cmfe_CellMLType CellML /*<The CellML environment to start the creation of models field for. */,
    const int CellMLModelsFieldUserNumber /*<The user number of the CellML models field to start creating. */,
    cmfe_FieldType field /*<On return, the created CellML models field. */);

/*>Returns the CellML models field for a CellML environment identified by a user number. */
IRON_C_EXPORT cmfe_Error cmfe_CellML_ModelsFieldGetNum(const int regionUserNumber /*<The user number of the region containing the CellML enviroment to get the CellML models field for. */,
    const int CellMLUserNumber /*<The user number of the CellML enviroment to get the CellML models field for. */,
    int *CellMLModelsFieldUserNumber /*<On return, the user number of the CellML models field. */);

/*>Returns the CellML models field for a CellML environment identified by an object. */
IRON_C_EXPORT cmfe_Error cmfe_CellML_ModelsFieldGet(cmfe_CellMLType CellML /*<The CellML environment to get the models field for. */,
    cmfe_FieldType field /*<On return, the CellML models field. Must not be associated on entry. */);

/*>Finishes the creation of CellML state field for a CellML environment identified by a user number. */
IRON_C_EXPORT cmfe_Error cmfe_CellML_StateFieldCreateFinishNum(const int regionUserNumber /*<The user number of the region containing the CellML environment. */,
    const int CellMLUserNumber /*<The user number of the CellML enviroment to finish creating the state field for. */);

/*>Finish the creation of CellML state field for a CellML environment identified by an object. */
IRON_C_EXPORT cmfe_Error cmfe_CellML_StateFieldCreateFinish(cmfe_CellMLType CellML /*<The CellML environment to finish the creation of the state field for. */);

/*>Starts the creation of CellML state field for a CellML environment identified by a user number. */
IRON_C_EXPORT cmfe_Error cmfe_CellML_StateFieldCreateStartNum(const int regionUserNumber /*<The user number of the region containing the CellML environment. */,
    const int CellMLUserNumber /*<The user number of the CellML environment to start creating the state field for. */,
    const int CellMLStateFieldUserNumber /*<The user number of the CellML state field to start creating. */);

/*>Start the creation of CellML state field for a CellML environment identified by an object. */
IRON_C_EXPORT cmfe_Error cmfe_CellML_StateFieldCreateStart(cmfe_CellMLType CellML /*<The CellML environment to start the creation of state field for. */,
    const int CellMLStateFieldUserNumber /*<The user number of the CellML state field to start creating. */,
    cmfe_FieldType field /*<On return, the created CellML state field. */);

/*>Returns the CellML state field for a CellML environment identified by a user number. */
IRON_C_EXPORT cmfe_Error cmfe_CellML_StateFieldGetNum(const int regionUserNumber /*<The user number of the region containing the CellML environment. */,
    const int CellMLUserNumber /*<The user number of the CellML enviroment to get the CellML state field for. */,
    int *CellMLStateFieldUserNumber /*<On return, the user number of the CellML state field. */);

/*>Returns the CellML state field for a CellML environment identified by an object. */
IRON_C_EXPORT cmfe_Error cmfe_CellML_StateFieldGet(cmfe_CellMLType CellML /*<The CellML environment to get the state field for. */,
    cmfe_FieldType field /*<On return, the CellML state field. */);

/*>Returns the field component number that corresponds to a character string VariableID for a CellML environment identified by a user number. */
IRON_C_EXPORT cmfe_Error cmfe_CellML_FieldComponentGetNum(const int regionUserNumber /*<The user number of the region containing the CellML environment. */,
    const int CellMLUserNumber /*<The user number of the CellML enviroment to get the field component for. */,
    const int CellMLModelUserNumber /*<The user number of the CellML model to map fom. */,
    const int CellMLFieldType /*<The type of CellML field to get the component for. \see OPENCMISS_CellMLFieldTypes,OPENCMISS */,
    const int variableIDSize /*<Length of variableID string */,
    const char *variableID /*<The variable ID to get the corresponding field component for. */,
    int *fieldComponent /*<On return, the field component corresponding to the ID. */);

/*>Returns the field component number that corresponds to a character string variable ID for a CellML environment identified by an object. */
IRON_C_EXPORT cmfe_Error cmfe_CellML_FieldComponentGet(cmfe_CellMLType CellML /*<The CellML environment to get the field component for. */,
    const int CellMLModelUserNumber /*<The user number of the CellML model to map from. */,
    const int CellMLFieldType /*<The type of CellML field to get the component for. \see OPENCMISS_CellMLFieldTypes,OPENCMISS */,
    const int variableIDSize /*<Length of variableID string */,
    const char *variableID /*<The ID to get the corresponding field component for. */,
    int *fieldComponent /*<On return, the field component corresponding to the ID. */);

/*>Finishes the creation of CellML intermediate field for a CellML environment identified by a user number. */
IRON_C_EXPORT cmfe_Error cmfe_CellML_IntermediateFieldCreateFinishNum(const int regionUserNumber /*<The user number of the region containing the CellML environment. */,
    const int CellMLUserNumber /*<The user number of the CellML enviroment to finish creating the intermediate field for. */);

/*>Finish the creation of CellML intermediate field for a CellML environment identified by an object. */
IRON_C_EXPORT cmfe_Error cmfe_CellML_IntermediateFieldCreateFinish(cmfe_CellMLType CellML /*<The CellML environment to finish the creation of the intermediate field for. */);

/*>Starts the creation of CellML intermediate field for a CellML environment identified by a user number. */
IRON_C_EXPORT cmfe_Error cmfe_CellML_IntermediateFieldCreateStartNum(const int regionUserNumber /*<The user number of the region containing the CellML environment. */,
    const int CellMLUserNumber /*<The user number of the CellML environment to start creating the intermediate field for. */,
    const int CellMLIntermediateFieldUserNumber /*<The user number of the CellML intermediate field to start creating. */);

/*>Start the creation of CellML intermediate field for a CellML environment identified by an object. */
IRON_C_EXPORT cmfe_Error cmfe_CellML_IntermediateFieldCreateStart(cmfe_CellMLType CellML /*<The CellML environment to start the creation of intermediate field for. */,
    const int CellMLIntermediateFieldUserNumber /*<The user number of the CellML intermediate field to start creating. */,
    cmfe_FieldType field /*<On return, the created CellML intermediate field. */);

/*>Returns the CellML intermediate field for a CellML environment identified by a user number. */
IRON_C_EXPORT cmfe_Error cmfe_CellML_IntermediateFieldGetNum(const int regionUserNumber /*<The user number of the region containing the CellML environment. */,
    const int CellMLUserNumber /*<The user number of the CellML enviroment to get the CellML intermediate field for. */,
    int *CellMLIntermediateFieldUserNumber /*<On return, the user number of the CellML intermediate field. */);

/*>Returns the CellML intermediate field for a CellML environment identified by an object. */
IRON_C_EXPORT cmfe_Error cmfe_CellML_IntermediateFieldGet(cmfe_CellMLType CellML /*<The CellML environment to get the intermediate field for. */,
    cmfe_FieldType field /*<On return, the CellML intermediate field. */);

/*>Finishes the creation of CellML parameters field for a CellML environment identified by a user number. */
IRON_C_EXPORT cmfe_Error cmfe_CellML_ParametersFieldCreateFinishNum(const int regionUserNumber /*<The user number of the region containing the CellML environment. */,
    const int CellMLUserNumber /*<The user number of the CellML enviroment to finish creating the parameters field for. */);

/*>Finish the creation of CellML parameters field for a CellML environment identified by an object. */
IRON_C_EXPORT cmfe_Error cmfe_CellML_ParametersFieldCreateFinish(cmfe_CellMLType CellML /*<The CellML environment to finish the creation of the parameters field for. */);

/*>Starts the creation of CellML parameters field for a CellML environment identified by a user number. */
IRON_C_EXPORT cmfe_Error cmfe_CellML_ParametersFieldCreateStartNum(const int regionUserNumber /*<The user number of the region containing the CellML environment. */,
    const int CellMLUserNumber /*<The user number of the CellML environment to start creating the parameters field for. */,
    const int CellMLParametersFieldUserNumber /*<The user number of the CellML parameters field to start creating. */);

/*>Start the creation of CellML parameters field for a CellML environment identified by an object. */
IRON_C_EXPORT cmfe_Error cmfe_CellML_ParametersFieldCreateStart(cmfe_CellMLType CellML /*<The CellML environment to start the creation of parameters field for. */,
    const int CellMLParametersFieldUserNumber /*<The user number of the CellML parameters field to start creating. */,
    cmfe_FieldType field /*<On return, the created CellML parameters field. */);

/*>Returns the CellML parameters field for a CellML environment identified by a user number. */
IRON_C_EXPORT cmfe_Error cmfe_CellML_ParametersFieldGetNum(const int regionUserNumber /*<The user number of the region containing the CellML environment. */,
    const int CellMLUserNumber /*<The user number of the CellML enviroment to get the CellML parameters field for. */,
    int *CellMLParametersFieldUserNumber /*<On return, the user number of the CellML parameters field. */);

/*>Returns the CellML parameters field for a CellML environment identified by an object. */
IRON_C_EXPORT cmfe_Error cmfe_CellML_ParametersFieldGet(cmfe_CellMLType CellML /*<The CellML environment to get the parameters field for. */,
    cmfe_FieldType field /*<On return, the CellML parameters field. */);

/*>Validiate and instantiate a CellML environment identified by a user number. */
IRON_C_EXPORT cmfe_Error cmfe_CellML_GenerateNum(const int regionUserNumber /*<The user number of the region containing the CellML environment. */,
    const int CellMLUserNumber /*<The user number of the CellML enviroment to generate. */);

/*>Validiate and instantiate a CellML environment identified by an object. */
IRON_C_EXPORT cmfe_Error cmfe_CellML_Generate(cmfe_CellMLType CellML /*<The CellML environment to generate. */);

/*>Returns the computational node number of the running process. */
IRON_C_EXPORT cmfe_Error cmfe_ComputationalNodeNumberGet(int *nodeNumber /*<On return, the computational node number. */);

/*>Returns the number of computational nodes for the running process. */
IRON_C_EXPORT cmfe_Error cmfe_ComputationalNumberOfNodesGet(int *numberOfNodes /*<On return, the number of computational nodes. */);

/*>CREATE THE HIGHEST LEVEL WORK GROUP (DEFAULT: GROUP_WORLD) */
IRON_C_EXPORT cmfe_Error cmfe_ComputationalWorkGroup_CreateStart(cmfe_ComputationalWorkGroupType worldWorkGroup /*< */,
    const int numberComputationalNodes /*< */);

/*>GENERATE THE HIERARCHY COMPUTATIONAL ENVIRONMENT BASED ON WORK GROUP TREE */
IRON_C_EXPORT cmfe_Error cmfe_ComputationalWorkGroup_CreateFinish(cmfe_ComputationalWorkGroupType worldWorkGroup /*< */);

/*>ADD WORK SUB-GROUP TO THE PARENT GROUP BASED ON THE COMPUTATIONAL REQUIREMENTS (CALLED BY THE USER) */
IRON_C_EXPORT cmfe_Error cmfe_ComputationalWorkGroup_SubgroupAdd(cmfe_ComputationalWorkGroupType parentWorkGroup /*< */,
    const int numberComputationalNodes /*< */,
    cmfe_ComputationalWorkGroupType addedWorkGroup /*< */);

/*>Set the working group tree in order to performe mesh decomposition */
IRON_C_EXPORT cmfe_Error cmfe_Decomposition_WorldWorkGroupSet(cmfe_DecompositionType decomposition /*< */,
    const cmfe_ComputationalWorkGroupType worldWorkGroup /*< */);

/*>Gets the current time parameters for a time control loop identified by user numbers. */
IRON_C_EXPORT cmfe_Error cmfe_ControlLoop_CurrentTimesGetNum(const int problemUserNumber /*<The user number of the problem to get the control loop for. */,
    const int controlLoopIdentifiersSize /*<Length of controlLoopIdentifiers */,
    const int *controlLoopIdentifiers /*<controlLoopIdentifiers(i). The i'th control loop identifier to get the control loop for. */,
    double *currentTime /*<On return, the current time of the time control loop. */,
    double *timeIncrement /*<On return, the current time increment of the time control loop. */);

/*>Gets the current time parameters for a time control loop identified by an object. */
IRON_C_EXPORT cmfe_Error cmfe_ControlLoop_CurrentTimesGet(const cmfe_ControlLoopType controlLoop /*<The control loop to get the current times for. */,
    double *currentTime /*<On return, the current time of the time control loop. */,
    double *timeIncrement /*<On return, the current time increment of the time control loop. */);

/*>Destroys a control loop identified by user numbers. */
IRON_C_EXPORT cmfe_Error cmfe_ControlLoop_DestroyNum(const int problemUserNumber /*<The user number of the problem to destroy the control loop for. */,
    const int controlLoopIdentifiersSize /*<Length of controlLoopIdentifiers */,
    const int *controlLoopIdentifiers /*<The control loop identifiers. */);

/*>Destroys a control loop identified by an object. */
IRON_C_EXPORT cmfe_Error cmfe_ControlLoop_Destroy(cmfe_ControlLoopType controlLoop /*<The control loop to destroy. */);

/*>Returns the specified control loop as indexed by the control loop identifier from the control loop root identified by user numbers. */
IRON_C_EXPORT cmfe_Error cmfe_ControlLoop_ControlLoopGetNum(const int problemUserNumber /*<The user number of the problem to get the control loop for. */,
    const int controlLoopRootIdentifiersSize /*<Length of controlLoopRootIdentifiers */,
    const int *controlLoopRootIdentifiers /*<The root control loop identifiers. */,
    const int controlLoopIdentifiersSize /*<Length of controlLoopIdentifiers */,
    const int *controlLoopIdentifiers /*<The control loop identifiers. */,
    cmfe_ControlLoopType controlLoop /*<On return, the specified control loop. */);

/*>Returns the specified control loop as indexed by the control loop identifiers from the control loop root. */
IRON_C_EXPORT cmfe_Error cmfe_ControlLoop_ControlLoopGet(const cmfe_ControlLoopType controlLoopRoot /*<The root control loop. */,
    const int controlLoopIdentifiersSize /*<Length of controlLoopIdentifiers */,
    int *controlLoopIdentifiers /*<The control loop identifiers. */,
    cmfe_ControlLoopType *controlLoop /*<On return, the specified control loop. */);

/*>Sets/changes the iteration parameters for a fixed control loop identified by user numbers. */
IRON_C_EXPORT cmfe_Error cmfe_ControlLoop_IterationsSetNum(const int problemUserNumber /*<The user number of the problem to set the iteration parameters for. */,
    const int controlLoopIdentifiersSize /*<Length of controlLoopIdentifiers */,
    const int *controlLoopIdentifiers /*<The control loop identifiers. */,
    const int startIteration /*<The start iteration of the fixed control loop to set. */,
    const int stopIteration /*<The stop iteration of the fixed control loop to set. */,
    const int iterationIncrement /*<The iteration increment of the fixed control loop to set. */);

/*>Sets/changes the iteration parameters for a fixed control loop identified by an object. */
IRON_C_EXPORT cmfe_Error cmfe_ControlLoop_IterationsSet(cmfe_ControlLoopType controlLoop /*<The control loop to set the iteration parameters for. */,
    const int startIteration /*<The start iteration of the fixed control loop to set. */,
    const int stopIteration /*<The stop iteration of the fixed control loop to set. */,
    const int iterationIncrement /*<The iteration increment of the fixed control loop to set. */);

/*>Returns the character string label for a control loop identified by an user number. */
IRON_C_EXPORT cmfe_Error cmfe_ControlLoop_LabelGetNum(const int problemUserNumber /*<The user number of the problem to set the label for. */,
    const int controlLoopIdentifiersSize /*<Length of controlLoopIdentifiers */,
    const int *controlLoopIdentifiers /*<The control loop identifiers. */,
    const int labelSize /*<Length of label string */,
    char *label /*<On return, the control loop label. */);

/*>Returns the character string label for a control loop identified by an object. */
IRON_C_EXPORT cmfe_Error cmfe_ControlLoop_LabelGet(const cmfe_ControlLoopType controlLoop /*<The control loop to get the label for. */,
    const int labelSize /*<Length of label string */,
    char *label /*<On return, the region label. */);

/*>Sets/changes the character string label for a control loop identified by an user number. */
IRON_C_EXPORT cmfe_Error cmfe_ControlLoop_LabelSetNum(const int problemUserNumber /*<The user number of the problem to set the label for. */,
    const int controlLoopIdentifiersSize /*<Length of controlLoopIdentifiers */,
    const int *controlLoopIdentifiers /*<The control loop identifiers. */,
    const int labelSize /*<Length of label string */,
    const char *label /*<The region label to set. */);

/*>Sets/changes the character string label for a control loop identified by an object. */
IRON_C_EXPORT cmfe_Error cmfe_ControlLoop_LabelSet(const cmfe_ControlLoopType controlLoop /*<The control loop to set the label for. */,
    const int labelSize /*<Length of label string */,
    const char *label /*<The control loop label to set. */);

/*>Sets/changes the maximum iterations for a while control loop identified by user numbers. */
IRON_C_EXPORT cmfe_Error cmfe_ControlLoop_MaximumIterationsSetNum(const int problemUserNumber /*<The user number of the problem to set the maximum iterations for. */,
    const int controlLoopIdentifiersSize /*<Length of controlLoopIdentifiers */,
    const int *controlLoopIdentifiers /*<The control loop identifiers. */,
    const int maximumIterations /*<The maximum iterations of the while control loop to set. */);

/*>Sets/changes the maximum iterations for a while control loop identified by an object. */
IRON_C_EXPORT cmfe_Error cmfe_ControlLoop_MaximumIterationsSet(cmfe_ControlLoopType controlLoop /*<The control loop to set the maximum iterations for. */,
    const int maximumIterations /*<The maximum iterations of the while control loop to set. */);

/*>Sets/changes the output parameters for a load control loop identified by an object. */
IRON_C_EXPORT cmfe_Error cmfe_ControlLoop_LoadOutputSet(cmfe_ControlLoopType controlLoop /*<The control loop to set the output parameters for. */,
    const int outputFrequency /*<The output frequency modulo to set. */);

/*>Sets/changes the maximum iterations for a while control loop identified by user numbers. */
IRON_C_EXPORT cmfe_Error cmfe_ControlLoop_AbsoluteToleranceSetNum(const int problemUserNumber /*<The user number of the problem to set the maximum iterations for. */,
    const int controlLoopIdentifiersSize /*<Length of controlLoopIdentifiers */,
    const int *controlLoopIdentifiers /*<The control loop identifiers. */,
    const double absoluteTolerance /*<The absolute tolerance value for a control loop. */);

/*>Sets/changes the maximum iterations for a while control loop identified by an object. */
IRON_C_EXPORT cmfe_Error cmfe_ControlLoop_AbsoluteToleranceSet(cmfe_ControlLoopType controlLoop /*<The control loop to set the maximum iterations for. */,
    const double absoluteTolerance /*<The absolute tolerance value for a control loop. */);

/*>Returns the number of sub-control loops for a control loop identified by user numbers. */
IRON_C_EXPORT cmfe_Error cmfe_ControlLoop_NumberOfSubLoopsGetNum(const int problemUserNumber /*<The user number of the problem to get the number of sub loops for for. */,
    const int controlLoopIdentifiersSize /*<Length of controlLoopIdentifiers */,
    const int *controlLoopIdentifiers /*<The control loop identifiers. */,
    int *numberOfSubLoops /*<On return, the number of sub loops for the specified control loop. */);

/*>Returns the number of sub-control loops for a control loop identified by an object. */
IRON_C_EXPORT cmfe_Error cmfe_ControlLoop_NumberOfSubLoopsGet(const cmfe_ControlLoopType controlLoop /*<The control loop to get the number of sub loops for. */,
    int *numberOfSubLoops /*<On return, the number of sub loops for the specified control loop. */);

/*>Sets/changes the number of sub-control loops for a control loop identified by user numbers. \todo is this really public??? */
IRON_C_EXPORT cmfe_Error cmfe_ControlLoop_NumberOfSubLoopsSetNum(const int problemUserNumber /*<The user number of the problem to set the number of sub loops for. */,
    const int controlLoopIdentifiersSize /*<Length of controlLoopIdentifiers */,
    const int *controlLoopIdentifiers /*<The control loop identifiers. */,
    const int numberOfSubLoops /*<The number of sub loops for the specified control loop to set. */);

/*>Sets/changes the number of sub-control loops for a control loop identified by an object. \todo is this really public??? */
IRON_C_EXPORT cmfe_Error cmfe_ControlLoop_NumberOfSubLoopsSet(cmfe_ControlLoopType controlLoop /*<The control loop to set the number of sub loops for. */,
    const int numberOfSubLoops /*<The number of sub loops for the specified control loop. */);

/*>Returns the output type for a control loop identified by user numbers. */
IRON_C_EXPORT cmfe_Error cmfe_ControlLoop_OutputTypeGetNum(const int problemUserNumber /*<The user number of the problem to get the output type for. */,
    const int controlLoopIdentifiersSize /*<Length of controlLoopIdentifiers */,
    const int *controlLoopIdentifiers /*<The control loop identifiers to get the output type for. */,
    int *outputType /*<On return, the output type of the control loop \see OPENCMISS_ControlLoopOutputTypes */);

/*>Returns the output type for a control loop identified by an object. */
IRON_C_EXPORT cmfe_Error cmfe_ControlLoop_OutputTypeGet(const cmfe_ControlLoopType controlLoop /*<The control loop to get the output type for. */,
    int *outputType /*<On return, the output type of the control loop \see OPENCMISS_ControlLoopOutputTypes */);

/*>Sets the output type for a control loop identified by user numbers. */
IRON_C_EXPORT cmfe_Error cmfe_ControlLoop_OutputTypeSetNum(const int problemUserNumber /*<The user number of the problem to set the output type for. */,
    const int controlLoopIdentifiersSize /*<Length of controlLoopIdentifiers */,
    const int *controlLoopIdentifiers /*<The control loop identifiers to set the output type for. */,
    const int outputType /*<The output type to set \see OPENCMISS_ControlLoopOutputTypes */);

/*>Sets the output type for a control loop identified by an object. */
IRON_C_EXPORT cmfe_Error cmfe_ControlLoop_OutputTypeSet(const cmfe_ControlLoopType controlLoop /*<The control loop to set the output type for. */,
    const int outputType /*<The output type to set \see OPENCMISS_ControlLoopOutputTypes */);

/*>Sets/changes the output parameters for a time control loop identified by user numbers. */
IRON_C_EXPORT cmfe_Error cmfe_ControlLoop_TimeOutputSetNum(const int problemUserNumber /*<The user number of the problem to get the output parameters for. */,
    const int controlLoopIdentifiersSize /*<Length of controlLoopIdentifiers */,
    const int *controlLoopIdentifiers /*<The control loop identifier. */,
    const int outputFrequency /*<The output frequency modulo to set. */);

/*>Sets/changes the output parameters for a time control loop identified by an object. */
IRON_C_EXPORT cmfe_Error cmfe_ControlLoop_TimeOutputSet(cmfe_ControlLoopType controlLoop /*<The control loop to set the output parameters for. */,
    const int outputFrequency /*<The output frequency modulo to set. */);

/*>Sets/changes the input parameters for a time control loop identified by user numbers. */
IRON_C_EXPORT cmfe_Error cmfe_ControlLoop_TimeInputSetNum(const int problemUserNumber /*<The user number of the problem to get the output parameters for. */,
    const int controlLoopIdentifiersSize /*<Length of controlLoopIdentifiers */,
    const int *controlLoopIdentifiers /*<The control loop identifier. */,
    const int inputOption /*<The output frequency modulo to set. */);

/*>Sets/changes the input parameters for a time control loop identified by an object. */
IRON_C_EXPORT cmfe_Error cmfe_ControlLoop_TimeInputSet(cmfe_ControlLoopType controlLoop /*<The control loop to set the output parameters for. */,
    const int inputOption /*<The output frequency modulo to set. */);

/*>Returns the time parameters for a time control loop identified by user numbers. */
IRON_C_EXPORT cmfe_Error cmfe_ControlLoop_TimesGetNum(const int problemUserNumber /*<The user number of the problem to get the time parameters for for. */,
    const int controlLoopIdentifiersSize /*<Length of controlLoopIdentifiers */,
    const int *controlLoopIdentifiers /*<The control loop identifier. */,
    double *startTime /*<On return, the start time for the time control loop. */,
    double *stopTime /*<On return, the stop time for the time control loop. */,
    double *timeIncrement /*<On return, the time increment for the time control loop. */,
    double *currentTime /*<On return, the current time for the time control loop. */,
    int *currentLoopIteration /*<On return, the iteration number for the current loop. */,
    int *outputIterationNumber /*<On return, the iteration number for the time control loop. */);

/*>Returns the time parameters for a time control loop identified by an object. */
IRON_C_EXPORT cmfe_Error cmfe_ControlLoop_TimesGet(const cmfe_ControlLoopType controlLoop /*<The control loop to get the times for. */,
    double *startTime /*<On return, the start time for the time control loop. */,
    double *stopTime /*<On return, the stop time for the time control loop. */,
    double *timeIncrement /*<On return, the time increment for the time control loop. */,
    double *currentTime /*<On return, the current time for the time control loop. */,
    int *currentLoopIteration /*<On return, the iteration number for the current loop. */,
    int *outputIterationNumber /*<On return, the iteration number for the time control loop. */);

/*>Sets/changes the time parameters for a time control loop identified by user numbers. */
IRON_C_EXPORT cmfe_Error cmfe_ControlLoop_TimesSetNum(const int problemUserNumber /*<The user number of the problem to get the time parameters for for. */,
    const int controlLoopIdentifiersSize /*<Length of controlLoopIdentifiers */,
    const int *controlLoopIdentifiers /*<The control loop identifier. */,
    const double startTime /*<The start time for the time control loop to set. */,
    const double stopTime /*<The stop time for the time control loop to set. */,
    const double timeIncrement /*<The time increment for the time control loop to set. */);

/*>Sets/changes the time parameters for a time control loop identified by an object. */
IRON_C_EXPORT cmfe_Error cmfe_ControlLoop_TimesSet(cmfe_ControlLoopType controlLoop /*<The control loop to set the times for. */,
    const double startTime /*<The start time for the time control loop to set. */,
    const double stopTime /*<The stop time for the time control loop to set. */,
    const double timeIncrement /*<The time increment for the time control loop to set. */);

/*>Sets/changes the loop type for a control loop identified by user numbers. \todo is this really public??? */
IRON_C_EXPORT cmfe_Error cmfe_ControlLoop_TypeSetNum(const int problemUserNumber /*<The user number of the problem to set the loop type for. */,
    const int controlLoopIdentifiersSize /*<Length of controlLoopIdentifiers */,
    const int *controlLoopIdentifiers /*<The control loop identifiers. */,
    const int loopType /*<The type of control loop to set. \see OPENCMISS_ProblemControlLoopTypes */);

/*>Sets/changes the loop type for a control loop identified by an object. \todo is this really public??? */
IRON_C_EXPORT cmfe_Error cmfe_ControlLoop_TypeSet(cmfe_ControlLoopType controlLoop /*<The control loop to set the loop type for. */,
    const int loopType /*<The type of control loop to set. \see OPENCMISS_ProblemControlLoopTypes */);

/*>Finishes the creation of a coordinate system identified by a user number. */
IRON_C_EXPORT cmfe_Error cmfe_CoordinateSystem_CreateFinishNum(const int coordinateSystemUserNumber /*<The user number of the coordinate system to finish creating. */);

/*>Finishes the creation of a coordinate system identified by an object. */
IRON_C_EXPORT cmfe_Error cmfe_CoordinateSystem_CreateFinish(cmfe_CoordinateSystemType coordinateSystem /*<The coordinate system to finish creating. */);

/*>Starts the creation of a coordinate system identified by a user number. */
IRON_C_EXPORT cmfe_Error cmfe_CoordinateSystem_CreateStartNum(const int coordinateSystemUserNumber /*<The user number of the coordinate system to start creating. */);

/*>Starts the creation of a coordinate system identified by an object. */
IRON_C_EXPORT cmfe_Error cmfe_CoordinateSystem_CreateStart(const int coordinateSystemUserNumber /*<The user number of the coordinate system to start creating. */,
    cmfe_CoordinateSystemType coordinateSystem /*<On return, the coordinate system that has been created. */);

/*>Destroys a coordinate system identified by a user number. */
IRON_C_EXPORT cmfe_Error cmfe_CoordinateSystem_DestroyNum(const int coordinateSystemUserNumber /*<The user number of the coordinate system to destroy. */);

/*>Destroys a coordinate system identified by an object. */
IRON_C_EXPORT cmfe_Error cmfe_CoordinateSystem_Destroy(cmfe_CoordinateSystemType coordinateSystem /*<The coordinate system to destroy. */);

/*>Returns the dimension of a coordinate system identified by a user number. */
IRON_C_EXPORT cmfe_Error cmfe_CoordinateSystem_DimensionGetNum(const int coordinateSystemUserNumber /*<The user number of the coordinate system to get the dimension for. */,
    int *coordinateSystemDimension /*<On return, the dimension of the coordinate system */);

/*>Returns the dimension of a coordinate system identified by an object. */
IRON_C_EXPORT cmfe_Error cmfe_CoordinateSystem_DimensionGet(const cmfe_CoordinateSystemType coordinateSystem /*<The coordinate system to get the dimension for. */,
    int *coordinateSystemDimension /*<On return, the dimension of the coordinate system. */);

/*>Sets/changes the dimension of a coordinate system identified by a user number. */
IRON_C_EXPORT cmfe_Error cmfe_CoordinateSystem_DimensionSetNum(const int coordinateSystemUserNumber /*<The user number of the coordinate system to set the dimension for. */,
    const int coordinateSystemDimension /*<The dimension of the coordinate system to set. */);

/*>Sets/changes the dimension of a coordinate system identified by an object. */
IRON_C_EXPORT cmfe_Error cmfe_CoordinateSystem_DimensionSet(cmfe_CoordinateSystemType coordinateSystem /*<The coordinate system to set the dimension for. */,
    const int coordinateSystemDimension /*<The dimension of the coordinate system to set. */);

/*>Returns the focus of a coordinate system identified by a user number. */
IRON_C_EXPORT cmfe_Error cmfe_CoordinateSystem_FocusGetNum(const int coordinateSystemUserNumber /*<The user number of the coordinate system to get the focus for. */,
    double *focus /*<On return, the focus of the coordinate system */);

/*>Returns the focus of a coordinate system identified by an object. */
IRON_C_EXPORT cmfe_Error cmfe_CoordinateSystem_FocusGet(const cmfe_CoordinateSystemType coordinateSystem /*<The coordinate system to get the focus for. */,
    double *focus /*<On return, the focus of the coordinate system. */);

/*>Sets/changes the focus of a coordinate system identified by a user number. */
IRON_C_EXPORT cmfe_Error cmfe_CoordinateSystem_FocusSetNum(const int coordinateSystemUserNumber /*<The user number of the coordinate system to set the focus for. */,
    const double focus /*<The focus of the coordinate system to set. */);

/*>Sets/changes the focus of a coordinate system identified by an object. */
IRON_C_EXPORT cmfe_Error cmfe_CoordinateSystem_FocusSet(cmfe_CoordinateSystemType coordinateSystem /*<The coordinate system to set the focus for. */,
    const double focus /*<The focus of the coordinate system to set. */);

/*>Returns the radial interpolation type of a coordinate system identified by a user number. */
IRON_C_EXPORT cmfe_Error cmfe_CoordinateSystem_RadialInterpolationGetNum(const int coordinateSystemUserNumber /*<The user number of the coordinate system to get the radial interpolation for. */,
    int *radialInterpolationType /*<On return, the radial interpolation type of the coordinate system \see OPENCMISS_CoordinateRadialInterpolations */);

/*>Returns the radial interpolation type of a coordinate system identified by an object. */
IRON_C_EXPORT cmfe_Error cmfe_CoordinateSystem_RadialInterpolationGet(cmfe_CoordinateSystemType coordinateSystem /*<The coordinate system to get the radial interpolation type for. */,
    int *radialInterpolationType /*<On return, the radial interpolation type of the coordinate system. \see OPENCMISS_CoordinateRadialInterpolations */);

/*>Sets/changes the radial interpolation type of a coordinate system identified by a user number. */
IRON_C_EXPORT cmfe_Error cmfe_CoordinateSystem_RadialInterpolationSetNum(const int coordinateSystemUserNumber /*<The user number of the coordinate system to set the radial interpolation for. */,
    const int radialInterpolationType /*<The radial interpolation type of the coordinate system to set.\see OPENCMISS_CoordinateRadialInterpolations */);

/*>Sets/changes the radial interpolation type of a coordinate system identified by an object. */
IRON_C_EXPORT cmfe_Error cmfe_CoordinateSystem_RadialInterpolationSet(cmfe_CoordinateSystemType coordinateSystem /*<The coordinate system to set the radial interpolation type for. */,
    const int radialInterpolationType /*<The radial interpolation type of the coordinate system to set. \see OPENCMISS_CoordinateRadialInterpolations */);

/*>Returns the type of a coordinate system identified by a user number. */
IRON_C_EXPORT cmfe_Error cmfe_CoordinateSystem_TypeGetNum(const int coordinateSystemUserNumber /*<The user number of the coordinate system to get the type for. */,
    int *coordinateSystemType /*<On return, the type of the coordinate system. \see OPENCMISS_CoordinateSystemTypes */);

/*>Returns the type of a coordinate system identified by an object. */
IRON_C_EXPORT cmfe_Error cmfe_CoordinateSystem_TypeGet(const cmfe_CoordinateSystemType coordinateSystem /*<The coordinate system to get the type for. */,
    int *coordinateSystemType /*<On return, the type of the coordinate system. \see OPENCMISS_CoordinateSystemTypes */);

/*>Sets/changes the type of a coordinate system identified by a user number. */
IRON_C_EXPORT cmfe_Error cmfe_CoordinateSystem_TypeSetNum(const int coordinateSystemUserNumber /*<The user number of the coordinate system to set the type for. */,
    const int coordinateSystemType /*<The type of the coordinate system to set. \see OPENCMISS_CoordinateSystemTypes */);

/*>Sets/changes the type of a coordinate system identified by an object. */
IRON_C_EXPORT cmfe_Error cmfe_CoordinateSystem_TypeSet(cmfe_CoordinateSystemType coordinateSystem /*<The coordinate system to set the type for. */,
    const int coordinateSystemType /*<The type of the coordinate system to set. \see OPENCMISS_CoordinateSystemTypes */);

/*>Returns the origin of a coordinate system identified by a user number. */
IRON_C_EXPORT cmfe_Error cmfe_CoordinateSystem_OriginGetNum(const int coordinateSystemUserNumber /*<The user number of the coordinate system to get the origin for. */,
    const int originSize /*<Length of origin */,
    double *origin /*<On return, the orign of the coordinate system. */);

/*>Returns the origin of a coordinate system identified by an object. */
IRON_C_EXPORT cmfe_Error cmfe_CoordinateSystem_OriginGet(const cmfe_CoordinateSystemType coordinateSystem /*<The coordinate system to get the origin for. */,
    const int originSize /*<Length of origin */,
    double *origin /*<On return, the origin of the coordinate system. */);

/*>Sets/changes the origin of a coordinate system identified by a user number. */
IRON_C_EXPORT cmfe_Error cmfe_CoordinateSystem_OriginSetNum(const int coordinateSystemUserNumber /*<The user number of the coordinate system to set the origin for. */,
    const int originSize /*<Length of origin */,
    const double *origin /*<The orign of the coordinate system to set. */);

/*>Sets/changes the origin of a coordinate system identified by an object. */
IRON_C_EXPORT cmfe_Error cmfe_CoordinateSystem_OriginSet(const cmfe_CoordinateSystemType coordinateSystem /*<The coordinate system to set the origin for. */,
    const int originSize /*<Length of origin */,
    const double *origin /*<The origin of the coordinate system to set. */);

/*>Returns the orientation of a coordinate system identified by a user number. */
IRON_C_EXPORT cmfe_Error cmfe_CoordinateSystem_OrientationGetNum(const int coordinateSystemUserNumber /*<The user number of the coordinate system to get the orientation for. */,
    const int orientationSize1 /*<Size of dimension 1 of orientation */,
    const int orientationSize2 /*<Size of dimension 2 of orientation */,
    double *orientation /*<On return, the orientation of the coordinate system. */);

/*>Returns the orientation of a coordinate system identified by an object. */
IRON_C_EXPORT cmfe_Error cmfe_CoordinateSystem_OrientationGet(const cmfe_CoordinateSystemType coordinateSystem /*<The coordinate system to get the orientation for. */,
    const int orientationSize1 /*<Size of dimension 1 of orientation */,
    const int orientationSize2 /*<Size of dimension 2 of orientation */,
    double *orientation /*<On return, the orientation of the coordinate system. */);

/*>Sets/changes the orientation of a coordinate system identified by a user number. */
IRON_C_EXPORT cmfe_Error cmfe_CoordinateSystem_OrientationSetNum(const int coordinateSystemUserNumber /*<The user number of the coordinate system to set the orientation for. */,
    const int orientationSize1 /*<Size of dimension 1 of orientation */,
    const int orientationSize2 /*<Size of dimension 2 of orientation */,
    const double *orientation /*<The orientation of the coordinate system to set. */);

/*>Sets/changes the orientation of a coordinate system identified by an object. */
IRON_C_EXPORT cmfe_Error cmfe_CoordinateSystem_OrientationSet(cmfe_CoordinateSystemType coordinateSystem /*<The coordinate system to set the orientation for. */,
    const int orientationSize1 /*<Size of dimension 1 of orientation */,
    const int orientationSize2 /*<Size of dimension 2 of orientation */,
    const double *orientation /*<The orientation of the coordinate system to set. */);

/*>Finishes the process of creating data points in a region for data points identified by user number. */
IRON_C_EXPORT cmfe_Error cmfe_DataPoints_CreateFinishNum(const int regionUserNumber /*<The user number of the region containing the data points to finish the creation of. */);

/*>Finishes the creation of a data points in a region for data points identified by an object. */
IRON_C_EXPORT cmfe_Error cmfe_DataPoints_CreateFinish(const cmfe_DataPointsType dataPoints /*<The data points to finish creating. */);

/*>Starts the process of creating data points in a region for data points identified by user number. */
IRON_C_EXPORT cmfe_Error cmfe_DataPoints_CreateStartNum(const int regionUserNumber /*<The user number of the region containing the data points to start the creation of. */,
    const int numberOfDataPoints /*<The number of data points to create. */);

/*>Starts the creation of a data points in a region for data points identified by an object. */
IRON_C_EXPORT cmfe_Error cmfe_DataPoints_CreateStart(const cmfe_RegionType region /*<The region to start the creation of data points on. */,
    const int numberOfDataPoints /*<The number of data points to create. */,
    cmfe_DataPointsType dataPoints /*<On return, the created data points. */);

/*>Starts the creation of a data points in a region for data points identified by an object. */
IRON_C_EXPORT cmfe_Error cmfe_DataPoints_CreateStartInterface(const cmfe_InterfaceType interface /*<The interface to start the creation of data points on. */,
    const int numberOfDataPoints /*<The number of data points to create. */,
    const cmfe_DataPointsType dataPoints /*<On return, the created data points. */);

/*>Destroys the data points in a region for data points identified by user number. */
IRON_C_EXPORT cmfe_Error cmfe_DataPoints_DestroyNum(const int regionUserNumber /*<The user number of the region containing the data points to destroy. */);

/*>Destroys the data points in a region for data points identified by an object. */
IRON_C_EXPORT cmfe_Error cmfe_DataPoints_Destroy(const cmfe_DataPointsType dataPoints /*<The data points to destroy. */);

/*>Returns the number of data points */
IRON_C_EXPORT cmfe_Error cmfe_DataPoints_NumberOfDataPointsGetNum(const int regionUserNumber /*<The user number of the region containing the data points to get data point count for. */,
    int *numberOfDataPoints /*<On return, the number of data points */);

/*>Returns the number of data points */
IRON_C_EXPORT cmfe_Error cmfe_DataPoints_NumberOfDataPointsGet(const cmfe_DataPointsType dataPoints /*<The data points get data point count for. */,
    int *numberOfDataPoints /*<The number of data points */);

/*>Returns the character label for a data point in a set of data points identified by user number. */
IRON_C_EXPORT cmfe_Error cmfe_DataPoints_LabelGetNum(const int regionUserNumber /*<The user number of the region containing the data points to get the label for. */,
    const int dataPointGlobalNumber /*<The global number of the data points to get the label for. */,
    const int labelSize /*<Length of label string */,
    char *label /*<On return, the label for the data point. */);

/*>Returns the character label for a data point in a set of data points identified by an object. */
IRON_C_EXPORT cmfe_Error cmfe_DataPoints_LabelGet(const cmfe_DataPointsType dataPoints /*<The data points to get the label for. */,
    const int dataPointGlobalNumber /*<The global number of the data points to get the label for. */,
    const int labelSize /*<Length of label string */,
    char *label /*<On return, the label for the data point. */);

/*>Sets/changes the character label for a data point in a set of data points identified by user number. */
IRON_C_EXPORT cmfe_Error cmfe_DataPoints_LabelSetNum(const int regionUserNumber /*<The user number of the region containing the data points to set the label for. */,
    const int dataPointGlobalNumber /*<The global number of the data points to set the label for. */,
    const int labelSize /*<Length of label string */,
    const char *label /*<The label for the data point to set. */);

/*>Sets/changes the character label for a data point in a set of data points identified by an object. */
IRON_C_EXPORT cmfe_Error cmfe_DataPoints_LabelSet(const cmfe_DataPointsType dataPoints /*<The data points to set the label for. */,
    const int dataPointGlobalNumber /*<The global number of the data points to set the label for. */,
    const int labelSize /*<Length of label string */,
    const char *label /*<The label for the data point to set. */);

/*>Returns the user number for a data point in a set of data points identified by user number. */
IRON_C_EXPORT cmfe_Error cmfe_DataPoints_UserNumberGetNum(const int regionUserNumber /*<The user number of the region containing the data points to get the data point user number for. */,
    const int dataPointGlobalNumber /*<The global number of the data points to get the data point user number for. */,
    int *dataPointUserNumber /*<On return, the user number for the data point. */);

/*>Returns the user number for a data point in a set of data points identified by an object. */
IRON_C_EXPORT cmfe_Error cmfe_DataPoints_UserNumberGet(const cmfe_DataPointsType dataPoints /*<The data points to get the data point user number for. */,
    const int dataPointGlobalNumber /*<The global number of the data points to get the data point user number for. */,
    int *dataPointUserNumber /*<On return, the user number for the data point. */);

/*>Sets/changes the user number for a data point in a set of data points identified by user number. */
IRON_C_EXPORT cmfe_Error cmfe_DataPoints_UserNumberSetNum(const int regionUserNumber /*<The user number of the region containing the data points to set the data point user number for. */,
    const int dataPointGlobalNumber /*<The global number of the data points to set the data point user number for. */,
    const int dataPointUserNumber /*<The user number for the data point to set. */);

/*>Sets/changes the user number for a data point in a set of data points identified by an object. */
IRON_C_EXPORT cmfe_Error cmfe_DataPoints_UserNumberSet(const cmfe_DataPointsType dataPoints /*<The data points to set the data point user number for. */,
    const int dataPointGlobalNumber /*<The global number of the data points to set the data point user number for. */,
    const int dataPointUserNumber /*<The user number for the data point to set. */);

/*>Returns the values for a data point in a set of data points identified by user number. */
IRON_C_EXPORT cmfe_Error cmfe_DataPoints_ValuesGetNum(const int regionUserNumber /*<The user number of the region containing the data points to get the data point user number for. */,
    const int dataPointGlobalNumber /*<The global number of the data points to get the data point values for. */,
    const int dataPointValuesSize /*<Length of dataPointValues */,
    double *dataPointValues /*<On return, the values for the data point. */);

/*>Returns the values for a data point in a set of data points identified by an object. */
IRON_C_EXPORT cmfe_Error cmfe_DataPoints_ValuesGet(const cmfe_DataPointsType dataPoints /*<The data points to get the data point user number for. */,
    const int dataPointGlobalNumber /*<The global number of the data points to get the data point user number for. */,
    const int dataPointValuesSize /*<Length of dataPointValues */,
    double *dataPointValues /*<On return, the values for the data point. */);

/*>Sets/changes the values for a data point in a set of data points identified by user number. */
IRON_C_EXPORT cmfe_Error cmfe_DataPoints_ValuesSetNum(const int regionUserNumber /*<The user number of the region containing the data points to set the data point user number for. */,
    const int dataPointGlobalNumber /*<The global number of the data points to set the data point user number for. */,
    const int dataPointValuesSize /*<Length of dataPointValues */,
    const double *dataPointValues /*<The values for the data point to set. */);

/*>Sets/changes the values for a data point in a set of data points identified by an object. */
IRON_C_EXPORT cmfe_Error cmfe_DataPoints_ValuesSet(const cmfe_DataPointsType dataPoints /*<The data points to set the data point user number for. */,
    const int dataPointGlobalNumber /*<The global number of the data points to set the data point user number for. */,
    const int dataPointValuesSize /*<Length of dataPointValues */,
    const double *dataPointValues /*<The values for the data point to set. */);

/*>Returns the weights for a data point in a set of data points identified by user number. */
IRON_C_EXPORT cmfe_Error cmfe_DataPoints_WeightsGetNum(const int regionUserNumber /*<The user number of the region containing the data points to get the data point user number for. */,
    const int dataPointGlobalNumber /*<The global number of the data points to get the data point user number for. */,
    const int dataPointWeightsSize /*<Length of dataPointWeights */,
    double *dataPointWeights /*<On return, the weights for the data point. */);

/*>Returns the weights for a data point in a set of data points identified by an object. */
IRON_C_EXPORT cmfe_Error cmfe_DataPoints_WeightsGet(const cmfe_DataPointsType dataPoints /*<The data points to get the data point user number for. */,
    const int dataPointGlobalNumber /*<The global number of the data points to get the data point user number for. */,
    const int dataPointWeightsSize /*<Length of dataPointWeights */,
    double *dataPointWeights /*<On return, the weights for the data point. */);

/*>Sets/changes the weights for a data point in a set of data points identified by user number. */
IRON_C_EXPORT cmfe_Error cmfe_DataPoints_WeightsSetNum(const int regionUserNumber /*<The user number of the region containing the data points to set the data point user number for. */,
    const int dataPointGlobalNumber /*<The global number of the data points to set the data point user number for. */,
    const int dataPointWeightsSize /*<Length of dataPointWeights */,
    const double *dataPointWeights /*<The weights for the data point to set. */);

/*>Sets/changes the weights for a data point in a set of data points identified by an object. */
IRON_C_EXPORT cmfe_Error cmfe_DataPoints_WeightsSet(const cmfe_DataPointsType dataPoints /*<The data points to set the data point user number for. */,
    const int dataPointGlobalNumber /*<The global number of the data points to set the data point user number for. */,
    const int dataPointWeightsSize /*<Length of dataPointWeights */,
    const double *dataPointWeights /*<The weights for the data point to set. */);

/*>Returns the absolute tolerance of data projection identified by a region user number. */
IRON_C_EXPORT cmfe_Error cmfe_DataProjection_AbsoluteToleranceGetNum(const int dataProjectionUserNumber /*<The data projection user number of the data projection to get starting xi for. */,
    const int regionUserNumber /*<The region user number of the data projection to get tolerance for. */,
    double *absoluteTolerance /*<On exit, the absolute tolerance of the specified data projection */);

/*>Returns the absolute tolerance of data projection identified an object. */
IRON_C_EXPORT cmfe_Error cmfe_DataProjection_AbsoluteToleranceGet(cmfe_DataProjectionType dataProjection /*<The data projection to get tolerance for. */,
    double *absoluteTolerance /*<On exit, the absolute tolerance of the specified data projection */);

/*>Sets/changes the absolute tolerance of data projection identified by a region user number. */
IRON_C_EXPORT cmfe_Error cmfe_DataProjection_AbsoluteToleranceSetNum(const int dataProjectionUserNumber /*<The data projection user number of the data projection to get starting xi for. */,
    const int regionUserNumber /*<The region use number of data projection to set tolerance for. */,
    const double absoluteTolerance /*<the absolute tolerance to set */);

/*>Sets/changes the absolute tolerance of data projection identified an object. */
IRON_C_EXPORT cmfe_Error cmfe_DataProjection_AbsoluteToleranceSet(cmfe_DataProjectionType dataProjection /*<The data projection to set tolerance for. */,
    const double absoluteTolerance /*<the absolute tolerance to set */);

/*>Finishes the creation of a new data projection identified by a region user number. */
IRON_C_EXPORT cmfe_Error cmfe_DataProjection_CreateFinishNum(const int dataProjectionUserNumber /*<The data projection user number of the data projection to get starting xi for. */,
    const int regionUserNumber /*<The user number of the region containing the data points which associates to the data projection to finish the creation of. */);

/*>Finishes the creation of a new data projection identified by an object. */
IRON_C_EXPORT cmfe_Error cmfe_DataProjection_CreateFinish(cmfe_DataProjectionType dataProjection /*<The data projection to finish the creation of */);

/*>Starts the creation of a new data projection for a data projection identified by a region user number. */
IRON_C_EXPORT cmfe_Error cmfe_DataProjection_CreateStartNum(const int dataProjectionUserNumber /*<The data projection user number. */,
    const int dataPointRegionUserNumber /*<The region user number of the data points to be projected. */,
    const int meshUserNumber /*<The field user number of the geometric field data points are be projected on. */,
    const int meshRegionUserNumber /*<The region user number of the geometric field data points are be projected on. */);

/*>Starts the creation of a new data projection for a data projection identified by an object. */
IRON_C_EXPORT cmfe_Error cmfe_DataProjection_CreateStart(const int dataProjectionUserNumber /*<The data projection user number. */,
    const cmfe_DataPointsType dataPoints /*<The data points to be projected */,
    const cmfe_MeshType mesh /*<The mesh where data points is projected on */,
    cmfe_DataProjectionType dataProjection /*<On exit, the newly created data projection. */);

/*>Destroys a data projection identified by region user number. */
IRON_C_EXPORT cmfe_Error cmfe_DataProjection_DestroyNum(const int dataProjectionUserNumber /*<The data projection user number of the data projection to get starting xi for. */,
    const int regionUserNumber /*<The region user number of the data projection to destroy. */);

/*>Destroys a data projection identified by an object. */
IRON_C_EXPORT cmfe_Error cmfe_DataProjection_Destroy(cmfe_DataProjectionType dataProjection /*<The data projection to destroy. */);

/*>Evaluate the data points position in a field based on data projection in a region, identified by user number */
IRON_C_EXPORT cmfe_Error cmfe_DataProjection_DataPointsPositionEvaluateRegionNum(const int dataProjectionUserNumber /*<The data projection user number of the data projection */,
    const int regionUserNumber /*<The region user number of the data projection and field */,
    const int fieldUserNumber /*<The field user number of the field to be interpolated */,
    const int fieldVariableType /*<The field variable type to be interpolated */);

/*>Evaluate the data points position in a field based on data projection in an interface, identified by user number */
IRON_C_EXPORT cmfe_Error cmfe_DataProjection_DataPointsPositionEvaluateInterfaceNum(const int dataProjectionUserNumber /*<The data projection user number of the data projection */,
    const int parentRegionUserNumber /*<The parent region number of the interface for the data projection */,
    const int interfaceUserNumber /*<The interface number for the data projection */,
    const int fieldUserNumber /*<The field user number of the field to be interpolated */,
    const int fieldVariableType /*<The field variable type to be interpolated */);

/*>Evaluate the data points position in a field based on data projection, identified by object */
IRON_C_EXPORT cmfe_Error cmfe_DataProjection_DataPointsPositionEvaluate(cmfe_DataProjectionType dataProjection /*<The data projection used to evaluate data points position */,
    const cmfe_FieldType field /*<The field to interpolate */,
    const int fieldVariableType /*<The field variable type to be interpolated */);

/*>Evaluate the data points position in a field based on data projection in a region, identified by user number */
IRON_C_EXPORT cmfe_Error cmfe_DataProjection_ProjectionCandidatesSetRegionNum(const int dataProjectionUserNumber /*<The data projection user number of the data projection */,
    const int regionUserNumber /*<The region user number of the data projection and field */,
    const int candidateElementsSize /*<Length of candidateElements */,
    const int *candidateElements /*<The candidate element for the projection */,
    const int localFaceLineNumbersSize /*<Length of localFaceLineNumbers */,
    const int *localFaceLineNumbers /*<The local face/line number for the candidate elements */);

/*>Evaluate the data points position in a field based on data projection in an interface, identified by user number */
IRON_C_EXPORT cmfe_Error cmfe_DataProjection_ProjectionCandidatesSetInterfaceNum(const int dataProjectionUserNumber /*<The data projection user number of the data projection */,
    const int parentRegionUserNumber /*<The parent region number of the interface for the data projection */,
    const int interfaceUserNumber /*<The interface number for the data projection */,
    const int candidateElementsSize /*<Length of candidateElements */,
    const int *candidateElements /*<The candidate element for the projection */,
    const int localFaceLineNumbersSize /*<Length of localFaceLineNumbers */,
    const int *localFaceLineNumbers /*<The local face/line number for the candidate elements */);

/*>Evaluate the data points position in a field based on data projection, identified by object */
IRON_C_EXPORT cmfe_Error cmfe_DataProjection_ProjectionCandidatesSet(cmfe_DataProjectionType dataProjection /*<The data projection used to evaluate data points position */,
    const int candidateElementsSize /*<Length of candidateElements */,
    const int *candidateElements /*<The candidate element for the projection */,
    const int localFaceLineNumbersSize /*<Length of localFaceLineNumbers */,
    const int *localFaceLineNumbers /*<The local face/line number for the candidate elements */);

/*>Evaluate a data projection identified by a region user number. */
IRON_C_EXPORT cmfe_Error cmfe_DataProjection_DataPointsProjectionEvaluateNum(const int dataProjectionUserNumber /*<The data projection user number of the data projection to get starting xi for. */,
    const int dataPointsRegionUserNumber /*<The region user number of the data projection to evaluate. */,
    const int projectionFieldUserNumber /*<The field user number of the field data points are be projected on. */,
    const int projectionFieldRegionUserNumber /*<The region user number of the field data points are be projected on. */);

/*>Evaluate a data projection identified by an object. */
IRON_C_EXPORT cmfe_Error cmfe_DataProjection_DataPointsProjectionEvaluate(cmfe_DataProjectionType dataProjection /*<The data projection to evaluate. */,
    const cmfe_FieldType projectionField /*<The field data points is projected on */);

/*>Returns the relative tolerance of data projection identified by a region user number. */
IRON_C_EXPORT cmfe_Error cmfe_DataProjection_MaximumIterationUpdateGetNum(const int dataProjectionUserNumber /*<The data projection user number of the data projection to get starting xi for. */,
    const int regionUserNumber /*<The region user number of the data projection to get tolerance for. */,
    double *maximumIterationUpdate /*<On exit, the maximum iteration update of the specified data projection */);

/*>Returns the relative tolerance of data projection identified an object. */
IRON_C_EXPORT cmfe_Error cmfe_DataProjection_MaximumIterationUpdateGet(cmfe_DataProjectionType dataProjection /*<The data projection to get tolerance for. */,
    double *maximumIterationUpdate /*<On exit, the maximum iteration update of the specified data projection */);

/*>Sets/changes the relative tolerance of data projection identified by a region user number. */
IRON_C_EXPORT cmfe_Error cmfe_DataProjection_MaximumIterationUpdateSetNum(const int dataProjectionUserNumber /*<The data projection user number of the data projection to get starting xi for. */,
    const int regionUserNumber /*<The region use number of data projection to set tolerance for. */,
    const double maximumIterationUpdate /*<the maximum iteration update to set */);

/*>Sets/changes the relative tolerance of data projection identified an object. */
IRON_C_EXPORT cmfe_Error cmfe_DataProjection_MaximumIterationUpdateSet(cmfe_DataProjectionType dataProjection /*<The data projection to set tolerance for. */,
    const double maximumIterationUpdate /*<the maximum iteration update to set */);

/*>Returns the maximum number of iterations of data projection identified by a region user number. */
IRON_C_EXPORT cmfe_Error cmfe_DataProjection_MaximumNumberOfIterationsGetNum(const int dataProjectionUserNumber /*<The data projection user number of the data projection to get starting xi for. */,
    const int regionUserNumber /*<The region user number of the data projection to get maximum number of iterations for. */,
    int *maximumNumberOfIterations /*<On exit, the maximum number of iterations of the specified data projection */);

/*>Returns the projection distance for a data point in a set of data points identified by user number. */
IRON_C_EXPORT cmfe_Error cmfe_DataProjection_ResultDistanceGetNum(const int regionUserNumber /*<The user number of the region containing the data points to get attributes for. */,
    const int dataProjectionUserNumber /*<The user number of the data projection containing the data points to get attributes for. */,
    const int dataPointUserNumber /*<The user number of the data points to get attributes for. */,
    double *ProjectionDistance /*<On return, the projection distance for the data point. */);

/*>Returns the projection distance for a data point in a set of data points identified by an object. */
IRON_C_EXPORT cmfe_Error cmfe_DataProjection_ResultDistanceGet(const cmfe_DataProjectionType dataProjection /*<The data projection to get attributes for. */,
    const int dataPointUserNumber /*<The user number of the data points to get attributes for. */,
    double *ProjectionDistance /*<On return, the projection distance for the data point. */);

/*>Returns the projection element number for a data point in a set of data points identified by user number. */
IRON_C_EXPORT cmfe_Error cmfe_DataProjection_ResultElementNumberGetNum(const int regionUserNumber /*<The user number of the region containing the data points to get attributes for. */,
    const int dataProjectionUserNumber /*<The user number of the data projection containing the data points to get attributes for. */,
    const int dataPointUserNumber /*<The user number of the data points to get attributes for. */,
    int *ProjectionElementNumber /*<On return, the projection element number for the data point. */);

/*>Returns the projection element number for a data point in a set of data points identified by an object. */
IRON_C_EXPORT cmfe_Error cmfe_DataProjection_ResultElementNumberGet(const cmfe_DataProjectionType dataProjection /*<The data projection to get attributes for. */,
    const int dataPointUserNumber /*<The user number of the data points to get attributes for. */,
    int *ProjectionElementNumber /*<On return, the projection element number for the data point. */);

/*>Returns the projection element face number for a data point in a set of data points identified by user number. */
IRON_C_EXPORT cmfe_Error cmfe_DataProjection_ResultElementFaceNumberGetNum(const int regionUserNumber /*<The user number of the region containing the data points to get attributes for. */,
    const int dataProjectionUserNumber /*<The user number of the data projection containing the data points to get attributes for. */,
    const int dataPointUserNumber /*<The user number of the data points to get attributes for. */,
    int *ProjectionElementFaceNumber /*<On return, the projection element face number for the data point. */);

/*>Returns the projection element face number for a data point in a set of data points identified by an object. */
IRON_C_EXPORT cmfe_Error cmfe_DataProjection_ResultElementFaceNumberGet(const cmfe_DataProjectionType dataProjection /*<The data projection to get attributes for. */,
    const int dataPointUserNumber /*<The user number of the data points to get attributes for. */,
    int *ProjectionElementFaceNumber /*<On return, the projection element face number for the data point. */);

/*>Returns the projection element line number for a data point in a set of data points identified by user number. */
IRON_C_EXPORT cmfe_Error cmfe_DataProjection_ResultElementLineNumberGetNum(const int regionUserNumber /*<The user number of the region containing the data points to get attributes for. */,
    const int dataProjectionUserNumber /*<The user number of the data projection containing the data points to get attributes for. */,
    const int dataPointUserNumber /*<The user number of the data points to get attributes for. */,
    int *ProjectionElementLineNumber /*<On return, the projection element line number for the data point. */);

/*>Returns the projection element line number for a data point in a set of data points identified by an object. */
IRON_C_EXPORT cmfe_Error cmfe_DataProjection_ResultElementLineNumberGet(const cmfe_DataProjectionType dataProjection /*<The data projection to get attributes for. */,
    const int dataPointUserNumber /*<The user number of the data points to get attributes for. */,
    int *ProjectionElementLineNumber /*<On return, the projection element line number for the data point. */);

/*>Returns the projection exit tag for a data point in a set of data points identified by user number. */
IRON_C_EXPORT cmfe_Error cmfe_DataProjection_ResultExitTagGetNum(const int regionUserNumber /*<The user number of the region containing the data points to get attributes for. */,
    const int dataProjectionUserNumber /*<The user number of the data projection containing the data points to get attributes for. */,
    const int dataPointUserNumber /*<The user number of the data points to get attributes for. */,
    int *ProjectionExitTag /*<On return, the projection exit tag for the data point. */);

/*>Returns the projection exit tag for a data point in a set of data points identified by an object. */
IRON_C_EXPORT cmfe_Error cmfe_DataProjection_ResultExitTagGet(const cmfe_DataProjectionType dataProjection /*<The data projection to get attributes for. */,
    const int dataPointUserNumber /*<The user number of the data points to get attributes for. */,
    int *ProjectionExitTag /*<On return, the projection exit tag for the data point. */);

/*>Returns the projection xi for a data point in a set of data points identified by user number. */
IRON_C_EXPORT cmfe_Error cmfe_DataProjection_ResultXiGetNum(const int regionUserNumber /*<The user number of the region containing the data points to get attributes for. */,
    const int dataProjectionUserNumber /*<The user number of the data projection containing the data points to get attributes for. */,
    const int dataPointUserNumber /*<The user number of the data points to get attributes for. */,
    const int ProjectionXiSize /*<Length of ProjectionXi */,
    double *ProjectionXi /*<On return, the projection xi for the data point. */);

/*>Returns the projection xi for a data point in a set of data points identified by an object. */
IRON_C_EXPORT cmfe_Error cmfe_DataProjection_ResultXiGet(const cmfe_DataProjectionType dataProjection /*<The data projection to get attributes for. */,
    const int dataPointUserNumber /*<The user number of the data points to get attributes for. */,
    const int ProjectionXiSize /*<Length of ProjectionXi */,
    double *ProjectionXi /*<On return, the projection xi for the data point. */);

/*>Sets the projection xi for a data point in a set of data points identified by user number. */
IRON_C_EXPORT cmfe_Error cmfe_DataProjection_ResultXiSetNum(const int regionUserNumber /*<The user number of the region containing the data points to set attributes for. */,
    const int dataProjectionUserNumber /*<The user number of the data projection containing the data points to set attributes for. */,
    const int dataPointUserNumber /*<The user number of the data points to set attributes for. */,
    const int ProjectionXiSize /*<Length of ProjectionXi */,
    const double *ProjectionXi /*<On return, the projection xi for the data point. */);

/*>Sets the projection xi for a data point in a set of data points identified by an object. */
IRON_C_EXPORT cmfe_Error cmfe_DataProjection_ResultXiSet(const cmfe_DataProjectionType dataProjection /*<The data projection to set attributes for. */,
    const int dataPointUserNumber /*<The user number of the data points to set attributes for */,
    const int ProjectionXiSize /*<Length of ProjectionXi */,
    const double *ProjectionXi /*<On return, the projection xi for the data point. */);

/*>Returns the projection vector for a data point in a set of data points identified by user number. */
IRON_C_EXPORT cmfe_Error cmfe_DataProjection_ResultProjectionVectorGetNum(const int regionUserNumber /*<The user number of the region containing the data points to get attributes for. */,
    const int dataProjectionUserNumber /*<The user number of the data projection containing the data points to get attributes for. */,
    const int dataPointUserNumber /*<The user number of the data points to get attributes for. */,
    const int projectionVectorSize /*<Length of projectionVector */,
    double *projectionVector /*<On return, the projection vector for the data point. */);

/*>Returns the projection vector for a data point in a set of data points identified by an object. */
IRON_C_EXPORT cmfe_Error cmfe_DataProjection_ResultProjectionVectorGet(const cmfe_DataProjectionType dataProjection /*<The data projection to get attributes for. */,
    const int dataPointUserNumber /*<The user number of the data points to get attributes for. */,
    const int projectionVectorSize /*<Length of projectionVector */,
    double *projectionVector /*<On return, the projection vector for the data point. */);

/*>Returns the maximum number of iterations of data projection identified an object. */
IRON_C_EXPORT cmfe_Error cmfe_DataProjection_MaximumNumberOfIterationsGet(cmfe_DataProjectionType dataProjection /*<The data projection to get maximum number of iterations for. */,
    int *maximumNumberOfIterations /*<On exit, the maximum number of iterations of the specified data projection */);

/*>Sets/changes the maximum number of iterations of data projection identified by a region user number. */
IRON_C_EXPORT cmfe_Error cmfe_DataProjection_MaximumNumberOfIterationsSetNum(const int dataProjectionUserNumber /*<The data projection user number of the data projection to get starting xi for. */,
    const int regionUserNumber /*<The region use number of data projection to set maximum number of iterations for. */,
    const int maximumNumberOfIterations /*<the maximum number of iterations to set */);

/*>Sets/changes the maximum number of iterations of data projection identified an object. */
IRON_C_EXPORT cmfe_Error cmfe_DataProjection_MaximumNumberOfIterationsSet(cmfe_DataProjectionType dataProjection /*<The data projection to set maximum number of iterations for. */,
    const int maximumNumberOfIterations /*<the maximum number of iterations to set */);

/*>Returns the number of closest elements of data projection identified by a region user number. */
IRON_C_EXPORT cmfe_Error cmfe_DataProjection_NumberOfClosestElementsGetNum(const int dataProjectionUserNumber /*<The data projection user number of the data projection to get starting xi for. */,
    const int regionUserNumber /*<The region user number of the data projection to get number of closest elements for. */,
    int *numberOfClosestElements /*<On exit, the number of closest elements of the specified data projection */);

/*>Returns the number of closest elements of data projection identified an object. */
IRON_C_EXPORT cmfe_Error cmfe_DataProjection_NumberOfClosestElementsGet(cmfe_DataProjectionType dataProjection /*<The data projection to get number of closest elements for. */,
    int *numberOfClosestElements /*<On exit, the number of closest elements of the specified data projection */);

/*>Sets/changes the number of closest elements of data projection identified by a region user number. */
IRON_C_EXPORT cmfe_Error cmfe_DataProjection_NumberOfClosestElementsSetNum(const int dataProjectionUserNumber /*<The data projection user number of the data projection to get starting xi for. */,
    const int regionUserNumber /*<The region use number of data projection to set number of closest elements for. */,
    const int numberOfClosestElements /*<the number of closest elements to set */);

/*>Sets/changes the number of closest elements of data projection identified an object. */
IRON_C_EXPORT cmfe_Error cmfe_DataProjection_NumberOfClosestElementsSet(cmfe_DataProjectionType dataProjection /*<The data projection to set number of closest elements for. */,
    const int numberOfClosestElements /*<the number of closest elements to set */);

/*>Returns the projection type of data projection identified by a region user number. */
IRON_C_EXPORT cmfe_Error cmfe_DataProjection_ProjectionTypeGetNum(const int dataProjectionUserNumber /*<The data projection user number of the data projection to get starting xi for. */,
    const int regionUserNumber /*<The region user number of the data projection to get projection type for. */,
    int *projectionType /*<On exit, the projection type of the specified data projection */);

/*>Returns the projection type of data projection identified an object. */
IRON_C_EXPORT cmfe_Error cmfe_DataProjection_ProjectionTypeGet(cmfe_DataProjectionType dataProjection /*<The data projection to get projection type for. */,
    int *projectionType /*<On exit, the projection type of the specified data projection */);

/*>Sets/changes the projection type of data projection identified by a region user number. */
IRON_C_EXPORT cmfe_Error cmfe_DataProjection_ProjectionTypeSetNum(const int dataProjectionUserNumber /*<The data projection user number of the data projection to get starting xi for. */,
    const int regionUserNumber /*<The region use number of data projection to set projection type for. */,
    const int projectionType /*<the projection type to set */);

/*>Sets/changes the projection type of data projection identified an object. */
IRON_C_EXPORT cmfe_Error cmfe_DataProjection_ProjectionTypeSet(cmfe_DataProjectionType dataProjection /*<The data projection to set projection type for. */,
    const int projectionType /*<the projection type to set */);

/*>Returns the relative tolerance of data projection identified by a data projection user number and a region user number. */
IRON_C_EXPORT cmfe_Error cmfe_DataProjection_RelativeToleranceGetNum(const int dataProjectionUserNumber /*<The data projection user number of the data projection to get starting xi for. */,
    const int regionUserNumber /*<The region user number of the data projection to get relative tolerance for. */,
    double *relativeTolerance /*<On exit, the absolute relative tolerance of the specified data projection */);

/*>Returns the relative tolerance of data projection identified an object. */
IRON_C_EXPORT cmfe_Error cmfe_DataProjection_RelativeToleranceGet(cmfe_DataProjectionType dataProjection /*<The data projection to get relative tolerance for. */,
    double *relativeTolerance /*<On exit, the absolute relative tolerance of the specified data projection */);

/*>Sets/changes the relative tolerance of data projection identified by a data projection user number and a region user number. */
IRON_C_EXPORT cmfe_Error cmfe_DataProjection_RelativeToleranceSetNum(const int dataProjectionUserNumber /*<The data projection user number of the data projection to get starting xi for. */,
    const int regionUserNumber /*<The region use number of data projection to set relative tolerance for. */,
    const double relativeTolerance /*<the absolute relative tolerance to set */);

/*>Sets/changes the relative tolerance of data projection identified an object. */
IRON_C_EXPORT cmfe_Error cmfe_DataProjection_RelativeToleranceSet(cmfe_DataProjectionType dataProjection /*<The data projection to set relative tolerance for. */,
    const double relativeTolerance /*<the absolute relative tolerance to set */);

/*>Returns the starting xi of data projection identified by a data projection user number and region user number. */
IRON_C_EXPORT cmfe_Error cmfe_DataProjection_StartingXiGetNum(const int dataProjectionUserNumber /*<The data projection user number of the data projection to get starting xi for. */,
    const int regionUserNumber /*<The region user number of the data projection to get starting xi for. */,
    const int startingXiSize /*<Length of startingXi */,
    double *startingXi /*<On exit, the absolute starting xi of the specified data projection */);

/*>Returns the starting xi of data projection identified an object. */
IRON_C_EXPORT cmfe_Error cmfe_DataProjection_StartingXiGet(cmfe_DataProjectionType dataProjection /*<The data projection to get starting xi for. */,
    const int startingXiSize /*<Length of startingXi */,
    double *startingXi /*<On exit, the absolute starting xi of the specified data projection */);

/*>Sets/changes the starting xi of data projection identified by a region user number. */
IRON_C_EXPORT cmfe_Error cmfe_DataProjection_StartingXiSetNum(const int dataProjectionUserNumber /*<The data projection user number of the data projection to get starting xi for. */,
    const int regionUserNumber /*<The region use number of data projection to set starting xi for. */,
    const int startingXiSize /*<Length of startingXi */,
    const double *startingXi /*<the absolute starting xi to set */);

/*>Sets/changes the starting xi of data projection identified an object. */
IRON_C_EXPORT cmfe_Error cmfe_DataProjection_StartingXiSet(cmfe_DataProjectionType dataProjection /*<The data projection to set starting xi for. */,
    const int startingXiSize /*<Length of startingXi */,
    const double *startingXi /*<the absolute starting xi to set */);

/*>Sets/changes the starting xi of data projection identified by a region user number. */
IRON_C_EXPORT cmfe_Error cmfe_DataProjection_ElementSetInterfaceNum(const int dataProjectionUserNumber /*<The data projection user number of the data projection to get starting xi for. */,
    const int parentRegionUserNumber /*<The user number of the parent region. */,
    const int interfaceUserNumber /*<The user number of the interface. */,
    const int dataPointNumber /*<The data point number to set xi position for */,
    const int elementNumber /*<the element number to set */);

/*>Sets/changes the starting xi of data projection identified by a region user number. */
IRON_C_EXPORT cmfe_Error cmfe_DataProjection_ElementSetRegionNum(const int dataProjectionUserNumber /*<The data projection user number of the data projection to get starting xi for. */,
    const int regionUserNumber /*<The region user number of data projection to set starting xi for. */,
    const int dataPointNumber /*<The data point number to set xi position for */,
    const int elementNumber /*<the element number to set */);

/*>Sets/changes the starting xi of data projection identified an object. */
IRON_C_EXPORT cmfe_Error cmfe_DataProjection_ElementSet(cmfe_DataProjectionType dataProjection /*<The data projection to set starting xi for. */,
    const int dataPointNumber /*<The data point number to set xi position for */,
    const int elementNumber /*<the element number to set */);

/*>Get the character string label of a data projection identified by a region user number. */
IRON_C_EXPORT cmfe_Error cmfe_DataProjection_LabelGetCInterfaceNum(const int dataProjectionUserNumber /*<The data projection user number of the data projection to get the label for. */,
    const int parentRegionUserNumber /*<The user number of the parent region. */,
    const int interfaceUserNumber /*<The user number of the interface. */,
    const int labelSize /*<Length of label string */,
    char *label /*<the label to get */);

/*>Get the character string label of a data projection identified by a region user number. */
IRON_C_EXPORT cmfe_Error cmfe_DataProjection_LabelGetCRegionNum(const int dataProjectionUserNumber /*<The data projection user number of the data projection to get the label for. */,
    const int regionUserNumber /*<The region user number of data projection to get the label for. */,
    const int labelSize /*<Length of label string */,
    char *label /*<the label to get */);

/*>Gets the character string label of a data projection identified an object. */
IRON_C_EXPORT cmfe_Error cmfe_DataProjection_LabelGet(cmfe_DataProjectionType dataProjection /*<The data projection to get the label for. */,
    const int labelSize /*<Length of label string */,
    char *label /*<the label to get */);

/*>Sets/changes the character string label of a data projection identified by a region user number. */
IRON_C_EXPORT cmfe_Error cmfe_DataProjection_LabelSetCInterfaceNum(const int dataProjectionUserNumber /*<The data projection user number of the data projection to set the label for. */,
    const int parentRegionUserNumber /*<The user number of the parent region. */,
    const int interfaceUserNumber /*<The user number of the interface. */,
    const int labelSize /*<Length of label string */,
    const char *label /*<the label to set */);

/*>Sets/changes the character string label of a data projection identified by a region user number. */
IRON_C_EXPORT cmfe_Error cmfe_DataProjection_LabelSetCRegionNum(const int dataProjectionUserNumber /*<The data projection user number of the data projection to set the label for. */,
    const int regionUserNumber /*<The region user number of data projection to set the label for. */,
    const int labelSize /*<Length of label string */,
    const char *label /*<the label to set */);

/*>Sets/changes the character string label of a data projection identified an object. */
IRON_C_EXPORT cmfe_Error cmfe_DataProjection_LabelSet(cmfe_DataProjectionType dataProjection /*<The data projection to set the label for. */,
    const int labelSize /*<Length of label string */,
    const char *label /*<the label to set */);

/*>Destroys equations for equations identified by a user number. */
IRON_C_EXPORT cmfe_Error cmfe_Equations_DestroyNum(const int regionUserNumber /*<The user number of the Region containing the equations to destroy. */,
    const int equationsSetUserNumber /*<The user number of the equations set to destroy the equations for. */);

/*>Destroy equations for equations identified by an object. */
IRON_C_EXPORT cmfe_Error cmfe_Equations_Destroy(cmfe_EquationsType equations /*<The equations to destroy. */);

/*>Gets the linearity type for equations identified by a user number. */
IRON_C_EXPORT cmfe_Error cmfe_Equations_LinearityTypeGetNum(const int regionUserNumber /*<The user number of the Region containing the equations to get the linearity type for. */,
    const int equationsSetUserNumber /*<The user number of the equations set to get the linearity type for. */,
    int *linearityType /*<On return, the linearity type of the equations \see OPENCMISS_EquationsLinearityTypes */);

/*>Gets the linearity type for equations identified by an object. */
IRON_C_EXPORT cmfe_Error cmfe_Equations_LinearityTypeGet(const cmfe_EquationsType equations /*<The equations to get the linearity type for. */,
    int *linearityType /*<On return, the linearity type of the equations \see OPENCMISS_EquationsLinearityTypes */);

/*>Gets the lumping type for equations identified by a user number. */
IRON_C_EXPORT cmfe_Error cmfe_Equations_LumpingTypeGetNum(const int regionUserNumber /*<The user number of the Region containing the equations to get the lumping type for. */,
    const int equationsSetUserNumber /*<The user number of the equations set to get the lumping type for. */,
    int *lumpingType /*<On return, the lumping type of the equations \see OPENCMISS_EquationsLumpingTypes */);

/*>Gets the lumping type for equations identified by an object. */
IRON_C_EXPORT cmfe_Error cmfe_Equations_LumpingTypeGet(const cmfe_EquationsType equations /*<The equations to get the lumping type for. */,
    int *lumpingType /*<On return, the lumping type of the equations \see OPENCMISS_EquationsLumpingTypes */);

/*>Sets/changes the lumping type for equations identified by a user number. */
IRON_C_EXPORT cmfe_Error cmfe_Equations_LumpingTypeSetNum(const int regionUserNumber /*<The user number of the Region containing the equations to set the lumping type for. */,
    const int equationsSetUserNumber /*<The user number of the equations set to set the lumping type for. */,
    const int lumpingType /*<The lumping type of the equations to set\see OPENCMISS_EquationsLumpingTypes */);

/*>Sets/changes the lumping type for equations identified by an object. */
IRON_C_EXPORT cmfe_Error cmfe_Equations_LumpingTypeSet(cmfe_EquationsType equations /*<The equations to set the lumping type for. */,
    const int lumpingType /*<The lumping type of the equations to set\see OPENCMISS_EquationsLumpingTypes */);

/*>Gets the output type for equations identified by a user number. */
IRON_C_EXPORT cmfe_Error cmfe_Equations_OutputTypeGetNum(const int regionUserNumber /*<The user number of the Region containing the equations to get the output type for. */,
    const int equationsSetUserNumber /*<The user number of the equations set to get the output type for. */,
    int *outputType /*<On return, the output type of the equations \see OPENCMISS_EquationsOutputTypes */);

/*>Gets the output type for equations identified by an object. */
IRON_C_EXPORT cmfe_Error cmfe_Equations_OutputTypeGet(const cmfe_EquationsType equations /*<The equations to get the output type for. */,
    int *outputType /*<On return, the output type of the equations \see OPENCMISS_EquationsOutputTypes */);

/*>Sets/changes the output type for equations identified by a user number. */
IRON_C_EXPORT cmfe_Error cmfe_Equations_OutputTypeSetNum(const int regionUserNumber /*<The user number of the Region containing the equations to set the output type for. */,
    const int equationsSetUserNumber /*<The user number of the equations set to set the output type for. */,
    const int outputType /*<The output type of the equations to set \see OPENCMISS_EquationsOutputTypes */);

/*>Sets/changes the output type for equations identified by an object. */
IRON_C_EXPORT cmfe_Error cmfe_Equations_OutputTypeSet(cmfe_EquationsType equations /*<The equations to set the output type for. */,
    const int outputType /*<The output type of the equations to set \see OPENCMISS_EquationsOutputTypes */);

/*>Gets the sparsity type for equations identified by a user number. */
IRON_C_EXPORT cmfe_Error cmfe_Equations_SparsityTypeGetNum(const int regionUserNumber /*<The user number of the Region containing the equations to get the sparsity type for. */,
    const int equationsSetUserNumber /*<The user number of the equations set to get the sparsity type for. */,
    int *sparsityType /*<On return, the sparsity type of the equations \see OPENCMISS_EquationsSparsityTypes */);

/*>Gets the sparsity type for equations identified by an object. */
IRON_C_EXPORT cmfe_Error cmfe_Equations_SparsityTypeGet(const cmfe_EquationsType equations /*<The equations to get the sparsity type for. */,
    int *sparsityType /*<On return, the sparsity type of the equations \see OPENCMISS_EquationsSparsityTypes */);

/*>Sets/changes the sparsity type for equations identified by a user number. */
IRON_C_EXPORT cmfe_Error cmfe_Equations_SparsityTypeSetNum(const int regionUserNumber /*<The user number of the Region containing the equations to set the sparsity type for. */,
    const int equationsSetUserNumber /*<The user number of the equations set to set the sparsity type for. */,
    const int sparsityType /*<The sparsity type of the equations to set \see OPENCMISS_EquationsSparsityTypes */);

/*>Sets/changes the sparsity type for equations identified by an object. */
IRON_C_EXPORT cmfe_Error cmfe_Equations_SparsityTypeSet(cmfe_EquationsType equations /*<The equations to set the sparsity type for. */,
    const int sparsityType /*<The sparsity type of the equations to set \see OPENCMISS_EquationsSparsityTypes */);

/*>Gets the time dependence type for equations identified by a user number. */
IRON_C_EXPORT cmfe_Error cmfe_Equations_TimeDependenceTypeGetNum(const int regionUserNumber /*<The user number of the Region containing the equations to get the time dependence type for. */,
    const int equationsSetUserNumber /*<The user number of the equations set to get the time dependence type for. */,
    int *timeDependenceType /*<On return, the time dependence type of the equations \see OPENCMISS_EquationsTimeDependenceTypes */);

/*>Gets the time dependence type for equations identified by an object. */
IRON_C_EXPORT cmfe_Error cmfe_Equations_TimeDependenceTypeGet(const cmfe_EquationsType equations /*<The equations to get the time dependence type for. */,
    int *timeDependenceType /*<On return, the time dependence type of the equations \see OPENCMISS_EquationsTimeDependenceTypes */);

/*>Get the number of linear matrices in the equations */
IRON_C_EXPORT cmfe_Error cmfe_Equations_NumberOfLinearMatricesGet(const cmfe_EquationsType equations /*<The equations to get the number of linear matrices for */,
    int *numberOfMatrices /*<On return, the number of linear matrices */);

/*>Get the number of Jacobian matrices in the equations */
IRON_C_EXPORT cmfe_Error cmfe_Equations_NumberOfJacobianMatricesGet(const cmfe_EquationsType equations /*<The equations to get the number of Jacobian matrices for */,
    int *numberOfMatrices /*<On return, the number of Jacobian matrices */);

/*>Get the number of dynamic matrices in the equations */
IRON_C_EXPORT cmfe_Error cmfe_Equations_NumberOfDynamicMatricesGet(const cmfe_EquationsType equations /*<The equations to get the number of dynamic matrices for */,
    int *numberOfMatrices /*<On return, the number of dynamic matrices */);

/*>Get a linear equations matrix from the equations */
IRON_C_EXPORT cmfe_Error cmfe_Equations_LinearMatrixGet(const cmfe_EquationsType equations /*<The equations to get the linear matrix for */,
    const int matrixIndex /*<The number of the linear matrix to get */,
    cmfe_DistributedMatrixType matrix /*<On return, the requested linear matrix */);

/*>Finish the creation of derived variables for an equations set identified by a user number. */
IRON_C_EXPORT cmfe_Error cmfe_EquationsSet_DerivedCreateFinishNum(const int regionUserNumber /*<The user number of the region containing the equations set to finish the creation of derived variables for. */,
    const int equationsSetUserNumber /*<The user number of the equations set to finish the creation of derived variables for. */);

/*>Finish the creation of derived variables for an equations set identified by an object. */
IRON_C_EXPORT cmfe_Error cmfe_EquationsSet_DerivedCreateFinish(cmfe_EquationsSetType equationsSet /*<The equations set to finish the creation of derived variables for. */);

/*>Start the creation of derived variables for an equations set identified by a user number. */
IRON_C_EXPORT cmfe_Error cmfe_EquationsSet_DerivedCreateStartNum(const int regionUserNumber /*<The user number of the region containing the equations set to start the creation of derived variables for. */,
    const int equationsSetUserNumber /*<The user number of the equations set to start the creation of derived variables for. */,
    const int derivedFieldUserNumber /*<The user number of the derived field. */);

/*>Start the creation of derived variables for an equations set identified by an object. */
IRON_C_EXPORT cmfe_Error cmfe_EquationsSet_DerivedCreateStart(cmfe_EquationsSetType equationsSet /*<The equations set to start the creation of derived variables on. */,
    const int derivedFieldUserNumber /*<The user number of the derived field. */,
    cmfe_FieldType derivedField /*<If associated on entry, the user created derived field which has the same user number as the specified derived field user number. If not associated on entry, on return, the created derived field for the equations set. */);

/*>Destroy the derived variables for an equations set identified by a user number. */
IRON_C_EXPORT cmfe_Error cmfe_EquationsSet_DerivedDestroyNum(const int regionUserNumber /*<The user number of the region containing the equations set to destroy the derived variables for. */,
    const int equationsSetUserNumber /*<The user number of the equations set to destroy the derived variables for. */);

/*>Destroy the derived variables for an equations set identified by an object. */
IRON_C_EXPORT cmfe_Error cmfe_EquationsSet_DerivedDestroy(cmfe_EquationsSetType equationsSet /*<The equations set to destroy the derived variables for. */);

/*>Calculates a derived field value for the equations set and stores the result in the derived field previously set up */
IRON_C_EXPORT cmfe_Error cmfe_EquationsSet_DerivedVariableCalculateNum(const int regionUserNumber /*<The user number of the region containing the equations set. */,
    const int equationsSetUserNumber /*<The user number of the equations set to calculate the output for. */,
    const int derivedType /*<The derived variable type to calculate. \see OPENCMISS_EquationsSetDerivedTypes. */);

/*>Calculates a derived field value for the equations set and stores the result in the derived field previously set up */
IRON_C_EXPORT cmfe_Error cmfe_EquationsSet_DerivedVariableCalculate(const cmfe_EquationsSetType equationsSet /*<The equations set to calculate the output for. */,
    const int derivedType /*<The derived field type to calculate. \see OPENCMISS_EquationsSetDerivedTypes. */);

/*>Sets the field variable type of the derived field to be used to store a derived variable */
IRON_C_EXPORT cmfe_Error cmfe_EquationsSet_DerivedVariableSetNum(const int regionUserNumber /*<The user number of the region containing the equations set. */,
    const int equationsSetUserNumber /*<The user number of the equations set to calculate the output for. */,
    const int derivedType /*<The derived variable type to calculate. \see OPENCMISS_EquationsSetDerivedTypes. */,
    const int fieldVariableType /*<The field variable type to store the calculated values in. */);

/*>Sets the field variable type of the derived field to be used to store a derived variable */
IRON_C_EXPORT cmfe_Error cmfe_EquationsSet_DerivedVariableSet(const cmfe_EquationsSetType equationsSet /*<The equations set to calculate the output for. */,
    const int derivedType /*<The derived field type to calculate. \see OPENCMISS_EquationsSetDerivedTypes. */,
    const int fieldVariableType /*<The field variable type to store the calculated values in. */);

/*>Get a Jacobian matrix from the equations */
IRON_C_EXPORT cmfe_Error cmfe_Equations_JacobianMatrixGet(const cmfe_EquationsType equations /*<The equations to get the Jacobian matrix for */,
    const int residualIndex /*<The index of the residual vector to get the Jacobian matrix for */,
    const int variableType /*<The field variable type that the residual is differentiated with respect to for this Jacobian. \see OPENCMISS_FieldVariableTypes */,
    cmfe_DistributedMatrixType matrix /*<On return, the requested Jacobian matrix */);

/*>Get a dynamic equations matrix from equations using the dynamic matrix index */
IRON_C_EXPORT cmfe_Error cmfe_Equations_DynamicMatrixGet(const cmfe_EquationsType equations /*<The equations to get the dynamic matrix for */,
    const int matrixIndex /*<The number of the dynamic matrix to get */,
    cmfe_DistributedMatrixType matrix /*<On return, the requested dynamic matrix */);

/*>Get a dynamic equations matrix from equations using the dynamic matrix type */
IRON_C_EXPORT cmfe_Error cmfe_Equations_DynamicMatrixGetByType(const cmfe_EquationsType equations /*<The equations to get the dynamic matrix for */,
    const int matrixType /*<The type of the dynamic matrix to get. \see OPENCMISS_EquationsSetDynamicMatrixTypes */,
    cmfe_DistributedMatrixType matrix /*<On return, the requested dynamic matrix */);

/*>Get the type of a dynamic matrix from equations set equations */
IRON_C_EXPORT cmfe_Error cmfe_Equations_DynamicMatrixTypeGet(const cmfe_EquationsType equations /*<The equations to get the dynamic matrix type from */,
    const int matrixIndex /*<The number of the dynamic matrix to get the type of */,
    int *matrixType /*<On return, the dynamic matrix type. \see OPENCMISS_EquationsSetDynamicMatrixTypes */);

/*>Get the right hand side vector for equations */
IRON_C_EXPORT cmfe_Error cmfe_Equations_RhsVectorGet(const cmfe_EquationsType equations /*<The equations to get the right hand side vector for */,
    cmfe_DistributedVectorType rhsVector /*<On return, the right hand side vector for the equations */);

/*>Get the source vector for equations */
IRON_C_EXPORT cmfe_Error cmfe_Equations_SourceVectorGet(const cmfe_EquationsType equations /*<The equations to get the source vector for */,
    cmfe_DistributedVectorType sourceVector /*<On return, the source vector for the equations */);

/*>Get a residual vector for equations */
IRON_C_EXPORT cmfe_Error cmfe_Equations_ResidualVectorGet(const cmfe_EquationsType equations /*<The equations to get the residual vector for */,
    const int residualIndex /*<The index of the residual vector to get */,
    cmfe_DistributedVectorType residualVector /*<On return, the residual vector for the equations */);

/*>Get the number of field variables that contribute to the residual vector */
IRON_C_EXPORT cmfe_Error cmfe_Equations_ResidualNumberOfVariablesGet(const cmfe_EquationsType equations /*<The equations to get the residual vector number of variables for */,
    const int residualIndex /*<The index of the residual vector to get the number of variables for */,
    int *numberOfVariables /*<On return, the number of variables that contribute to the residual vector */);

/*>Get the field variables that contribute to the residual vector */
IRON_C_EXPORT cmfe_Error cmfe_Equations_ResidualVariablesGet(const cmfe_EquationsType equations /*<The equations to get the residual vector variables for */,
    const int residualIndex /*<The index of the residual vector to get the variables for */,
    const int residualVariablesSize /*<Length of residualVariables */,
    int *residualVariables /*<residualVariables(varIdx). On return, the field variable type for the varIdx'th residual variable. \see OPENCMISS_FieldVariableTypes */);

/*>Finish the creation of a analytic solution for an equations set identified by a user number. */
IRON_C_EXPORT cmfe_Error cmfe_EquationsSet_AnalyticCreateFinishNum(const int regionUserNumber /*<The user number of the Region containing the equations set to finish. */,
    const int equationsSetUserNumber /*<The user number of the equations set to finish the creation of. */);

/*>Finish the creation of a analytic solution for an equations set identified by an object. */
IRON_C_EXPORT cmfe_Error cmfe_EquationsSet_AnalyticCreateFinish(cmfe_EquationsSetType equationsSet /*<The equations set to finish. */);

/*>Start the creation of a analytic solution for an equations set identified by a user number. */
IRON_C_EXPORT cmfe_Error cmfe_EquationsSet_AnalyticCreateStartNum(const int regionUserNumber /*<The user number of the Region containing the equations set to finish. */,
    const int equationsSetUserNumber /*<The user number of the equations set to finish the creation of. */,
    const int analyticFunctionType /*<The analytic function type to use. \see OPENCMISS_EquationsSetAnalyticFunctionTypes */,
    const int analyticFieldUserNumber /*<The user number of the field for the analytic function */);

/*>Start the creation of an analytic solution for an equations set identified by an object. */
IRON_C_EXPORT cmfe_Error cmfe_EquationsSet_AnalyticCreateStart(cmfe_EquationsSetType equationsSet /*<The equations set to start the analytic creation on. */,
    const int analyticFunctionType /*<The analytic function type to use. \see OPENCMISS_EquationsSetAnalyticFunctionTypes */,
    const int analyticFieldUserNumber /*<The user number of the field for the analytic function */,
    cmfe_FieldType analyticField /*<If associated on entry, the user created analytic field which has the same user number as the specified analytic field user number. If not associated on entry, on return, the created analytic field for the equations set. */);

/*>Destroy the analytic solution for an equations set identified by a user number. */
IRON_C_EXPORT cmfe_Error cmfe_EquationsSet_AnalyticDestroyNum(const int regionUserNumber /*<The user number of the Region containing the equations set to destroy. */,
    const int equationsSetUserNumber /*<The user number of the equations set to destroy. */);

/*>Destroy the analytic solution for an equations set identified by an object. */
IRON_C_EXPORT cmfe_Error cmfe_EquationsSet_AnalyticDestroy(cmfe_EquationsSetType equationsSet /*<The equations set to destroy the analytic for. */);

/*>Evaluates the current analytic solution for an equations set identified by a user number. */
IRON_C_EXPORT cmfe_Error cmfe_EquationsSet_AnalyticEvaluateNum(const int regionUserNumber /*<The user number of the Region containing the equations set to evaluate. */,
    const int equationsSetUserNumber /*<The user number of the equations set to evaluate. */);

/*>Evaluates the current analytic solution for an equations set identified by an object. */
IRON_C_EXPORT cmfe_Error cmfe_EquationsSet_AnalyticEvaluate(cmfe_EquationsSetType equationsSet /*<The equations set to evaluate the current analytic solution for. */);

/*>Returns the analytic time for an equations set identified by a user number. */
IRON_C_EXPORT cmfe_Error cmfe_EquationsSet_AnalyticTimeGetNum(const int regionUserNumber /*<The user number of the Region containing the equations set get the analytic time for. */,
    const int equationsSetUserNumber /*<The user number of the equations set to get the analytic time get. */,
    double *time /*<On return, the analytic time for the equations set. */);

/*>Returns the analytic time for an equations set identified by an object. */
IRON_C_EXPORT cmfe_Error cmfe_EquationsSet_AnalyticTimeGet(cmfe_EquationsSetType equationsSet /*<The equations set to get the analytic time for. */,
    double *time /*<On return, the analytic time for the equations set. */);

/*>Sets/changes the analytic time for an equations set identified by a user number. */
IRON_C_EXPORT cmfe_Error cmfe_EquationsSet_AnalyticTimeSetNum(const int regionUserNumber /*<The user number of the Region containing the equations set get the analytic time for. */,
    const int equationsSetUserNumber /*<The user number of the equations set to get the analytic time get. */,
    const double time /*<The analytic time to set. */);

/*>Sets/changes the analytic time for an equations set identified by an object. */
IRON_C_EXPORT cmfe_Error cmfe_EquationsSet_AnalyticTimeSet(cmfe_EquationsSetType equationsSet /*<The equations set to set the analytic time for. */,
    const double time /*<The analytic time to set. */);

/*>Sets the analytic problem user parameter */
IRON_C_EXPORT cmfe_Error cmfe_EquationsSet_AnalyticUserParamSetNum(const int regionUserNumber /*<The user number of the Region containing the equations set */,
    const int equationsSetUserNumber /*<The user number of the equations set */,
    const int paramIdx /*<The index of the analytic user parameter to set */,
    const double param /*<Value of the parameter to set */);

/*>Sets the analytic problem user parameter */
IRON_C_EXPORT cmfe_Error cmfe_EquationsSet_AnalyticUserParamSet(cmfe_EquationsSetType equationsSet /*<The equations set to set the analytic user parameter. */,
    const int paramIdx /*<The index of the analytic user parameter to set */,
    const double param /*<Value of the parameter to set */);

/*>Sets the analytic problem user parameter */
IRON_C_EXPORT cmfe_Error cmfe_EquationsSet_AnalyticUserParamGetNum(const int regionUserNumber /*<The user number of the Region containing the equations set */,
    const int equationsSetUserNumber /*<The user number of the equations set */,
    const int paramIdx /*<The index of the analytic user parameter to set */,
    double *param /*<Value of the parameter to set */);

/*>Sets the analytic problem user parameter */
IRON_C_EXPORT cmfe_Error cmfe_EquationsSet_AnalyticUserParamGet(cmfe_EquationsSetType equationsSet /*<The equations set to set the analytic user parameter. */,
    const int paramIdx /*<The index of the analytic user parameter to set */,
    double *param /*<Value of the parameter to set */);

/*>Finish the creation of an equations set identified by a user number. */
IRON_C_EXPORT cmfe_Error cmfe_EquationsSet_CreateFinishNum(const int regionUserNumber /*<The user number of the Region containing the equations set to finish. */,
    const int equationsSetUserNumber /*<The user number of the equations set to finish the creation of. */);

/*>Finish the creation of an equations set identified by an object. */
IRON_C_EXPORT cmfe_Error cmfe_EquationsSet_CreateFinish(cmfe_EquationsSetType equationsSet /*<The equations set to finish the creation of. */);

/*>Start the creation of an equations set identified by a user number. */
IRON_C_EXPORT cmfe_Error cmfe_EquationsSet_CreateStartNum(const int equationsSetUserNumber /*<The user number of the equations set to be created. */,
    const int regionUserNumber /*<The user number of the region to start the creation of an equations set on. */,
    const int geomFibreFieldUserNumber /*<The user number of the Geometric/Fibre field for the equations set. */,
    const int equationsSetSpecificationSize /*<Length of equationsSetSpecification */,
    const int *equationsSetSpecification /*<The equations set specification array, containing the equations class, type etc */,
    const int equationsSetFieldUserNumber /*<The user number of the equations set field */);

/*>Start the creation of an equations set identified by an object. */
IRON_C_EXPORT cmfe_Error cmfe_EquationsSet_CreateStart(const int equationsSetUserNumber /*<The user number of the equations set to be created. */,
    const cmfe_RegionType region /*<The region to create the equations set on. */,
    const cmfe_FieldType geomFibreField /*<The Geometric/Fibre field for the creation of the equations set. */,
    const int equationsSetSpecificationSize /*<Length of equationsSetSpecification */,
    const int *equationsSetSpecification /*<The equations set specification array, containing the equations class, type etc */,
    const int equationsSetFieldUserNumber /*<The user number of the equations set field */,
    cmfe_FieldType equationsSetFieldField /*<On return, a pointer to the equations set field */,
    cmfe_EquationsSetType equationsSet /*<On return, the created equations set. */);

/*>Destroy an equations set identified by a user number. */
IRON_C_EXPORT cmfe_Error cmfe_EquationsSet_DestroyNum(const int regionUserNumber /*<The user number of the Region containing the equations set to destory. */,
    const int equationsSetUserNumber /*<The user number of the equations set to destroy. */);

/*>Destroy an equations set identified by an object. */
IRON_C_EXPORT cmfe_Error cmfe_EquationsSet_Destroy(cmfe_EquationsSetType equationsSet /*<The equations set to destroy. */);

/*>Finish the creation of dependent variables for an equations set identified by a user number. */
IRON_C_EXPORT cmfe_Error cmfe_EquationsSet_DependentCreateFinishNum(const int regionUserNumber /*<The user number of the Region containing the equations set to finish the creation of dependent variables for. */,
    const int equationsSetUserNumber /*<The user number of the equations set to finish the creation of dependent variables for. */);

/*>Finish the creation of dependent variables for an equations set identified by an object. */
IRON_C_EXPORT cmfe_Error cmfe_EquationsSet_DependentCreateFinish(cmfe_EquationsSetType equationsSet /*<The equations set to finish the creation of dependent variables for. */);

/*>Start the creation of dependent variables for an equations set identified by a user number. */
IRON_C_EXPORT cmfe_Error cmfe_EquationsSet_DependentCreateStartNum(const int regionUserNumber /*<The user number of the Region containing the equations set to start the creation of dependent variables for. */,
    const int equationsSetUserNumber /*<The user number of the equations set to start the creation of dependent variables for. */,
    const int dependentFieldUserNumber /*<The user number of the dependent field. */);

/*>Start the creation of dependent variables for an equations set identified by an object. */
IRON_C_EXPORT cmfe_Error cmfe_EquationsSet_DependentCreateStart(cmfe_EquationsSetType equationsSet /*<The equations set to start the creation of dependent variables on. */,
    const int dependentFieldUserNumber /*<The user number of the dependent field. */,
    cmfe_FieldType dependentField /*<If associated on entry, the user created dependent field which has the same user number as the specified dependent field user number. If not associated on entry, on return, the created dependent field for the equations set. */);

/*>Destroy the dependent variables for an equations set identified by a user number. */
IRON_C_EXPORT cmfe_Error cmfe_EquationsSet_DependentDestroyNum(const int regionUserNumber /*<The user number of the Region containing the equations set to destroy the dependent variables for. */,
    const int equationsSetUserNumber /*<The user number of the equations set to destroy the dependent variables for. */);

/*>Destroy the dependent variables for an equations set identified by an object. */
IRON_C_EXPORT cmfe_Error cmfe_EquationsSet_DependentDestroy(cmfe_EquationsSetType equationsSet /*<The equations set to destroy the dependent variables for. */);

/*>Finish the creation of equations for an equations set identified by a user number. */
IRON_C_EXPORT cmfe_Error cmfe_EquationsSet_EquationsCreateFinishNum(const int regionUserNumber /*<The user number of the Region containing the equations set to finish the creation of equations for. */,
    const int equationsSetUserNumber /*<The user number of the equations set to finish the creation of equations for. */);

/*>Finish the creation of equations for an equations set identified by an object. */
IRON_C_EXPORT cmfe_Error cmfe_EquationsSet_EquationsCreateFinish(cmfe_EquationsSetType equationsSet /*<The equations set to finish the creation of equations for. */);

/*>Start the creation of equations for an equations set identified by a user number. */
IRON_C_EXPORT cmfe_Error cmfe_EquationsSet_EquationsCreateStartNum(const int regionUserNumber /*<The user number of the Region containing the equations set to start the creation of equations for. */,
    const int equationsSetUserNumber /*<The user number of the equations set to start the creation of equations for. */);

/*>Start the creation of equations for an equations set identified by an object. */
IRON_C_EXPORT cmfe_Error cmfe_EquationsSet_EquationsCreateStart(cmfe_EquationsSetType equationsSet /*<The equations set to start the creation of equations on. */,
    cmfe_EquationsType equations /*<On return, the created equations. */);

/*>Destroy the equations for an equations set identified by a user number. */
IRON_C_EXPORT cmfe_Error cmfe_EquationsSet_EquationsDestroyNum(const int regionUserNumber /*<The user number of the Region containing the equations set to destroy the equations for. */,
    const int equationsSetUserNumber /*<The user number of the equations set to destroy the equations for. */);

/*>Destroy the equations for an equations set identified by an object. */
IRON_C_EXPORT cmfe_Error cmfe_EquationsSet_EquationsDestroy(cmfe_EquationsSetType equationsSet /*<The equations set to destroy the equations for. */);

/*>Finish the creation of independent variables for an equations set identified by a user number. */
IRON_C_EXPORT cmfe_Error cmfe_EquationsSet_IndependentCreateFinishNum(const int regionUserNumber /*<The user number of the Region containing the equations set to finish the creation of independent variables for. */,
    const int equationsSetUserNumber /*<The user number of the equations set to finish the creation of independent variables for. */);

/*>Finish the creation of independent variables for an equations set identified by an object. */
IRON_C_EXPORT cmfe_Error cmfe_EquationsSet_IndependentCreateFinish(cmfe_EquationsSetType equationsSet /*<The equations set to finish the creation of independent variables for. */);

/*>Start the creation of independent variables for an equations set identified by a user number. */
IRON_C_EXPORT cmfe_Error cmfe_EquationsSet_IndependentCreateStartNum(const int regionUserNumber /*<The user number of the Region containing the equations set to start the creation of independent variables for. */,
    const int equationsSetUserNumber /*<The user number of the equations set to start the creation of independent variables for. */,
    const int independentFieldUserNumber /*<The user number of the independent field. */);

/*>Start the creation of independent variables for an equations set identified by an object. */
IRON_C_EXPORT cmfe_Error cmfe_EquationsSet_IndependentCreateStart(cmfe_EquationsSetType equationsSet /*<The equations set to start the creation of independent variables on. */,
    const int independentFieldUserNumber /*<The user number of the dependent field. */,
    cmfe_FieldType independentField /*<If associated on entry, the user created independent field which has the same user number as the specified independent field user number. If not associated on entry, on return, the created independent field for the equations set. */);

/*>Destroy the independent variables for an equations set identified by a user number. */
IRON_C_EXPORT cmfe_Error cmfe_EquationsSet_IndependentDestroyNum(const int regionUserNumber /*<The user number of the Region containing the equations set to destroy the independent variables for. */,
    const int equationsSetUserNumber /*<The user number of the equations set to destroy the independent variables for. */);

/*>Destroy the independent variables for an equations set identified by an object. */
IRON_C_EXPORT cmfe_Error cmfe_EquationsSet_IndependentDestroy(cmfe_EquationsSetType equationsSet /*<The equations set to destroy the independent variables for. */);

/*>Finish the creation of materials for an equations set identified by a user number. */
IRON_C_EXPORT cmfe_Error cmfe_EquationsSet_MaterialsCreateFinishNum(const int regionUserNumber /*<The user number of the Region containing the equations set to finish the creation of materials for. */,
    const int equationsSetUserNumber /*<The user number of the equations set to finish the creation of materials for. */);

/*>Finish the creation of materials for an equations set identified by an object. */
IRON_C_EXPORT cmfe_Error cmfe_EquationsSet_MaterialsCreateFinish(cmfe_EquationsSetType equationsSet /*<The equations set to finish the creation of materials for. */);

/*>Start the creation of materials for an equations set identified by a user number. */
IRON_C_EXPORT cmfe_Error cmfe_EquationsSet_MaterialsCreateStartNum(const int regionUserNumber /*<The user number of the Region containing the equations set to start the creation of materials for. */,
    const int equationsSetUserNumber /*<The user number of the equations set to start the creation of materials for. */,
    const int materialsFieldUserNumber /*<The user number of the materials field. */);

/*>Start the creation of materials for an equations set identified by an object. */
IRON_C_EXPORT cmfe_Error cmfe_EquationsSet_MaterialsCreateStart(cmfe_EquationsSetType equationsSet /*<The equations set to start the creation of materials on. */,
    const int materialsFieldUserNumber /*<The user number of the materials field. */,
    cmfe_FieldType materialsField /*<If associated on entry, the user created materials field which has the same user number as the specified materials field user number. If not associated on entry, on return, the created materials field for the equations set. */);

/*>Destroy the materials for an equations set identified by a user number. */
IRON_C_EXPORT cmfe_Error cmfe_EquationsSet_MaterialsDestroyNum(const int regionUserNumber /*<The user number of the Region containing the equations set to destroy the materials for. */,
    const int equationsSetUserNumber /*<The user number of the equations set to destroy the materials for. */);

/*>Destroy the materials for an equations set identified by an object. */
IRON_C_EXPORT cmfe_Error cmfe_EquationsSet_MaterialsDestroy(cmfe_EquationsSetType equationsSet /*<The equations set to destroy the materials for. */);

/*>Returns the solution method for an equations set identified by a user number. */
IRON_C_EXPORT cmfe_Error cmfe_EquationsSet_SolutionMethodGetNum(const int regionUserNumber /*<The user number of the Region containing the equations set to get the solution method for. */,
    const int equationsSetUserNumber /*<The user number of the equations set to get the solution method for. */,
    int *solutionMethod /*<On return, the solution method. \see OPENCMISS_EquationsSetSolutionMethods */);

/*>Returns the solution method for an equations set identified by an object. */
IRON_C_EXPORT cmfe_Error cmfe_EquationsSet_SolutionMethodGet(cmfe_EquationsSetType equationsSet /*<The equations set to get the solution method for. */,
    int *solutionMethod /*<On Return, the solution method. \see OPENCMISS_EquationsSetSolutionMethods */);

/*>Sets/changes the solution method for an equations set identified by a user number. */
IRON_C_EXPORT cmfe_Error cmfe_EquationsSet_SolutionMethodSetNum(const int regionUserNumber /*<The user number of the Region containing the equations set to set the solution method for. */,
    const int equationsSetUserNumber /*<The user number of the equations set to set the solution method for. */,
    const int solutionMethod /*<The solution method to set. \see OPENCMISS_EquationsSetSolutionMethods */);

/*>Sets/changes the solution method for an equations set identified by an object. */
IRON_C_EXPORT cmfe_Error cmfe_EquationsSet_SolutionMethodSet(cmfe_EquationsSetType equationsSet /*<The equations set to set the solution method for. */,
    const int solutionMethod /*<The solution method to set. \see OPENCMISS_EquationsSetSolutionMethods */);

/*>Finish the creation of a source for an equations set identified by a user number. */
IRON_C_EXPORT cmfe_Error cmfe_EquationsSet_SourceCreateFinishNum(const int regionUserNumber /*<The user number of the Region containing the equations set to finish the creation of a source for. */,
    const int equationsSetUserNumber /*<The user number of the equations set to finish the creation of a source for. */);

/*>Finish the creation of a source for an equations set identified by an object. */
IRON_C_EXPORT cmfe_Error cmfe_EquationsSet_SourceCreateFinish(cmfe_EquationsSetType equationsSet /*<The equations set to finish the creation of a source for. */);

/*>Start the creation of a source for an equations set identified by a user number. */
IRON_C_EXPORT cmfe_Error cmfe_EquationsSet_SourceCreateStartNum(const int regionUserNumber /*<The user number of the Region containing the equations set to start the creation of a source for. */,
    const int equationsSetUserNumber /*<The user number of the equations set to start the creation of a source for. */,
    const int sourceFieldUserNumber /*<The user number of the source field. */);

/*>Start the creation of a source for an equations set identified by an object. */
IRON_C_EXPORT cmfe_Error cmfe_EquationsSet_SourceCreateStart(cmfe_EquationsSetType equationsSet /*<The equations set to start the creation of a source on. */,
    const int sourceFieldUserNumber /*<The user number of the source field. */,
    cmfe_FieldType sourceField /*<If associated on entry, the user created source field which has the same user number as the specified source field user number. If not associated on entry, on return, the created source field for the equations set. */);

/*>Destroy the source for an equations set identified by a user number. */
IRON_C_EXPORT cmfe_Error cmfe_EquationsSet_SourceDestroyNum(const int regionUserNumber /*<The user number of the Region containing the equations set to destroy the source for. */,
    const int equationsSetUserNumber /*<The user number of the equations set to destroy the source for. */);

/*>Destroy the source for an equations set identified by an object. */
IRON_C_EXPORT cmfe_Error cmfe_EquationsSet_SourceDestroy(cmfe_EquationsSetType equationsSet /*<The equations set to destroy the source for. */);

/*>Returns the equations set specification array for an equations set identified by a user number. */
IRON_C_EXPORT cmfe_Error cmfe_EquationsSet_SpecificationGetNum(const int regionUserNumber /*<The user number of the Region containing the equations set to get the specification for. */,
    const int equationsSetUserNumber /*<The user number of the equations set to get the specification for. */,
    const int equationsSetSpecificationSize /*<Length of equationsSetSpecification */,
    int *equationsSetSpecification /*<On return, the equations set specification array. Must be allocated and large enough to contain the specification on entry. */);

/*>Returns the equations set specification array for an equations set identified by an object. */
IRON_C_EXPORT cmfe_Error cmfe_EquationsSet_SpecificationGet(const cmfe_EquationsSetType equationsSet /*<The equations set to get the specification for. */,
    const int equationsSetSpecificationSize /*<Length of equationsSetSpecification */,
    int *equationsSetSpecification /*<On return, the equations set specification array. Must be allocated and large enough to contain the specification on entry. */);

/*>Returns the size of the equations set specification array for an equations set identified by a user number. */
IRON_C_EXPORT cmfe_Error cmfe_EquationsSet_SpecificationSizeGetNum(const int regionUserNumber /*<The user number of the Region containing the equations set to get the specification size for. */,
    const int equationsSetUserNumber /*<The user number of the equations set to get the specification size for. */,
    int *specificationSize /*<On return, the size of the equations set specification array. */);

/*>Returns the size of the equations set specification array for an equations set identified by an object. */
IRON_C_EXPORT cmfe_Error cmfe_EquationsSet_SpecificationSizeGet(const cmfe_EquationsSetType equationsSet /*<The equations set to get the specification size for. */,
    int *specificationSize /*<On return, the size of the equations set specification array. */);

/*>Calculate the strain tensor at a given element xi location, for an equations set identified by a user number. */
IRON_C_EXPORT cmfe_Error cmfe_EquationsSet_StrainInterpolateXiNum(const int regionUserNumber /*<The user number of the region containing the equations set. */,
    const int equationsSetUserNumber /*<The user number of the equations set to calculate the strain for. */,
    const int userElementNumber /*<The user element number of the field to interpolate. */,
    const int xiSize /*<Length of xi */,
    const double *xi /*<The element xi to interpolate the field at. */,
    double values[6] /*<The interpolated strain tensor values. */);

/*>Calculate the strain tensor at a given element xi location, for an equations set identified by an object. */
IRON_C_EXPORT cmfe_Error cmfe_EquationsSet_StrainInterpolateXi(const cmfe_EquationsSetType equationsSet /*<A pointer to the equations set to interpolate strain for. */,
    const int userElementNumber /*<The user element number of the field to interpolate. */,
    const int xiSize /*<Length of xi */,
    const double *xi /*<The element xi to interpolate the field at. */,
    double values[6] /*<The interpolated strain tensor values. */);

/*>Returns the interpolation type for a field variable component for a field identified by a user number. */
IRON_C_EXPORT cmfe_Error cmfe_Field_ComponentInterpolationGetNum(const int regionUserNumber /*<The user number of the region containing the field to get the interpolation type for. */,
    const int fieldUserNumber /*<The user number of the field to get the interpolation type for. */,
    const int variableType /*<The variable type of the field to get the interpolation type for. \see OPENCMISS_FieldVariableTypes */,
    const int componentNumber /*<The component number of the field variable to get the interpolation type for. */,
    int *interpolationType /*<On return, the interpolation type. \see OPENCMISS_FieldInterpolationTypes */);

/*>Returns the interpolation type for a field variable component for a field identified by an object. */
IRON_C_EXPORT cmfe_Error cmfe_Field_ComponentInterpolationGet(const cmfe_FieldType field /*<The field to get the interpolation type for. */,
    const int variableType /*<The variable type of the field to get the interpolation type for. \see OPENCMISS_FieldVariableTypes */,
    const int componentNumber /*<The component number of the field variable to get the interpolation type for. */,
    int *interpolationType /*<On return, the interpolation type. \see OPENCMISS_FieldInterpolationTypes */);

/*>Sets/changes the interpolation type for a field variable component for a field identified by a user number. */
IRON_C_EXPORT cmfe_Error cmfe_Field_ComponentInterpolationSetNum(const int regionUserNumber /*<The user number of the region containing the field to set the interpolation type for. */,
    const int fieldUserNumber /*<The user number of the field to set the interpolation type for. */,
    const int variableType /*<The variable type of the field to set the interpolation type for. \see OPENCMISS_FieldVariableTypes */,
    const int componentNumber /*<The component number of the field variable to set the interpolation type for. */,
    const int interpolationType /*<The interpolation type to set. \see OPENCMISS_FieldInterpolationTypes */);

/*>Sets/changes the interpolation type for a field variable component for a field identified by an object. */
IRON_C_EXPORT cmfe_Error cmfe_Field_ComponentInterpolationSet(const cmfe_FieldType field /*<The field to set the interpolation type for. */,
    const int variableType /*<The variable type of the field to set the interpolation type for. \see OPENCMISS_FieldVariableTypes */,
    const int componentNumber /*<The component number of the field variable to set the interpolation type for. */,
    const int interpolationType /*<The interpolation type to set. \see OPENCMISS_FieldInterpolationTypes */);

/*>Returns the character string label for a field variable component for a field identified by a user number. */
IRON_C_EXPORT cmfe_Error cmfe_Field_ComponentLabelGetNum(const int regionUserNumber /*<The user number of the region containing the field to get the label for. */,
    const int fieldUserNumber /*<The user number of the field to get the label for. */,
    const int variableType /*<The variable type of the field to get the label for. \see OPENCMISS_FieldVariableTypes */,
    const int componentNumber /*<The component number of the field variable to get the label for. */,
    const int labelSize /*<Length of label string */,
    char *label /*<On return, the field variable component label. */);

/*>Returns the character string label for a field variable component for a field identified by an object. */
IRON_C_EXPORT cmfe_Error cmfe_Field_ComponentLabelGet(const cmfe_FieldType field /*<The field to get the label for. */,
    const int variableType /*<The variable type of the field to get the label for. \see OPENCMISS_FieldVariableTypes */,
    const int componentNumber /*<The component number of the field variable to get the label for. */,
    const int labelSize /*<Length of label string */,
    char *label /*<On return, the field variable component label. */);

/*>Sets/changes the character string label for a field variable component for a field identified by a user number. */
IRON_C_EXPORT cmfe_Error cmfe_Field_ComponentLabelSetNum(const int regionUserNumber /*<The user number of the region containing the field to set the label for. */,
    const int fieldUserNumber /*<The user number of the field to set the label for. */,
    const int variableType /*<The variable type of the field to set the label for. \see OPENCMISS_FieldVariableTypes */,
    const int componentNumber /*<The component number of the field variable to set the label for. */,
    const int labelSize /*<Length of label string */,
    const char *label /*<The field variable component label to set. */);

/*>Sets/changes the character string label for a field variable component for a field identified by an object. */
IRON_C_EXPORT cmfe_Error cmfe_Field_ComponentLabelSet(const cmfe_FieldType field /*<The field to set the label for. */,
    const int variableType /*<The variable type of the field to set the label for. \see OPENCMISS_FieldVariableTypes */,
    const int componentNumber /*<The component number of the field variable to set the label for. */,
    const int labelSize /*<Length of label string */,
    const char *label /*<The field variable component label to set. */);

/*>Returns the mesh component number for a field variable component for a field identified by a user number. */
IRON_C_EXPORT cmfe_Error cmfe_Field_ComponentMeshComponentGetNum(const int regionUserNumber /*<The user number of the region containing the field to get the mesh component number for. */,
    const int fieldUserNumber /*<The user number of the field to get the mesh component number for. */,
    const int variableType /*<The variable type of the field to get the mesh component number for. \see OPENCMISS_FieldVariableTypes */,
    const int componentNumber /*<The component number of the field variable to get the mesh component number for. */,
    int *meshComponent /*<On return, the mesh component number. */);

/*>Returns the mesh component number for a field variable component for a field identified by an object. */
IRON_C_EXPORT cmfe_Error cmfe_Field_ComponentMeshComponentGet(const cmfe_FieldType field /*<The field to get the mesh component number for. */,
    const int variableType /*<The variable type of the field to get the mesh component number for. \see OPENCMISS_FieldVariableTypes */,
    const int componentNumber /*<The component number of the field variable to get the mesh component number for. */,
    int *meshComponent /*<On return, the mesh component number. */);

/*>Sets/changes the mesh component number for a field variable component for a field identified by a user number. */
IRON_C_EXPORT cmfe_Error cmfe_Field_ComponentMeshComponentSetNum(const int regionUserNumber /*<The user number of the region containing the field to set the mesh component number for. */,
    const int fieldUserNumber /*<The user number of the field to set the mesh component number for. */,
    const int variableType /*<The variable type of the field to set the mesh component number for. \see OPENCMISS_FieldVariableTypes */,
    const int componentNumber /*<The component number of the field variable to set the mesh component number for. */,
    const int meshComponent /*<The mesh component number to set. */);

/*>Sets/changes the mesh component number for a field variable component for a field identified by an object. */
IRON_C_EXPORT cmfe_Error cmfe_Field_ComponentMeshComponentSet(const cmfe_FieldType field /*<The field to set the mesh component number for. */,
    const int variableType /*<The variable type of the field to set the mesh component number for. \see OPENCMISS_FieldVariableTypes */,
    const int componentNumber /*<The component number of the field variable to set the mesh component number for. */,
    const int meshComponent /*<The mesh component number to set. */);

/*>Initialises the values of parameter set of a field variable component to an integer constant value for a field identified by a user number. */
IRON_C_EXPORT cmfe_Error cmfe_Field_ComponentValuesInitialiseIntgNum(const int regionUserNumber /*<The user number of the region containing the field to initialise the field variable component for. */,
    const int fieldUserNumber /*<The user number of the field to initialise the field variable component for for. */,
    const int variableType /*<The variable type of the field to initialise the field variable component for. \see OPENCMISS_FieldVariableTypes */,
    const int fieldSetType /*<The parameter set type of the field to initialise the field variable component for. \see OPENCMISS_FieldParameterSetTypes */,
    const int componentNumber /*<The component number of the field variable to initialise the field variable component for. */,
    const int value /*<The value to initialise the parameter set for. */);

/*>Initialises the values of parameter set of a field variable component to an integer constant value for a field identified by an object. */
IRON_C_EXPORT cmfe_Error cmfe_Field_ComponentValuesInitialiseIntg(const cmfe_FieldType field /*<The field to initialise the field variable component for. */,
    const int variableType /*<The variable type of the field to initialise the field variable component for. \see OPENCMISS_FieldVariableTypes */,
    const int fieldSetType /*<The parameter set type of the field to initialise the field variable component for. \see OPENCMISS_FieldParameterSetTypes */,
    const int componentNumber /*<The component number of the field variable to initialise the field variable component for. */,
    const int value /*<The value to initialise the parameter set for. */);

/*>Initialises the values of parameter set of a field variable component to a single precision constant value for a field identified by a user number. */
IRON_C_EXPORT cmfe_Error cmfe_Field_ComponentValuesInitialiseSPNum(const int regionUserNumber /*<The user number of the region containing the field to initialise the field variable component for. */,
    const int fieldUserNumber /*<The user number of the field to initialise the field variable component for for. */,
    const int variableType /*<The variable type of the field to initialise the field variable component for. \see OPENCMISS_FieldVariableTypes */,
    const int fieldSetType /*<The parameter set type of the field to initialise the field variable component for. \see OPENCMISS_FieldParameterSetTypes */,
    const int componentNumber /*<The component number of the field variable to initialise the field variable component for. */,
    const float value /*<The value to initialise the parameter set for. */);

/*>Initialises the values of parameter set of a field variable component to a single precision constant value for a field identified by an object. */
IRON_C_EXPORT cmfe_Error cmfe_Field_ComponentValuesInitialiseSP(const cmfe_FieldType field /*<The field to initialise the field variable component for. */,
    const int variableType /*<The variable type of the field to initialise the field variable component for. \see OPENCMISS_FieldVariableTypes */,
    const int fieldSetType /*<The parameter set type of the field to initialise the field variable component for. \see OPENCMISS_FieldParameterSetTypes */,
    const int componentNumber /*<The component number of the field variable to initialise the field variable component for. */,
    const float value /*<The value to initialise the parameter set for. */);

/*>Initialises the values of parameter set of a field variable component to a double precision constant value for a field identified by a user number. */
IRON_C_EXPORT cmfe_Error cmfe_Field_ComponentValuesInitialiseDPNum(const int regionUserNumber /*<The user number of the region containing the field to initialise the field variable component for. */,
    const int fieldUserNumber /*<The user number of the field to initialise the field variable component for for. */,
    const int variableType /*<The variable type of the field to initialise the field variable component for. \see OPENCMISS_FieldVariableTypes */,
    const int fieldSetType /*<The parameter set type of the field to initialise the field variable component for. \see OPENCMISS_FieldParameterSetTypes */,
    const int componentNumber /*<The component number of the field variable to initialise the field variable component for. */,
    const double value /*<The value to initialise the parameter set for. */);

/*>Initialises the values of parameter set of a field variable component to a double precision constant value for a field identified by an object. */
IRON_C_EXPORT cmfe_Error cmfe_Field_ComponentValuesInitialiseDP(const cmfe_FieldType field /*<The field to initialise the field variable component for. */,
    const int variableType /*<The variable type of the field to initialise the field variable component for. \see OPENCMISS_FieldVariableTypes */,
    const int fieldSetType /*<The parameter set type of the field to initialise the field variable component for. \see OPENCMISS_FieldParameterSetTypes */,
    const int componentNumber /*<The component number of the field variable to initialise the field variable component for. */,
    const double value /*<The value to initialise the parameter set for. */);

/*>Initialises the values of parameter set of a field variable component to a logical constant value for a field identified by a user number. */
IRON_C_EXPORT cmfe_Error cmfe_Field_ComponentValuesInitialiseLNum(const int regionUserNumber /*<The user number of the region containing the field to initialise the field variable component for. */,
    const int fieldUserNumber /*<The user number of the field to initialise the field variable component for for. */,
    const int variableType /*<The variable type of the field to initialise the field variable component for. \see OPENCMISS_FieldVariableTypes */,
    const int fieldSetType /*<The parameter set type of the field to initialise the field variable component for. \see OPENCMISS_FieldParameterSetTypes */,
    const int componentNumber /*<The component number of the field variable to initialise the field variable component for. */,
    const cmfe_Bool value /*<The value to initialise the parameter set for. */);

/*>Initialises the values of parameter set of a field variable component to a logical constant value for a field identified by an object. */
IRON_C_EXPORT cmfe_Error cmfe_Field_ComponentValuesInitialiseL(const cmfe_FieldType field /*<The field to initialise the field variable component for. */,
    const int variableType /*<The variable type of the field to initialise the field variable component for. \see OPENCMISS_FieldVariableTypes */,
    const int fieldSetType /*<The parameter set type of the field to initialise the field variable component for. \see OPENCMISS_FieldParameterSetTypes */,
    const int componentNumber /*<The component number of the field variable to initialise the field variable component for. */,
    const cmfe_Bool value /*<The value to initialise the parameter set for. */);

/*>Returns the data type for a field variable for a field identified by a user number. */
IRON_C_EXPORT cmfe_Error cmfe_Field_DataTypeGetNum(const int regionUserNumber /*<The user number of the region containing the field to get the data type for. */,
    const int fieldUserNumber /*<The user number of the field to get the data type for. */,
    const int variableType /*<The variable type of the field to get the data type for. \see OPENCMISS_FieldVariableTypes */,
    int *dataType /*<On return, the field variable data type. \see OPENCMISS_FieldDataTypes */);

/*>Returns the data type for a field variable for a field identified by an object. */
IRON_C_EXPORT cmfe_Error cmfe_Field_DataTypeGet(const cmfe_FieldType field /*<The field to get the data type for. */,
    const int variableType /*<The variable type of the field to get the data type for. \see OPENCMISS_FieldVariableTypes */,
    int *dataType /*<On return, the field variable data type. \see OPENCMISS_FieldDataTypes */);

/*>Sets/changes the data type for a field variable for a field identified by a user number. */
IRON_C_EXPORT cmfe_Error cmfe_Field_DataTypeSetNum(const int regionUserNumber /*<The user number of the region containing the field to set the data type for. */,
    const int fieldUserNumber /*<The user number of the field to set the data type for. */,
    const int variableType /*<The variable type of the field to set the data type for. \see OPENCMISS_FieldVariableTypes */,
    const int dataType /*<The field variable data type to set. \see OPENCMISS_FieldDataTypes */);

/*>Sets/changes the data type for a field variable for a field identified by an object. */
IRON_C_EXPORT cmfe_Error cmfe_Field_DataTypeSet(const cmfe_FieldType field /*<The field to set the data type for. */,
    const int variableType /*<The variable type of the field to set the data type for. \see OPENCMISS_FieldVariableTypes */,
    const int dataType /*<The field variable data type to set. \see OPENCMISS_FieldDataTypes */);

/*>Returns the DOF order type for a field variable for a field identified by a user number. */
IRON_C_EXPORT cmfe_Error cmfe_Field_DOFOrderTypeGetNum(const int regionUserNumber /*<The user number of the region containing the field to get the DOF Order type for. */,
    const int fieldUserNumber /*<The user number of the field to get the DOF Order type for. */,
    const int variableType /*<The variable type of the field to get the DOF Order type for. \see OPENCMISS_FieldVariableTypes */,
    int *DOFOrderType /*<On return, the field variable DOF Order type. \see OPENCMISS_FieldDOFOrderTypes */);

/*>Returns the DOF Order type for a field variable for a field identified by an object. */
IRON_C_EXPORT cmfe_Error cmfe_Field_DOFOrderTypeGet(const cmfe_FieldType field /*<The field to get the DOF order type for. */,
    const int variableType /*<The variable type of the field to get the DOF order type for. \see OPENCMISS_FieldVariableTypes */,
    int *DOFOrderType /*<On return, the field variable DOF order type. \see OPENCMISS_FieldDOFOrderTypes */);

/*>Sets/changes the DOF order type for a field variable for a field identified by a user number. */
IRON_C_EXPORT cmfe_Error cmfe_Field_DOFOrderTypeSetNum(const int regionUserNumber /*<The user number of the region containing the field to set the DOF Order type for. */,
    const int fieldUserNumber /*<The user number of the field to set the DOF Order type for. */,
    const int variableType /*<The variable type of the field to set the DOF Order type for. \see OPENCMISS_FieldVariableTypes */,
    const int DOFOrderType /*<The field variable DOF Order type to set. \see OPENCMISS_FieldDOFOrderTypes */);

/*>Sets/changes the DOF Order type for a field variable for a field identified by an object. */
IRON_C_EXPORT cmfe_Error cmfe_Field_DOFOrderTypeSet(const cmfe_FieldType field /*<The field to set the DOF order type for. */,
    const int variableType /*<The variable type of the field to set the DOF order type for. \see OPENCMISS_FieldVariableTypes */,
    const int DOFOrderType /*<The field variable DOF order type to set. \see OPENCMISS_FieldDOFOrderTypes */);

/*>Finishes the creation of a field identified by a user number. */
IRON_C_EXPORT cmfe_Error cmfe_Field_CreateFinishNum(const int regionUserNumber /*<The user number of the region containing the field to finish the creation of. */,
    const int fieldUserNumber /*<The user number of the field to finish the creation of. */);

/*>Finishes the creation of a field identified by an object. */
IRON_C_EXPORT cmfe_Error cmfe_Field_CreateFinish(cmfe_FieldType field /*<The field to finish the creation of. */);

/*>Starts the creation of a field identified by a user number. */
IRON_C_EXPORT cmfe_Error cmfe_Field_CreateStartNum(const int fieldUserNumber /*<The user number of the field to start the creation of. */,
    const int regionUserNumber /*<The user number of the region containing the field to start the creation of. */);

/*>Starts the creation of a field on an interface identified by an object. */
IRON_C_EXPORT cmfe_Error cmfe_Field_CreateStartInterface(const int fieldUserNumber /*<The user number of the field to start the creation of. */,
    const cmfe_InterfaceType interface /*<The interface to create the field on. */,
    cmfe_FieldType field /*<On return, the created field. */);

/*>Starts the creation of a field on a region identified by an object. */
IRON_C_EXPORT cmfe_Error cmfe_Field_CreateStart(const int fieldUserNumber /*<The user number of the field to start the creation of. */,
    const cmfe_RegionType region /*<The region to create the field on. */,
    cmfe_FieldType field /*<On return, the created field. */);

/*>Returns the dependent type for a field identified by a user number. */
IRON_C_EXPORT cmfe_Error cmfe_Field_DependentTypeGetNum(const int regionUserNumber /*<The user number of the region containing the field to get the dependent type for. */,
    const int fieldUserNumber /*<The user number of the field to get the dependent type for. */,
    int *dependentType /*<On return, the field dependent type. \see OPENCMISS_FieldDependentTypes */);

/*>Returns the dependent type for a field identified by an object. */
IRON_C_EXPORT cmfe_Error cmfe_Field_DependentTypeGet(const cmfe_FieldType field /*<The field to get the dependent type for. */,
    int *dependentType /*<On return, the field dependent type. \see OPENCMISS_FieldDependentTypes */);

/*>Sets/changes the dependent type for a field identified by a user number. */
IRON_C_EXPORT cmfe_Error cmfe_Field_DependentTypeSetNum(const int regionUserNumber /*<The user number of the region containing the field to get the dependent type for. */,
    const int fieldUserNumber /*<The user number of the field to get the dependent type for. */,
    const int dependentType /*<The field dependent type to set. \see OPENCMISS_FieldDependentTypes */);

/*>Sets/changes the dependent type for a field identified by an object. */
IRON_C_EXPORT cmfe_Error cmfe_Field_DependentTypeSet(const cmfe_FieldType field /*<The field to set the dependent type for. */,
    const int dependentType /*<The field dependent type to set. \see OPENCMISS_FieldDependentTypes */);

/*>Destroys a field identified by a user number. */
IRON_C_EXPORT cmfe_Error cmfe_Field_DestroyNum(const int regionUserNumber /*<The user number of the region containing the field to destroy. */,
    const int fieldUserNumber /*<The user number of the field to destroy. */);

/*>Destroys a field identified by an object. */
IRON_C_EXPORT cmfe_Error cmfe_Field_Destroy(const cmfe_FieldType field /*<The field to destroy. */);

/*>Returns the dimension for a field identified by a user number. */
IRON_C_EXPORT cmfe_Error cmfe_Field_DimensionGetNum(const int regionUserNumber /*<The user number of the region containing the field to get the dimension for. */,
    const int fieldUserNumber /*<The user number of the field to get the dimension for. */,
    const int variableType /*<The variable type of the field to get the dimension for. \see OPENCMISS_FieldVariableTypes */,
    int *dimension /*<On return, the field dimension. \see OPENCMISS_FieldDimensionTypes */);

/*>Returns the dimension for a field identified by an object. */
IRON_C_EXPORT cmfe_Error cmfe_Field_DimensionGet(const cmfe_FieldType field /*<The field to get the dimension for. */,
    const int variableType /*<The variable type of the field to get the dimension for. \see OPENCMISS_FieldVariableTypes */,
    int *dimension /*<On return, the field dimension. \see OPENCMISS_FieldDimension */);

/*>Sets/changes the dimension for a field identified by a user number. */
IRON_C_EXPORT cmfe_Error cmfe_Field_DimensionSetNum(const int regionUserNumber /*<The user number of the region containing the field to set the dimension for. */,
    const int fieldUserNumber /*<The user number of the field to set the dimension for. */,
    const int variableType /*<The variable type of the field to get the dimension for. \see OPENCMISS_FieldVariableTypes */,
    const int dimension /*<The field dimension to set. \see OPENCMISS_FieldDimensionTypes */);

/*>Sets/changes the dimension for a field identified by an object. */
IRON_C_EXPORT cmfe_Error cmfe_Field_DimensionSet(const cmfe_FieldType field /*<The field to set the dimension for. */,
    const int variableType /*<The variable type of the field to get the dimension for. \see OPENCMISS_FieldVariableTypes */,
    const int dimension /*<The field dimension to set. \see OPENCMISS_FieldDimension */);

/*>Returns the geometric field for a field identified by a user number. */
IRON_C_EXPORT cmfe_Error cmfe_Field_GeometricFieldGetNum(const int regionUserNumber /*<The user number of the region containing the field to get the geometric field for. */,
    const int fieldUserNumber /*<The user number of the field to get the geometric field for. */,
    int *geometricFieldUserNumber /*<On return, the field geometric field user number. */);

/*>Returns the geometric field for a field identified by an object. */
IRON_C_EXPORT cmfe_Error cmfe_Field_GeometricFieldGet(const cmfe_FieldType field /*<The field to get the geometric field for. */,
    cmfe_FieldType geometricField /*<On return, the geometric field for the field. */);

/*>Sets/changes the geometric field for a field identified by a user number. */
IRON_C_EXPORT cmfe_Error cmfe_Field_GeometricFieldSetNum(const int regionUserNumber /*<The user number of the region containing the field to set the geometric field for. */,
    const int fieldUserNumber /*<The user number of the field to set the geometric field for. */,
    const int geometricFieldUserNumber /*<The field geometric field user number to set. */);

/*>Sets/changes the geometric field for a field identified by an object. */
IRON_C_EXPORT cmfe_Error cmfe_Field_GeometricFieldSet(const cmfe_FieldType field /*<The field to set the geometric field for. */,
    const cmfe_FieldType geometricField /*<The geometric field for the field to set. */);

/*>Gets the line length between nodes of a geometric field for a given element number and element basis line number by a user number. */
IRON_C_EXPORT cmfe_Error cmfe_Field_GeometricParametersElementLineLengthGetNum(const int regionUserNumber /*<The user number of the region containing the field to obtain the line length from */,
    const int geometricFieldUserNumber /*<The geometric field user number to obtain the line length from */,
    const int elementNumber /*<The element to get the line length for */,
    const int elementLineNumber /*<The element basis line to get the length for */,
    double *lineLength /*<The line length of the chosen element line number */);

/*>Gets the line length between nodes of a geometric field for a given element number and element basis line number by an object. */
IRON_C_EXPORT cmfe_Error cmfe_Field_GeometricParametersElementLineLengthGet(const cmfe_FieldType geometricField /*<The geometric field to obtain the line length from */,
    const int elementNumber /*<The element to get the line length for */,
    const int elementLineNumber /*<The element basis line to get the length for */,
    double *lineLength /*<The line length of the chosen element line number */);

/*>Gets the scale factor for a particular node identified by a user number. */
IRON_C_EXPORT cmfe_Error cmfe_Field_ParameterSetNodeScaleFactorGetNum(const int regionUserNumber /*<The user number of the region containing the field to get the scalefactor for */,
    const int fieldUserNumber /*<The field to get scale factor for */,
    const int variableType /*<The field variable type to get the scale factor for */,
    const int versionNumber /*<The user number of the node derivative version to get the scale factor for */,
    const int derivativeNumber /*<The user number of the node derivative to get the scale factor for */,
    const int nodeUserNumber /*<The user number of the node to get the scale factor for */,
    const int componentNumber /*<The component number of the field to get the scale factor for */,
    double *scaleFactor /*<The scale factor of the specified node */);

/*>Gets the scale factor for a particular node identified by an object. */
IRON_C_EXPORT cmfe_Error cmfe_Field_ParameterSetNodeScaleFactorGet(const cmfe_FieldType field /*<The field to get scale factor for */,
    const int variableType /*<The field variable type to get the scale factor for */,
    const int versionNumber /*<The user number of the node derivative version to get the scale factor for */,
    const int derivativeNumber /*<The user number of the node derivative to get the scale factor for */,
    const int nodeUserNumber /*<The user number of the node to get the scale factor for */,
    const int componentNumber /*<The component number of the field to get the scale factor for */,
    double *scaleFactor /*<The scale factor of the specified node */);

/*>Gets the scale factors for all nodes identified by a user number. */
IRON_C_EXPORT cmfe_Error cmfe_Field_ParameterSetNodeScaleFactorsGetNum(const int regionUserNumber /*<The user number of the region containing the field to get the scalefactor for */,
    const int fieldUserNumber /*<The field to get scale factor for */,
    const int variableType /*<The field variable type to get the scale factor for */,
    const int meshComponentNumber /*<The mesh omponent number of the field to set the scale factor for */,
    const int scaleFactorsSize /*<Length of scaleFactors */,
    double *scaleFactors /*<The scale factors */);

/*>Gets the scale factors for all nodes identified by an object. */
IRON_C_EXPORT cmfe_Error cmfe_Field_ParameterSetNodeScaleFactorsGet(const cmfe_FieldType field /*<The field to get scale factor for */,
    const int variableType /*<The field variable type to get the scale factor for */,
    const int meshComponentNumber /*<The mesh omponent number of the field to set the scale factor for */,
    const int scaleFactorsSize /*<Length of scaleFactors */,
    double *scaleFactors /*<The scale factors */);

/*>Gets the number of scale factor dofs, identified by a user number. */
IRON_C_EXPORT cmfe_Error cmfe_Field_ParameterSetNodeNumberOfScaleFactorDofsGetNum(const int regionUserNumber /*<The user number of the region containing the field to get the number of scalefactors for */,
    const int fieldUserNumber /*<The field to get the number of scale factor dofs for */,
    const int variableType /*<The field variable type to get the number of scale factor dofs for */,
    const int meshComponentNumber /*<The mesh component number of the field to get the number of scale factor dofs for */,
    int *numberOfScaleFactorsDofs /*<The number of scale factor dofs */);

/*>Gets the number of scale factor dofs, identified by an object. */
IRON_C_EXPORT cmfe_Error cmfe_Field_ParameterSetNodeNumberOfScaleFactorDofsGet(const cmfe_FieldType field /*<The field to get the number of scale factor dofs for */,
    const int variableType /*<The field variable type to get the number of scale factor dofs for */,
    const int meshComponentNumber /*<The mesh component number of the field to get the number of scale factor dofs for */,
    int *numberOfScaleFactorsDofs /*<The number of scale factor dofs */);

/*>Sets the scale factor for a particular node identified by a user number. */
IRON_C_EXPORT cmfe_Error cmfe_Field_ParameterSetNodeScaleFactorSetNum(const int regionUserNumber /*<The user number of the region containing the field to set the scalefactor for */,
    const int fieldUserNumber /*<The field to set scale factor for */,
    const int variableType /*<The field variable type to set the scale factor for */,
    const int versionNumber /*<The user number of the node derivative version to set the scale factor for */,
    const int derivativeNumber /*<The user number of the node derivative to set the scale factor for */,
    const int nodeUserNumber /*<The user number of the node to set the scale factor for */,
    const int componentNumber /*<The component number of the field to set the scale factor for */,
    const double scaleFactor /*<The scale factor of the specified node */);

/*>Sets the scale factor for a particular node identified by an object. */
IRON_C_EXPORT cmfe_Error cmfe_Field_ParameterSetNodeScaleFactorSet(const cmfe_FieldType field /*<The field to set scale factor for */,
    const int variableType /*<The field variable type to set the scale factor for */,
    const int versionNumber /*<The user number of the node derivative version to set the scale factor for */,
    const int derivativeNumber /*<The user number of the node derivative to set the scale factor for */,
    const int nodeUserNumber /*<The user number of the node to set the scale factor for */,
    const int componentNumber /*<The component number of the field to set the scale factor for */,
    const double scaleFactor /*<The scale factor of the specified node */);

/*>Sets the scale factors for all nodes identified by a user number. */
IRON_C_EXPORT cmfe_Error cmfe_Field_ParameterSetNodeScaleFactorsSetNum(const int regionUserNumber /*<The user number of the region containing the field to set the scalefactor for */,
    const int fieldUserNumber /*<The field to set scale factor for */,
    const int variableType /*<The field variable type to set the scale factor for */,
    const int meshComponentNumber /*<The mesh omponent number of the field to set the scale factor for */,
    const int scaleFactorsSize /*<Length of scaleFactors */,
    const double *scaleFactors /*<The scale factors */);

/*>Sets the scale factors for all nodes identified by an object. */
IRON_C_EXPORT cmfe_Error cmfe_Field_ParameterSetNodeScaleFactorsSet(const cmfe_FieldType field /*<The field to set scale factor for */,
    const int variableType /*<The field variable type to set the scale factor for */,
    const int meshComponentNumber /*<The component number of the field to set the scale factor for */,
    const int scaleFactorsSize /*<Length of scaleFactors */,
    const double *scaleFactors /*<The scale factors */);

/*>Returns the character string label for a field identified by a user number. */
IRON_C_EXPORT cmfe_Error cmfe_Field_LabelGetNum(const int regionUserNumber /*<The user number of the region containing the field to get the label for. */,
    const int fieldUserNumber /*<The user number of the field to get the label for. */,
    const int labelSize /*<Length of label string */,
    char *label /*<On return, the field label. */);

/*>Returns the character string label for a field identified by an object. */
IRON_C_EXPORT cmfe_Error cmfe_Field_LabelGet(const cmfe_FieldType field /*<The field to get the label for. */,
    const int labelSize /*<Length of label string */,
    char *label /*<On return, the field label. */);

/*>Sets/changes the character string label for a field identified by a user number. */
IRON_C_EXPORT cmfe_Error cmfe_Field_LabelSetNum(const int regionUserNumber /*<The user number of the region containing the field to set the label for. */,
    const int fieldUserNumber /*<The user number of the field to set the label for. */,
    const int labelSize /*<Length of label string */,
    const char *label /*<The field label to set. */);

/*>Sets/changes the character string label for a field identified by an object. */
IRON_C_EXPORT cmfe_Error cmfe_Field_LabelSet(const cmfe_FieldType field /*<The field to set the label for. */,
    const int labelSize /*<Length of label string */,
    const char *label /*<The field label to set. */);

/*>Returns the interpolation type for a field variable component for a field identified by a user number. */
IRON_C_EXPORT cmfe_Error cmfe_Field_PositionNormalTangentCalculateNodeNum(const int regionUserNumber /*<The user number of the region containing the field to get the interpolation type for. */,
    const int fieldUserNumber /*<The user number of the field to get the interpolation type for. */,
    const int variableType /*<The variable type of the field to get the interpolation type for. \see OPENCMISS_FieldVariableTypes */,
    const int componentNumber /*<The component number of the field variable to get the interpolation type for. */,
    const int localNodeNumber /*<The local node number of the field variable to get the data type for. */,
    const int positionSize /*<Length of position */,
    double *position /*<Actual useful outputs */,
    const int normalSize /*<Length of normal */,
    double *normal /*<Actual useful outputs */,
    const int tangentsSize1 /*<Size of dimension 1 of tangents */,
    const int tangentsSize2 /*<Size of dimension 2 of tangents */,
    double *tangents /*<Actual useful outputs */);

/*>Returns the position, normal and tangents for a field node for a field identified by an object. */
IRON_C_EXPORT cmfe_Error cmfe_Field_PositionNormalTangentCalculateNode(const cmfe_FieldType field /*<The field to get the interpolation type for. */,
    const int variableType /*<The variable type of the field to get the interpolation type for. \see OPENCMISS_FieldVariableTypes */,
    const int componentNumber /*<The component number of the field variable to get the data type for. */,
    const int localNodeNumber /*<The local node number of the field variable to get the data type for. */,
    const int positionSize /*<Length of position */,
    double *position /*<Actual useful outputs */,
    const int normalSize /*<Length of normal */,
    double *normal /*<Actual useful outputs */,
    const int tangentsSize1 /*<Size of dimension 1 of tangents */,
    const int tangentsSize2 /*<Size of dimension 2 of tangents */,
    double *tangents /*<Actual useful outputs */);

/*>Returns the mesh decomposition for a field identified by a user number. */
IRON_C_EXPORT cmfe_Error cmfe_Field_MeshDecompositionGetNum(const int regionUserNumber /*<The user number of the region containing the field to get the mesh decomposition for. */,
    const int fieldUserNumber /*<The user number of the field to get the mesh decomposition for. */,
    int *decompositionUserNumber /*<On return, the field decomposition user number. */);

/*>Returns the mesh decomposition for a field identified by an object. */
IRON_C_EXPORT cmfe_Error cmfe_Field_MeshDecompositionGet(const cmfe_FieldType field /*<The field to get the mesh decomposition for. */,
    cmfe_DecompositionType meshDecomposition /*<On return, the mesh decomposition for the field. */);

/*>Sets/changes the mesh decomposition for a field identified by a user number. */
IRON_C_EXPORT cmfe_Error cmfe_Field_MeshDecompositionSetNum(const int regionUserNumber /*<The user number of the region containing the field to set the mesh decomposition for. */,
    const int fieldUserNumber /*<The user number of the field to set the mesh decomposition for. */,
    const int meshUserNumber /*<The user number of the mesh to set the mesh decomposition for. */,
    const int decompositionUserNumber /*<The field mesh decomposition user number to set. */);

/*>Sets/changes the mesh decomposition for a field identified by an object. */
IRON_C_EXPORT cmfe_Error cmfe_Field_MeshDecompositionSet(const cmfe_FieldType field /*<The field to get the mesh decomposition for. */,
    const cmfe_DecompositionType meshDecomposition /*<The mesh decomposition for the field to set. */);

/*>Sets/changes the data projection for a field identified by a user number. */
IRON_C_EXPORT cmfe_Error cmfe_Field_DataProjectionSetNum(const int regionUserNumber /*<The user number of the region containing the field to set the mesh decomposition for. */,
    const int fieldUserNumber /*<The user number of the field to set the mesh decomposition for. */,
    const int dataProjectionUserNumber /*<The field data projection user number to set. */);

/*>Sets/changes the data projection for a field identified by an object. */
IRON_C_EXPORT cmfe_Error cmfe_Field_DataProjectionSet(const cmfe_FieldType field /*<The field to get the mesh decomposition for. */,
    const cmfe_DataProjectionType dataProjection /*<The data projection for the field to set. */);

/*>Returns the number of componenets for a field variable for a field identified by a user number. */
IRON_C_EXPORT cmfe_Error cmfe_Field_NumberOfComponentsGetNum(const int regionUserNumber /*<The user number of the region containing the field to get the number of components for. */,
    const int fieldUserNumber /*<The user number of the field to get the number of components for. */,
    const int variableType /*<The variable type of the dependent field to get the number of components for. \see OPENCMISS_FieldVariableTypes */,
    int *numberOfComponents /*<On return, the number of components in the field variable. */);

/*>Returns the number of components for a field variable for a field identified by an object. */
IRON_C_EXPORT cmfe_Error cmfe_Field_NumberOfComponentsGet(const cmfe_FieldType field /*<The field to get the number of components for. */,
    const int variableType /*<The variable type of the dependent field to get the number of components for. \see OPENCMISS_FieldVariableTypes */,
    int *numberOfComponents /*<On return, the number of components in the field variable. */);

/*>Sets/changes the number of componenets for a field variable for a field identified by a user number. */
IRON_C_EXPORT cmfe_Error cmfe_Field_NumberOfComponentsSetNum(const int regionUserNumber /*<The user number of the region containing the field to set the number of components for. */,
    const int fieldUserNumber /*<The user number of the field to set the number of components for. */,
    const int variableType /*<The variable type of the dependent field to set the number of components for. \see OPENCMISS_FieldVariableTypes */,
    const int numberOfComponents /*<The number of components in the field variable to set. */);

/*>Sets/changes the number of components for a field variable for a field identified by an object. */
IRON_C_EXPORT cmfe_Error cmfe_Field_NumberOfComponentsSet(const cmfe_FieldType field /*<The field to set the number of components for. */,
    const int variableType /*<The variable type of the dependent field to set the number of components for. \see OPENCMISS_FieldVariableTypes */,
    const int numberOfComponents /*<The number of components in the field variable to set. */);

/*>Returns the number of variables for a field identified by a user number. */
IRON_C_EXPORT cmfe_Error cmfe_Field_NumberOfVariablesGetNum(const int regionUserNumber /*<The user number of the region containing the field to get the number of variables for. */,
    const int fieldUserNumber /*<The user number of the field to get the number of variables for. */,
    int *numberOfVariables /*<On return, the number of variables in the field. */);

/*>Returns the number of variables for a field identified by an object. */
IRON_C_EXPORT cmfe_Error cmfe_Field_NumberOfVariablesGet(const cmfe_FieldType field /*<The field to get the number of variables for. */,
    int *numberOfVariables /*<On return, the number of variables in the field. */);

/*>Sets/chnages the number of variables for a field identified by a user number. */
IRON_C_EXPORT cmfe_Error cmfe_Field_NumberOfVariablesSetNum(const int regionUserNumber /*<The user number of the region containing the field to set the number of variables for. */,
    const int fieldUserNumber /*<The user number of the field to set the number of variables for. */,
    const int numberOfVariables /*<The number of variables in the field to set. */);

/*>Sets/changes the number of variables for a field identified by an object. */
IRON_C_EXPORT cmfe_Error cmfe_Field_NumberOfVariablesSet(const cmfe_FieldType field /*<The field to set the number of variables for. */,
    const int numberOfVariables /*<The number of variables in the field to set. */);

/*>Adds the given integer value to the given parameter set for the constant of the field variable component for a field identified by a user number. */
IRON_C_EXPORT cmfe_Error cmfe_Field_ParameterSetAddConstantIntgNum(const int regionUserNumber /*<The user number of the region containing the field to add the constant to the field parameter set for. */,
    const int fieldUserNumber /*<The user number of the field to add the constant to the field parameter set for. */,
    const int variableType /*<The variable type of the field to add the constant to the field parameter set for. \see OPENCMISS_FieldVariableTypes */,
    const int fieldSetType /*<The parameter set type of the field to add the constant to the field parameter set for. \see OPENCMISS_FieldParameterSetTypes */,
    const int componentNumber /*<The component number of the field variable to add the constant to the field parameter set for. */,
    const int value /*<The value to add to the field parameter set. */);

/*>Adds the given integer value to the given parameter set for the constant of the field variable component for a field identified by an object. */
IRON_C_EXPORT cmfe_Error cmfe_Field_ParameterSetAddConstantIntg(const cmfe_FieldType field /*<The field to add the constant to the field parameter set for. */,
    const int variableType /*<The variable type of the field to add the constant to the field parameter set for. \see OPENCMISS_FieldVariableTypes */,
    const int fieldSetType /*<The parameter set type of the field to add the constant to the field parameter set for. \see OPENCMISS_FieldParameterSetTypes */,
    const int componentNumber /*<The component number of the field variable to add the constant to the field parameter set for. */,
    const int value /*<The value to add to the field parameter set. */);

/*>Adds the given single precision value to the given parameter set for the constant of the field variable component for a field identified by a user number. */
IRON_C_EXPORT cmfe_Error cmfe_Field_ParameterSetAddConstantSPNum(const int regionUserNumber /*<The user number of the region containing the field to add the constant to the field parameter set for. */,
    const int fieldUserNumber /*<The user number of the field to add the constant to the field parameter set for. */,
    const int variableType /*<The variable type of the field to add the constant to the field parameter set for. \see OPENCMISS_FieldVariableTypes */,
    const int fieldSetType /*<The parameter set type of the field to add the constant to the field parameter set for. \see OPENCMISS_FieldParameterSetTypes */,
    const int componentNumber /*<The component number of the field variable to add the constant to the field parameter set for. */,
    const float value /*<The value to add to the field parameter set. */);

/*>Adds the given single precision value to the given parameter set for the constant of the field variable component for a field identified by an object. */
IRON_C_EXPORT cmfe_Error cmfe_Field_ParameterSetAddConstantSP(const cmfe_FieldType field /*<The field to add the constant to the field parameter set for. */,
    const int variableType /*<The variable type of the field to add the constant to the field parameter set for. \see OPENCMISS_FieldVariableTypes */,
    const int fieldSetType /*<The parameter set type of the field to add the constant to the field parameter set for. \see OPENCMISS_FieldParameterSetTypes */,
    const int componentNumber /*<The component number of the field variable to add the constant to the field parameter set for. */,
    const float value /*<The value to add to the field parameter set. */);

/*>Adds the given double precision value to the given parameter set for the constant of the field variable component for a field identified by a user number. */
IRON_C_EXPORT cmfe_Error cmfe_Field_ParameterSetAddConstantDPNum(const int regionUserNumber /*<The user number of the region containing the field to add the constant to the field parameter set for. */,
    const int fieldUserNumber /*<The user number of the field to add the constant to the field parameter set for. */,
    const int variableType /*<The variable type of the field to add the constant to the field parameter set for. \see OPENCMISS_FieldVariableTypes */,
    const int fieldSetType /*<The parameter set type of the field to add the constant to the field parameter set for. \see OPENCMISS_FieldParameterSetTypes */,
    const int componentNumber /*<The component number of the field variable to add the constant to the field parameter set for. */,
    const double value /*<The value to add to the field parameter set. */);

/*>Adds the given double precision value to the given parameter set for the constant of the field variable component for a field identified by an object. */
IRON_C_EXPORT cmfe_Error cmfe_Field_ParameterSetAddConstantDP(const cmfe_FieldType field /*<The field to add the constant to the field parameter set for. */,
    const int variableType /*<The variable type of the field to add the constant to the field parameter set for. \see OPENCMISS_FieldVariableTypes */,
    const int fieldSetType /*<The parameter set type of the field to add the constant to the field parameter set for. \see OPENCMISS_FieldParameterSetTypes */,
    const int componentNumber /*<The component number of the field variable to add the constant to the field parameter set for. */,
    const double value /*<The value to add to the field parameter set. */);

/*>Adds the given logical value to the given parameter set for the constant of the field variable component for a field identified by a user number. */
IRON_C_EXPORT cmfe_Error cmfe_Field_ParameterSetAddConstantLNum(const int regionUserNumber /*<The user number of the region containing the field to add the constant to the field parameter set for. */,
    const int fieldUserNumber /*<The user number of the field to add the constant to the field parameter set for. */,
    const int variableType /*<The variable type of the field to add the constant to the field parameter set for. \see OPENCMISS_FieldVariableTypes */,
    const int fieldSetType /*<The parameter set type of the field to add the constant to the field parameter set for. \see OPENCMISS_FieldParameterSetTypes */,
    const int componentNumber /*<The component number of the field variable to add the constant to the field parameter set for. */,
    const cmfe_Bool value /*<The value to add to the field parameter set. */);

/*>Adds the given logical value to the given parameter set for the constant of the field variable component for a field identified by an object. */
IRON_C_EXPORT cmfe_Error cmfe_Field_ParameterSetAddConstantL(const cmfe_FieldType field /*<The field to add the constant to the field parameter set for. */,
    const int variableType /*<The variable type of the field to add the constant to the field parameter set for. \see OPENCMISS_FieldVariableTypes */,
    const int fieldSetType /*<The parameter set type of the field to add the constant to the field parameter set for. \see OPENCMISS_FieldParameterSetTypes */,
    const int componentNumber /*<The component number of the field variable to add the constant to the field parameter set for. */,
    const cmfe_Bool value /*<The value to add to the field parameter set. */);

/*>Adds the given integer value to an element in the given parameter set for field variable component for a field identified by a user number. */
IRON_C_EXPORT cmfe_Error cmfe_Field_ParameterSetAddElementIntgNum(const int regionUserNumber /*<The user number of the region containing the field to add the value to the element in the field parameter set. */,
    const int fieldUserNumber /*<The user number of the field to add the value to the element in the field parameter set. */,
    const int variableType /*<The variable type of the field to add the value to the element in the field parameter set. \see OPENCMISS_FieldVariableTypes */,
    const int fieldSetType /*<The parameter set type of the field to add the value to the element. \see OPENCMISS_FieldParameterSetTypes */,
    const int userElementNumber /*<The user element number to add the value to. */,
    const int componentNumber /*<The component number of the field variable to add the value to the element to in the field parameter set. */,
    const int value /*<The value to add to the element in the field parameter set. */);

/*>Adds the given integer value to an element in the given parameter set for field variable component for a field identified by an object. */
IRON_C_EXPORT cmfe_Error cmfe_Field_ParameterSetAddElementIntg(const cmfe_FieldType field /*<The field to add the value to the element in the field parameter set. */,
    const int variableType /*<The variable type of the field to add the value to the element in the field parameter set. \see OPENCMISS_FieldVariableTypes */,
    const int fieldSetType /*<The parameter set type of the field to add the value to the element. \see OPENCMISS_FieldParameterSetTypes */,
    const int userElementNumber /*<The user element number to add the value to. */,
    const int componentNumber /*<The component number of the field variable to add the value to the element to in the field parameter set. */,
    const int value /*<The value to add to the element in the field parameter set. */);

/*>Adds the given single precision value to an element in the given parameter set for field variable component for a field identified by a user number. */
IRON_C_EXPORT cmfe_Error cmfe_Field_ParameterSetAddElementSPNum(const int regionUserNumber /*<The user number of the region containing the field to add the value to the element in the field parameter set. */,
    const int fieldUserNumber /*<The user number of the field to add the value to the element in the field parameter set. */,
    const int variableType /*<The variable type of the field to add the value to the element in the field parameter set. \see OPENCMISS_FieldVariableTypes */,
    const int fieldSetType /*<The parameter set type of the field to add the value to the element. \see OPENCMISS_FieldParameterSetTypes */,
    const int userElementNumber /*<The user element number to add the value to. */,
    const int componentNumber /*<The component number of the field variable to add the value to the element to in the field parameter set. */,
    const float value /*<The value to add to the element in the field parameter set. */);

/*>Adds the given single precision value to an element in the given parameter set for field variable component for a field identified by an object. */
IRON_C_EXPORT cmfe_Error cmfe_Field_ParameterSetAddElementSP(const cmfe_FieldType field /*<The field to add the value to the element in the field parameter set. */,
    const int variableType /*<The variable type of the field to add the value to the element in the field parameter set. \see OPENCMISS_FieldVariableTypes */,
    const int fieldSetType /*<The parameter set type of the field to add the value to the element. \see OPENCMISS_FieldParameterSetTypes */,
    const int userElementNumber /*<The user element number to add the value to. */,
    const int componentNumber /*<The component number of the field variable to add the value to the element to in the field parameter set. */,
    const float value /*<The value to add to the element in the field parameter set. */);

/*>Adds the given double precision value to an element in the given parameter set for field variable component for a field identified by a user number. */
IRON_C_EXPORT cmfe_Error cmfe_Field_ParameterSetAddElementDPNum(const int regionUserNumber /*<The user number of the region containing the field to add the value to the element in the field parameter set. */,
    const int fieldUserNumber /*<The user number of the field to add the value to the element in the field parameter set. */,
    const int variableType /*<The variable type of the field to add the value to the element in the field parameter set. \see OPENCMISS_FieldVariableTypes */,
    const int fieldSetType /*<The parameter set type of the field to add the value to the element. \see OPENCMISS_FieldParameterSetTypes */,
    const int userElementNumber /*<The user element number to add the value to. */,
    const int componentNumber /*<The component number of the field variable to add the value to the element to in the field parameter set. */,
    const double value /*<The value to add to the element in the field parameter set. */);

/*>Adds the given double precision value to an element in the given parameter set for field variable component for a field identified by an object. */
IRON_C_EXPORT cmfe_Error cmfe_Field_ParameterSetAddElementDP(const cmfe_FieldType field /*<The field to add the value to the element in the field parameter set. */,
    const int variableType /*<The variable type of the field to add the value to the element in the field parameter set. \see OPENCMISS_FieldVariableTypes */,
    const int fieldSetType /*<The parameter set type of the field to add the value to the element. \see OPENCMISS_FieldParameterSetTypes */,
    const int userElementNumber /*<The user element number to add the value to. */,
    const int componentNumber /*<The component number of the field variable to add the value to the element to in the field parameter set. */,
    const double value /*<The value to add to the element in the field parameter set. */);

/*>Adds the given logical value to an element in the given parameter set for field variable component for a field identified by a user number. */
IRON_C_EXPORT cmfe_Error cmfe_Field_ParameterSetAddElementLNum(const int regionUserNumber /*<The user number of the region containing the field to add the value to the element in the field parameter set. */,
    const int fieldUserNumber /*<The user number of the field to add the value to the element in the field parameter set. */,
    const int variableType /*<The variable type of the field to add the value to the element in the field parameter set. \see OPENCMISS_FieldVariableTypes */,
    const int fieldSetType /*<The parameter set type of the field to add the value to the element. \see OPENCMISS_FieldParameterSetTypes */,
    const int userElementNumber /*<The user element number to add the value to. */,
    const int componentNumber /*<The component number of the field variable to add the value to the element to in the field parameter set. */,
    const cmfe_Bool value /*<The value to add to the element in the field parameter set. */);

/*>Adds the given logical value to an element in the given parameter set for field variable component for a field identified by an object. */
IRON_C_EXPORT cmfe_Error cmfe_Field_ParameterSetAddElementL(const cmfe_FieldType field /*<The field to add the value to the element in the field parameter set. */,
    const int variableType /*<The variable type of the field to add the value to the element in the field parameter set. \see OPENCMISS_FieldVariableTypes */,
    const int fieldSetType /*<The parameter set type of the field to add the value to the element. \see OPENCMISS_FieldParameterSetTypes */,
    const int userElementNumber /*<The user element number to add the value to. */,
    const int componentNumber /*<The component number of the field variable to add the value to the element to in the field parameter set. */,
    const cmfe_Bool value /*<The value to add to the element in the field parameter set. */);

/*>Adds the given integer value to an node in the given parameter set for field variable component for a field identified by a user number. */
IRON_C_EXPORT cmfe_Error cmfe_Field_ParameterSetAddNodeIntgNum(const int regionUserNumber /*<The user number of the region containing the field to add the value to the node in the field parameter set. */,
    const int fieldUserNumber /*<The user number of the field to add the value to the node in the field parameter set. */,
    const int variableType /*<The variable type of the field to add the value to the node in the field parameter set. \see OPENCMISS_FieldVariableTypes */,
    const int fieldSetType /*<The parameter set type of the field to add the value to the node. \see OPENCMISS_FieldParameterSetTypes */,
    const int versionNumber /*<The node derivative version number of the node to add the value to. */,
    const int derivativeNumber /*<The node derivative number of the node to add the value to. */,
    const int userNodeNumber /*<The user node number to add the value to. */,
    const int componentNumber /*<The component number of the field variable to add the value to the node to in the field parameter set. */,
    const int value /*<The value to add to the node in the field parameter set. */);

/*>Adds the given integer value to an node in the given parameter set for field variable component for a field identified by an object. */
IRON_C_EXPORT cmfe_Error cmfe_Field_ParameterSetAddNodeIntg(const cmfe_FieldType field /*<The field to add the value to the node in the field parameter set. */,
    const int variableType /*<The variable type of the field to add the value to the node in the field parameter set. \see OPENCMISS_FieldVariableTypes */,
    const int fieldSetType /*<The parameter set type of the field to add the value to the node. \see OPENCMISS_FieldParameterSetTypes */,
    const int versionNumber /*<The node derivative version number of the node to add the value to. */,
    const int derivativeNumber /*<The node derivative number of the node to add the value to. */,
    const int userNodeNumber /*<The user node number to add the value to. */,
    const int componentNumber /*<The component number of the field variable to add the value to the node to in the field parameter set. */,
    const int value /*<The value to add to the node in the field parameter set. */);

/*>Adds the given single precision value to an node in the given parameter set for field variable component for a field identified by a user number. */
IRON_C_EXPORT cmfe_Error cmfe_Field_ParameterSetAddNodeSPNum(const int regionUserNumber /*<The user number of the region containing the field to add the value to the node in the field parameter set. */,
    const int fieldUserNumber /*<The user number of the field to add the value to the node in the field parameter set. */,
    const int variableType /*<The variable type of the field to add the value to the node in the field parameter set. \see OPENCMISS_FieldVariableTypes */,
    const int fieldSetType /*<The parameter set type of the field to add the value to the node. \see OPENCMISS_FieldParameterSetTypes */,
    const int versionNumber /*<The node derivative version number of the node to add the value to. */,
    const int derivativeNumber /*<The node derivative number of the node to add the value to. */,
    const int userNodeNumber /*<The user node number to add the value to. */,
    const int componentNumber /*<The component number of the field variable to add the value to the node to in the field parameter set. */,
    const float value /*<The value to add to the node in the field parameter set. */);

/*>Adds the given single precision value to an node in the given parameter set for field variable component for a field identified by an object. */
IRON_C_EXPORT cmfe_Error cmfe_Field_ParameterSetAddNodeSP(const cmfe_FieldType field /*<The field to add the value to the node in the field parameter set. */,
    const int variableType /*<The variable type of the field to add the value to the node in the field parameter set. \see OPENCMISS_FieldVariableTypes */,
    const int fieldSetType /*<The parameter set type of the field to add the value to the node. \see OPENCMISS_FieldParameterSetTypes */,
    const int versionNumber /*<The node derivative version number of the node to add the value to. */,
    const int derivativeNumber /*<The node derivative number of the node to add the value to. */,
    const int userNodeNumber /*<The user node number to add the value to. */,
    const int componentNumber /*<The component number of the field variable to add the value to the node to in the field parameter set. */,
    const float value /*<The value to add to the node in the field parameter set. */);

/*>Adds the given double precision value to an node in the given parameter set for field variable component for a field identified by a user number. */
IRON_C_EXPORT cmfe_Error cmfe_Field_ParameterSetAddNodeDPNum(const int regionUserNumber /*<The user number of the region containing the field to add the value to the node in the field parameter set. */,
    const int fieldUserNumber /*<The user number of the field to add the value to the node in the field parameter set. */,
    const int variableType /*<The variable type of the field to add the value to the node in the field parameter set. \see OPENCMISS_FieldVariableTypes */,
    const int fieldSetType /*<The parameter set type of the field to add the value to the node. \see OPENCMISS_FieldParameterSetTypes */,
    const int versionNumber /*<The node derivative version number of the node to add the value to. */,
    const int derivativeNumber /*<The node derivative number of the node to add the value to. */,
    const int userNodeNumber /*<The user node number to add the value to. */,
    const int componentNumber /*<The component number of the field variable to add the value to the node to in the field parameter set. */,
    const double value /*<The value to add to the node in the field parameter set. */);

/*>Adds the given double precision value to an node in the given parameter set for field variable component for a field identified by an object. */
IRON_C_EXPORT cmfe_Error cmfe_Field_ParameterSetAddNodeDP(const cmfe_FieldType field /*<The field to add the value to the node in the field parameter set. */,
    const int variableType /*<The variable type of the field to add the value to the node in the field parameter set. \see OPENCMISS_FieldVariableTypes */,
    const int fieldSetType /*<The parameter set type of the field to add the value to the node. \see OPENCMISS_FieldParameterSetTypes */,
    const int versionNumber /*<The node derivative version number of the node to add the value to. */,
    const int derivativeNumber /*<The node derivative number of the node to add the value to. */,
    const int userNodeNumber /*<The user node number to add the value to. */,
    const int componentNumber /*<The component number of the field variable to add the value to the node to in the field parameter set. */,
    const double value /*<The value to add to the node in the field parameter set. */);

/*>Adds the given logical value to an node in the given parameter set for field variable component for a field identified by a user number. */
IRON_C_EXPORT cmfe_Error cmfe_Field_ParameterSetAddNodeLNum(const int regionUserNumber /*<The user number of the region containing the field to add the value to the node in the field parameter set. */,
    const int fieldUserNumber /*<The user number of the field to add the value to the node in the field parameter set. */,
    const int variableType /*<The variable type of the field to add the value to the node in the field parameter set. \see OPENCMISS_FieldVariableTypes */,
    const int fieldSetType /*<The parameter set type of the field to add the value to the node. \see OPENCMISS_FieldParameterSetTypes */,
    const int versionNumber /*<The node derivative version number of the node to add the value to. */,
    const int derivativeNumber /*<The node derivative number of the node to add the value to. */,
    const int userNodeNumber /*<The user node number to add the value to. */,
    const int componentNumber /*<The component number of the field variable to add the value to the node to in the field parameter set. */,
    const cmfe_Bool value /*<The value to add to the node in the field parameter set. */);

/*>Adds the given logical value to an node in the given parameter set for field variable component for a field identified by an object. */
IRON_C_EXPORT cmfe_Error cmfe_Field_ParameterSetAddNodeL(const cmfe_FieldType field /*<The field to add the value to the node in the field parameter set. */,
    const int variableType /*<The variable type of the field to add the value to the node in the field parameter set. \see OPENCMISS_FieldVariableTypes */,
    const int fieldSetType /*<The parameter set type of the field to add the value to the node. \see OPENCMISS_FieldParameterSetTypes */,
    const int versionNumber /*<The node derivative version number of the node to add the value to. */,
    const int derivativeNumber /*<The node derivative number of the node to add the value to. */,
    const int userNodeNumber /*<The user node number to add the value to. */,
    const int componentNumber /*<The component number of the field variable to add the value to the node to in the field parameter set. */,
    const cmfe_Bool value /*<The value to add to the node in the field parameter set. */);

/*>Creates a new parameter set of type set type for a field variable for a field identified by a user number. */
IRON_C_EXPORT cmfe_Error cmfe_Field_ParameterSetCreateNum(const int regionUserNumber /*<The user number of the region containing the field to create the parameter set on. */,
    const int fieldUserNumber /*<The user number of the field to create the parameter set on. */,
    const int variableType /*<The variable type of the field to create the parameter set on. \see OPENCMISS_FieldVariableTypes */,
    const int fieldSetType /*<The parameter set type of the field to create. \see OPENCMISS_FieldParameterSetTypes */);

/*>Creates a new parameter set of type set type for a field variable for a field identified by an object. */
IRON_C_EXPORT cmfe_Error cmfe_Field_ParameterSetCreate(const cmfe_FieldType field /*<The field to create the field parameter set on. */,
    const int variableType /*<The variable type of the field to create the parameter set on. \see OPENCMISS_FieldVariableTypes */,
    const int fieldSetType /*<The parameter set type of the field to create. \see OPENCMISS_FieldParameterSetTypes */);

/*>Destroys the specified parameter set type for a field variable for a field identified by a user number. */
IRON_C_EXPORT cmfe_Error cmfe_Field_ParameterSetDestroyNum(const int regionUserNumber /*<The user number of the region containing the field to destroy the parameter set for. */,
    const int fieldUserNumber /*<The user number of the field to destroy the parameter set for. */,
    const int variableType /*<The variable type of the field to destroy the parameter set for. \see OPENCMISS_FieldVariableTypes */,
    const int fieldSetType /*<The parameter set type of the field to destroy. \see OPENCMISS_FieldParameterSetTypes */);

/*>Destroys the specified parameter set type for a field variable for a field identified by an object. */
IRON_C_EXPORT cmfe_Error cmfe_Field_ParameterSetDestroy(const cmfe_FieldType field /*<The field to destroy the field parameter set for. */,
    const int variableType /*<The variable type of the field to destroy the parameter set for. \see OPENCMISS_FieldVariableTypes */,
    const int fieldSetType /*<The parameter set type of the field to destroy. \see OPENCMISS_FieldParameterSetTypes */);

/*>Returns a pointer to the specified field parameter set local integer data array for a field identified by an user number. The pointer must be restored with a call to OpenCMISS::Iron::cmfe_Field_ParameterSetDataRestore call. Note: the values can be used for read operations but a field parameter set update or add calls must be used to change any values. */
IRON_C_EXPORT cmfe_Error cmfe_Field_ParameterSetDataGetIntgNum(const int regionUserNumber /*<The user number of the region containing the field to get the parameter set data for. */,
    const int fieldUserNumber /*<The user number of the field to get the parameter set data for. */,
    const int variableType /*<The variable type of the field to get the parameter set data for. \see OPENCMISS_FieldVariableTypes */,
    const int fieldSetType /*<The parameter set type of the parameter set data to get. \see OPENCMISS_FieldParameterSetTypes */,
    int *parametersSize /*<Length of parameters */,
    int **parameters /*<On return, a pointer to the parameter set data. */);

/*>Returns a pointer to the specified field parameter set local integer data array for a field identified by an object. The pointer must be restored with a call to OpenCMISS::Iron::cmfe_Field_ParameterSetDataRestore call. Note: the values can be used for read operations but a field parameter set update or add calls must be used to change any values. */
IRON_C_EXPORT cmfe_Error cmfe_Field_ParameterSetDataGetIntg(const cmfe_FieldType field /*<The field to get the field parameter set data for. */,
    const int variableType /*<The variable type of the field to get the parameter set data for. \see OPENCMISS_FieldVariableTypes */,
    const int fieldSetType /*<The parameter set type of the parameter set data to get. \see OPENCMISS_FieldParameterSetTypes */,
    int *parametersSize /*<Length of parameters */,
    int **parameters /*<On return, a pointer to the parameter set data. */);

/*>Returns a pointer to the specified field parameter set local single precision data array for a field identified by an user number. The pointer must be restored with a call to OpenCMISS::Iron::cmfe_Field_ParameterSetDataRestore call. Note: the values can be used for read operations but a field parameter set update or add calls must be used to change any values. */
IRON_C_EXPORT cmfe_Error cmfe_Field_ParameterSetDataGetSPNum(const int regionUserNumber /*<The user number of the region containing the field to get the parameter set data for. */,
    const int fieldUserNumber /*<The user number of the field to get the parameter set data for. */,
    const int variableType /*<The variable type of the field to get the parameter set data for. \see OPENCMISS_FieldVariableTypes */,
    const int fieldSetType /*<The parameter set type of the parameter set data to get. \see OPENCMISS_FieldParameterSetTypes */,
    int *parametersSize /*<Length of parameters */,
    float **parameters /*<On return, a pointer to the parameter set data. */);

/*>Returns a pointer to the specified field parameter set local single precision data array for a field identified by an object. The pointer must be restored with a call to OpenCMISS::Iron::cmfe_Field_ParameterSetDataRestore call. Note: the values can be used for read operations but a field parameter set update or add calls must be used to change any values. */
IRON_C_EXPORT cmfe_Error cmfe_Field_ParameterSetDataGetSP(const cmfe_FieldType field /*<The field to get the field parameter set data for. */,
    const int variableType /*<The variable type of the field to get the parameter set data for. \see OPENCMISS_FieldVariableTypes */,
    const int fieldSetType /*<The parameter set type of the parameter set data to get. \see OPENCMISS_FieldParameterSetTypes */,
    int *parametersSize /*<Length of parameters */,
    float **parameters /*<On return, a pointer to the parameter set data. */);

/*>Returns a pointer to the specified field parameter set local double precision data array for a field identified by an user number. The pointer must be restored with a call to OpenCMISS::Iron::cmfe_Field_ParameterSetDataRestore call. Note: the values can be used for read operations but a field parameter set update or add calls must be used to change any values. */
IRON_C_EXPORT cmfe_Error cmfe_Field_ParameterSetDataGetDPNum(const int regionUserNumber /*<The user number of the region containing the field to get the parameter set data for. */,
    const int fieldUserNumber /*<The user number of the field to get the parameter set data for. */,
    const int variableType /*<The variable type of the field to get the parameter set data for. \see OPENCMISS_FieldVariableTypes */,
    const int fieldSetType /*<The parameter set type of the parameter set data to get. \see OPENCMISS_FieldParameterSetTypes */,
    int *parametersSize /*<Length of parameters */,
    double **parameters /*<On return, a pointer to the parameter set data. */);

/*>Returns a pointer to the specified field parameter set local double precision data array for a field identified by an object. The pointer must be restored with a call to OpenCMISS::Iron::cmfe_Field_ParameterSetDataRestore call. Note: the values can be used for read operations but a field parameter set update or add calls must be used to change any values. */
IRON_C_EXPORT cmfe_Error cmfe_Field_ParameterSetDataGetDP(const cmfe_FieldType field /*<The field to get the field parameter set data for. */,
    const int variableType /*<The variable type of the field to get the parameter set data for. \see OPENCMISS_FieldVariableTypes */,
    const int fieldSetType /*<The parameter set type of the parameter set data to get. \see OPENCMISS_FieldParameterSetTypes */,
    int *parametersSize /*<Length of parameters */,
    double **parameters /*<On return, a pointer to the parameter set data. */);

/*>Returns a pointer to the specified field parameter set local logical data array for a field identified by an user number. The pointer must be restored with a call to OpenCMISS::Iron::cmfe_Field_ParameterSetDataRestore call. Note: the values can be used for read operations but a field parameter set update or add calls must be used to change any values. */
IRON_C_EXPORT cmfe_Error cmfe_Field_ParameterSetDataGetLNum(const int regionUserNumber /*<The user number of the region containing the field to get the parameter set data for. */,
    const int fieldUserNumber /*<The user number of the field to get the parameter set data for. */,
    const int variableType /*<The variable type of the field to get the parameter set data for. \see OPENCMISS_FieldVariableTypes */,
    const int fieldSetType /*<The parameter set type of the parameter set data to get. \see OPENCMISS_FieldParameterSetTypes */,
    int *parametersSize /*<Length of parameters */,
    cmfe_Bool **parameters /*<On return, a pointer to the parameter set data. */);

/*>Returns a pointer to the specified field parameter set local logical data array for a field identified by an object. The pointer must be restored with a call to OpenCMISS::Iron::cmfe_Field_ParameterSetDataRestore call. Note: the values can be used for read operations but a field parameter set update or add calls must be used to change any values. */
IRON_C_EXPORT cmfe_Error cmfe_Field_ParameterSetDataGetL(const cmfe_FieldType field /*<The field to get the field parameter set data for. */,
    const int variableType /*<The variable type of the field to get the parameter set data for. \see OPENCMISS_FieldVariableTypes */,
    const int fieldSetType /*<The parameter set type of the parameter set data to get. \see OPENCMISS_FieldParameterSetTypes */,
    int *parametersSize /*<Length of parameters */,
    cmfe_Bool **parameters /*<On return, a pointer to the parameter set data. */);

/*>Restores the specified field variable parameter set local integer array that was obtained with an OpenCMISS::Iron::cmfe_Field_ParameterSetDataGet call for a field that is specified with an user number. */
IRON_C_EXPORT cmfe_Error cmfe_Field_ParameterSetDataRestoreIntgNum(const int regionUserNumber /*<The user number of the region containing the field to restore the parameter set data for. */,
    const int fieldUserNumber /*<The user number of the field to restore the parameter set data for. */,
    const int variableType /*<The variable type of the field to restore the parameter set data for. \see OPENCMISS_FieldVariableTypes */,
    const int fieldSetType /*<The parameter set type of the parameter set data to restore. \see OPENCMISS_FieldParameterSetTypes */,
    int *parametersSize /*<Length of parameters */,
    int **parameters /*<A pointer to the parameter set data. On return this pointer is null. */);

/*>Restores the specified field variable parameter set local integer array that was obtained with an OpenCMISS::Iron::cmfe_Field_ParameterSetDataGet call for a field that is specified with an object. */
IRON_C_EXPORT cmfe_Error cmfe_Field_ParameterSetDataRestoreIntg(const cmfe_FieldType field /*<The field to restore the field parameter set data for. */,
    const int variableType /*<The variable type of the field to restore the parameter set data for. \see OPENCMISS_FieldVariableTypes */,
    const int fieldSetType /*<The parameter set type of the parameter set data to restore. \see OPENCMISS_FieldParameterSetTypes */,
    int *parametersSize /*<Length of parameters */,
    int **parameters /*<A pointer to the parameter set data to restore. On return this pointer is null. */);

/*>Restores the specified field variable parameter set local single precision array that was obtained with an OpenCMISS::Iron::cmfe_Field_ParameterSetDataGet call for a field that is specified with an user number. */
IRON_C_EXPORT cmfe_Error cmfe_Field_ParameterSetDataRestoreSPNum(const int regionUserNumber /*<The user number of the region containing the field to restore the parameter set data for. */,
    const int fieldUserNumber /*<The user number of the field to restore the parameter set data for. */,
    const int variableType /*<The variable type of the field to restore the parameter set data for. \see OPENCMISS_FieldVariableTypes */,
    const int fieldSetType /*<The parameter set type of the parameter set data to restore. \see OPENCMISS_FieldParameterSetTypes */,
    int *parametersSize /*<Length of parameters */,
    float **parameters /*<A pointer to the parameter set data. On return this pointer is null. */);

/*>Restores the specified field variable parameter set local single precision array that was obtained with an OpenCMISS::Iron::cmfe_Field_ParameterSetDataGet call for a field that is specified with an object. */
IRON_C_EXPORT cmfe_Error cmfe_Field_ParameterSetDataRestoreSP(const cmfe_FieldType field /*<The field to restore the field parameter set data for. */,
    const int variableType /*<The variable type of the field to restore the parameter set data for. \see OPENCMISS_FieldVariableTypes */,
    const int fieldSetType /*<The parameter set type of the parameter set data to restore. \see OPENCMISS_FieldParameterSetTypes */,
    int *parametersSize /*<Length of parameters */,
    float **parameters /*<A pointer to the parameter set data to restore. */);

/*>Restores the specified field variable parameter set local double precision array that was obtained with an OpenCMISS::Iron::cmfe_Field_ParameterSetDataGet call for a field that is specified with an user number. */
IRON_C_EXPORT cmfe_Error cmfe_Field_ParameterSetDataRestoreDPNum(const int regionUserNumber /*<The user number of the region containing the field to restore the parameter set data for. */,
    const int fieldUserNumber /*<The user number of the field to restore the parameter set data for. */,
    const int variableType /*<The variable type of the field to restore the parameter set data for. \see OPENCMISS_FieldVariableTypes */,
    const int fieldSetType /*<The parameter set type of the parameter set data to restore. \see OPENCMISS_FieldParameterSetTypes */,
    int *parametersSize /*<Length of parameters */,
    double **parameters /*<A pointer to the parameter set data. On return this pointer is null. */);

/*>Restores the specified field variable parameter set local double precision array that was obtained with an OpenCMISS::Iron::cmfe_Field_ParameterSetDataGet call for a field that is specified with an object. */
IRON_C_EXPORT cmfe_Error cmfe_Field_ParameterSetDataRestoreDP(const cmfe_FieldType field /*<The field to restore the field parameter set data for. */,
    const int variableType /*<The variable type of the field to restore the parameter set data for. \see OPENCMISS_FieldVariableTypes */,
    const int fieldSetType /*<The parameter set type of the parameter set data to restore. \see OPENCMISS_FieldParameterSetTypes */,
    int *parametersSize /*<Length of parameters */,
    double **parameters /*<A pointer to the parameter set data to restore. On return this pointer is null. */);

/*>Restores the specified field variable parameter set local logical array that was obtained with an OpenCMISS::Iron::cmfe_Field_ParameterSetDataGet call for a field that is specified with an user number. */
IRON_C_EXPORT cmfe_Error cmfe_Field_ParameterSetDataRestoreLNum(const int regionUserNumber /*<The user number of the region containing the field to restore the parameter set data for. */,
    const int fieldUserNumber /*<The user number of the field to restore the parameter set data for. */,
    const int variableType /*<The variable type of the field to restore the parameter set data for. \see OPENCMISS_FieldVariableTypes */,
    const int fieldSetType /*<The parameter set type of the parameter set data to restore. \see OPENCMISS_FieldParameterSetTypes */,
    int *parametersSize /*<Length of parameters */,
    cmfe_Bool **parameters /*<A pointer to the parameter set data. On return this pointer is null. */);

/*>Restores the specified field variable parameter set local logical array that was obtained with an OpenCMISS::Iron::cmfe_Field_ParameterSetDataGet call for a field that is specified with an object. */
IRON_C_EXPORT cmfe_Error cmfe_Field_ParameterSetDataRestoreL(const cmfe_FieldType field /*<The field to restore the field parameter set data for. */,
    const int variableType /*<The variable type of the field to restore the parameter set data for. \see OPENCMISS_FieldVariableTypes */,
    const int fieldSetType /*<The parameter set type of the parameter set data to restore. \see OPENCMISS_FieldParameterSetTypes */,
    int *parametersSize /*<Length of parameters */,
    cmfe_Bool **parameters /*<A pointer to the parameter set data to restore. On return this pointer is null. */);

/*>Returns from the given parameter set an integer value for the specified constant of a field variable component for a field identified by a user number. */
IRON_C_EXPORT cmfe_Error cmfe_Field_ParameterSetGetConstantIntgNum(const int regionUserNumber /*<The user number of the region containing the field to get the constant value from the field parameter set. */,
    const int fieldUserNumber /*<The user number of the field to get the constant value from the field parameter set. */,
    const int variableType /*<The variable type of the field to get the constant value from the field parameter set. \see OPENCMISS_FieldVariableTypes */,
    const int fieldSetType /*<The parameter set type of the field to get the constant value from. \see OPENCMISS_FieldParameterSetTypes */,
    const int componentNumber /*<The component number of the field variable to get the constant value from the field parameter set. */,
    int *value /*<On return, the value from the field parameter set. */);

/*>Returns from the given parameter set an integer value for the specified constant of a field variable component for a field identified by an object. */
IRON_C_EXPORT cmfe_Error cmfe_Field_ParameterSetGetConstantIntg(const cmfe_FieldType field /*<The field to get the constant value from the field parameter set. */,
    const int variableType /*<The variable type of the field to get the constant value from the field parameter set. \see OPENCMISS_FieldVariableTypes */,
    const int fieldSetType /*<The parameter set type of the field to get the constant value from. \see OPENCMISS_FieldParameterSetTypes */,
    const int componentNumber /*<The component number of the field variable to get the constant value from the field parameter set. */,
    int *value /*<On return, the value from the field parameter set. */);

/*>Returns from the given parameter set a single precision value for the specified constant of a field variable component for a field identified by a user number. */
IRON_C_EXPORT cmfe_Error cmfe_Field_ParameterSetGetConstantSPNum(const int regionUserNumber /*<The user number of the region containing the field to get the constant value from the field parameter set. */,
    const int fieldUserNumber /*<The user number of the field to get the constant value from the field parameter set. */,
    const int variableType /*<The variable type of the field to get the constant value from the field parameter set. \see OPENCMISS_FieldVariableTypes */,
    const int fieldSetType /*<The parameter set type of the field to get the constant value from. \see OPENCMISS_FieldParameterSetTypes */,
    const int componentNumber /*<The component number of the field variable to get the constant value from the field parameter set. */,
    float *value /*<On return, the value from the field parameter set. */);

/*>Returns from the given parameter set a single precision value for the specified constant of a field variable component for a field identified by an object. */
IRON_C_EXPORT cmfe_Error cmfe_Field_ParameterSetGetConstantSP(const cmfe_FieldType field /*<The field to get the constant value from the field parameter set. */,
    const int variableType /*<The variable type of the field to get the constant value from the field parameter set. \see OPENCMISS_FieldVariableTypes */,
    const int fieldSetType /*<The parameter set type of the field to get the constant value from. \see OPENCMISS_FieldParameterSetTypes */,
    const int componentNumber /*<The component number of the field variable to get the constant value from the field parameter set. */,
    float *value /*<On return, the value from the field parameter set. */);

/*>Returns from the given parameter set a double precision value for the specified constant of a field variable component for a field identified by a user number. */
IRON_C_EXPORT cmfe_Error cmfe_Field_ParameterSetGetConstantDPNum(const int regionUserNumber /*<The user number of the region containing the field to get the constant value from the field parameter set. */,
    const int fieldUserNumber /*<The user number of the field to get the constant value from the field parameter set. */,
    const int variableType /*<The variable type of the field to get the constant value from the field parameter set. \see OPENCMISS_FieldVariableTypes */,
    const int fieldSetType /*<The parameter set type of the field to get the constant value from. \see OPENCMISS_FieldParameterSetTypes */,
    const int componentNumber /*<The component number of the field variable to get the constant value from the field parameter set. */,
    double *value /*<On return, the value from the field parameter set. */);

/*>Returns from the given parameter set a double precision value for the specified constant of a field variable component for a field identified by an object. */
IRON_C_EXPORT cmfe_Error cmfe_Field_ParameterSetGetConstantDP(const cmfe_FieldType field /*<The field to get the constant value from the field parameter set. */,
    const int variableType /*<The variable type of the field to get the constant value from the field parameter set. \see OPENCMISS_FieldVariableTypes */,
    const int fieldSetType /*<The parameter set type of the field to get the constant value from. \see OPENCMISS_FieldParameterSetTypes */,
    const int componentNumber /*<The component number of the field variable to get the constant value from the field parameter set. */,
    double *value /*<On return, the value from the field parameter set. */);

/*>Returns from the given parameter set a logical value for the specified constant of a field variable component for a field identified by a user number. */
IRON_C_EXPORT cmfe_Error cmfe_Field_ParameterSetGetConstantLNum(const int regionUserNumber /*<The user number of the region containing the field to get the constant value from the field parameter set. */,
    const int fieldUserNumber /*<The user number of the field to get the constant value from the field parameter set. */,
    const int variableType /*<The variable type of the field to get the constant value from the field parameter set. \see OPENCMISS_FieldVariableTypes */,
    const int fieldSetType /*<The parameter set type of the field to get the constant value from. \see OPENCMISS_FieldParameterSetTypes */,
    const int componentNumber /*<The component number of the field variable to get the constant value from the field parameter set. */,
    cmfe_Bool *value /*<On return, the value from the field parameter set. */);

/*>Returns from the given parameter set a logical value for the specified constant of a field variable component for a field identified by an object. */
IRON_C_EXPORT cmfe_Error cmfe_Field_ParameterSetGetConstantL(const cmfe_FieldType field /*<The field to get the constant value from the field parameter set. */,
    const int variableType /*<The variable type of the field to get the constant value from the field parameter set. \see OPENCMISS_FieldVariableTypes */,
    const int fieldSetType /*<The parameter set type of the field to get the constant value from. \see OPENCMISS_FieldParameterSetTypes */,
    const int componentNumber /*<The component number of the field variable to get the constant value from the field parameter set. */,
    cmfe_Bool *value /*<On return, the value from the field parameter set. */);

/*>Returns from the given parameter set a integer value for the specified data point of a field variable component for a field identified by a user number. */
IRON_C_EXPORT cmfe_Error cmfe_Field_ParameterSetGetDataPointIntgNumberI(const int parentRegionUserNumber /*<The user number of the parent region for the interface. */,
    const int interfaceUserNumber /*<The user number of the interface containing the field to get the data point value from the field parameter set. */,
    const int fieldUserNumber /*<The user number of the field to get the data point value from the field parameter set. */,
    const int variableType /*<The variable type of the field to get the data point value from the field parameter set. \see OPENCMISS_FieldVariableTypes */,
    const int fieldSetType /*<The parameter set type of the field to get the data point value from. \see OPENCMISS_FieldParameterSetTypes */,
    const int userDataPointNumber /*<The user data point number to get the value for */,
    const int componentNumber /*<The component number of the field variable to get the data point value from the field parameter set. */,
    int *value /*<On return, the value from the field parameter set. */);

/*>Returns from the given parameter set a integer value for the specified data point of a field variable component for a field identified by a user number. */
IRON_C_EXPORT cmfe_Error cmfe_Field_ParameterSetGetDataPointIntgNumberR(const int regionUserNumber /*<The user number of the region containing the field to get the data point value from the field parameter set. */,
    const int fieldUserNumber /*<The user number of the field to get the data point value from the field parameter set. */,
    const int variableType /*<The variable type of the field to get the data point value from the field parameter set. \see OPENCMISS_FieldVariableTypes */,
    const int fieldSetType /*<The parameter set type of the field to get the data point value from. \see OPENCMISS_FieldParameterSetTypes */,
    const int userDataPointNumber /*<The user data point number to get the value for */,
    const int componentNumber /*<The component number of the field variable to get the data point value from the field parameter set. */,
    int *value /*<On return, the value from the field parameter set. */);

/*>Returns from the given parameter set a integer value for the specified constant of a field variable component for a field identified by an object. */
IRON_C_EXPORT cmfe_Error cmfe_Field_ParameterSetGetDataPointIntg(const cmfe_FieldType field /*<The field to get the data point value from the field parameter set. */,
    const int variableType /*<The variable type of the field to get the data point value from the field parameter set. \see OPENCMISS_FieldVariableTypes */,
    const int fieldSetType /*<The parameter set type of the field to get the data point value from. \see OPENCMISS_FieldParameterSetTypes */,
    const int userDataPointNumber /*<The user data point number to get the value for */,
    const int componentNumber /*<The component number of the field variable to get the data point value from the field parameter set. */,
    int *value /*<On return, the value from the field parameter set. */);

/*>Returns from the given parameter set a single precision value for the specified data point of a field variable component for a field identified by a user number. */
IRON_C_EXPORT cmfe_Error cmfe_Field_ParameterSetGetDataPointSPNumberI(const int parentRegionUserNumber /*<The user number of the parent region for the interface. */,
    const int interfaceUserNumber /*<The user number of the interface containing the field to get the data point value from the field parameter set. */,
    const int fieldUserNumber /*<The user number of the field to get the data point value from the field parameter set. */,
    const int variableType /*<The variable type of the field to get the data point value from the field parameter set. \see OPENCMISS_FieldVariableTypes */,
    const int fieldSetType /*<The parameter set type of the field to get the data point value from. \see OPENCMISS_FieldParameterSetTypes */,
    const int userDataPointNumber /*<The user data point number to get the value for */,
    const int componentNumber /*<The component number of the field variable to get the data point value from the field parameter set. */,
    float *value /*<On return, the value from the field parameter set. */);

/*>Returns from the given parameter set a single precision value for the specified data point of a field variable component for a field identified by a user number. */
IRON_C_EXPORT cmfe_Error cmfe_Field_ParameterSetGetDataPointSPNumberR(const int regionUserNumber /*<The user number of the region containing the field to get the data point value from the field parameter set. */,
    const int fieldUserNumber /*<The user number of the field to get the data point value from the field parameter set. */,
    const int variableType /*<The variable type of the field to get the data point value from the field parameter set. \see OPENCMISS_FieldVariableTypes */,
    const int fieldSetType /*<The parameter set type of the field to get the data point value from. \see OPENCMISS_FieldParameterSetTypes */,
    const int userDataPointNumber /*<The user data point number to get the value for */,
    const int componentNumber /*<The component number of the field variable to get the data point value from the field parameter set. */,
    float *value /*<On return, the value from the field parameter set. */);

/*>Returns from the given parameter set a single precision value for the specified constant of a field variable component for a field identified by an object. */
IRON_C_EXPORT cmfe_Error cmfe_Field_ParameterSetGetDataPointSP(const cmfe_FieldType field /*<The field to get the data point value from the field parameter set. */,
    const int variableType /*<The variable type of the field to get the data point value from the field parameter set. \see OPENCMISS_FieldVariableTypes */,
    const int fieldSetType /*<The parameter set type of the field to get the data point value from. \see OPENCMISS_FieldParameterSetTypes */,
    const int userDataPointNumber /*<The user data point number to get the value for */,
    const int componentNumber /*<The component number of the field variable to get the data point value from the field parameter set. */,
    float *value /*<On return, the value from the field parameter set. */);

/*>Returns from the given parameter set a double precision value for the specified data point of a field variable component for a field identified by a user number. */
IRON_C_EXPORT cmfe_Error cmfe_Field_ParameterSetGetDataPointDPNumberI(const int parentRegionUserNumber /*<The user number of the parent region for the interface. */,
    const int interfaceUserNumber /*<The user number of the interface containing the field to get the data point value from the field parameter set. */,
    const int fieldUserNumber /*<The user number of the field to get the data point value from the field parameter set. */,
    const int variableType /*<The variable type of the field to get the data point value from the field parameter set. \see OPENCMISS_FieldVariableTypes */,
    const int fieldSetType /*<The parameter set type of the field to get the data point value from. \see OPENCMISS_FieldParameterSetTypes */,
    const int userDataPointNumber /*<The user data point number to get the value for */,
    const int componentNumber /*<The component number of the field variable to get the data point value from the field parameter set. */,
    double *value /*<On return, the value from the field parameter set. */);

/*>Returns from the given parameter set a double precision value for the specified data point of a field variable component for a field identified by a user number. */
IRON_C_EXPORT cmfe_Error cmfe_Field_ParameterSetGetDataPointDPNumberR(const int regionUserNumber /*<The user number of the region containing the field to get the data point value from the field parameter set. */,
    const int fieldUserNumber /*<The user number of the field to get the data point value from the field parameter set. */,
    const int variableType /*<The variable type of the field to get the data point value from the field parameter set. \see OPENCMISS_FieldVariableTypes */,
    const int fieldSetType /*<The parameter set type of the field to get the data point value from. \see OPENCMISS_FieldParameterSetTypes */,
    const int userDataPointNumber /*<The user data point number to get the value for */,
    const int componentNumber /*<The component number of the field variable to get the data point value from the field parameter set. */,
    double *value /*<On return, the value from the field parameter set. */);

/*>Returns from the given parameter set a double precision value for the specified constant of a field variable component for a field identified by an object. */
IRON_C_EXPORT cmfe_Error cmfe_Field_ParameterSetGetDataPointDP(const cmfe_FieldType field /*<The field to get the data point value from the field parameter set. */,
    const int variableType /*<The variable type of the field to get the data point value from the field parameter set. \see OPENCMISS_FieldVariableTypes */,
    const int fieldSetType /*<The parameter set type of the field to get the data point value from. \see OPENCMISS_FieldParameterSetTypes */,
    const int userDataPointNumber /*<The user data point number to get the value for */,
    const int componentNumber /*<The component number of the field variable to get the data point value from the field parameter set. */,
    double *value /*<On return, the value from the field parameter set. */);

/*>Returns from the given parameter set a logical value for the specified data point of a field variable component for a field identified by a user number. */
IRON_C_EXPORT cmfe_Error cmfe_Field_ParameterSetGetDataPointLNumberI(const int parentRegionUserNumber /*<The user number of the parent region for the interface. */,
    const int interfaceUserNumber /*<The user number of the interface containing the field to get the data point value from the field parameter set. */,
    const int fieldUserNumber /*<The user number of the field to get the data point value from the field parameter set. */,
    const int variableType /*<The variable type of the field to get the data point value from the field parameter set. \see OPENCMISS_FieldVariableTypes */,
    const int fieldSetType /*<The parameter set type of the field to get the data point value from. \see OPENCMISS_FieldParameterSetTypes */,
    const int userDataPointNumber /*<The user data point number to get the value for */,
    const int componentNumber /*<The component number of the field variable to get the data point value from the field parameter set. */,
    cmfe_Bool *value /*<On return, the value from the field parameter set. */);

/*>Returns from the given parameter set a logical value for the specified data point of a field variable component for a field identified by a user number. */
IRON_C_EXPORT cmfe_Error cmfe_Field_ParameterSetGetDataPointLNumberR(const int regionUserNumber /*<The user number of the region containing the field to get the data point value from the field parameter set. */,
    const int fieldUserNumber /*<The user number of the field to get the data point value from the field parameter set. */,
    const int variableType /*<The variable type of the field to get the data point value from the field parameter set. \see OPENCMISS_FieldVariableTypes */,
    const int fieldSetType /*<The parameter set type of the field to get the data point value from. \see OPENCMISS_FieldParameterSetTypes */,
    const int userDataPointNumber /*<The user data point number to get the value for */,
    const int componentNumber /*<The component number of the field variable to get the data point value from the field parameter set. */,
    cmfe_Bool *value /*<On return, the value from the field parameter set. */);

/*>Returns from the given parameter set a logical value for the specified constant of a field variable component for a field identified by an object. */
IRON_C_EXPORT cmfe_Error cmfe_Field_ParameterSetGetDataPointL(const cmfe_FieldType field /*<The field to get the data point value from the field parameter set. */,
    const int variableType /*<The variable type of the field to get the data point value from the field parameter set. \see OPENCMISS_FieldVariableTypes */,
    const int fieldSetType /*<The parameter set type of the field to get the data point value from. \see OPENCMISS_FieldParameterSetTypes */,
    const int userDataPointNumber /*<The user data point number to get the value for */,
    const int componentNumber /*<The component number of the field variable to get the data point value from the field parameter set. */,
    cmfe_Bool *value /*<On return, the value from the field parameter set. */);

/*>Returns from the given parameter set an integer value for the specified element of a field variable component for a field identified by a user number. */
IRON_C_EXPORT cmfe_Error cmfe_Field_ParameterSetGetElementIntgNum(const int regionUserNumber /*<The user number of the region containing the field to get the element value from the field parameter set. */,
    const int fieldUserNumber /*<The user number of the field to get the element value from the field parameter set. */,
    const int variableType /*<The variable type of the field to get the element value from the field parameter set. \see OPENCMISS_FieldVariableTypes */,
    const int fieldSetType /*<The parameter set type of the field to get the element value from. \see OPENCMISS_FieldParameterSetTypes */,
    const int userElementNumber /*<The user element number to get the value from the field parameter set. */,
    const int componentNumber /*<The component number of the field variable to get the element value from the field parameter set. */,
    int *value /*<On return, the value from the field parameter set. */);

/*>Returns from the given parameter set an integer value for the specified element of a field variable component for a field identified by an object. */
IRON_C_EXPORT cmfe_Error cmfe_Field_ParameterSetGetElementIntg(const cmfe_FieldType field /*<The field to get the element value from the field parameter set. */,
    const int variableType /*<The variable type of the field to get the element value from the field parameter set. \see OPENCMISS_FieldVariableTypes */,
    const int fieldSetType /*<The parameter set type of the field to get the element value from. \see OPENCMISS_FieldParameterSetTypes */,
    const int userElementNumber /*<The user element number to get the value from the field parameter set. */,
    const int componentNumber /*<The component number of the field variable to get the element value from the field parameter set. */,
    int *value /*<On return, the value from the field parameter set. */);

/*>Returns from the given parameter set a single precision value for the specified element of a field variable component for a field identified by a user number. */
IRON_C_EXPORT cmfe_Error cmfe_Field_ParameterSetGetElementSPNum(const int regionUserNumber /*<The user number of the region containing the field to get the element value from the field parameter set. */,
    const int fieldUserNumber /*<The user number of the field to get the element value from the field parameter set. */,
    const int variableType /*<The variable type of the field to get the element value from the field parameter set. \see OPENCMISS_FieldVariableTypes */,
    const int fieldSetType /*<The parameter set type of the field to get the element value from. \see OPENCMISS_FieldParameterSetTypes */,
    const int userElementNumber /*<The user element number to get the value from the field parameter set. */,
    const int componentNumber /*<The component number of the field variable to get the element value from the field parameter set. */,
    float *value /*<On return, the value from the field parameter set. */);

/*>Returns from the given parameter set a single precision value for the specified element of a field variable component for a field identified by an object. */
IRON_C_EXPORT cmfe_Error cmfe_Field_ParameterSetGetElementSP(const cmfe_FieldType field /*<The field to get the element value from the field parameter set. */,
    const int variableType /*<The variable type of the field to get the element value from the field parameter set. \see OPENCMISS_FieldVariableTypes */,
    const int fieldSetType /*<The parameter set type of the field to get the element value from. \see OPENCMISS_FieldParameterSetTypes */,
    const int userElementNumber /*<The user element number to get the value from the field parameter set. */,
    const int componentNumber /*<The component number of the field variable to get the element value from the field parameter set. */,
    float *value /*<On return, the value from the field parameter set. */);

/*>Returns from the given parameter set a double precision value for the specified element of a field variable component for a field identified by a user number. */
IRON_C_EXPORT cmfe_Error cmfe_Field_ParameterSetGetElementDPNum(const int regionUserNumber /*<The user number of the region containing the field to get the element value from the field parameter set. */,
    const int fieldUserNumber /*<The user number of the field to get the element value from the field parameter set. */,
    const int variableType /*<The variable type of the field to get the element value from the field parameter set. \see OPENCMISS_FieldVariableTypes */,
    const int fieldSetType /*<The parameter set type of the field to get the element value from. \see OPENCMISS_FieldParameterSetTypes */,
    const int userElementNumber /*<The user element number to get the value from the field parameter set. */,
    const int componentNumber /*<The component number of the field variable to get the element value from the field parameter set. */,
    double *value /*<On return, the value from the field parameter set. */);

/*>Returns from the given parameter set a double precision value for the specified element of a field variable component for a field identified by an object. */
IRON_C_EXPORT cmfe_Error cmfe_Field_ParameterSetGetElementDP(const cmfe_FieldType field /*<The field to get the element value from the field parameter set. */,
    const int variableType /*<The variable type of the field to get the element value from the field parameter set. \see OPENCMISS_FieldVariableTypes */,
    const int fieldSetType /*<The parameter set type of the field to get the element value from. \see OPENCMISS_FieldParameterSetTypes */,
    const int userElementNumber /*<The user element number to get the value from the field parameter set. */,
    const int componentNumber /*<The component number of the field variable to get the element value from the field parameter set. */,
    double *value /*<On return, the value from the field parameter set. */);

/*>Returns from the given parameter set a logical value for the specified element of a field variable component for a field identified by a user number. */
IRON_C_EXPORT cmfe_Error cmfe_Field_ParameterSetGetElementLNum(const int regionUserNumber /*<The user number of the region containing the field to get the element value from the field parameter set. */,
    const int fieldUserNumber /*<The user number of the field to get the element value from the field parameter set. */,
    const int variableType /*<The variable type of the field to get the element value from the field parameter set. \see OPENCMISS_FieldVariableTypes */,
    const int fieldSetType /*<The parameter set type of the field to get the element value from. \see OPENCMISS_FieldParameterSetTypes */,
    const int userElementNumber /*<The user element number to get the value from the field parameter set. */,
    const int componentNumber /*<The component number of the field variable to get the element value from the field parameter set. */,
    cmfe_Bool *value /*<On return, the value from the field parameter set. */);

/*>Returns from the given parameter set a logical value for the specified element of a field variable component for a field identified by an object. */
IRON_C_EXPORT cmfe_Error cmfe_Field_ParameterSetGetElementL(const cmfe_FieldType field /*<The field to get the element value from the field parameter set. */,
    const int variableType /*<The variable type of the field to get the element value from the field parameter set. \see OPENCMISS_FieldVariableTypes */,
    const int fieldSetType /*<The parameter set type of the field to get the element value from. \see OPENCMISS_FieldParameterSetTypes */,
    const int userElementNumber /*<The user element number to get the value from the field parameter set. */,
    const int componentNumber /*<The component number of the field variable to get the element value from the field parameter set. */,
    cmfe_Bool *value /*<On return, the value from the field parameter set. */);

/*>Returns from the given parameter set an integer value for the specified node and derivative of a field variable component for a field identified by a user number. */
IRON_C_EXPORT cmfe_Error cmfe_Field_ParameterSetGetNodeIntgNum(const int regionUserNumber /*<The user number of the region containing the field to get the nodal value from the field parameter set. */,
    const int fieldUserNumber /*<The user number of the field to get the nodal value from the field parameter set. */,
    const int variableType /*<The variable type of the field to get the nodal value from the field parameter set. \see OPENCMISS_FieldVariableTypes */,
    const int fieldSetType /*<The parameter set type of the field to get the nodal value from. \see OPENCMISS_FieldParameterSetTypes */,
    const int versionNumber /*<The derivative version number to get the value from the field parameter set. */,
    const int derivativeNumber /*<The derivative number to get the value from the field parameter set. */,
    const int userNodeNumber /*<The user node number to get the value from the field parameter set. */,
    const int componentNumber /*<The component number of the field variable to get the nodal value from the field parameter set. */,
    int *value /*<On return, the value from the field parameter set. */);

/*>Returns from the given parameter set an integer value for the specified node and derivative of a field variable component for a field identified by an object. */
IRON_C_EXPORT cmfe_Error cmfe_Field_ParameterSetGetNodeIntg(const cmfe_FieldType field /*<The field to get the nodal value from the field parameter set. */,
    const int variableType /*<The variable type of the field to get the nodal value from the field parameter set. \see OPENCMISS_FieldVariableTypes */,
    const int fieldSetType /*<The parameter set type of the field to get the nodal value from. \see OPENCMISS_FieldParameterSetTypes */,
    const int versionNumber /*<The derivative version number to get the value from the field parameter set. */,
    const int derivativeNumber /*<The derivative number to get the value from the field parameter set. */,
    const int userNodeNumber /*<The user node number to get the value from the field parameter set. */,
    const int componentNumber /*<The component number of the field variable to get the nodal value from the field parameter set. */,
    int *value /*<On return, the value from the field parameter set. */);

/*>Returns from the given parameter set a single precision value for the specified node and derivative of a field variable component for a field identified by a user number. */
IRON_C_EXPORT cmfe_Error cmfe_Field_ParameterSetGetNodeSPNum(const int regionUserNumber /*<The user number of the region containing the field to get the nodal value from the field parameter set. */,
    const int fieldUserNumber /*<The user number of the field to get the nodal value from the field parameter set. */,
    const int variableType /*<The variable type of the field to get the nodal value from the field parameter set. \see OPENCMISS_FieldVariableTypes */,
    const int fieldSetType /*<The parameter set type of the field to get the nodal value from. \see OPENCMISS_FieldParameterSetTypes */,
    const int versionNumber /*<The derivative version number to get the value from the field parameter set. */,
    const int derivativeNumber /*<The derivative number to get the value from the field parameter set. */,
    const int userNodeNumber /*<The user node number to get the value from the field parameter set. */,
    const int componentNumber /*<The component number of the field variable to get the nodal value from the field parameter set. */,
    float *value /*<On return, the value from the field parameter set. */);

/*>Returns from the given parameter set a single precision value for the specified node and derivative of a field variable component for a field identified by an object. */
IRON_C_EXPORT cmfe_Error cmfe_Field_ParameterSetGetNodeSP(const cmfe_FieldType field /*<The field to get the nodal value from the field parameter set. */,
    const int variableType /*<The variable type of the field to get the nodal value from the field parameter set. \see OPENCMISS_FieldVariableTypes */,
    const int fieldSetType /*<The parameter set type of the field to get the nodal value from. \see OPENCMISS_FieldParameterSetTypes */,
    const int versionNumber /*<The derivative version number to get the value from the field parameter set. */,
    const int derivativeNumber /*<The derivative number to get the value from the field parameter set. */,
    const int userNodeNumber /*<The user node number to get the value from the field parameter set. */,
    const int componentNumber /*<The component number of the field variable to get the nodal value from the field parameter set. */,
    float *value /*<On return, the value from the field parameter set. */);

/*>Returns from the given parameter set a double precision value for the specified node and derivative of a field variable component for a field identified by a user number. */
IRON_C_EXPORT cmfe_Error cmfe_Field_ParameterSetGetNodeDPNum(const int regionUserNumber /*<The user number of the region containing the field to get the nodal value from the field parameter set. */,
    const int fieldUserNumber /*<The user number of the field to get the nodal value from the field parameter set. */,
    const int variableType /*<The variable type of the field to get the nodal value from the field parameter set. \see OPENCMISS_FieldVariableTypes */,
    const int fieldSetType /*<The parameter set type of the field to get the nodal value from. \see OPENCMISS_FieldParameterSetTypes */,
    const int versionNumber /*<The derivative version number to get the value from the field parameter set. */,
    const int derivativeNumber /*<The derivative number to get the value from the field parameter set. */,
    const int userNodeNumber /*<The user node number to get the value from the field parameter set. */,
    const int componentNumber /*<The component number of the field variable to get the nodal value from the field parameter set. */,
    double *value /*<On return, the value from the field parameter set. */);

/*>Returns from the given parameter set a double precision value for the specified node and derivative of a field variable component for a field identified by an object. */
IRON_C_EXPORT cmfe_Error cmfe_Field_ParameterSetGetNodeDP(const cmfe_FieldType field /*<The field to get the nodal value from the field parameter set. */,
    const int variableType /*<The variable type of the field to get the nodal value from the field parameter set. \see OPENCMISS_FieldVariableTypes */,
    const int fieldSetType /*<The parameter set type of the field to get the nodal value from. \see OPENCMISS_FieldParameterSetTypes */,
    const int versionNumber /*<The derivative version number to get the value from the field parameter set. */,
    const int derivativeNumber /*<The derivative number to get the value from the field parameter set. */,
    const int userNodeNumber /*<The user node number to get the value from the field parameter set. */,
    const int componentNumber /*<The component number of the field variable to get the nodal value from the field parameter set. */,
    double *value /*<On return, the value from the field parameter set. */);

/*>Returns from the given parameter set a logical value for the specified node and derivative of a field variable component for a field identified by a user number. */
IRON_C_EXPORT cmfe_Error cmfe_Field_ParameterSetGetNodeLNum(const int regionUserNumber /*<The user number of the region containing the field to get the nodal value from the field parameter set. */,
    const int fieldUserNumber /*<The user number of the field to get the nodal value from the field parameter set. */,
    const int variableType /*<The variable type of the field to get the nodal value from the field parameter set. \see OPENCMISS_FieldVariableTypes */,
    const int fieldSetType /*<The parameter set type of the field to get the nodal value from. \see OPENCMISS_FieldParameterSetTypes */,
    const int versionNumber /*<The derivative version number to get the value from the field parameter set. */,
    const int derivativeNumber /*<The derivative number to get the value from the field parameter set. */,
    const int userNodeNumber /*<The user node number to get the value from the field parameter set. */,
    const int componentNumber /*<The component number of the field variable to get the nodal value from the field parameter set. */,
    cmfe_Bool *value /*<On return, the value from the field parameter set. */);

/*>Returns from the given parameter set a logical value for the specified node and derivative of a field variable component for a field identified by an object. */
IRON_C_EXPORT cmfe_Error cmfe_Field_ParameterSetGetNodeL(const cmfe_FieldType field /*<The field to get the nodal value from the field parameter set. */,
    const int variableType /*<The variable type of the field to get the nodal value from the field parameter set. \see OPENCMISS_FieldVariableTypes */,
    const int fieldSetType /*<The parameter set type of the field to get the nodal value from. \see OPENCMISS_FieldParameterSetTypes */,
    const int versionNumber /*<The derivative version number to get the value from the field parameter set. */,
    const int derivativeNumber /*<The derivative number to get the value from the field parameter set. */,
    const int userNodeNumber /*<The user node number to get the value from the field parameter set. */,
    const int componentNumber /*<The component number of the field variable to get the nodal value from the field parameter set. */,
    cmfe_Bool *value /*<On return, the value from the field parameter set. */);

/*>Returns from the given parameter set a double precision value for the specified element of a field variable component for a field identified by an object. */
IRON_C_EXPORT cmfe_Error cmfe_Field_ParameterSetGetGaussPointDP(const cmfe_FieldType field /*<The field to get the element value from the field parameter set. */,
    const int variableType /*<The variable type of the field to get the element value from the field parameter set. \see OPENCMISS_FieldVariableTypes */,
    const int fieldSetType /*<The parameter set type of the field to get the element value from. \see OPENCMISS_FieldParameterSetTypes */,
    const int gaussPointNumber /*<The gauss point number number to get the value from the field parameter set. */,
    const int userElementNumber /*<The user element number to get the value from the field parameter set. */,
    const int componentNumber /*<The component number of the field variable to get the element value from the field parameter set. */,
    double *VALUE /*<On return, the value from the field parameter set. */);

/*>Updates the given parameter set with the given integer value for the constant of the field variable component for a field identified by a user number. */
IRON_C_EXPORT cmfe_Error cmfe_Field_ParameterSetUpdateConstantIntgNum(const int regionUserNumber /*<The user number of the region containing the field to update the constant value for the field parameter set. */,
    const int fieldUserNumber /*<The user number of the field to update the constant value for the field parameter set. */,
    const int variableType /*<The variable type of the field to update the constant value for the field parameter set. \see OPENCMISS_FieldVariableTypes */,
    const int fieldSetType /*<The parameter set type of the field to update the constant value for. \see OPENCMISS_FieldParameterSetTypes */,
    const int componentNumber /*<The component number of the field variable to update the constant value for the field parameter set. */,
    const int value /*<The value to update the field parameter set to. */);

/*>Updates the given parameter set with the given integer value for the constant of the field variable component for a field identified by an object. */
IRON_C_EXPORT cmfe_Error cmfe_Field_ParameterSetUpdateConstantIntg(const cmfe_FieldType field /*<The field to update the constant value for the field parameter set. */,
    const int variableType /*<The variable type of the field to update the constant value for the field parameter set. \see OPENCMISS_FieldVariableTypes */,
    const int fieldSetType /*<The parameter set type of the field to update the constant value for. \see OPENCMISS_FieldParameterSetTypes */,
    const int componentNumber /*<The component number of the field variable to update the constant value for the field parameter set. */,
    const int value /*<The value for the field parameter set to update. */);

/*>Updates the given parameter set with the given single precision value for the constant of the field variable component for a field identified by a user number. */
IRON_C_EXPORT cmfe_Error cmfe_Field_ParameterSetUpdateConstantSPNum(const int regionUserNumber /*<The user number of the region containing the field to update the constant value for the field parameter set. */,
    const int fieldUserNumber /*<The user number of the field to update the constant value for the field parameter set. */,
    const int variableType /*<The variable type of the field to update the constant value for the field parameter set. \see OPENCMISS_FieldVariableTypes */,
    const int fieldSetType /*<The parameter set type of the field to update the constant value for. \see OPENCMISS_FieldParameterSetTypes */,
    const int componentNumber /*<The component number of the field variable to update the constant value for the field parameter set. */,
    const float value /*<The value to update the field parameter set to. */);

/*>Updates the given parameter set with the given single precision value for the constant of the field variable component for a field identified by an object. */
IRON_C_EXPORT cmfe_Error cmfe_Field_ParameterSetUpdateConstantSP(const cmfe_FieldType field /*<The field to update the constant value for the field parameter set. */,
    const int variableType /*<The variable type of the field to update the constant value for the field parameter set. \see OPENCMISS_FieldVariableTypes */,
    const int fieldSetType /*<The parameter set type of the field to update the constant value for. \see OPENCMISS_FieldParameterSetTypes */,
    const int componentNumber /*<The component number of the field variable to update the constant value for the field parameter set. */,
    const float value /*<The value for the field parameter set to update. */);

/*>Updates the given parameter set with the given double precision value for the constant of the field variable component for a field identified by a user number. */
IRON_C_EXPORT cmfe_Error cmfe_Field_ParameterSetUpdateConstantDPNum(const int regionUserNumber /*<The user number of the region containing the field to update the constant value for the field parameter set. */,
    const int fieldUserNumber /*<The user number of the field to update the constant value for the field parameter set. */,
    const int variableType /*<The variable type of the field to update the constant value for the field parameter set. \see OPENCMISS_FieldVariableTypes */,
    const int fieldSetType /*<The parameter set type of the field to update the constant value for. \see OPENCMISS_FieldParameterSetTypes */,
    const int componentNumber /*<The component number of the field variable to update the constant value for the field parameter set. */,
    const double value /*<The value to update the field parameter set to. */);

/*>Updates the given parameter set with the given double precision value for the constant of the field variable component for a field identified by an object. */
IRON_C_EXPORT cmfe_Error cmfe_Field_ParameterSetUpdateConstantDP(const cmfe_FieldType field /*<The field to update the constant value for the field parameter set. */,
    const int variableType /*<The variable type of the field to update the constant value for the field parameter set. \see OPENCMISS_FieldVariableTypes */,
    const int fieldSetType /*<The parameter set type of the field to update the constant value for. \see OPENCMISS_FieldParameterSetTypes */,
    const int componentNumber /*<The component number of the field variable to update the constant value for the field parameter set. */,
    const double value /*<The value for the field parameter set to update. */);

/*>Updates the given parameter set with the given logical value for the constant of the field variable component for a field identified by a user number. */
IRON_C_EXPORT cmfe_Error cmfe_Field_ParameterSetUpdateConstantLNum(const int regionUserNumber /*<The user number of the region containing the field to update the constant value for the field parameter set. */,
    const int fieldUserNumber /*<The user number of the field to update the constant value for the field parameter set. */,
    const int variableType /*<The variable type of the field to update the constant value for the field parameter set. \see OPENCMISS_FieldVariableTypes */,
    const int fieldSetType /*<The parameter set type of the field to update the constant value for. \see OPENCMISS_FieldParameterSetTypes */,
    const int componentNumber /*<The component number of the field variable to update the constant value for the field parameter set. */,
    const cmfe_Bool value /*<The value to update the field parameter set to. */);

/*>Updates the given parameter set with the given logical value for the constant of the field variable component for a field identified by an object. */
IRON_C_EXPORT cmfe_Error cmfe_Field_ParameterSetUpdateConstantL(const cmfe_FieldType field /*<The field to update the constant value for the field parameter set. */,
    const int variableType /*<The variable type of the field to update the constant value for the field parameter set. \see OPENCMISS_FieldVariableTypes */,
    const int fieldSetType /*<The parameter set type of the field to update the constant value for. \see OPENCMISS_FieldParameterSetTypes */,
    const int componentNumber /*<The component number of the field variable to update the constant value for the field parameter set. */,
    const cmfe_Bool value /*<The value for the field parameter set to update. */);

/*>Update the given parameter set a integer value for the specified data point of a field variable component for a field identified by a user number. */
IRON_C_EXPORT cmfe_Error cmfe_Field_ParameterSetUpdateDataPointIntgNumberI(const int parentRegionUserNumber /*<The user number of the parent region for the interface. */,
    const int interfaceUserNumber /*<The user number of the interface containing the field to update the data point value from the field parameter set. */,
    const int fieldUserNumber /*<The user number of the field to update the data point value from the field parameter set. */,
    const int variableType /*<The variable type of the field to update the data point value from the field parameter set. \see OPENCMISS_FieldVariableTypes */,
    const int fieldSetType /*<The parameter set type of the field to update the data point value from. \see OPENCMISS_FieldParameterSetTypes */,
    const int userDataPointNumber /*<The user data point number to update the value for */,
    const int componentNumber /*<The component number of the field variable to update the data point value from the field parameter set. */,
    const int value /*<The value for the field parameter set to update */);

/*>Update the given parameter set a integer value for the specified data point of a field variable component for a field identified by a user number. */
IRON_C_EXPORT cmfe_Error cmfe_Field_ParameterSetUpdateDataPointIntgNumberR(const int regionUserNumber /*<The user number of the region containing the field to update the data point value from the field parameter set. */,
    const int fieldUserNumber /*<The user number of the field to update the data point value from the field parameter set. */,
    const int variableType /*<The variable type of the field to update the data point value from the field parameter set. \see OPENCMISS_FieldVariableTypes */,
    const int fieldSetType /*<The parameter set type of the field to update the data point value from. \see OPENCMISS_FieldParameterSetTypes */,
    const int userDataPointNumber /*<The user data point number to update the value for */,
    const int componentNumber /*<The component number of the field variable to update the data point value from the field parameter set. */,
    const int value /*<The value for the field parameter set to update */);

/*>Update the given parameter set a integer value for the specified constant of a field variable component for a field identified by an object. */
IRON_C_EXPORT cmfe_Error cmfe_Field_ParameterSetUpdateDataPointIntg(const cmfe_FieldType field /*<The field to update the data point value from the field parameter set. */,
    const int variableType /*<The variable type of the field to update the data point value from the field parameter set. \see OPENCMISS_FieldVariableTypes */,
    const int fieldSetType /*<The parameter set type of the field to update the data point value from. \see OPENCMISS_FieldParameterSetTypes */,
    const int userDataPointNumber /*<The user data point number to update the value for */,
    const int componentNumber /*<The component number of the field variable to update the data point value from the field parameter set. */,
    const int value /*<The value for the field parameter set to update */);

/*>Update the given parameter set a single precision value for the specified data point of a field variable component for a field identified by a user number. */
IRON_C_EXPORT cmfe_Error cmfe_Field_ParameterSetUpdateDataPointSPNumberI(const int parentRegionUserNumber /*<The user number of the parent region for the interface. */,
    const int interfaceUserNumber /*<The user number of the interface containing the field to update the data point value from the field parameter set. */,
    const int fieldUserNumber /*<The user number of the field to update the data point value from the field parameter set. */,
    const int variableType /*<The variable type of the field to update the data point value from the field parameter set. \see OPENCMISS_FieldVariableTypes */,
    const int fieldSetType /*<The parameter set type of the field to update the data point value from. \see OPENCMISS_FieldParameterSetTypes */,
    const int userDataPointNumber /*<The user data point number to update the value for */,
    const int componentNumber /*<The component number of the field variable to update the data point value from the field parameter set. */,
    const float value /*<The value for the field parameter set to update */);

/*>Update the given parameter set a single precision value for the specified data point of a field variable component for a field identified by a user number. */
IRON_C_EXPORT cmfe_Error cmfe_Field_ParameterSetUpdateDataPointSPNumberR(const int regionUserNumber /*<The user number of the region containing the field to update the data point value from the field parameter set. */,
    const int fieldUserNumber /*<The user number of the field to update the data point value from the field parameter set. */,
    const int variableType /*<The variable type of the field to update the data point value from the field parameter set. \see OPENCMISS_FieldVariableTypes */,
    const int fieldSetType /*<The parameter set type of the field to update the data point value from. \see OPENCMISS_FieldParameterSetTypes */,
    const int userDataPointNumber /*<The user data point number to update the value for */,
    const int componentNumber /*<The component number of the field variable to update the data point value from the field parameter set. */,
    const float value /*<The value for the field parameter set to update */);

/*>Update the given parameter set a single precision value for the specified constant of a field variable component for a field identified by an object. */
IRON_C_EXPORT cmfe_Error cmfe_Field_ParameterSetUpdateDataPointSP(const cmfe_FieldType field /*<The field to update the data point value from the field parameter set. */,
    const int variableType /*<The variable type of the field to update the data point value from the field parameter set. \see OPENCMISS_FieldVariableTypes */,
    const int fieldSetType /*<The parameter set type of the field to update the data point value from. \see OPENCMISS_FieldParameterSetTypes */,
    const int userDataPointNumber /*<The user data point number to update the value for */,
    const int componentNumber /*<The component number of the field variable to update the data point value from the field parameter set. */,
    const float value /*<The value for the field parameter set to update */);

/*>Update the given parameter set a double precision value for the specified data point of a field variable component for a field identified by a user number. */
IRON_C_EXPORT cmfe_Error cmfe_Field_ParameterSetUpdateDataPointDPNumberI(const int parentRegionUserNumber /*<The user number of the parent region for the interface. */,
    const int interfaceUserNumber /*<The user number of the interface containing the field to update the data point value from the field parameter set. */,
    const int fieldUserNumber /*<The user number of the field to update the data point value from the field parameter set. */,
    const int variableType /*<The variable type of the field to update the data point value from the field parameter set. \see OPENCMISS_FieldVariableTypes */,
    const int fieldSetType /*<The parameter set type of the field to update the data point value from. \see OPENCMISS_FieldParameterSetTypes */,
    const int userDataPointNumber /*<The user data point number to update the value for */,
    const int componentNumber /*<The component number of the field variable to update the data point value from the field parameter set. */,
    const double value /*<The value for the field parameter set to update */);

/*>Update the given parameter set a double precision value for the specified data point of a field variable component for a field identified by a user number. */
IRON_C_EXPORT cmfe_Error cmfe_Field_ParameterSetUpdateDataPointDPNumberR(const int regionUserNumber /*<The user number of the region containing the field to update the data point value from the field parameter set. */,
    const int fieldUserNumber /*<The user number of the field to update the data point value from the field parameter set. */,
    const int variableType /*<The variable type of the field to update the data point value from the field parameter set. \see OPENCMISS_FieldVariableTypes */,
    const int fieldSetType /*<The parameter set type of the field to update the data point value from. \see OPENCMISS_FieldParameterSetTypes */,
    const int userDataPointNumber /*<The user data point number to update the value for */,
    const int componentNumber /*<The component number of the field variable to update the data point value from the field parameter set. */,
    const double value /*<The value for the field parameter set to update */);

/*>Update the given parameter set a double precision value for the specified constant of a field variable component for a field identified by an object. */
IRON_C_EXPORT cmfe_Error cmfe_Field_ParameterSetUpdateDataPointDP(const cmfe_FieldType field /*<The field to update the data point value from the field parameter set. */,
    const int variableType /*<The variable type of the field to update the data point value from the field parameter set. \see OPENCMISS_FieldVariableTypes */,
    const int fieldSetType /*<The parameter set type of the field to update the data point value from. \see OPENCMISS_FieldParameterSetTypes */,
    const int userDataPointNumber /*<The user data point number to update the value for */,
    const int componentNumber /*<The component number of the field variable to update the data point value from the field parameter set. */,
    const double value /*<The value for the field parameter set to update */);

/*>Update the given parameter set a logical value for the specified data point of a field variable component for a field identified by a user number. */
IRON_C_EXPORT cmfe_Error cmfe_Field_ParameterSetUpdateDataPointLNumberI(const int parentRegionUserNumber /*<The user number of the parent region for the interface. */,
    const int interfaceUserNumber /*<The user number of the interface containing the field to update the data point value from the field parameter set. */,
    const int fieldUserNumber /*<The user number of the field to update the data point value from the field parameter set. */,
    const int variableType /*<The variable type of the field to update the data point value from the field parameter set. \see OPENCMISS_FieldVariableTypes */,
    const int fieldSetType /*<The parameter set type of the field to update the data point value from. \see OPENCMISS_FieldParameterSetTypes */,
    const int userDataPointNumber /*<The user data point number to update the value for */,
    const int componentNumber /*<The component number of the field variable to update the data point value from the field parameter set. */,
    const cmfe_Bool value /*<The value for the field parameter set to update */);

/*>Update the given parameter set a logical value for the specified data point of a field variable component for a field identified by a user number. */
IRON_C_EXPORT cmfe_Error cmfe_Field_ParameterSetUpdateDataPointLNumberR(const int regionUserNumber /*<The user number of the region containing the field to update the data point value from the field parameter set. */,
    const int fieldUserNumber /*<The user number of the field to update the data point value from the field parameter set. */,
    const int variableType /*<The variable type of the field to update the data point value from the field parameter set. \see OPENCMISS_FieldVariableTypes */,
    const int fieldSetType /*<The parameter set type of the field to update the data point value from. \see OPENCMISS_FieldParameterSetTypes */,
    const int userDataPointNumber /*<The user data point number to update the value for */,
    const int componentNumber /*<The component number of the field variable to update the data point value from the field parameter set. */,
    const cmfe_Bool value /*<The value for the field parameter set to update */);

/*>Update the given parameter set a logical value for the specified constant of a field variable component for a field identified by an object. */
IRON_C_EXPORT cmfe_Error cmfe_Field_ParameterSetUpdateDataPointL(const cmfe_FieldType field /*<The field to update the data point value from the field parameter set. */,
    const int variableType /*<The variable type of the field to update the data point value from the field parameter set. \see OPENCMISS_FieldVariableTypes */,
    const int fieldSetType /*<The parameter set type of the field to update the data point value from. \see OPENCMISS_FieldParameterSetTypes */,
    const int userDataPointNumber /*<The user data point number to update the value for */,
    const int componentNumber /*<The component number of the field variable to update the data point value from the field parameter set. */,
    const cmfe_Bool value /*<The value for the field parameter set to update */);

/*>Updates the given parameter set with the given integer value for the element of the field variable component for a field identified by a user number. */
IRON_C_EXPORT cmfe_Error cmfe_Field_ParameterSetUpdateElementIntgNum(const int regionUserNumber /*<The user number of the region containing the field to update the element value for the field parameter set. */,
    const int fieldUserNumber /*<The user number of the field to update the element value for the field parameter set. */,
    const int variableType /*<The variable type of the field to update the element value for the field parameter set. \see OPENCMISS_FieldVariableTypes */,
    const int fieldSetType /*<The parameter set type of the field to update the element value for. \see OPENCMISS_FieldParameterSetTypes */,
    const int userElementNumber /*<The user element number of the field variable component to update for the field parameter set. */,
    const int componentNumber /*<The component number of the field variable to update the element value for the field parameter set. */,
    const int value /*<The value to update the field parameter set to. */);

/*>Updates the given parameter set with the given integer value for the element of the field variable component for a field identified by an object. */
IRON_C_EXPORT cmfe_Error cmfe_Field_ParameterSetUpdateElementIntg(const cmfe_FieldType field /*<The field to update the constant value for the field parameter set. */,
    const int variableType /*<The variable type of the field to update the constant value for the field parameter set. \see OPENCMISS_FieldVariableTypes */,
    const int fieldSetType /*<The parameter set type of the field to update the constant value for. \see OPENCMISS_FieldParameterSetTypes */,
    const int userElementNumber /*<The user element number of the field variable component to update for the field parameter set. */,
    const int componentNumber /*<The component number of the field variable to update the constant value for the field parameter set. */,
    const int value /*<The value for the field parameter set to update. */);

/*>Updates the given parameter set with the given single precision value for the element of the field variable component for a field identified by a user number. */
IRON_C_EXPORT cmfe_Error cmfe_Field_ParameterSetUpdateElementSPNum(const int regionUserNumber /*<The user number of the region containing the field to update the element value for the field parameter set. */,
    const int fieldUserNumber /*<The user number of the field to update the element value for the field parameter set. */,
    const int variableType /*<The variable type of the field to update the element value for the field parameter set. \see OPENCMISS_FieldVariableTypes */,
    const int fieldSetType /*<The parameter set type of the field to update the element value for. \see OPENCMISS_FieldParameterSetTypes */,
    const int userElementNumber /*<The user element number of the field variable component to update for the field parameter set. */,
    const int componentNumber /*<The component number of the field variable to update the element value for the field parameter set. */,
    const float value /*<The value to update the field parameter set to. */);

/*>Updates the given parameter set with the given single precision value for the element of the field variable component for a field identified by an object. */
IRON_C_EXPORT cmfe_Error cmfe_Field_ParameterSetUpdateElementSP(const cmfe_FieldType field /*<The field to update the constant value for the field parameter set. */,
    const int variableType /*<The variable type of the field to update the constant value for the field parameter set. \see OPENCMISS_FieldVariableTypes */,
    const int fieldSetType /*<The parameter set type of the field to update the constant value for. \see OPENCMISS_FieldParameterSetTypes */,
    const int userElementNumber /*<The user element number of the field variable component to update for the field parameter set. */,
    const int componentNumber /*<The component number of the field variable to update the constant value for the field parameter set. */,
    const float value /*<The value for the field parameter set to update. */);

/*>Updates the given parameter set with the given double precision value for the element of the field variable component for a field identified by a user number. */
IRON_C_EXPORT cmfe_Error cmfe_Field_ParameterSetUpdateElementDPNum(const int regionUserNumber /*<The user number of the region containing the field to update the element value for the field parameter set. */,
    const int fieldUserNumber /*<The user number of the field to update the element value for the field parameter set. */,
    const int variableType /*<The variable type of the field to update the element value for the field parameter set. \see OPENCMISS_FieldVariableTypes */,
    const int fieldSetType /*<The parameter set type of the field to update the element value for. \see OPENCMISS_FieldParameterSetTypes */,
    const int userElementNumber /*<The user element number of the field variable component to update for the field parameter set. */,
    const int componentNumber /*<The component number of the field variable to update the element value for the field parameter set. */,
    const double value /*<The value to update the field parameter set to. */);

/*>Updates the given parameter set with the given double precision value for the element of the field variable component for a field identified by an object. */
IRON_C_EXPORT cmfe_Error cmfe_Field_ParameterSetUpdateElementDP(const cmfe_FieldType field /*<The field to update the constant value for the field parameter set. */,
    const int variableType /*<The variable type of the field to update the constant value for the field parameter set. \see OPENCMISS_FieldVariableTypes */,
    const int fieldSetType /*<The parameter set type of the field to update the constant value for. \see OPENCMISS_FieldParameterSetTypes */,
    const int userElementNumber /*<The user element number of the field variable component to update for the field parameter set. */,
    const int componentNumber /*<The component number of the field variable to update the constant value for the field parameter set. */,
    const double value /*<The value for the field parameter set to update. */);

/*>Updates the given parameter set with the given logical value for the element of the field variable component for a field identified by a user number. */
IRON_C_EXPORT cmfe_Error cmfe_Field_ParameterSetUpdateElementLNum(const int regionUserNumber /*<The user number of the region containing the field to update the element value for the field parameter set. */,
    const int fieldUserNumber /*<The user number of the field to update the element value for the field parameter set. */,
    const int variableType /*<The variable type of the field to update the element value for the field parameter set. \see OPENCMISS_FieldVariableTypes */,
    const int fieldSetType /*<The parameter set type of the field to update the element value for. \see OPENCMISS_FieldParameterSetTypes */,
    const int userElementNumber /*<The user element number of the field variable component to update for the field parameter set. */,
    const int componentNumber /*<The component number of the field variable to update the element value for the field parameter set. */,
    const cmfe_Bool value /*<The value to update the field parameter set to. */);

/*>Updates the given parameter set with the given logical value for the element of the field variable component for a field identified by an object. */
IRON_C_EXPORT cmfe_Error cmfe_Field_ParameterSetUpdateElementL(const cmfe_FieldType field /*<The field to update the constant value for the field parameter set. */,
    const int variableType /*<The variable type of the field to update the constant value for the field parameter set. \see OPENCMISS_FieldVariableTypes */,
    const int fieldSetType /*<The parameter set type of the field to update the constant value for. \see OPENCMISS_FieldParameterSetTypes */,
    const int userElementNumber /*<The user element number of the field variable component to update for the field parameter set. */,
    const int componentNumber /*<The component number of the field variable to update the constant value for the field parameter set. */,
    const cmfe_Bool value /*<The value for the field parameter set to update. */);

/*>Updates the given parameter set with the given double precision value for the element data point of the field variable component for a field identified by an object. */
IRON_C_EXPORT cmfe_Error cmfe_Field_ParameterSetUpdateElementDataPointDP(const cmfe_FieldType field /*<The field to update the constant value for the field parameter set. */,
    const int variableType /*<The variable type of the field to update the constant value for the field parameter set. \see OPENCMISS_FieldVariableTypes */,
    const int fieldSetType /*<The parameter set type of the field to update the constant value for. \see OPENCMISS_FieldParameterSetTypes */,
    const int elementNumber /*<The user element number to update the data point for. */,
    const int dataPointIndex /*<The index of the data point for the data points projected on this element. */,
    const int componentNumber /*<The component number of the field variable to update the constant value for the field parameter set. */,
    const double value /*<The value for the field parameter set to update. */);

/*>Finishes the parameter set update for a field variable for a field identified by a user number. */
IRON_C_EXPORT cmfe_Error cmfe_Field_ParameterSetUpdateFinishNum(const int regionUserNumber /*<The user number of the region containing the field to finish the parameter set update for. */,
    const int fieldUserNumber /*<The user number of the field to finish the parameter set update for. */,
    const int variableType /*<The variable type of the field to finish the parameter set update for. \see OPENCMISS_FieldVariableTypes */,
    const int fieldSetType /*<The parameter set type to finish the update for. \see OPENCMISS_FieldParameterSetTypes */);

/*>Finishes the parameter set update for a field variable for a field identified by an object. */
IRON_C_EXPORT cmfe_Error cmfe_Field_ParameterSetUpdateFinish(const cmfe_FieldType field /*<The field to finishe the parameter set update for. */,
    const int variableType /*<The variable type of the field to finish the parameter set update for. \see OPENCMISS_FieldVariableTypes */,
    const int fieldSetType /*<The parameter set type to finish the update for. \see OPENCMISS_FieldParameterSetTypes */);

/*>Updates the given parameter set with the given integer value for the node and derivative of the field variable component for a field identified by a user number. */
IRON_C_EXPORT cmfe_Error cmfe_Field_ParameterSetUpdateNodeIntgNum(const int regionUserNumber /*<The user number of the region containing the field to update the nodal value for the field parameter set. */,
    const int fieldUserNumber /*<The user number of the field to update the nodal value for the field parameter set. */,
    const int variableType /*<The variable type of the field to update the nodal value for the field parameter set. \see OPENCMISS_FieldVariableTypes */,
    const int fieldSetType /*<The parameter set type of the field to update the nodal value for. \see OPENCMISS_FieldParameterSetTypes */,
    const int versionNumber /*<The derivative version number of the field variable component to update for the field parameter set. */,
    const int derivativeNumber /*<The derivative number of the field variable component to update for the field parameter set. */,
    const int userNodeNumber /*<The user node number of the field variable component to update for the field parameter set. */,
    const int componentNumber /*<The component number of the field variable to update the nodal value for the field parameter set. */,
    const int value /*<The value to update the field parameter set to. */);

/*> */
IRON_C_EXPORT cmfe_Error cmfe_Field_ParameterSetUpdateNodeIntg(const cmfe_FieldType field /*<The field to update the nodal value for the field parameter set. */,
    const int variableType /*<The variable type of the field to update the nodal value for the field parameter set. \see OPENCMISS_FieldVariableTypes */,
    const int fieldSetType /*<The parameter set type of the field to update the nodal value for. \see OPENCMISS_FieldParameterSetTypes */,
    const int versionNumber /*<The derivative version number of the field variable component to update for the field parameter set. */,
    const int derivativeNumber /*<The derivative number of the field variable component to update for the field parameter set. */,
    const int userNodeNumber /*<The user node number of the field variable component to update for the field parameter set. */,
    const int componentNumber /*<The component number of the field variable to update the nodal value for the field parameter set. */,
    const int value /*<The value to update the field parameter set to. */);

/*>Updates the given parameter set with the given single precision value for the node and derivative of the field variable component for a field identified by a user number. */
IRON_C_EXPORT cmfe_Error cmfe_Field_ParameterSetUpdateNodeSPNum(const int regionUserNumber /*<The user number of the region containing the field to update the nodal value for the field parameter set. */,
    const int fieldUserNumber /*<The user number of the field to update the nodal value for the field parameter set. */,
    const int variableType /*<The variable type of the field to update the nodal value for the field parameter set. \see OPENCMISS_FieldVariableTypes */,
    const int fieldSetType /*<The parameter set type of the field to update the nodal value for. \see OPENCMISS_FieldParameterSetTypes */,
    const int versionNumber /*<The derivative version number of the field variable component to update for the field parameter set. */,
    const int derivativeNumber /*<The derivative number of the field variable component to update for the field parameter set. */,
    const int userNodeNumber /*<The user node number of the field variable component to update for the field parameter set. */,
    const int componentNumber /*<The component number of the field variable to update the nodal value for the field parameter set. */,
    const float value /*<The value to update the field parameter set to. */);

/*> */
IRON_C_EXPORT cmfe_Error cmfe_Field_ParameterSetUpdateNodeSP(const cmfe_FieldType field /*<The field to update the nodal value for the field parameter set. */,
    const int variableType /*<The variable type of the field to update the nodal value for the field parameter set. \see OPENCMISS_FieldVariableTypes */,
    const int fieldSetType /*<The parameter set type of the field to update the nodal value for. \see OPENCMISS_FieldParameterSetTypes */,
    const int versionNumber /*<The derivative version number of the field variable component to update for the field parameter set. */,
    const int derivativeNumber /*<The derivative number of the field variable component to update for the field parameter set. */,
    const int userNodeNumber /*<The user node number of the field variable component to update for the field parameter set. */,
    const int componentNumber /*<The component number of the field variable to update the nodal value for the field parameter set. */,
    const float value /*<The value to update the field parameter set to. */);

/*>Updates the given parameter set with the given double precision value for the node and derivative of the field variable component for a field identified by a user number. */
IRON_C_EXPORT cmfe_Error cmfe_Field_ParameterSetUpdateNodeDPNum(const int regionUserNumber /*<The user number of the region containing the field to update the nodal value for the field parameter set. */,
    const int fieldUserNumber /*<The user number of the field to update the nodal value for the field parameter set. */,
    const int variableType /*<The variable type of the field to update the nodal value for the field parameter set. \see OPENCMISS_FieldVariableTypes */,
    const int fieldSetType /*<The parameter set type of the field to update the nodal value for. \see OPENCMISS_FieldParameterSetTypes */,
    const int versionNumber /*<The derivative version number of the field variable component to update for the field parameter set. */,
    const int derivativeNumber /*<The derivative number of the field variable component to update for the field parameter set. */,
    const int userNodeNumber /*<The user node number of the field variable component to update for the field parameter set. */,
    const int componentNumber /*<The component number of the field variable to update the nodal value for the field parameter set. */,
    const double value /*<The value to update the field parameter set to. */);

/*> */
IRON_C_EXPORT cmfe_Error cmfe_Field_ParameterSetUpdateNodeDP(const cmfe_FieldType field /*<The field to update the nodal value for the field parameter set. */,
    const int variableType /*<The variable type of the field to update the nodal value for the field parameter set. \see OPENCMISS_FieldVariableTypes */,
    const int fieldSetType /*<The parameter set type of the field to update the nodal value for. \see OPENCMISS_FieldParameterSetTypes */,
    const int versionNumber /*<The derivative version number of the field variable component to update for the field parameter set. */,
    const int derivativeNumber /*<The derivative number of the field variable component to update for the field parameter set. */,
    const int userNodeNumber /*<The user node number of the field variable component to update for the field parameter set. */,
    const int componentNumber /*<The component number of the field variable to update the nodal value for the field parameter set. */,
    const double value /*<The value to update the field parameter set to. */);

/*>Updates the given parameter set with the given logical value for the node and derivative of the field variable component for a field identified by a user number. */
IRON_C_EXPORT cmfe_Error cmfe_Field_ParameterSetUpdateNodeLNum(const int regionUserNumber /*<The user number of the region containing the field to update the nodal value for the field parameter set. */,
    const int fieldUserNumber /*<The user number of the field to update the nodal value for the field parameter set. */,
    const int variableType /*<The variable type of the field to update the nodal value for the field parameter set. \see OPENCMISS_FieldVariableTypes */,
    const int fieldSetType /*<The parameter set type of the field to update the nodal value for. \see OPENCMISS_FieldParameterSetTypes */,
    const int versionNumber /*<The derivative version number of the field variable component to update for the field parameter set. */,
    const int derivativeNumber /*<The derivative number of the field variable component to update for the field parameter set. */,
    const int userNodeNumber /*<The user node number of the field variable component to update for the field parameter set. */,
    const int componentNumber /*<The component number of the field variable to update the nodal value for the field parameter set. */,
    const cmfe_Bool value /*<The value to update the field parameter set to. */);

/*> */
IRON_C_EXPORT cmfe_Error cmfe_Field_ParameterSetUpdateNodeL(const cmfe_FieldType field /*<The field to update the nodal value for the field parameter set. */,
    const int variableType /*<The variable type of the field to update the nodal value for the field parameter set. \see OPENCMISS_FieldVariableTypes */,
    const int fieldSetType /*<The parameter set type of the field to update the nodal value for. \see OPENCMISS_FieldParameterSetTypes */,
    const int versionNumber /*<The derivative version number of the field variable component to update for the field parameter set. */,
    const int derivativeNumber /*<The derivative number of the field variable component to update for the field parameter set. */,
    const int userNodeNumber /*<The user node number of the field variable component to update for the field parameter set. */,
    const int componentNumber /*<The component number of the field variable to update the nodal value for the field parameter set. */,
    const cmfe_Bool value /*<The value to update the field parameter set to. */);

/*>Updates the given parameter set with the given values for all local dofs of the field variable identified by an object.. */
IRON_C_EXPORT cmfe_Error cmfe_Field_ParameterSetUpdateLocalDofsDP(const cmfe_FieldType field /*<The field to update the values for the field parameter set. */,
    const int variableType /*<The variable type of the field to update values for the field parameter set. \see OPENCMISS_FieldVariableTypes */,
    const int fieldSetType /*<The parameter set type of the field to update values for. \see OPENCMISS_FieldParameterSetTypes */,
    const int valuesSize /*<Length of values */,
    const double *values /*<The values to update the field parameter set to. */);

/*>Updates the given parameter set with the given integer value for the element Gauss point of the field variable component for a field identified by a user number. */
IRON_C_EXPORT cmfe_Error cmfe_Field_ParameterSetUpdateGaussPointIntgNum(const int regionUserNumber /*<The user number of the region containing the field to update the Gauss point value for the field parameter set. */,
    const int fieldUserNumber /*<The user number of the field to update the Gauss point value for the field parameter set. */,
    const int variableType /*<The variable type of the field to update the Gauss point value for the field parameter set. \see OPENCMISS_FieldVariableTypes */,
    const int fieldSetType /*<The parameter set type of the field to update the Gauss point value for. \see OPENCMISS_FieldParameterSetTypes */,
    const int gaussPointNumber /*<The user element number of the field variable component to update for the field parameter set. */,
    const int userElementNumber /*<The user element number of the field variable component to update for the field parameter set. */,
    const int componentNumber /*<The component number of the field variable to update the Gauss point value for the field parameter set. */,
    const int value /*<The value for the field parameter set to update. */);

/*>Updates the given parameter set with the given integer value for the element Gauss point of the field variable component for a field identified by an object. */
IRON_C_EXPORT cmfe_Error cmfe_Field_ParameterSetUpdateGaussPointIntg(const cmfe_FieldType field /*<The field to update the Gauss point value for the field parameter set. */,
    const int variableType /*<The variable type of the field to update the Gauss point value for the field parameter set. \see OPENCMISS_FieldVariableTypes */,
    const int fieldSetType /*<The parameter set type of the field to update the Gauss point value for. \see OPENCMISS_FieldParameterSetTypes */,
    const int gaussPointNumber /*<The user element number of the field variable component to update for the field parameter set. */,
    const int userElementNumber /*<The user element number of the field variable component to update for the field parameter set. */,
    const int componentNumber /*<The component number of the field variable to update the Gauss point value for the field parameter set. */,
    const int value /*<The value for the field parameter set to update. */);

/*>Updates the given parameter set with the given single precision value for the element Gauss point of the field variable component for a field identified by a user number. */
IRON_C_EXPORT cmfe_Error cmfe_Field_ParameterSetUpdateGaussPointSPNum(const int regionUserNumber /*<The user number of the region containing the field to update the Gauss point value for the field parameter set. */,
    const int fieldUserNumber /*<The user number of the field to update the Gauss point value for the field parameter set. */,
    const int variableType /*<The variable type of the field to update the Gauss point value for the field parameter set. \see OPENCMISS_FieldVariableTypes */,
    const int fieldSetType /*<The parameter set type of the field to update the Gauss point value for. \see OPENCMISS_FieldParameterSetTypes */,
    const int gaussPointNumber /*<The user element number of the field variable component to update for the field parameter set. */,
    const int userElementNumber /*<The user element number of the field variable component to update for the field parameter set. */,
    const int componentNumber /*<The component number of the field variable to update the Gauss point value for the field parameter set. */,
    const float value /*<The value for the field parameter set to update. */);

/*>Updates the given parameter set with the given single precision value for the element Gauss point of the field variable component for a field identified by an object. */
IRON_C_EXPORT cmfe_Error cmfe_Field_ParameterSetUpdateGaussPointSP(const cmfe_FieldType field /*<The field to update the Gauss point value for the field parameter set. */,
    const int variableType /*<The variable type of the field to update the Gauss point value for the field parameter set. \see OPENCMISS_FieldVariableTypes */,
    const int fieldSetType /*<The parameter set type of the field to update the Gauss point value for. \see OPENCMISS_FieldParameterSetTypes */,
    const int gaussPointNumber /*<The user element number of the field variable component to update for the field parameter set. */,
    const int userElementNumber /*<The user element number of the field variable component to update for the field parameter set. */,
    const int componentNumber /*<The component number of the field variable to update the Gauss point value for the field parameter set. */,
    const float value /*<The value for the field parameter set to update. */);

/*>Updates the given parameter set with the given double precision value for the element Gauss point of the field variable component for a field identified by a user number. */
IRON_C_EXPORT cmfe_Error cmfe_Field_ParameterSetUpdateGaussPointDPNum(const int regionUserNumber /*<The user number of the region containing the field to update the Gauss point value for the field parameter set. */,
    const int fieldUserNumber /*<The user number of the field to update the Gauss point value for the field parameter set. */,
    const int variableType /*<The variable type of the field to update the Gauss point value for the field parameter set. \see OPENCMISS_FieldVariableTypes */,
    const int fieldSetType /*<The parameter set type of the field to update the Gauss point value for. \see OPENCMISS_FieldParameterSetTypes */,
    const int gaussPointNumber /*<The user element number of the field variable component to update for the field parameter set. */,
    const int userElementNumber /*<The user element number of the field variable component to update for the field parameter set. */,
    const int componentNumber /*<The component number of the field variable to update the Gauss point value for the field parameter set. */,
    const double value /*<The value for the field parameter set to update. */);

/*>Updates the given parameter set with the given double precision value for the element Gauss point of the field variable component for a field identified by an object. */
IRON_C_EXPORT cmfe_Error cmfe_Field_ParameterSetUpdateGaussPointDP(const cmfe_FieldType field /*<The field to update the Gauss point value for the field parameter set. */,
    const int variableType /*<The variable type of the field to update the Gauss point value for the field parameter set. \see OPENCMISS_FieldVariableTypes */,
    const int fieldSetType /*<The parameter set type of the field to update the Gauss point value for. \see OPENCMISS_FieldParameterSetTypes */,
    const int gaussPointNumber /*<The user element number of the field variable component to update for the field parameter set. */,
    const int userElementNumber /*<The user element number of the field variable component to update for the field parameter set. */,
    const int componentNumber /*<The component number of the field variable to update the Gauss point value for the field parameter set. */,
    const double value /*<The value for the field parameter set to update. */);

/*>Updates the given parameter set with the given logical value for the element Gauss point of the field variable component for a field identified by a user number. */
IRON_C_EXPORT cmfe_Error cmfe_Field_ParameterSetUpdateGaussPointLNum(const int regionUserNumber /*<The user number of the region containing the field to update the Gauss point value for the field parameter set. */,
    const int fieldUserNumber /*<The user number of the field to update the Gauss point value for the field parameter set. */,
    const int variableType /*<The variable type of the field to update the Gauss point value for the field parameter set. \see OPENCMISS_FieldVariableTypes */,
    const int fieldSetType /*<The parameter set type of the field to update the Gauss point value for. \see OPENCMISS_FieldParameterSetTypes */,
    const int gaussPointNumber /*<The user element number of the field variable component to update for the field parameter set. */,
    const int userElementNumber /*<The user element number of the field variable component to update for the field parameter set. */,
    const int componentNumber /*<The component number of the field variable to update the Gauss point value for the field parameter set. */,
    const cmfe_Bool value /*<The value for the field parameter set to update. */);

/*>Updates the given parameter set with the given logical value for the element Gauss point of the field variable component for a field identified by an object. */
IRON_C_EXPORT cmfe_Error cmfe_Field_ParameterSetUpdateGaussPointL(const cmfe_FieldType field /*<The field to update the Gauss point value for the field parameter set. */,
    const int variableType /*<The variable type of the field to update the Gauss point value for the field parameter set. \see OPENCMISS_FieldVariableTypes */,
    const int fieldSetType /*<The parameter set type of the field to update the Gauss point value for. \see OPENCMISS_FieldParameterSetTypes */,
    const int gaussPointNumber /*<The user element number of the field variable component to update for the field parameter set. */,
    const int userElementNumber /*<The user element number of the field variable component to update for the field parameter set. */,
    const int componentNumber /*<The component number of the field variable to update the Gauss point value for the field parameter set. */,
    const cmfe_Bool value /*<The value for the field parameter set to update. */);

/*>Interpolates the given parameter set at a specified xi location for the specified element and derviative and returns double precision values for a field identified by a user number. */
IRON_C_EXPORT cmfe_Error cmfe_Field_ParameterSetInterpolateSingleXiDPNum(const int regionUserNumber /*<The user number of the region containing the field whose parameter set is to be interpolated. */,
    const int fieldUserNumber /*<The user number of the field whose parameter set is to be interpolated. */,
    const int variableType /*<The variable type of the field to interpolate. \see OPENCMISS_FieldVariableTypes */,
    const int fieldSetType /*<The parameter set type of the field to interpolate. \see OPENCMISS_FieldParameterSetTypes */,
    const int derivativeNumber /*<The derivative number of the field to interpolate. */,
    const int userElementNumber /*<The user element number of the field to interpolate. */,
    const int xiSize /*<Length of xi */,
    const double *xi /*<The element xi to interpolate the field at. */,
    const int valuesSize /*<Length of values */,
    double *values /*<The interpolated values. */);

/*>Interpolates the given parameter set at a specified xi location for the specified element and derviative and returns double precision values for a field identified by an object. */
IRON_C_EXPORT cmfe_Error cmfe_Field_ParameterSetInterpolateSingleXiDP(const cmfe_FieldType field /*<The field whose parameter set is to be interpolated. */,
    const int variableType /*<The variable type of the field to interpolate. \see OPENCMISS_FieldVariableTypes */,
    const int fieldSetType /*<The parameter set type of the field to interpolate. \see OPENCMISS_FieldParameterSetTypes */,
    const int derivativeNumber /*<The derivative number of the field to interpolate. */,
    const int userElementNumber /*<The user element number of the field to interpolate. */,
    const int xiSize /*<Length of xi */,
    const double *xi /*<The element xi to interpolate the field at. */,
    const int valuesSize /*<Length of values */,
    double *values /*<The interpolated values. */);

/*>Interpolates the given parameter set at a specified set of xi locations for the specified element and derviative and returns double precision values for a field identified by a user number. */
IRON_C_EXPORT cmfe_Error cmfe_Field_ParameterSetInterpolateMultipleXiDPNum(const int regionUserNumber /*<The user number of the region containing the field whose parameter set is to be interpolated. */,
    const int fieldUserNumber /*<The user number of the field whose parameter set is to be interpolated. */,
    const int variableType /*<The variable type of the field to interpolate. \see OPENCMISS_FieldVariableTypes */,
    const int fieldSetType /*<The parameter set type of the field to interpolate. \see OPENCMISS_FieldParameterSetTypes */,
    const int derivativeNumber /*<The derivative number of the field to interpolate. */,
    const int userElementNumber /*<The user element number of the field to interpolate. */,
    const int xiSize1 /*<Size of dimension 1 of xi */,
    const int xiSize2 /*<Size of dimension 2 of xi */,
    const double *xi /*<The sets of element xi to interpolate the field at. */,
    const int valuesSize1 /*<Size of dimension 1 of values */,
    const int valuesSize2 /*<Size of dimension 2 of values */,
    double *values /*<The interpolated values. */);

/*>Interpolates the given parameter set at a specified set of xi locations for the specified element and derviative and returns double precision values for a field identified by an object. */
IRON_C_EXPORT cmfe_Error cmfe_Field_ParameterSetInterpolateMultipleXiDP(const cmfe_FieldType field /*<The field whose parameter set is to be interpolated. */,
    const int variableType /*<The variable type of the field to interpolate. \see OPENCMISS_FieldVariableTypes */,
    const int fieldSetType /*<The parameter set type of the field to interpolate. \see OPENCMISS_FieldParameterSetTypes */,
    const int derivativeNumber /*<The derivative number of the field to interpolate. */,
    const int userElementNumber /*<The user element number of the field to interpolate. */,
    const int xiSize1 /*<Size of dimension 1 of xi */,
    const int xiSize2 /*<Size of dimension 2 of xi */,
    const double *xi /*<The sets of element xi to interpolate the field at. */,
    const int valuesSize1 /*<Size of dimension 1 of values */,
    const int valuesSize2 /*<Size of dimension 2 of values */,
    double *values /*<The interpolated values. */);

/*>Interpolates the given parameter set at a specified Gauss point for the specified element and derviative and returns double precision values for a or a field identified by a user number. */
IRON_C_EXPORT cmfe_Error cmfe_Field_ParameterSetInterpolateSingleGaussDPNum(const int regionUserNumber /*<The user number of the region containing the field whose parameter set is to be interpolated. */,
    const int fieldUserNumber /*<The user number of the field whose parameter set is to be interpolated. */,
    const int variableType /*<The variable type of the field to interpolate. \see OPENCMISS_FieldVariableTypes */,
    const int fieldSetType /*<The parameter set type of the field to interpolate. \see OPENCMISS_FieldParameterSetTypes */,
    const int derivativeNumber /*<The derivative number of the field to interpolate. */,
    const int userElementNumber /*<The user element number of the field to interpolate. */,
    const int quadratureScheme /*<The quadrature scheme to interpolate the field for. */,
    const int GaussPoint /*<The Gauss point to interpolate the field at. */,
    const int valuesSize /*<Length of values */,
    double *values /*<The interpolated values. */);

/*>Interpolates the given parameter set at a specified Gauss point for the specified element and derviative and returns double precision values for a field identified by an object. */
IRON_C_EXPORT cmfe_Error cmfe_Field_ParameterSetInterpolateSingleGaussDP(const cmfe_FieldType field /*<The field to update the constant value for the field parameter set. */,
    const int variableType /*<The variable type of the field to update the constant value for the field parameter set. \see OPENCMISS_FieldVariableTypes */,
    const int fieldSetType /*<The parameter set type of the field to update the constant value for. \see OPENCMISS_FieldParameterSetTypes */,
    const int derivativeNumber /*<The derivative number of the field to interpolate. */,
    const int userElementNumber /*<The user element number of the field variable component to update for the field parameter set. */,
    const int quadratureScheme /*<The quadrature scheme to interpolate the field for. */,
    const int GaussPoint /*<The Gauss point to interpolate the field at. */,
    const int valuesSize /*<Length of values */,
    double *values /*<The interpolated values. */);

/*>Interpolates the given parameter set at a specified set of Gauss points for the specified element and derviative and returns double precision values for a or a field identified by a user number. If no Gauss points are specified then all Gauss points are interpolated. */
IRON_C_EXPORT cmfe_Error cmfe_Field_ParameterSetInterpolateMultipleGaussDPNum(const int regionUserNumber /*<The user number of the region containing the field whose parameter set is to be interpolated. */,
    const int fieldUserNumber /*<The user number of the field whose parameter set is to be interpolated. */,
    const int variableType /*<The variable type of the field to interpolate. \see OPENCMISS_FieldVariableTypes */,
    const int fieldSetType /*<The parameter set type of the field to interpolate. \see OPENCMISS_FieldParameterSetTypes */,
    const int derivativeNumber /*<The derivative number of the field to interpolate. */,
    const int userElementNumber /*<The user element number of the field to interpolate. */,
    const int quadratureScheme /*<The quadrature scheme to interpolate the field for. */,
    const int GaussPointsSize /*<Length of GaussPoints */,
    const int *GaussPoints /*<The Gauss points to interpolate the field at. */,
    const int valuesSize1 /*<Size of dimension 1 of values */,
    const int valuesSize2 /*<Size of dimension 2 of values */,
    double *values /*<The interpolated values. */);

/*>Interpolates the given parameter set at a specified set of Gauss points for the specified element and derviative and returns double precision values for a field identified by an object. If no Gauss points are specified then all Gauss points are interpolated. */
IRON_C_EXPORT cmfe_Error cmfe_Field_ParameterSetInterpolateMultipleGaussDP(const cmfe_FieldType field /*<The field to update the constant value for the field parameter set. */,
    const int variableType /*<The variable type of the field to update the constant value for the field parameter set. \see OPENCMISS_FieldVariableTypes */,
    const int fieldSetType /*<The parameter set type of the field to update the constant value for. \see OPENCMISS_FieldParameterSetTypes */,
    const int derivativeNumber /*<The derivative number of the field to interpolate. */,
    const int userElementNumber /*<The user element number of the field variable component to update for the field parameter set. */,
    const int quadratureScheme /*<The quadrature scheme to interpolate the field for. */,
    const int GaussPointsSize /*<Length of GaussPoints */,
    const int *GaussPoints /*<The Gauss points to interpolate the field at. */,
    const int valuesSize1 /*<Size of dimension 1 of values */,
    const int valuesSize2 /*<Size of dimension 2 of values */,
    double *values /*<The interpolated values. */);

/*>Starts the parameter set update for a field variable for a field identified by a user number. */
IRON_C_EXPORT cmfe_Error cmfe_Field_ParameterSetUpdateStartNum(const int regionUserNumber /*<The user number of the region containing the field to start the parameter set update for. */,
    const int fieldUserNumber /*<The user number of the field to start the parameter set update for. */,
    const int variableType /*<The variable type of the field to start the parameter set update for. \see OPENCMISS_FieldVariableTypes */,
    const int fieldSetType /*<The parameter set type to start the update for. \see OPENCMISS_FieldParameterSetTypes */);

/*>Starts the parameter set update for a field variable for a field identified by an object. */
IRON_C_EXPORT cmfe_Error cmfe_Field_ParameterSetUpdateStart(const cmfe_FieldType field /*<The field to start the parameter set update for. */,
    const int variableType /*<The variable type of the field to start the parameter set update for. \see OPENCMISS_FieldVariableTypes */,
    const int fieldSetType /*<The parameter set type to start the update for. \see OPENCMISS_FieldParameterSetTypes */);

/*>Copy the parameters from the parameter set of a component of a field variable to the paramters of a parameter set of
 *>a component of another field variable, where both fields are identified by user numbers. */
IRON_C_EXPORT cmfe_Error cmfe_Field_ParametersToFieldParametersComponentCopyNum(const int fromRegionUserNumber /*<The user number of the region containing the field to copy from */,
    const int fromFieldUserNumber /*<The field to copy from */,
    const int fromVariableType /*<The field variable type to copy from */,
    const int fromParameterSetType /*<The field parameter set type to copy from */,
    const int fromComponentNumber /*<The field variable component number to copy from */,
    const int toRegionUserNumber /*<The user number of the region containing the field to copy to */,
    const int toFieldUserNumber /*<The field to copy to */,
    const int toVariableType /*<The field variable type to copy to */,
    const int toParameterSetType /*<The parameter set type to copy to */,
    const int toComponentNumber /*<The field variable component to copy to */);

/*>Copy the parameters from the parameter set of a component of a field variable to the paramters of a parameter set of
 *>a component of another field variable, where both fields are objects. */
IRON_C_EXPORT cmfe_Error cmfe_Field_ParametersToFieldParametersComponentCopy(const cmfe_FieldType fromField /*<The field to copy from */,
    const int fromVariableType /*<The field variable type to copy from */,
    const int fromParameterSetType /*<The field parameter set type to copy from */,
    const int fromComponentNumber /*<The field variable component number to copy from */,
    const cmfe_FieldType toField /*<The field to copy to */,
    const int toVariableType /*<The field variable type to copy to */,
    const int toParameterSetType /*<The parameter set type to copy to */,
    const int toComponentNumber /*<The field variable component to copy to */);

/*>Returns the scaling type for a field identified by a user number. */
IRON_C_EXPORT cmfe_Error cmfe_Field_ScalingTypeGetNum(const int regionUserNumber /*<The user number of the region containing the field to get the scaling type for. */,
    const int fieldUserNumber /*<The user number of the field to get the scaling type for. */,
    int *scalingType /*<On return, the field scaling type. \see OPENCMISS_FieldScalingTypes */);

/*>Returns the scaling type for a field identified by an object. */
IRON_C_EXPORT cmfe_Error cmfe_Field_ScalingTypeGet(const cmfe_FieldType field /*<The field to get the scaling type for. */,
    int *scalingType /*<On return, the field scaling type. \see OPENCMISS_FieldScalingTypes */);

/*>Sets/changes the scaling type for a field identified by a user number. */
IRON_C_EXPORT cmfe_Error cmfe_Field_ScalingTypeSetNum(const int regionUserNumber /*<The user number of the region containing the field to set the scaling type for. */,
    const int fieldUserNumber /*<The user number of the field to set the scaling type for. */,
    const int scalingType /*<The field scaling type to set. \see OPENCMISS_FieldScalingTypes */);

/*>Sets/changes the scaling type for a field identified by an object. */
IRON_C_EXPORT cmfe_Error cmfe_Field_ScalingTypeSet(const cmfe_FieldType field /*<The field to set the scaling type for. */,
    const int scalingType /*<The field scaling type to set. \see OPENCMISS_FieldScalingTypes */);

/*>Returns the field type for a field identified by a user number. */
IRON_C_EXPORT cmfe_Error cmfe_Field_TypeGetNum(const int regionUserNumber /*<The user number of the region containing the field to get the field type for. */,
    const int fieldUserNumber /*<The user number of the field to get the field type for. */,
    int *fieldType /*<On return, the field type. \see OPENCMISS_FieldTypes */);

/*>Returns the type for a field identified by an object. */
IRON_C_EXPORT cmfe_Error cmfe_Field_TypeGet(const cmfe_FieldType field /*<The field to get the field type for. */,
    int *fieldType /*<On return, the field type. \see OPENCMISS_FieldTypes */);

/*>Sets/changes the field type for a field identified by a user number. */
IRON_C_EXPORT cmfe_Error cmfe_Field_TypeSetNum(const int regionUserNumber /*<The user number of the region containing the field to set the field type for. */,
    const int fieldUserNumber /*<The user number of the field to set the field type for. */,
    const int fieldType /*<The field type to set. \see OPENCMISS_FieldTypes */);

/*>Sets/changes the type for a field identified by an object. */
IRON_C_EXPORT cmfe_Error cmfe_Field_TypeSet(const cmfe_FieldType field /*<The field to set the field type for. */,
    const int fieldType /*<The field type to set. \see OPENCMISS_FieldTypes */);

/*>Returns the character string label for a field variable for a field identified by a user number. */
IRON_C_EXPORT cmfe_Error cmfe_Field_VariableLabelGetNum(const int regionUserNumber /*<The user number of the region containing the field to get the label for. */,
    const int fieldUserNumber /*<The user number of the field to get the label for. */,
    const int variableType /*<The variable type of the field to get the field variable label \see OPENCMISS_FieldVariableTypes */,
    const int labelSize /*<Length of label string */,
    char *label /*<On return, the field variable label. */);

/*>Returns the character string label for a field variable for a field identified by an object. */
IRON_C_EXPORT cmfe_Error cmfe_Field_VariableLabelGet(const cmfe_FieldType field /*<The field to get the label for. */,
    const int variableType /*<The variable type of the field to get the field variable label \see OPENCMISS_FieldVariableTypes */,
    const int labelSize /*<Length of label string */,
    char *label /*<On return, the field variable label. */);

/*>Sets/changes the character string label for a field variable for a field identified by a user number. */
IRON_C_EXPORT cmfe_Error cmfe_Field_VariableLabelSetNum(const int regionUserNumber /*<The user number of the region containing the field to set the label for. */,
    const int fieldUserNumber /*<The user number of the field to set the label for. */,
    const int variableType /*<The variable type of the field to set the field variable label \see OPENCMISS_FieldVariableTypes */,
    const int labelSize /*<Length of label string */,
    const char *label /*<The field variable label to set. */);

/*>Sets/changes the character string label for a field variable for a field identified by an object. */
IRON_C_EXPORT cmfe_Error cmfe_Field_VariableLabelSet(const cmfe_FieldType field /*<The field to set the label for. */,
    const int variableType /*<The variable type of the field to set the field variable label \see OPENCMISS_FieldVariableTypes */,
    const int labelSize /*<Length of label string */,
    const char *label /*<The field variable label to set. */);

/*>Returns the field variable types for a field identified by a user number. */
IRON_C_EXPORT cmfe_Error cmfe_Field_VariableTypesGetNum(const int regionUserNumber /*<The user number of the region containing the field to get the field variable types for. */,
    const int fieldUserNumber /*<The user number of the field to get the field variable types for. */,
    const int variableTypesSize /*<Length of variableTypes */,
    int *variableTypes /*<variableTypes(variable_idx). On return, the field variable types for the variable_idx'th field variable. \see OPENCMISS_FieldVariableTypes */);

/*>Returns the variable types for a field identified by an object. */
IRON_C_EXPORT cmfe_Error cmfe_Field_VariableTypesGet(const cmfe_FieldType field /*<The field to get the field variable types for. */,
    const int variableTypesSize /*<Length of variableTypes */,
    int *variableTypes /*<variableTypes(variable_idx). On return, the field variable types for the variable_idx'th field variable. \see OPENCMISS_FieldVariableTypes */);

/*>Sets/changes the field variable types for a field identified by a user number. */
IRON_C_EXPORT cmfe_Error cmfe_Field_VariableTypesSetNum(const int regionUserNumber /*<The user number of the region containing the field to set the field variable types for. */,
    const int fieldUserNumber /*<The user number of the field to set the field variable types for. */,
    const int variableTypesSize /*<Length of variableTypes */,
    const int *variableTypes /*<variableTypes(variable_idx). The field variable types for the variable_idx'th field variable to set. \see OPENCMISS_FieldVariableTypes */);

/*>Sets/changes the variable types for a field identified by an object. */
IRON_C_EXPORT cmfe_Error cmfe_Field_VariableTypesSet(const cmfe_FieldType field /*<The field to set the field variable types for. */,
    const int variableTypesSize /*<Length of variableTypes */,
    const int *variableTypes /*<variableTypes(variable_idx). The field variable types for the variable_idx'th field variable to set. \see OPENCMISS_FieldVariableTypes */);

/*>Export element information for fields set identified by an object. \todo number method */
IRON_C_EXPORT cmfe_Error cmfe_Fields_ElementsExport(cmfe_FieldsType fields /*<The fields to export the elements for. */,
    const int fileNameSize /*<Length of fileName string */,
    const char *fileName /*<The file name to export the elements to */,
    const int methodSize /*<Length of method string */,
    const char *method /*<The export method to use. */);

/*>Export nodal information for fields set identified by an object. \todo number method */
IRON_C_EXPORT cmfe_Error cmfe_Fields_NodesExport(cmfe_FieldsType fields /*<The fields to export the nodes for. */,
    const int fileNameSize /*<Length of fileName string */,
    const char *fileName /*<The file name to export the nodes to */,
    const int methodSize /*<Length of method string */,
    const char *method /*<The export method to use. */);

/*>Returns the basis for a generated mesh on a region identified by a user number. */
IRON_C_EXPORT cmfe_Error cmfe_GeneratedMesh_BasisGetNum(const int regionUserNumber /*<The user number of the region containing the generated mesh to get the basis for. */,
    const int generatedMeshUserNumber /*<The user number of the generated mesh to get the basis for. */,
    const int basisUserNumbersSize /*<Length of basisUserNumbers */,
    int *basisUserNumbers /*<On return, the user numbers of the bases. */);

/*>Returns the basis for a generated mesh identified by an object. */
IRON_C_EXPORT cmfe_Error cmfe_GeneratedMesh_BasisGet(const cmfe_GeneratedMeshType generatedMesh /*<The generated mesh to get the basis for. */,
    const int basesSize /*<Length of bases */,
    cmfe_BasisType *bases /*<On return, the array of bases. */);

/*>Sets/changes the basis for a generated mesh on a region identified by a user number. */
IRON_C_EXPORT cmfe_Error cmfe_GeneratedMesh_BasisSetNum(const int regionUserNumber /*<The user number of the region containing the generated mesh to set the basis for. */,
    const int generatedMeshUserNumber /*<The user number of the generated mesh to set the basis for. */,
    const int basisUserNumbersSize /*<Length of basisUserNumbers */,
    const int *basisUserNumbers /*<The user numbers of the bases to set. */);

/*>Sets/changes the basis for a generated mesh identified by an object. */
IRON_C_EXPORT cmfe_Error cmfe_GeneratedMesh_BasisSet(const cmfe_GeneratedMeshType generatedMesh /*<The generated mesh to set the basis for. */,
    const int basesSize /*<Length of bases */,
    const cmfe_BasisType *bases /*<The bases to set. */);

/*>Sets/changes the base vectors for a generated mesh on a region identified by a user number. */
IRON_C_EXPORT cmfe_Error cmfe_GeneratedMesh_BaseVectorsSetNum(const int regionUserNumber /*<The user number of the region containing the generated mesh to set the base vectors for. */,
    const int generatedMeshUserNumber /*<The user number of the generated mesh to set the base vectors for. */,
    const int baseVectorsSize1 /*<Size of dimension 1 of baseVectors */,
    const int baseVectorsSize2 /*<Size of dimension 2 of baseVectors */,
    const double *baseVectors /*<baseVectors(coordinate_idx,xi_idx). The base vectors to set. */);

/*>Sets/changes the base vectors for a generated mesh identified by an object. */
IRON_C_EXPORT cmfe_Error cmfe_GeneratedMesh_BaseVectorsSet(const cmfe_GeneratedMeshType generatedMesh /*<The generated mesh to set the base vectors for. */,
    const int baseVectorsSize1 /*<Size of dimension 1 of baseVectors */,
    const int baseVectorsSize2 /*<Size of dimension 2 of baseVectors */,
    const double *baseVectors /*<baseVectors(coordinate_idx,xi_idx). The base vectors to set. */);

/*>Finishes the creation of a generated mesh on a region identified by a user number. */
IRON_C_EXPORT cmfe_Error cmfe_GeneratedMesh_CreateFinishNum(const int regionUserNumber /*<The user number of the region containing the generated mesh to finish the creation of. */,
    const int generatedMeshUserNumber /*<The user number of the generated mesh to finish the creation of. */,
    const int meshUserNumber /*<The user number of the mesh to generate. */);

/*>Finishes the creation of a generated mesh identified by an object. */
IRON_C_EXPORT cmfe_Error cmfe_GeneratedMesh_CreateFinish(const cmfe_GeneratedMeshType generatedMesh /*<The generated mesh to finish the creation of. */,
    const int meshUserNumber /*<The user number of the mesh to generate. */,
    cmfe_MeshType mesh /*<On return, the generated mesh. */);

/*>Starts the creation of a generated mesh on a region identified by a user number. */
IRON_C_EXPORT cmfe_Error cmfe_GeneratedMesh_CreateStartNum(const int generatedMeshUserNumber /*<The user number of the generated mesh to create. */,
    const int regionUserNumber /*<The user number of the region to create the generated mesh in. */);

/*>Starts the creation of a generated mesh on an interface identified by an object. */
IRON_C_EXPORT cmfe_Error cmfe_GeneratedMesh_CreateStartInterface(const int generatedMeshUserNumber /*<The user number of the generated mesh to create. */,
    cmfe_InterfaceType interface /*<The interface to created generated mesh in. */,
    cmfe_GeneratedMeshType generatedMesh /*<On return, the created generated mesh. */);

/*>Starts the creation of a generated mesh on a region identified by an object. */
IRON_C_EXPORT cmfe_Error cmfe_GeneratedMesh_CreateStart(const int generatedMeshUserNumber /*<The user number of the generated mesh to create. */,
    cmfe_RegionType region /*<The region to created generated mesh in. */,
    cmfe_GeneratedMeshType generatedMesh /*<On return, the created generated mesh. */);

/*>Destroys a generated mesh on a region identified by a user number. */
IRON_C_EXPORT cmfe_Error cmfe_GeneratedMesh_DestroyNum(const int regionUserNumber /*<The user number of the region containing the generated mesh to destroy. */,
    const int generatedMeshUserNumber /*<The user number of the generated mesh to destroy. */);

/*>Destroys a generated mesh identified by an object. */
IRON_C_EXPORT cmfe_Error cmfe_GeneratedMesh_Destroy(cmfe_GeneratedMeshType generatedMesh /*<The generated mesh to destroy. */);

/*>Returns the extent for a generated mesh on a region identified by a user number. */
IRON_C_EXPORT cmfe_Error cmfe_GeneratedMesh_ExtentGetNum(const int regionUserNumber /*<The user number of the region containing the generated mesh to get the extent for. */,
    const int generatedMeshUserNumber /*<The user number of the generated mesh to get the extent for. */,
    const int extentSize /*<Length of extent */,
    double *extent /*<extent(i). On return, the extent for the i'th dimension of the generated mesh. */);

/*>Returns the extent for a generated mesh identified by an object. */
IRON_C_EXPORT cmfe_Error cmfe_GeneratedMesh_ExtentGet(const cmfe_GeneratedMeshType generatedMesh /*<The generated mesh to get the extent for. */,
    const int extentSize /*<Length of extent */,
    double *extent /*<extent(i). On return, the extent for the i'th dimension of the generated mesh. */);

/*>Sets/changes the extent for a generated mesh on a region identified by a user number. */
IRON_C_EXPORT cmfe_Error cmfe_GeneratedMesh_ExtentSetNum(const int regionUserNumber /*<The user number of the region containing the generated mesh to set the extent for. */,
    const int generatedMeshUserNumber /*<The user number of the generated mesh to set the extent for. */,
    const int extentSize /*<Length of extent */,
    const double *extent /*<extent(i). The extent for the i'th dimension of the generated mesh to set. */);

/*>Sets/changes the extent for a generated mesh identified by an object. */
IRON_C_EXPORT cmfe_Error cmfe_GeneratedMesh_ExtentSet(const cmfe_GeneratedMeshType generatedMesh /*<The generated mesh to set the extent for. */,
    const int extentSize /*<Length of extent */,
    const double *extent /*<extent(i). the extent for the i'th dimension of the generated mesh to set. */);

/*>Returns the number of elements for a generated mesh on a region identified by a user number. */
IRON_C_EXPORT cmfe_Error cmfe_GeneratedMesh_NumberOfElementsGetNum(const int regionUserNumber /*<The user number of the region containing the generated mesh to get the number of elements for. */,
    const int generatedMeshUserNumber /*<The user number of the generated mesh to get the number of elements for. */,
    const int numberOfElementsSize /*<Length of numberOfElements */,
    int *numberOfElements /*<numberOfElements(i). On return, the number of elements in the i'th dimension of the generated mesh. */);

/*>Returns the number of elements for a generated mesh identified by an object. */
IRON_C_EXPORT cmfe_Error cmfe_GeneratedMesh_NumberOfElementsGet(const cmfe_GeneratedMeshType generatedMesh /*<The generated mesh to get the number of elements for. */,
    const int numberOfElementsSize /*<Length of numberOfElements */,
    int *numberOfElements /*<numberOfElements(i). On return, the number of elements in the i'th dimension of the generated mesh. */);

/*>Sets/changes the number of elements for a generated mesh on a region identified by a user number. */
IRON_C_EXPORT cmfe_Error cmfe_GeneratedMesh_NumberOfElementsSetNum(const int regionUserNumber /*<The user number of the region containing the generated mesh to set the number of elements for. */,
    const int generatedMeshUserNumber /*<The user number of the generated mesh to set the number of elements for. */,
    const int numberOfElementsSize /*<Length of numberOfElements */,
    const int *numberOfElements /*<numberOfElements(i). The number of elements in the i'th dimension of the generated mesh to set. */);

/*>Sets/changes the number of elements for a generated mesh identified by an object. */
IRON_C_EXPORT cmfe_Error cmfe_GeneratedMesh_NumberOfElementsSet(const cmfe_GeneratedMeshType generatedMesh /*<The generated mesh to set the number of elements for. */,
    const int numberOfElementsSize /*<Length of numberOfElements */,
    const int *numberOfElements /*<numberOfElements(i). The number of elements in the i'th dimension of the generated mesh to set. */);

/*>Returns the origin of a generated mesh on a region identified by a user number. */
IRON_C_EXPORT cmfe_Error cmfe_GeneratedMesh_OriginGetNum(const int regionUserNumber /*<The user number of the region containing the generated mesh to get the origin for. */,
    const int generatedMeshUserNumber /*<The user number of the generated mesh to get the origin for. */,
    const int originSize /*<Length of origin */,
    double *origin /*<origin(i). On return, the origin of the i'th dimension of the generated mesh. */);

/*>Returns the origin of a generated mesh identified by an object. */
IRON_C_EXPORT cmfe_Error cmfe_GeneratedMesh_OriginGet(const cmfe_GeneratedMeshType generatedMesh /*<The generated mesh to get the origin for. */,
    const int originSize /*<Length of origin */,
    double *origin /*<origin(i). On return, the origin of the i'th dimension of the generated mesh. */);

/*>Sets/changes the origin of a generated mesh on a region identified by a user number. */
IRON_C_EXPORT cmfe_Error cmfe_GeneratedMesh_OriginSetNum(const int regionUserNumber /*<The user number of the region containing the generated mesh to set the origin for. */,
    const int generatedMeshUserNumber /*<The user number of the generated mesh to set the origin for. */,
    const int originSize /*<Length of origin */,
    const double *origin /*<origin(i). The origin of the i'th dimension of the generated mesh to set. */);

/*>Sets/changes the origin of a generated mesh identified by an object. */
IRON_C_EXPORT cmfe_Error cmfe_GeneratedMesh_OriginSet(const cmfe_GeneratedMeshType generatedMesh /*<The generated mesh to set the origin for. */,
    const int originSize /*<Length of origin */,
    const double *origin /*<origin(i). The origin of the i'th dimension of the generated mesh to set. */);

/*>Returns the type of a generated mesh on a region identified by a user number. */
IRON_C_EXPORT cmfe_Error cmfe_GeneratedMesh_TypeGetNum(const int regionUserNumber /*<The user number of the region containing the generated mesh to get the type for. */,
    const int generatedMeshUserNumber /*<The user number of the generated mesh to get the type for. */,
    int *generatedMeshType /*<On return, the type of the generated mesh. \see OPENCMISS_GeneratedMeshTypes */);

/*>Returns the type of a generated mesh identified by an object. */
IRON_C_EXPORT cmfe_Error cmfe_GeneratedMesh_TypeGet(const cmfe_GeneratedMeshType generatedMesh /*<The generated mesh to get the generated mesh type for. */,
    int *generatedMeshType /*<On return, the type of the generated mesh. \see OPENCMISS_GeneratedMeshTypes */);

/*>Sets/changes the type of a generated mesh on a region identified by a user number. */
IRON_C_EXPORT cmfe_Error cmfe_GeneratedMesh_TypeSetNum(const int regionUserNumber /*<The user number of the region containing the generated mesh to set the type for. */,
    const int generatedMeshUserNumber /*<The user number of the generated mesh to set the type for. */,
    const int generatedMeshType /*<The type of the generated mesh to set. \see OPENCMISS_GeneratedMeshTypes */);

/*>Sets/changes the type of a generated mesh identified by an object. */
IRON_C_EXPORT cmfe_Error cmfe_GeneratedMesh_TypeSet(const cmfe_GeneratedMeshType generatedMesh /*<The generated mesh to set the generated mesh type for. */,
    const int generatedMeshType /*<The type of the generated mesh to set. \see OPENCMISS_GeneratedMeshTypes */);

/*>Calculates and sets the geometric field parameters for a generated mesh identified by a user number. */
IRON_C_EXPORT cmfe_Error cmfe_GeneratedMesh_GeometricParametersCalculateNum(const int regionUserNumber /*<The user number of the region containing the field to calculate the geometric parameters for. */,
    const int generatedMeshUserNumber /*<The user number of the generated mesh to calculate the geometric parameters for. */,
    const int fieldUserNumber /*<The user number of the field to calculate the geometric parameters for. */);

/*>Calculates and sets the geometric field parameters for a generated mesh identified by an object. */
IRON_C_EXPORT cmfe_Error cmfe_GeneratedMesh_GeometricParametersCalculate(const cmfe_GeneratedMeshType generatedMesh /*<The generated mesh to calculate the geometric parameters for. */,
    cmfe_FieldType field /*<The field to calculate the geometric parameters for */);

/*>Initialises a EmbeddedMeshType object. */
IRON_C_EXPORT cmfe_Error cmfe_MeshEmbedding_Initialise(cmfe_MeshEmbeddingType *meshEmbedding /*<The  MeshEmbeddingType object to initialise. */);

/*>Creates a mesh embedding */
IRON_C_EXPORT cmfe_Error cmfe_MeshEmbedding_CreateNum(const int regionOneUserNumber /*<The user number of the region containing the mesh. */,
    const int regionTwoUserNumber /*<The user number of the region containing the mesh. */,
    cmfe_MeshEmbeddingType meshEmbedding /*<The embedding */,
    const int parentMeshUserNumber /*<The user number of the mesh. */,
    const int childMeshUserNumber /*<The user number of the mesh. */);

/*>Creates a mesh embedding */
IRON_C_EXPORT cmfe_Error cmfe_MeshEmbedding_Create(cmfe_MeshEmbeddingType meshEmbedding /*<The embedding */,
    const cmfe_MeshType parentMesh /*<The parent and child meshes */,
    const cmfe_MeshType childMesh /*<The parent and child meshes */);

/*>Sets the embedded nodes for one parent element */
IRON_C_EXPORT cmfe_Error cmfe_MeshEmbedding_SetChildNodePosition(cmfe_MeshEmbeddingType meshEmbedding /*<The embedding */,
    const int elementNumber /*<Parent element number */,
    const int nodeNumbersSize /*<Length of nodeNumbers */,
    const int *nodeNumbers /*<Node numbers in child mesh */,
    const int xiCoordsSize1 /*<Size of dimension 1 of xiCoords */,
    const int xiCoordsSize2 /*<Size of dimension 2 of xiCoords */,
    const double *xiCoords /*<Xi coordinates of embedded nodes wrt parent element */);

/*>Pushes data to embedded mesh. Will generally be used at library and not API level. /TODO: Parameter set etc, function name? */
IRON_C_EXPORT cmfe_Error cmfe_MeshEmbedding_PushData(cmfe_MeshEmbeddingType meshEmbedding /*<The embedding */,
    const cmfe_FieldType parentField /*<Fields associated with parent and child mesh to get/set data from */,
    const int parentComponent /*<Component numbers in respective fields */,
    const cmfe_FieldType childField /*<Fields associated with parent and child mesh to get/set data from */,
    const int childComponent /*<Component numbers in respective fields */);

/*> */
IRON_C_EXPORT cmfe_Error cmfe_MeshEmbedding_SetGaussPointData(cmfe_MeshEmbeddingType meshEmbedding /*<The embedding */,
    const int parentElementNumber /*<Parent element number */,
    const int gaussPointNumber /*<Gauss point number in this element */,
    const int parentXiCoordsSize /*<Length of parentXiCoords */,
    const double *parentXiCoords /*<Xi coordinates of embedded nodes wrt parent element */,
    const int childElementNumber /*<Child element number */,
    const int childXiCoordsSize /*<Length of childXiCoords */,
    const double *childXiCoords /*<Xi coordinates of embedded nodes wrt Child element */);

/*> */
IRON_C_EXPORT cmfe_Error cmfe_MeshEmbedding_PullGaussPointData(cmfe_MeshEmbeddingType meshEmbedding /*<The embedding */,
    const cmfe_FieldType parentField /*<Fields associated with parent and child mesh to get/set data from */,
    const int parentComponent /*<Component numbers in respective fields */,
    const cmfe_FieldType childField /*<Fields associated with parent and child mesh to get/set data from */,
    const int childComponent /*<Component numbers in respective fields */);

/*> */
IRON_C_EXPORT cmfe_Error cmfe_Field_ParameterSetGetGaussPointCoord(cmfe_MeshEmbeddingType meshEmbedding /*<The embedding */,
    const int componentNumber /*< */,
    int *numberOfGaussPoints /*< */,
    const int coordsSize /*<Length of coords */,
    double *coords /*<Xi coordinates of embedded nodes wrt Child element */);

/*>Finishes the creation of an interface identified by a user number. */
IRON_C_EXPORT cmfe_Error cmfe_Interface_CreateFinishNum(const int regionUserNumber /*<The user number of the region containing the interface to finish the interface for. */,
    const int interfaceUserNumber /*<The user number of the interface to finish creating. */);

/*>Finishes the creation of an interface identified by an object. */
IRON_C_EXPORT cmfe_Error cmfe_Interface_CreateFinish(const cmfe_InterfaceType interface /*<The interface to finish creating. */);

/*>Starts the creation of an interface identified by a user number. */
IRON_C_EXPORT cmfe_Error cmfe_Interface_CreateStartNum(const int interfaceUserNumber /*<The user number of the interface to start the creation of. */,
    const int regionUserNumber /*<The user number of the region containing the interface to start the creation of. */);

/*>Starts the creation of an interface identified by an object. */
IRON_C_EXPORT cmfe_Error cmfe_Interface_CreateStart(const int interfaceUserNumber /*<The user number of the field to start the creation of. */,
    const cmfe_RegionType region /*<The region to create the interface on. */,
    const cmfe_InterfaceType interface /*<On return, the created interface. */);

/*>Sets/changes the coordinate system for an interface identified by an user number. */
IRON_C_EXPORT cmfe_Error cmfe_Interface_CoordinateSystemSetNum(const int parentRegionUserNumber /*<The user number of the parent region where interface was created. */,
    const int interfaceUserNumber /*<The user number of the interface to set the coordinate system for. */,
    const int coordinateSystemUserNumber /*<The user number of the coordinate system to set. */);

/*>Sets/changes the coordinate system for an interface identified by an object. */
IRON_C_EXPORT cmfe_Error cmfe_Interface_CoordinateSystemSet(const cmfe_InterfaceType interface /*<The interface to set the coordinate system for */,
    const cmfe_CoordinateSystemType coordinateSystem /*<The coordinate system to set. */);

/*>Returns the coordinate system for an interface identified by an user number. */
IRON_C_EXPORT cmfe_Error cmfe_Interface_CoordinateSystemGetNum(const int parentRegionUserNumber /*<The user number of the region to get the coordinate system for. */,
    const int interfaceUserNumber /*<The user number of the interface to get the coordinate system for. */,
    int *coordinateSystemUserNumber /*<On return, the coordinate system user number. */);

/*>Returns the coordinate system for an interface identified by an object. */
IRON_C_EXPORT cmfe_Error cmfe_Interface_CoordinateSystemGet(const cmfe_InterfaceType Interface /*<The interface to get the coordinate system for. */,
    cmfe_CoordinateSystemType CoordinateSystem /*<On return, the interface coordinate system. */);

/*>Destroys an interface identified by a user number. */
IRON_C_EXPORT cmfe_Error cmfe_Interface_DestroyNum(const int regionUserNumber /*<The user number of the region containing the interface to destroy. */,
    const int interfaceUserNumber /*<The user number of the interface to destroy. */);

/*>Destroys an interface identified by an object. */
IRON_C_EXPORT cmfe_Error cmfe_Interface_Destroy(const cmfe_InterfaceType interface /*<The interface to destroy. */);

/*>Returns the character string label for an interface identified by an user number. */
IRON_C_EXPORT cmfe_Error cmfe_Interface_LabelGetNum(const int parentRegionUserNumber /*<The user number of the parent region containing the interface to get the label for. */,
    const int interfaceUserNumber /*<The user number of the interface to get the label for. */,
    const int labelSize /*<Length of label string */,
    char *label /*<On return, the region label. */);

/*>Returns the character string label for an interface identified by an object. */
IRON_C_EXPORT cmfe_Error cmfe_Interface_LabelGet(const cmfe_InterfaceType interface /*<The interface to get the label for. */,
    const int labelSize /*<Length of label string */,
    char *label /*<On return, the region label. */);

/*>Sets/changes the character string label for an interface identified by an user number. */
IRON_C_EXPORT cmfe_Error cmfe_Interface_LabelSetNum(const int parentRegionUserNumber /*<The user number of the parent region containing the interface to set the label for. */,
    const int interfaceUserNumber /*<The user number of the interface to set the label for. */,
    const int labelSize /*<Length of label string */,
    const char *label /*<The interface label to set. */);

/*>Sets/changes the character string label for an interface identified by an object. */
IRON_C_EXPORT cmfe_Error cmfe_Interface_LabelSet(const cmfe_InterfaceType interface /*<The interface to set the label for. */,
    const int labelSize /*<Length of label string */,
    const char *label /*<The interface label to set. */);

/*>Returns the nodes for a interface identified by an object. */
IRON_C_EXPORT cmfe_Error cmfe_Interface_NodesGet(const cmfe_InterfaceType interface /*<The interface to get the nodes for. */,
    cmfe_NodesType nodes /*<On return, the interfaces nodes. */);

/*>Adds a mesh to be coupled in an interface identified by a user number. */
IRON_C_EXPORT cmfe_Error cmfe_Interface_MeshAddNum(const int interfaceRegionUserNumber /*<The user number of the parent region containing the interface to add a coupled mesh to. */,
    const int interfaceUserNumber /*<The user number of the interface to add a coupled mesh to. */,
    const int meshRegionUserNumber /*<The user number of the region containing the mesh to add to the interface. */,
    const int meshUserNumber /*<The user number of the mesh to add to the interface. */,
    int *meshIndex /*<On return, the mesh index of the mesh in the list of coupled meshes in the interface. */);

/*>Adds a mesh to be coupled in an interface identified by an object. */
IRON_C_EXPORT cmfe_Error cmfe_Interface_MeshAdd(const cmfe_InterfaceType interface /*<The interface to finish creating. */,
    const cmfe_MeshType mesh /*<The mesh to add to the interface. */,
    int *meshIndex /*<On return, the mesh index of the mesh in the list of coupled meshes in the interface. */);

/*>Finishes the creation of an interface coupled mesh connectivity identified by a user number. */
IRON_C_EXPORT cmfe_Error cmfe_InterfaceMeshConnectivity_CreateFinishNum(const int regionUserNumber /*<The user number of the region containing the interface to finish the interface meshes connectivity for. */,
    const int interfaceUserNumber /*<The user number of the interface to finish creating the meshes connectivity. */);

/*>Finishes the creation of an interface meshes connectivity identified by an object. */
IRON_C_EXPORT cmfe_Error cmfe_InterfaceMeshConnectivity_CreateFinish(const cmfe_InterfaceMeshConnectivityType interfaceMeshConnectivity /*<The interface meshes connectivity to finish creating. */);

/*>Starts the creation of an interface meshes connectivity identified by a user number. */
IRON_C_EXPORT cmfe_Error cmfe_InterfaceMeshConnectivity_CreateStartNum(const int regionUserNumber /*<The user number of the region containing the interface to start the creation of the meshes connectivity. */,
    const int interfaceUserNumber /*<The user number of the interface to start the creation of the meshes connectivity for. */,
    const int meshNumber /*<The user number of the interface mesh */);

/*>Starts the creation of an interface meshes connectivity identified by an object. */
IRON_C_EXPORT cmfe_Error cmfe_InterfaceMeshConnectivity_CreateStart(const cmfe_InterfaceType interface /*<The interface to start the creation of the meshes connectivity for */,
    const cmfe_MeshType interfaceMesh /*< */,
    cmfe_InterfaceMeshConnectivityType interfaceMeshConnectivity /*<On return, the created meshes connectivity */);

/*>Sets the connectivity between an element in a coupled mesh to an element in the interface mesh */
IRON_C_EXPORT cmfe_Error cmfe_InterfaceMeshConnectivity_ElementNumberSetNum(const int regionUserNumber /*<The user number of the region containing the interface meshe connectivity. */,
    const int interfaceUserNumber /*<The user number of the interface. */,
    const int interfaceElementNumber /*<The interface mesh element number to which the specified coupled mesh element would be connected */,
    const int coupledMeshIndexNumber /*<The index of the coupled mesh at the interface to set the element connectivity for */,
    const int coupledMeshElementNumber /*<The coupled mesh element to be connected to the interface */);

/*>Sets the connectivity between an element in a coupled mesh to an element in the interface mesh */
IRON_C_EXPORT cmfe_Error cmfe_InterfaceMeshConnectivity_ElementNumberSet(const cmfe_InterfaceMeshConnectivityType interfaceMeshConnectivity /*<The interface mesh connectivity for the interface mesh */,
    const int interfaceElementNumber /*<The interface mesh element number to which the specified coupled mesh element would be connected */,
    const int coupledMeshIndexNumber /*<The index of the coupled mesh at the interface to set the element connectivity for */,
    const int coupledMeshElementNumber /*<The coupled mesh element to be connected to the interface */);

/*>Sets the connectivity between an element in a coupled mesh to an element in the interface mesh */
IRON_C_EXPORT cmfe_Error cmfe_InterfaceMeshConnectivity_NodeNumberSetNum(const int regionUserNumber /*<The user number of the region containing the interface meshe connectivity. */,
    const int interfaceUserNumber /*<The user number of the interface. */,
    const int interfaceElementNumber /*<The interface mesh element number to which the specified coupled mesh element would be connected */,
    const int coupledMeshIndexNumber /*<The index of the coupled mesh at the interface to set the element connectivity for */,
    const int coupledMeshElementNumber /*<The coupled mesh element to be connected to the interface */);

/*>Sets the connectivity between nodes in coupled meshes to nodes in the interface mesh */
IRON_C_EXPORT cmfe_Error cmfe_InterfaceMeshConnectivity_NodeNumberSet(const cmfe_InterfaceMeshConnectivityType interfaceMeshConnectivity /*<The interface mesh connectivity for the interface mesh */,
    const int interfaceNodeNumbersSize /*<Length of interfaceNodeNumbers */,
    const int *interfaceNodeNumbers /*<The interface mesh node numbers to which the specified coupled mesh nodes would be connected */,
    const int firstCoupledMeshIndexNumber /*<The index of the coupled meshes at the interface to set the node connectivity for */,
    const int firstCoupledMeshNodeNumbersSize /*<Length of firstCoupledMeshNodeNumbers */,
    const int *firstCoupledMeshNodeNumbers /*<The coupled meshes nodes to be connected to the interface */,
    const int secondCoupledMeshIndexNumber /*<The index of the coupled meshes at the interface to set the node connectivity for */,
    const int secondCoupledMeshNodeNumbersSize /*<Length of secondCoupledMeshNodeNumbers */,
    const int *secondCoupledMeshNodeNumbers /*<The coupled meshes nodes to be connected to the interface */);

/*>Sets the mapping from an xi position of a coupled mesh element to a node of an interface mesh element */
IRON_C_EXPORT cmfe_Error cmfe_InterfaceMeshConnectivity_ElementXiSetNum(const int regionUserNumber /*<The user number of the region containing the interface to start the creation of the meshes connectivity. */,
    const int interfaceUserNumber /*<The user number of the interface to start the creation of the meshes connectivity for. */,
    const int interfaceElementNumber /*<The interface mesh element number to which the specified coupled mesh element would be connected */,
    const int coupledMeshIndexNumber /*<The index of the coupled mesh at the interface to set the element connectivity for */,
    const int coupledMeshElementNumber /*<The coupled mesh element to define the element xi connectivity from */,
    const int interfaceMeshLocalNodeNumber /*<The interface mesh node to assign the coupled mesh element xi to */,
    const int interfaceMeshComponentNodeNumber /*<The interface mesh node's component to assign the coupled mesh element xi to */,
    const int xiSize /*<Length of xi */,
    const double *xi /*<The xi value for the xi_idx'th xi direction in the coupled mesh element. */);

/*>Sets the mapping from an xi position of a coupled mesh element to a node of an interface mesh element */
IRON_C_EXPORT cmfe_Error cmfe_InterfaceMeshConnectivity_ElementXiSet(const cmfe_InterfaceMeshConnectivityType interfaceMeshConnectivity /*<The interface to start the creation of the meshes connectivity for */,
    const int interfaceElementNumber /*<The interface mesh element number to which the specified coupled mesh element would be connected */,
    const int coupledMeshIndexNumber /*<The index of the coupled mesh at the interface to set the element connectivity for */,
    const int coupledMeshElementNumber /*<The coupled mesh element to define the element xi connectivity from */,
    const int interfaceMeshLocalNodeNumber /*<The interface mesh node to assign the coupled mesh element xi to */,
    const int interfaceMeshComponentNodeNumber /*<The interface mesh node's component to assign the coupled mesh element xi to */,
    const int xiSize /*<Length of xi */,
    const double *xi /*<The xi value for the xi_idx'th xi direction in the coupled mesh element. */);

/*> */
IRON_C_EXPORT cmfe_Error cmfe_InterfaceMeshConnectivity_BasisSetNum(const int regionUserNumber /*<The user number of the region containing the interface and interface condition to destroy the meshes connectivity for. */,
    const int interfaceUserNumber /*<The user number of the interface containing the interface condition to destroy the meshes connectivity for. */,
    const int interfaceBasisNumber /*<The user number of the basis to denote the interface mesh connectivity basis */);

/*>Sets the basis for the mesh connectivity */
IRON_C_EXPORT cmfe_Error cmfe_InterfaceMeshConnectivity_BasisSet(const cmfe_InterfaceMeshConnectivityType interfaceMeshConnectivity /*<The interface to start the creation of the meshes connectivity for */,
    cmfe_BasisType interfaceMappingBasis /*<The interface mesh connectivity basis */);

/*>Destroys an interface meshes connectivity identified by a user number. */
IRON_C_EXPORT cmfe_Error cmfe_InterfaceMeshConnectivity_DestroyNum(const int regionUserNumber /*<The user number of the region containing the interface and interface condition to destroy the meshes connectivity for. */,
    const int interfaceUserNumber /*<The user number of the interface containing the interface condition to destroy the meshes connectivity for. */);

/*>Destroys an interface meshes connectivity identified by an object. */
IRON_C_EXPORT cmfe_Error cmfe_InterfaceMeshConnectivity_Destroy(const cmfe_InterfaceMeshConnectivityType interfaceMeshConnectivity /*<The interface meshes connectivity to destroy. */);

/*>Finishes the creation of an interface coupled mesh points connectivity identified by a user number. */
IRON_C_EXPORT cmfe_Error cmfe_InterfacePointsConnectivity_CreateFinishNum(const int regionUserNumber /*<The user number of the region containing the interface to finish the interface points connectivity for. */,
    const int interfaceUserNumber /*<The user number of the interface to finish creating the points connectivity. */);

/*>Finishes the creation of an interface meshes connectivity identified by an object. */
IRON_C_EXPORT cmfe_Error cmfe_InterfacePointsConnectivity_CreateFinish(const cmfe_InterfacePointsConnectivityType interfacePointsConnectivity /*<The interface points connectivity to finish creating. */);

/*>Starts the creation of an interface points connectivity identified by a user number. */
IRON_C_EXPORT cmfe_Error cmfe_InterfacePointsConnectivity_CreateStartNum(const int regionUserNumber /*<The user number of the region containing the interface to start the creation of the meshes connectivity. */,
    const int interfaceUserNumber /*<The user number of the interface to start the creation of the meshes connectivity for. */,
    const int MeshNumber /*<The user number of the interface mesh */);

/*>Starts the creation of an interface points connectivity identified by an object. */
IRON_C_EXPORT cmfe_Error cmfe_InterfacePointsConnectivity_CreateStart(const cmfe_InterfaceType interface /*<The interface to start the creation of the meshes connectivity for */,
    const cmfe_MeshType interfaceMesh /*< */,
    cmfe_InterfacePointsConnectivityType interfacePointsConnectivity /*<On return, the created meshes connectivity */);

/*>Destroys an interface points connectivity identified by a user number. */
IRON_C_EXPORT cmfe_Error cmfe_InterfacePointsConnectivity_DestroyNum(const int regionUserNumber /*<The user number of the region containing the interface to destroy the points connectivity for. */,
    const int interfaceUserNumber /*<The user number of the interface to destroy the points connectivity for. */);

/*>Destroys an interface points connectivity identified by an object. */
IRON_C_EXPORT cmfe_Error cmfe_InterfacePointsConnectivity_Destroy(const cmfe_InterfacePointsConnectivityType interfacePointsConnectivity /*<The interface points connectivity to destroy. */);

/*>Gets coupled mesh element number that the data point in the interface is connected to */
IRON_C_EXPORT cmfe_Error cmfe_InterfacePointsConnectivity_ElementNumberGetNum(const int regionUserNumber /*<The user number of the region containing the interface */,
    const int interfaceUserNumber /*<The user number of the interface */,
    const int interfaceDataPointIndexNumber /*<The index of the interface data point, i.e.user defined global number */,
    const int coupledMeshIndexNumber /*<The index number of the coupled mesh */,
    const int meshComponentNumber /*<The mesh component number of the interface mesh that points connectivity is associated to */,
    int *coupledMeshElementNumber /*<The element number where the data point is connected to. */);

/*>Gets coupled mesh element number that the data point in the interface is connected to */
IRON_C_EXPORT cmfe_Error cmfe_InterfacePointsConnectivity_ElementNumberGet(const cmfe_InterfacePointsConnectivityType interfacePointsConnectivity /*<The interface points connectivity to set the element number for */,
    const int interfaceDataPointIndexNumber /*<The index of the interface data point, i.e.user defined global number */,
    const int coupledMeshIndexNumber /*<The index number of the coupled mesh */,
    const int meshComponentNumber /*<The mesh component number of the interface mesh that points connectivity is associated to */,
    int *coupledMeshElementNumber /*<The element number where the data point is projected to. */);

/*>Sets coupled mesh element number that the data point in the interface is connected to */
IRON_C_EXPORT cmfe_Error cmfe_InterfacePointsConnectivity_ElementNumberSetNum(const int regionUserNumber /*<The user number of the region containing the interface */,
    const int interfaceUserNumber /*<The user number of the interface */,
    const int interfaceDataPointIndexNumber /*<The index of the interface data point, i.e.user defined global number */,
    const int coupledMeshIndexNumber /*<The index number of the coupled mesh */,
    const int coupledMeshElementNumber /*<The element number where the data point is projected to. */,
    const int meshComponentNumber /*<The mesh component number to set the points connectivity element number for */);

/*>Sets coupled mesh element number that the data point in the interface is connected to */
IRON_C_EXPORT cmfe_Error cmfe_InterfacePointsConnectivity_ElementNumberSet(const cmfe_InterfacePointsConnectivityType interfacePointsConnectivity /*<The interface points connectivity to set the element number for */,
    const int interfaceDataPointIndexNumber /*<The index of the interface data point, i.e.user defined global number */,
    const int coupledMeshIndexNumber /*<The index number of the coupled mesh */,
    const int coupledMeshElementNumber /*<The element number where the data point is projected to. */,
    const int meshComponentNumber /*<The mesh component number to set the points connectivity element number for */);

/*>Gets the xi coordinate mapping between the data points in interface and xi coordinates in a coupled region mesh */
IRON_C_EXPORT cmfe_Error cmfe_InterfacePointsConnectivity_PointXiGetNum(const int regionUserNumber /*<The user number of the region containing the interface */,
    const int interfaceUserNumber /*<The user number of the interface */,
    const int interfaceDataPointIndexNumber /*<The index of the interface data point, i.e.user defined global number */,
    const int coupledMeshIndexNumber /*<The index number of the coupled mesh */,
    const int xiSize /*<Length of xi */,
    double *xi /*<xi(xiIdx). The full xi location in the coupled mesh that the data point is connected to */);

/*>Gets the xi coordinate mapping between the interface data points and xi coordinates in a coupled region mesh */
IRON_C_EXPORT cmfe_Error cmfe_InterfacePointsConnectivity_PointXiGet(const cmfe_InterfacePointsConnectivityType interfacePointsConnectivity /*<The interface to start the creation of the meshes connectivity for */,
    const int interfaceDataPointIndexNumber /*<The index of the interface data point, i.e.user defined global number */,
    const int coupledMeshIndexNumber /*<The index number of the coupled mesh */,
    const int xiSize /*<Length of xi */,
    double *xi /*<xi(xiIdx). The full xi location in the coupled mesh that the data point is connected to */);

/*>Sets the xi coordinate mapping between the data points in interface and xi coordinates in a coupled region mesh */
IRON_C_EXPORT cmfe_Error cmfe_InterfacePointsConnectivity_PointXiSetNum(const int regionUserNumber /*<The user number of the region containing the interface */,
    const int interfaceUserNumber /*<The user number of the interface */,
    const int interfaceDataPointIndexNumber /*<The index of the interface data point, i.e.user defined global number */,
    const int coupledMeshIndexNumber /*<The index number of the coupled mesh */,
    const int xiSize /*<Length of xi */,
    const double *xi /*<xi(xiIdx). The full xi location in the coupled mesh that the data point is connected to */);

/*>Sets the xi coordinate mapping between the interface data points and xi coordinates in a coupled region mesh */
IRON_C_EXPORT cmfe_Error cmfe_InterfacePointsConnectivity_PointXiSet(const cmfe_InterfacePointsConnectivityType interfacePointsConnectivity /*<The interface to start the creation of the meshes connectivity for */,
    const int interfaceDataPointIndexNumber /*<The index of the interface data point, i.e.user defined global number */,
    const int coupledMeshIndexNumber /*<The index number of the coupled mesh */,
    const int xiSize /*<Length of xi */,
    const double *xi /*<xi(xiIdx). The full xi location in the coupled mesh that the data point is connected to */);

/*>Update points connectivity with projection results, data projection identified by region user number */
IRON_C_EXPORT cmfe_Error cmfe_InterfacePointsConnectivity_UpdateFromProjectionRNum(const int regionUserNumber /*<The user number of the region containing the interface */,
    const int interfaceUserNumber /*<The user number of the interface */,
    const int dataPointsRegionUserNumber /*<The region number of the data points which the data projection is associated with */,
    const int dataProjectionUserNumber /*<The data projection user number of the data projection to update points connectivity with */,
    const int coupledMeshIndex /*<The index number of the coupled mesh */);

/*>Update points connectivity with projection results, data projection identified by interface user number */
IRON_C_EXPORT cmfe_Error cmfe_InterfacePointsConnectivity_UpdateFromProjectionINum(const int regionUserNumber /*<The user number of the region containing the interface */,
    const int interfaceUserNumber /*<The user number of the interface */,
    const int dataPointsRegionUserNumber /*<The parent region number of the interface for the data points which the data projection is associated with */,
    const int dataPointsInterfaceUserNumber /*<The interface number of the data points which the data projection is associated with */,
    const int dataProjectionUserNumber /*<The data projection user number of the data projection to update points connectivity with */,
    const int coupledMeshIndex /*<The index number of the coupled mesh */);

/*>Update points connectivity with projection results, data projection identified by object */
IRON_C_EXPORT cmfe_Error cmfe_InterfacePointsConnectivity_UpdateFromProjection(const cmfe_InterfacePointsConnectivityType pointsConnectivity /*<A pointer to the interface points connectivity to finish creating */,
    const cmfe_DataProjectionType dataProjection /*<The data projection to update points connectivity with */,
    const int coupledMeshIndex /*<The mesh index of the the points connectivity to be updated */);

/*>Finishes the creation of an interface condition identified by an user number. */
IRON_C_EXPORT cmfe_Error cmfe_InterfaceCondition_CreateFinishNum(const int regionUserNumber /*<The user number of the region containing the interface to finish the interface condition for. */,
    const int interfaceUserNumber /*<The user number of the interface containg the interface condition to finish creating for. */,
    const int interfaceConditionUserNumber /*<The user number of the interface condition to finish creating. */);

/*>Finishes the creation of an interface condition identified by an object. */
IRON_C_EXPORT cmfe_Error cmfe_InterfaceCondition_CreateFinish(const cmfe_InterfaceConditionType interfaceCondition /*<The interface condition to finish creating. */);

/*>Starts the creation of an interface condition identified by a user number. */
IRON_C_EXPORT cmfe_Error cmfe_InterfaceCondition_CreateStartNum(const int interfaceConditionUserNumber /*<The user number of the interface condition to start the creation of. */,
    const int regionUserNumber /*<The user number of the region containing the interface to start the creation of the interface condition for. */,
    const int interfaceUserNumber /*<The user number of the interface containing the interface condition to start the creation of. */,
    const int geometricFieldUserNumber /*<The user number of the geometric field on the interface for the interface condition. */);

/*>Starts the creation of an interface condition identified by an object. */
IRON_C_EXPORT cmfe_Error cmfe_InterfaceCondition_CreateStart(const int interfaceConditionUserNumber /*<The user number of the interface conditon to start the creation of. */,
    const cmfe_InterfaceType interface /*<The interface to create the interface on. */,
    const cmfe_FieldType geometricField /*<The geometric field for the interface condition. */,
    const cmfe_InterfaceConditionType interfaceCondition /*<On return, the created interface condition. */);

/*>Adds a dependent variable to an interface condition identified by a user number. */
IRON_C_EXPORT cmfe_Error cmfe_InterfaceCondition_DependentVariableAddNum(const int interfaceRegionUserNumber /*<The user number of the region containing the interface containing the interface condition to add the dependent variable for. */,
    const int interfaceUserNumber /*<The user number of the interface containing the interface condition to add the dependent variable for. */,
    const int interfaceConditionUserNumber /*<The user number of the interface condition to add the dependent variable for. */,
    const int meshIndex /*<The mesh index of the interface condition interface for which the dependent variable is added. */,
    const int equationsSetRegionUserNumber /*<The user number of the region containing the equations set containing the dependent field varible to add. */,
    const int equationsSetUserNumber /*<The user number of the equations set containing the dependent field to add the variable for. */,
    const int variableType /*<The variable type of the dependent variable to add. */);

/*>Adds a dependent field variable to an interface condition identified by an object. */
IRON_C_EXPORT cmfe_Error cmfe_InterfaceCondition_DependentVariableAdd(const cmfe_InterfaceConditionType interfaceCondition /*<The interface condition to add the dependent variable to. */,
    const int meshIndex /*<The mesh index of the interface condition interface for which the dependent variable is added. */,
    const cmfe_EquationsSetType equationsSet /*<The equations set containg the dependent variable to add. */,
    const int variableType /*<The variable type of the dependent variable to add. */);

/*>Destroys an interface condition identified by a user number. */
IRON_C_EXPORT cmfe_Error cmfe_InterfaceCondition_DestroyNum(const int regionUserNumber /*<The user number of the region containing the interface containing the interface condition to destroy. */,
    const int interfaceUserNumber /*<The user number of the interface containing the interface condition to destroy. */,
    const int interfaceConditionUserNumber /*<The user number of the interface condition to destroy. */);

/*>Destroys an interface condition identified by an object. */
IRON_C_EXPORT cmfe_Error cmfe_InterfaceCondition_Destroy(const cmfe_InterfaceConditionType interfaceCondition /*<The interface condition to destroy. */);

/*>Finishes the creation of equations for an interface condition identified by an user number. */
IRON_C_EXPORT cmfe_Error cmfe_InterfaceCondition_EquationsCreateFinishNum(const int regionUserNumber /*<The user number of the region containing the interface to finish the interface equations for. */,
    const int interfaceUserNumber /*<The user number of the interface containg the interface condition to finish the interface equations for. */,
    const int interfaceConditionUserNumber /*<The user number of the interface condition to finish creating the interface equations for. */);

/*>Finishes the creation of interface equations for an interface condition identified by an object. */
IRON_C_EXPORT cmfe_Error cmfe_InterfaceCondition_EquationsCreateFinish(const cmfe_InterfaceConditionType interfaceCondition /*<The interface condition to finish creating the interface equations for. */);

/*>Starts the creation of interface equations for an interface condition identified by a user number. */
IRON_C_EXPORT cmfe_Error cmfe_InterfaceCondition_EquationsCreateStartNum(const int regionUserNumber /*<The user number of the region containing the interface and interface condition to start the creation of the interface equations for. */,
    const int interfaceUserNumber /*<The user number of the interface containing the interface condition to start the creation of the interface equations for. */,
    const int interfaceConditionUserNumber /*<The user number of the interface condition to start the creation of the interface equations for. */);

/*>Starts the creation of interface equations for an interface condition identified by an object. */
IRON_C_EXPORT cmfe_Error cmfe_InterfaceCondition_EquationsCreateStart(const cmfe_InterfaceConditionType interfaceCondition /*<The interface condition to start the creation of interface equations for */,
    const cmfe_InterfaceEquationsType interfaceEquations /*<On return, the created interface equations. */);

/*>Destroys interface equations for an interface condition identified by a user number. */
IRON_C_EXPORT cmfe_Error cmfe_InterfaceCondition_EquationsDestroyNum(const int regionUserNumber /*<The user number of the region containing the interface and interface condition to destroy the interface equations for. */,
    const int interfaceUserNumber /*<The user number of the interface containing the interface condition to destroy the interface equations for. */,
    const int interfaceConditionUserNumber /*<The user number of the interface condition to destroy the interface equations for. */);

/*>Destroys the interface equations for an interface condition identified by an object. */
IRON_C_EXPORT cmfe_Error cmfe_InterfaceCondition_EquationsDestroy(const cmfe_InterfaceConditionType interfaceCondition /*<The interface condition to destroy the interface equations for. */);

/*>Returns the integration type for an interface condition identified by a user number. */
IRON_C_EXPORT cmfe_Error cmfe_InterfaceCondition_IntegrationTypeGetNum(const int regionUserNumber /*<The user number of the region containing the interface containing the interface condition to get the method for. */,
    const int interfaceUserNumber /*<The user number of the interface containing the interface condition to get the method for. */,
    const int interfaceConditionUserNumber /*<The user number of the interface condition to get the method for. */,
    int *interfaceConditionIntegrationType /*<On return, the interface condition integration type. \see OPENCMISS_InterfaceConditionIntegrationTypes,OPENCMISS */);

/*>Gets the integration type for an interface condition identified by an object. */
IRON_C_EXPORT cmfe_Error cmfe_InterfaceCondition_IntegrationTypeGet(const cmfe_InterfaceConditionType interfaceCondition /*<The interface condition to get the method for. */,
    int *interfaceConditionIntegrationType /*<On return, the interface condition integration type. \see OPENCMISS_InterfaceConditionIntegrationTypes,OPENCMISS */);

/*>Sets/changes the integration type for an interface condition identified by a user number. */
IRON_C_EXPORT cmfe_Error cmfe_InterfaceCondition_IntegrationTypeSetNum(const int regionUserNumber /*<The user number of the region containing the interface containing the interface condition to set the method for. */,
    const int interfaceUserNumber /*<The user number of the interface containing the interface condition to set the method for. */,
    const int interfaceConditionUserNumber /*<The user number of the interface condition to set the method for. */,
    const int interfaceConditionIntegrationType /*<On return, the interface condition integration type. \see OPENCMISS_InterfaceConditionIntegrationTypes,OPENCMISS */);

/*>Sets/changes the integration type for an interface condition identified by an object. */
IRON_C_EXPORT cmfe_Error cmfe_InterfaceCondition_IntegrationTypeSet(const cmfe_InterfaceConditionType interfaceCondition /*<The interface condition to set the method for. */,
    const int interfaceConditionIntegrationType /*<On return, the interface condition integration type. \see OPENCMISS_InterfaceConditionIntegrationTypes,OPENCMISS */);

/*>Finishes the creation of a Lagrange Multiplier Field for an interface condition identified by an user number. */
IRON_C_EXPORT cmfe_Error cmfe_InterfaceCondition_LagrangeFieldCreateFinishNum(const int regionUserNumber /*<The user number of the region containing the interface and interface condition to finish the Lagrange multiplier field for. */,
    const int interfaceUserNumber /*<The user number of the interface containg the interface condition to finish the Lagrange multiplier field for. */,
    const int interfaceConditionUserNumber /*<The user number of the interface condition to finish creating the Lagrange multiplier field for. */);

/*>Finishes the creation of a Lagrange multiplier field for an interface condition identified by an object. */
IRON_C_EXPORT cmfe_Error cmfe_InterfaceCondition_LagrangeFieldCreateFinish(const cmfe_InterfaceConditionType interfaceCondition /*<The interface condition to finish creating the Lagrange multiplier field for. */);

/*>Starts the creation of a Lagrange multiplier field for an interface condition identified by a user number. */
IRON_C_EXPORT cmfe_Error cmfe_InterfaceCondition_LagrangeFieldCreateStartNum(const int regionUserNumber /*<The user number of the region containing the interface and interface condition to start the creation of the Lagrange multiplier field for. */,
    const int interfaceUserNumber /*<The user number of the interface containing the interface condition to start the creation of the Lagrange multiplier field for. */,
    const int interfaceConditionUserNumber /*<The user number of the interface condition to start the creation of the Lagrange multiplier field for. */,
    const int lagrangeFieldUserNumber /*<The user number of the Lagrange field. */);

/*>Starts the creation of a Lagrange multiplier field for an interface condition identified by an object. */
IRON_C_EXPORT cmfe_Error cmfe_InterfaceCondition_LagrangeFieldCreateStart(const cmfe_InterfaceConditionType interfaceCondition /*<The interface condition to start the creation of the Lagrange multiplier field for. */,
    const int lagrangeFieldUserNumber /*<The user number of the Lagrange field. */,
    cmfe_FieldType lagrangeField /*<If associated on entry, the user created Lagrange field which has the same user number as the specified Lagrange field user number. If not associated on entry, on return, the created Lagrange field for the interface condition. */);

/*>Finishes the creation of a penalty Field for an interface condition identified by an user number. */
IRON_C_EXPORT cmfe_Error cmfe_InterfaceCondition_PenaltyFieldCreateFinishNum(const int RegionUserNumber /*<The user number of the region containing the interface and interface condition to finish the penalty field for. */,
    const int InterfaceUserNumber /*<The user number of the interface containg the interface condition to finish the penalty  field for. */,
    const int InterfaceConditionUserNumber /*<The user number of the interface condition to finish creating the penalty field for. */);

/*>Finishes the creation of a penalty field for an interface condition identified by an object. */
IRON_C_EXPORT cmfe_Error cmfe_InterfaceCondition_PenaltyFieldCreateFinish(const cmfe_InterfaceConditionType InterfaceCondition /*<The interface condition to finish creating the penalty field for. */);

/*>Starts the creation of a penalty field for an interface condition identified by a user number. */
IRON_C_EXPORT cmfe_Error cmfe_InterfaceCondition_PenaltyFieldCreateStartNum(const int RegionUserNumber /*<The user number of the region containing the interface and interface condition to start the creation of the penalty field for. */,
    const int InterfaceUserNumber /*<The user number of the interface containing the interface condition to start the creation of the penalty field for. */,
    const int InterfaceConditionUserNumber /*<The user number of the interface condition to start the creation of the penalty field for. */,
    const int PenaltyFieldUserNumber /*<The user number of the penalty field. */);

/*>Starts the creation of a penalty field for an interface condition identified by an object. */
IRON_C_EXPORT cmfe_Error cmfe_InterfaceCondition_PenaltyFieldCreateStart(const cmfe_InterfaceConditionType InterfaceCondition /*<The interface condition to start the creation of the penalty field for. */,
    const int PenaltyFieldUserNumber /*<The user number of the penalty field. */,
    cmfe_FieldType PenaltyField /*<If associated on entry, the user created penalty field which has the same user number as the specified penalty field user number. If not associated on entry, on return, the created penalty field for the interface condition. */);

/*>Returns the method for an interface condition identified by a user number. */
IRON_C_EXPORT cmfe_Error cmfe_InterfaceCondition_MethodGetNum(const int regionUserNumber /*<The user number of the region containing the interface containing the interface condition to get the method for. */,
    const int interfaceUserNumber /*<The user number of the interface containing the interface condition to get the method for. */,
    const int interfaceConditionUserNumber /*<The user number of the interface condition to get the method for. */,
    int *interfaceConditionMethod /*<On return, the interface condition method. \see OPENCMISS_InterfaceConditionMethods,OPENCMISS */);

/*>Gets the method for an interface condition identified by an object. */
IRON_C_EXPORT cmfe_Error cmfe_InterfaceCondition_MethodGet(const cmfe_InterfaceConditionType interfaceCondition /*<The interface condition to get the method for. */,
    int *interfaceConditionMethod /*<On return, the interface condition method. \see OPENCMISS_InterfaceConditionMethods,OPENCMISS */);

/*>Sets/changes the method for an interface condition identified by a user number. */
IRON_C_EXPORT cmfe_Error cmfe_InterfaceCondition_MethodSetNum(const int regionUserNumber /*<The user number of the region containing the interface containing the interface condition to set the method for. */,
    const int interfaceUserNumber /*<The user number of the interface containing the interface condition to set the method for. */,
    const int interfaceConditionUserNumber /*<The user number of the interface condition to set the method for. */,
    const int interfaceConditionMethod /*<The interface condition method to set. \see OPENCMISS_InterfaceConditionMethods,OPENCMISS */);

/*>Sets/changes the method for an interface condition identified by an object. */
IRON_C_EXPORT cmfe_Error cmfe_InterfaceCondition_MethodSet(const cmfe_InterfaceConditionType interfaceCondition /*<The interface condition to set the method for. */,
    const int interfaceConditionMethod /*<The interface condition method to set. \see OPENCMISS_InterfaceConditionMethods,OPENCMISS */);

/*>Returns the operator for an interface condition identified by a user number. */
IRON_C_EXPORT cmfe_Error cmfe_InterfaceCondition_OperatorGetNum(const int regionUserNumber /*<The user number of the region containing the interface containing the interface condition to get the operator for. */,
    const int interfaceUserNumber /*<The user number of the interface containing the interface condition to get the operator for. */,
    const int interfaceConditionUserNumber /*<The user number of the interface condition to get the operator for. */,
    int *interfaceConditionOperator /*<On return, the interface condition operator. \see OPENCMISS_InterfaceConditionOperators,OPENCMISS */);

/*>Gets the operator for an interface condition identified by an object. */
IRON_C_EXPORT cmfe_Error cmfe_InterfaceCondition_OperatorGet(const cmfe_InterfaceConditionType interfaceCondition /*<The interface condition to get the operator for. */,
    int *interfaceConditionOperator /*<On return, the interface condition operator. \see OPENCMISS_InterfaceConditionOperator,OPENCMISS */);

/*>Sets/changes the operator for an interface condition identified by a user number. */
IRON_C_EXPORT cmfe_Error cmfe_InterfaceCondition_OperatorSetNum(const int regionUserNumber /*<The user number of the region containing the interface containing the interface condition to set the operator for. */,
    const int interfaceUserNumber /*<The user number of the interface containing the interface condition to set the operator for. */,
    const int interfaceConditionUserNumber /*<The user number of the interface condition to set the operator for. */,
    const int interfaceConditionOperator /*<The interface condition operator to set. \see OPENCMISS_InterfaceConditionOperators,OPENCMISS */);

/*>Sets/changes the operator for an interface condition identified by an object. */
IRON_C_EXPORT cmfe_Error cmfe_InterfaceCondition_OperatorSet(const cmfe_InterfaceConditionType interfaceCondition /*<The interface condition to set the operator for. */,
    const int interfaceConditionOperator /*<The interface condition operator to set. \see OPENCMISS_InterfaceConditionOperator,OPENCMISS */);

/*>Returns the output type for an interface equations identified by a user number. */
IRON_C_EXPORT cmfe_Error cmfe_InterfaceEquations_OutputTypeGetNum(const int regionUserNumber /*<The user number of the region containing the interface, interface condition and interface equations to get the output type for. */,
    const int interfaceUserNumber /*<The user number of the interface, interface condition and interface equations to get the ouput type for. */,
    const int interfaceConditionUserNumber /*<The user number of the interface condition and interface equation to get the output type for. */,
    int *outputType /*<On return, the interface equations output type. \see OPENCMISS_EquationsOutputType,OPENCMISS */);

/*>Gets the output type for an interface equations identified by an object. */
IRON_C_EXPORT cmfe_Error cmfe_InterfaceEquations_OutputTypeGet(const cmfe_InterfaceEquationsType interfaceEquations /*<The interface equations to get the output type for. */,
    int *outputType /*<On return, the interface equations output type. \see OPENCMISS_EquationsOutputType,OPENCMISS */);

/*>Sets/changes the output type for an interface equations identified by a user number. */
IRON_C_EXPORT cmfe_Error cmfe_InterfaceEquations_OutputTypeSetNum(const int regionUserNumber /*<The user number of the region containing the interface, interface condition and interface equations to set the output type for. */,
    const int interfaceUserNumber /*<The user number of the interface, interface condition and interface equations to set the output type for. */,
    const int interfaceConditionUserNumber /*<The user number of the interface condition and interface equations to set the output type for. */,
    const int outputType /*<The interface equations output type to set. \see OPENCMISS_EquationsOutputTypes,OPENCMISS */);

/*>Sets/changes the output type for an interface equations identified by an object. */
IRON_C_EXPORT cmfe_Error cmfe_InterfaceEquations_OutputTypeSet(const cmfe_InterfaceEquationsType interfaceEquations /*<The interface equations to set the output type for. */,
    const int outputType /*<The interface equations output type to set. \see OPENCMISS_EquationsOutputTypes,OPENCMISS */);

/*>Returns the sparsity type for an interface equations identified by a user number. */
IRON_C_EXPORT cmfe_Error cmfe_InterfaceEquations_SparsityGetNum(const int regionUserNumber /*<The user number of the region containing the interface, interface condition and interface equations to get the sparsity type for. */,
    const int interfaceUserNumber /*<The user number of the interface, interface condition and interface equations to get the sparsity type for. */,
    const int interfaceConditionUserNumber /*<The user number of the interface condition and interface equation to get the sparsity type for. */,
    int *sparsityType /*<On return, the interface equations sparsity type. \see OPENCMISS_EquationsSparsityType,OPENCMISS */);

/*>Gets the sparsity type for an interface equations identified by an object. */
IRON_C_EXPORT cmfe_Error cmfe_InterfaceEquations_SparsityGet(const cmfe_InterfaceEquationsType interfaceEquations /*<The interface equations to get the sparsity type for. */,
    int *sparsityType /*<On return, the interface equations sparsity type. \see OPENCMISS_EquationsSparsityType,OPENCMISS */);

/*>Sets/changes the sparsity type for an interface equations identified by a user number. */
IRON_C_EXPORT cmfe_Error cmfe_InterfaceEquations_SparsitySetNum(const int regionUserNumber /*<The user number of the region containing the interface, interface condition and interface equations to set the sparsity type for. */,
    const int interfaceUserNumber /*<The user number of the interface, interface condition and interface equations to set the sparsity type for. */,
    const int interfaceConditionUserNumber /*<The user number of the interface condition and interface equations to set the sparsity type for. */,
    const int sparsityType /*<The interface equations sparsity type to set. \see OPENCMISS_EquationsSparsityTypes,OPENCMISS */);

/*>Sets/changes the sparsity type for an interface equations identified by an object. */
IRON_C_EXPORT cmfe_Error cmfe_InterfaceEquations_SparsitySet(const cmfe_InterfaceEquationsType interfaceEquations /*<The interface equations to set the sparsity type for. */,
    const int sparsityType /*<The interface equations sparsity type to set. \see OPENCMISS_EquationsSparsityTypes,OPENCMISS */);

/*>Finishes the creation of a domain decomposition for a decomposition identified by a user number. */
IRON_C_EXPORT cmfe_Error cmfe_Decomposition_CreateFinishNum(const int regionUserNumber /*<The user number of the region containing the mesh to finish the decomposition for. */,
    const int meshUserNumber /*<The user number of the mesh to finish the decomposition for. */,
    const int decompositionUserNumber /*<The user number of the decomposition to finish. */);

/*>Finishes the creation of a domain decomposition for a decomposition identified by an object. */
IRON_C_EXPORT cmfe_Error cmfe_Decomposition_CreateFinish(const cmfe_DecompositionType decomposition /*<The decomposition to finish creating. */);

/*>Calculates the decomposition topology for data points */
IRON_C_EXPORT cmfe_Error cmfe_Decomposition_TopologyDataProjectionCalculate(const cmfe_DecompositionType decomposition /*<The decomposition to finish creating. */);

/*>Gets the local data point number for data points projected on an element */
IRON_C_EXPORT cmfe_Error cmfe_Decomposition_TopologyElementDataPointLocalNumberGet(const cmfe_DecompositionType decomposition /*<The decomposition to finish creating. */,
    const int elementNumber /*<The element number to get the data point for */,
    const int dataPointIndex /*<The data point index to get the number for */,
    int *dataPointLocalNumber /*<The data point local number to retu */);

/*>Gets the user data point number for data points projected on an element */
IRON_C_EXPORT cmfe_Error cmfe_Decomposition_TopologyElementDataPointUserNumberGet(const cmfe_DecompositionType decomposition /*<The decomposition to finish creating. */,
    const int elementNumber /*<The element number to get the data point for */,
    const int dataPointIndex /*<The data point index to get the number for */,
    int *dataPointUserNumber /*<The data point user number to retu */);

/*>Gets the number of data points projected on an element */
IRON_C_EXPORT cmfe_Error cmfe_Decomposition_TopologyNumberOfElementDataPointsGet(const cmfe_DecompositionType decomposition /*<The decomposition to finish creating. */,
    const int elementNumber /*<The element number to get the data point for */,
    int *numberOfDataPoints /*<The data point local number to return */);

/*>Starts the creation of a domain decomposition for a decomposition identified by a user number. */
IRON_C_EXPORT cmfe_Error cmfe_Decomposition_CreateStartNum(const int decompositionUserNumber /*<The user number of the decomposition to create. */,
    const int regionUserNumber /*<The user number of the region containing the mesh to create the decomposition for. */,
    const int meshUserNumber /*<The user number of the mesh to create the decomposition for. */);

/*>Starts the creation of a domain decomposition for a decomposition identified by an object. */
IRON_C_EXPORT cmfe_Error cmfe_Decomposition_CreateStart(const int decompositionUserNumber /*<The user number of the decomposition to create. */,
    const cmfe_MeshType mesh /*<The mesh to create the decomposition for. */,
    cmfe_DecompositionType decomposition /*<On return, the created decomposition. */);

/*>Destroys a decomposition identified by a user number. */
IRON_C_EXPORT cmfe_Error cmfe_Decomposition_DestroyNum(const int regionUserNumber /*<The user number of the region containing the mesh to destroy the decomposition for. */,
    const int meshUserNumber /*<The user number of the mesh to destroy the decomposition for. */,
    const int decompositionUserNumber /*<The user number of the decomposition to destroy. */);

/*>Destroys a decomposition identified by an object. */
IRON_C_EXPORT cmfe_Error cmfe_Decomposition_Destroy(const cmfe_DecompositionType decomposition /*<The decomposition to destroy. */);

/*>Calculates the element domains for a decomposition identified by a user number. */
IRON_C_EXPORT cmfe_Error cmfe_Decomposition_ElementDomainCalculateNum(const int regionUserNumber /*<The user number of the region containing the mesh to calculate the element domains for. */,
    const int meshUserNumber /*<The user number of the mesh to calculate the element domains for. */,
    const int decompositionUserNumber /*<The user number of the decomposition to calculate the element domains for. */);

/*>Calculates the element domains for a decomposition identified by an object. */
IRON_C_EXPORT cmfe_Error cmfe_Decomposition_ElementDomainCalculate(const cmfe_DecompositionType decomposition /*<The decomposition to calcualte the element domains for. */);

/*>Returns the domain for a given element in a decomposition identified by a user number. */
IRON_C_EXPORT cmfe_Error cmfe_Decomposition_ElementDomainGetNum(const int regionUserNumber /*<The user number of the region containing the mesh to get the element domain for. */,
    const int meshUserNumber /*<The user number of the mesh to get the element domain for. */,
    const int decompositionUserNumber /*<The user number of the decomposition to get the element domain for. */,
    const int elementUserNumber /*<The user number of the element to get the domain for. */,
    int *domain /*<On return, the computational domain of the element. */);

/*>Returns the domain for a given element in a decomposition identified by an object. */
IRON_C_EXPORT cmfe_Error cmfe_Decomposition_ElementDomainGet(const cmfe_DecompositionType decomposition /*<The decomposition to get the domain for. */,
    const int elementUserNumber /*<The user number of the element to get the domain for. */,
    int *domain /*<On return, the computational domain of the element. */);

/*>Sets/changes the domain for a given element in a decomposition identified by a user number. */
IRON_C_EXPORT cmfe_Error cmfe_Decomposition_ElementDomainSetNum(const int regionUserNumber /*<The user number of the region containing the mesh to set the element domain for. */,
    const int meshUserNumber /*<The user number of the mesh to set the element domain for. */,
    const int decompositionUserNumber /*<The user number of the decomposition to set the element domain for. */,
    const int elementUserNumber /*<The user number of the element to set the domain for. */,
    const int domain /*<The computational domain of the element to set. */);

/*>Sets/changes the domain for a given element in a decomposition identified by an object. */
IRON_C_EXPORT cmfe_Error cmfe_Decomposition_ElementDomainSet(const cmfe_DecompositionType decomposition /*<The decomposition to set the element domain for. */,
    const int elementUserNumber /*<The user number of the element to set the domain for. */,
    const int domain /*<The computational domain of the element to set. */);

/*>Returns the mesh component number used for the decomposition of a mesh for a decomposition identified by a user number. */
IRON_C_EXPORT cmfe_Error cmfe_Decomposition_MeshComponentGetNum(const int regionUserNumber /*<The user number of the region containing the mesh to get the decomposition mesh component for. */,
    const int meshUserNumber /*<The user number of the mesh to get the decomposition mesh component for. */,
    const int decompositionUserNumber /*<The user number of the decomposition to get the mesh component for. */,
    int *meshComponentNumber /*<On return, the mesh component number for the decomposition. */);

/*>Returns the mesh component number used for the decomposition of a mesh for a decomposition identified by an object. */
IRON_C_EXPORT cmfe_Error cmfe_Decomposition_MeshComponentGet(const cmfe_DecompositionType decomposition /*<The decomposition to get the mesh component for. */,
    int *meshComponentNumber /*<On return, the mesh component number for the decomposition. */);

/*>Sets/changes the mesh component number used for the decomposition of a mesh for a decomposition identified by a user number. */
IRON_C_EXPORT cmfe_Error cmfe_Decomposition_MeshComponentSetNum(const int regionUserNumber /*<The user number of the region containing the mesh to set the decomposition mesh component for. */,
    const int meshUserNumber /*<The user number of the mesh to set the decomposition mesh component for. */,
    const int decompositionUserNumber /*<The user number of the decomposition to set the mesh component for. */,
    const int meshComponentNumber /*<The mesh component number for the decomposition to set. */);

/*>Sets/changes the mesh component number used for the decomposition of a mesh for a decomposition identified by an object. */
IRON_C_EXPORT cmfe_Error cmfe_Decomposition_MeshComponentSet(const cmfe_DecompositionType decomposition /*<The decomposition to Set the mesh component for. */,
    const int meshComponentNumber /*<The mesh component number for the decomposition to set. */);

/*>Returns the number of domains for a decomposition identified by a user number. */
IRON_C_EXPORT cmfe_Error cmfe_Decomposition_NumberOfDomainsGetNum(const int regionUserNumber /*<The user number of the region containing the mesh to get the number of domains for. */,
    const int meshUserNumber /*<The user number of the mesh to get the number of domains for. */,
    const int decompositionUserNumber /*<The user number of the decomposition to get the number of domains for. */,
    int *numberOfDomains /*<On return, the number of domains in the decomposition. */);

/*>Returns the number of domains for a decomposition identified by an object. */
IRON_C_EXPORT cmfe_Error cmfe_Decomposition_NumberOfDomainsGet(const cmfe_DecompositionType decomposition /*<The decomposition to get the number of domains for. */,
    int *numberOfDomains /*<On return, the number of domains in the decomposition. */);

/*>Sets/changes the number of domains for a decomposition identified by a user number. */
IRON_C_EXPORT cmfe_Error cmfe_Decomposition_NumberOfDomainsSetNum(const int regionUserNumber /*<The user number of the region containing the mesh to set the number of domains for. */,
    const int meshUserNumber /*<The user number of the mesh to set the number of domains for. */,
    const int decompositionUserNumber /*<The user number of the decomposition to set the number of domains for. */,
    const int numberOfDomains /*<The number of domains in the decomposition to set. */);

/*>Sets/changes the number of domains for a decomposition identified by an object. */
IRON_C_EXPORT cmfe_Error cmfe_Decomposition_NumberOfDomainsSet(const cmfe_DecompositionType decomposition /*<The decomposition to set the number of domains for. */,
    const int numberOfDomains /*<The number of domains in the decomposition to set. */);

/*>Returns the type of a decomposition identified by a user number. */
IRON_C_EXPORT cmfe_Error cmfe_Decomposition_TypeGetNum(const int regionUserNumber /*<The user number of the region containing the mesh to get the decomposition type for. */,
    const int meshUserNumber /*<The user number of the mesh to get the decomposition type for. */,
    const int decompositionUserNumber /*<The user number of the decomposition to get the decomposition type for. */,
    int *decompositionType /*<On return, the type of the decomposition. */);

/*>Returns the type of a decomposition identified by an object. */
IRON_C_EXPORT cmfe_Error cmfe_Decomposition_TypeGet(const cmfe_DecompositionType decomposition /*<The decomposition to get the type for. */,
    int *decompositionType /*<On return, the type of the decomposition. */);

/*>Sets/changes the type of a decomposition identified by a user number. */
IRON_C_EXPORT cmfe_Error cmfe_Decomposition_TypeSetNum(const int regionUserNumber /*<The user number of the region containing the mesh to set the decomposition type for. */,
    const int meshUserNumber /*<The user number of the mesh to set the decomposition type for. */,
    const int decompositionUserNumber /*<The user number of the decomposition to set the decomposition type for. */,
    const int decompositionType /*<The type of the decomposition to set. */);

/*>Sets/changes the type of a decomposition identified by an object. */
IRON_C_EXPORT cmfe_Error cmfe_Decomposition_TypeSet(const cmfe_DecompositionType decomposition /*<The decomposition to Set the type for. */,
    const int decompositionType /*<The type of the decomposition to set. */);

/*>Sets whether lines should be calculated */
IRON_C_EXPORT cmfe_Error cmfe_Decomposition_CalculateLinesSetNum(const int regionUserNumber /*<The user number of the region. */,
    const int meshUserNumber /*<The user number of the mesh. */,
    const int decompositionUserNumber /*<The user number of the decomposition to set the calculate lines flag for. */,
    const cmfe_Bool calculateLinesFlag /*<Boolean to determine whether to set lines to be calculated. */);

/*>Sets whether lines should be calculated */
IRON_C_EXPORT cmfe_Error cmfe_Decomposition_CalculateLinesSet(const cmfe_DecompositionType decomposition /*<The decomposition to set the calculate lines flag for. */,
    const cmfe_Bool calculateLinesFlag /*<Boolean to determine whether to set lines to be calculated. */);

/*>Sets whether faces should be calculated */
IRON_C_EXPORT cmfe_Error cmfe_Decomposition_CalculateFacesSetNum(const int regionUserNumber /*<The user number of the region. */,
    const int meshUserNumber /*<The user number of the mesh. */,
    const int decompositionUserNumber /*<The user number of the decomposition to set the decomposition type for. */,
    const cmfe_Bool calculateFacesFlag /*<Boolean to determine whether to set faces to be calculated. */);

/*>Sets whether faces should be calculated */
IRON_C_EXPORT cmfe_Error cmfe_Decomposition_CalculateFacesSet(const cmfe_DecompositionType decomposition /*<The decomposition to set the calculate faces flag for. */,
    const cmfe_Bool calculateFacesFlag /*<Boolean to determine whether to set faces to be calculated. */);

/*>Returns the domain for a given node in a decomposition identified by a user number. */
IRON_C_EXPORT cmfe_Error cmfe_Decomposition_NodeDomainGetNum(const int regionUserNumber /*<The user number of the region containing the mesh to get the node domain for. */,
    const int meshUserNumber /*<The user number of the mesh to get the node domain for. */,
    const int decompositionUserNumber /*<The user number of the decomposition to get the node domain for. */,
    const int nodeUserNumber /*<The user number of the node to get the domain for. */,
    const int meshComponentNumber /*<The user number of the mesh component to get the domain for. */,
    int *domain /*<On return, the computational domain of the node. */);

/*>Returns the domain for a given node in a decomposition identified by an object. \todo Maybe swap Node and MeshComponent? */
IRON_C_EXPORT cmfe_Error cmfe_Decomposition_NodeDomainGet(const cmfe_DecompositionType decomposition /*<The decomposition to get the domain for. */,
    const int nodeUserNumber /*<The user number of the node to get the domain for. */,
    const int meshComponentNumber /*<The user number of the mesh component to get the domain for. */,
    int *domain /*<On return, the computational domain of the node. */);

/*>Finishes the creation of a mesh for a mesh identified by a user number. */
IRON_C_EXPORT cmfe_Error cmfe_Mesh_CreateFinishNum(const int regionUserNumber /*<The user number of the region containing the mesh to finish the creation of. */,
    const int meshUserNumber /*<The user number of the mesh to finish the creation of. */);

/*>Finishes the creation of a mesh for a mesh identified by an object. */
IRON_C_EXPORT cmfe_Error cmfe_Mesh_CreateFinish(const cmfe_MeshType mesh /*<The mesh to finish creating. */);

/*>Starts the creation of a mesh for a mesh identified by a user number. */
IRON_C_EXPORT cmfe_Error cmfe_Mesh_CreateStartNum(const int meshUserNumber /*<The user number of the mesh to start the creation of. */,
    const int regionUserNumber /*<The user number of the region containing the mesh to start the creation of. */,
    const int numberOfDimensions /*<The number of dimensions for the mesh. */);

/*>Starts the creation of a mesh for a mesh identified by an object. */
IRON_C_EXPORT cmfe_Error cmfe_Mesh_CreateStart(const int meshUserNumber /*<The user number of the mesh to start the creation of. */,
    const cmfe_RegionType region /*<The region containing the mesh to start the creation of. */,
    const int numberOfDimensions /*<The number of dimensions for the mesh. */,
    cmfe_MeshType mesh /*<On return, the created mesh. */);

/*>Starts the creation of a mesh for a mesh identified by an object. */
IRON_C_EXPORT cmfe_Error cmfe_Mesh_CreateStartInterface(const int meshUserNumber /*<The user number of the mesh to start the creation of. */,
    const cmfe_InterfaceType interface /*<The interface containing the mesh to start the creation of. */,
    const int numberOfDimensions /*<The number of dimensions for the mesh. */,
    cmfe_MeshType mesh /*<On return, the created mesh. */);

/*>Destroys a mesh identified by a user number. */
IRON_C_EXPORT cmfe_Error cmfe_Mesh_DestroyNum(const int regionUserNumber /*<The user number of the region containing the mesh to destroy. */,
    const int meshUserNumber /*<The user number of the mesh to destroy. */);

/*>Destroys a mesh identified by an object. */
IRON_C_EXPORT cmfe_Error cmfe_Mesh_Destroy(const cmfe_MeshType mesh /*<The mesh to destroy. */);

/*>Returns the number of components in a mesh identified by a user number. */
IRON_C_EXPORT cmfe_Error cmfe_Mesh_NumberOfComponentsGetNum(const int regionUserNumber /*<The user number of the region containing the mesh to get the number of components for. */,
    const int meshUserNumber /*<The user number of the mesh to get the number of components for. */,
    int *numberOfComponents /*<On return, the number of components in the mesh. */);

/*>Returns the number of components in a mesh identified by an object. */
IRON_C_EXPORT cmfe_Error cmfe_Mesh_NumberOfComponentsGet(const cmfe_MeshType mesh /*<The mesh to get the number of components for. */,
    int *numberOfComponents /*<On return, the number of components in the mesh. */);

/*>Sets/changes the number of components in a mesh identified by a user number. */
IRON_C_EXPORT cmfe_Error cmfe_Mesh_NumberOfComponentsSetNum(const int regionUserNumber /*<The user number of the region containing the mesh to set the number of components for. */,
    const int meshUserNumber /*<The user number of the mesh to set the number of components for. */,
    const int numberOfComponents /*<The number of components in the mesh to set. */);

/*>Sets/changes the number of components in a mesh identified by an object. */
IRON_C_EXPORT cmfe_Error cmfe_Mesh_NumberOfComponentsSet(const cmfe_MeshType mesh /*<The mesh to set the number of components for. */,
    const int numberOfComponents /*<The number of components in the mesh to set. */);

/*>Sets/changes the surrounding elements calculate flag. */
IRON_C_EXPORT cmfe_Error cmfe_Mesh_SurroundingElementsCalculateSetNum(const int regionUserNumber /*<The user number of the region containing the mesh to set the surrounding elements calculate flag for. */,
    const int meshUserNumber /*<The user number of the mesh to set the surrounding elements calculate flag for. */,
    const cmfe_Bool surroundingElementsCalculateFlag /*<Boolean flag to determine whether to calculate surrounding elements. */);

/*>Sets/changes the surrounding elements calculate flag. */
IRON_C_EXPORT cmfe_Error cmfe_Mesh_SurroundingElementsCalculateSet(const cmfe_MeshType mesh /*<The mesh to set the surrounding elements calculate flag for. */,
    const cmfe_Bool surroundingElementsCalculateFlag /*<Boolean flag to determine whether to calculate surrounding elements. */);

/*>Returns the number of elements in a mesh identified by a user number. */
IRON_C_EXPORT cmfe_Error cmfe_Mesh_NumberOfElementsGetNum(const int regionUserNumber /*<The user number of the region containing the mesh to get the number of elements for. */,
    const int meshUserNumber /*<The user number of the mesh to get the number of elements for. */,
    int *numberOfElements /*<On return, the number of elements in the mesh. */);

/*>Returns the number of elements in a mesh identified by an object. */
IRON_C_EXPORT cmfe_Error cmfe_Mesh_NumberOfElementsGet(const cmfe_MeshType mesh /*<The mesh to get the number of elements for. */,
    int *numberOfElements /*<On return, the number of elements in the mesh. */);

/*>Sets/changes the number of elements in a mesh identified by a user number. */
IRON_C_EXPORT cmfe_Error cmfe_Mesh_NumberOfElementsSetNum(const int regionUserNumber /*<The user number of the region containing the mesh to set the number of elements for. */,
    const int meshUserNumber /*<The user number of the mesh to set the number of elements for. */,
    const int numberOfElements /*<The number of elements in the mesh to set. */);

/*>Sets/changes the number of elements in a mesh identified by an object. */
IRON_C_EXPORT cmfe_Error cmfe_Mesh_NumberOfElementsSet(const cmfe_MeshType mesh /*<The mesh to set the number of elements for. */,
    const int numberOfElements /*<The number of elements in the mesh to set. */);

/*>Calculate mesh data points topology in a region identified by a user number based on projection */
IRON_C_EXPORT cmfe_Error cmfe_Mesh_TopologyDataPointsCalculateProjectionRegionNum(const int regionUserNumber /*<The user number of the region. */,
    const int MeshUserNumber /*< */,
    const cmfe_DataProjectionType DataProjection /*<The data projection */);

/*>Calculate mesh data points topology in an interface identified by a user number based on projection */
IRON_C_EXPORT cmfe_Error cmfe_Mesh_TopologyDataPointsCalculateProjectionInterfaceNum(const int parentRegionUserNumber /*<The user number of the region. */,
    const int interfaceUserNumber /*<The user number of the region. */,
    const int MeshUserNumber /*< */,
    const cmfe_DataProjectionType DataProjection /*<The data projection */);

/*>Calculate mesh data points topology identified by object based on projection */
IRON_C_EXPORT cmfe_Error cmfe_Mesh_TopologyDataPointsCalculateProjection(const cmfe_MeshType Mesh /*<The mesh to calculate data points topology for */,
    const cmfe_DataProjectionType DataProjection /*<The data projection */);

/*>Finishes creating elements for a mesh component of a mesh identified by a user number. */
IRON_C_EXPORT cmfe_Error cmfe_MeshElements_CreateFinishNum(const int regionUserNumber /*<The user number of the region containing the mesh to finish creating the elements for. */,
    const int meshUserNumber /*<The user number of the mesh to finish creating the elements for. */,
    const int meshComponentNumber /*<The mesh component number of the mesh to finish creating the elements for. */);

/*>Finishes creating elements for a mesh component of a mesh identified by an object. */
IRON_C_EXPORT cmfe_Error cmfe_MeshElements_CreateFinish(const cmfe_MeshElementsType meshElements /*<The mesh elements to finish creating. */);

/*>Starts creating elements for a mesh component of a mesh identified by a user number. */
IRON_C_EXPORT cmfe_Error cmfe_MeshElements_CreateStartNum(const int regionUserNumber /*<The user number of the region containing the mesh to start creating the elements for. */,
    const int meshUserNumber /*<The user number of the mesh to start creating the elements for. */,
    const int meshComponentNumber /*<The mesh component number of the mesh to start creating the elements for. */,
    const int basisUserNumber /*<The user number of the default basis to use for the elements. */);

/*>Starts creating elements for a mesh component of a mesh identified by an object. */
IRON_C_EXPORT cmfe_Error cmfe_MeshElements_CreateStart(cmfe_MeshType mesh /*<The mesh to start the creation of elements for. */,
    const int meshComponentNumber /*<The mesh component number of the mesh to start creating the elements for. */,
    const cmfe_BasisType basis /*<The default basis to use for the elements. */,
    cmfe_MeshElementsType meshElements /*<On return, the created mesh elements. */);

/*>Returns the mesh elements for a mesh component on a mesh identified by an user number. */
IRON_C_EXPORT cmfe_Error cmfe_Mesh_ElementsGetNum(const int regionUserNumber /*<The user number of the region containing the mesh to get the elements for. */,
    const int meshUserNumber /*<The user number of the mesh to get the elements for. */,
    const int meshComponentNumber /*<The mesh component number to get the elements for. */,
    cmfe_MeshElementsType meshElements /*<The mesh elements. */);

/*> */
IRON_C_EXPORT cmfe_Error cmfe_Mesh_ElementsGet(const cmfe_MeshType mesh /*<The mesh to get the elements for. */,
    const int meshComponentNumber /*<The mesh component number to get the elements for. */,
    cmfe_MeshElementsType meshElements /*<The mesh elements. */);

/*>Returns the basis for an element in a mesh identified by an user number. \todo should the global element number be a user number? */
IRON_C_EXPORT cmfe_Error cmfe_MeshElements_BasisGetNum(const int regionUserNumber /*<The user number of the region containing the mesh to get the basis for. */,
    const int meshUserNumber /*<The user number of the mesh to get the basis for. */,
    const int meshComponentNumber /*<The mesh component number to get the basis for. */,
    const int globalElementNumber /*<The global element number to get the basis for. */,
    int *basisUserNumber /*<On return, the user number of the basis for the element. */);

/*>Returns the basis for an element in a mesh identified by an object. \todo should the global element number be a user number? */
IRON_C_EXPORT cmfe_Error cmfe_MeshElements_BasisGet(const cmfe_MeshElementsType meshElements /*<The mesh elements to get the basis for. */,
    const int globalElementNumber /*<The global element number to get the basis for. */,
    cmfe_BasisType basis /*<On return, the basis for the element. */);

/*>Sets/changes the basis for an element in a mesh identified by an user number. \todo should the global element number be a user number? */
IRON_C_EXPORT cmfe_Error cmfe_MeshElements_BasisSetNum(const int regionUserNumber /*<The user number of the region containing the mesh to set the basis for. */,
    const int meshUserNumber /*<The user number of the mesh to set the basis for. */,
    const int meshComponentNumber /*<The mesh component number to set the basis for. */,
    const int globalElementNumber /*<The global element number to set the basis for. */,
    const int basisUserNumber /*<The user number of the basis for the element to set. */);

/*>Sets/changes the basis for an element in a mesh identified by an object. \todo should the global element number be a user number? */
IRON_C_EXPORT cmfe_Error cmfe_MeshElements_BasisSet(const cmfe_MeshElementsType meshElements /*<The mesh elements to set the basis for. */,
    const int globalElementNumber /*<The global element number to set the basis for. */,
    const cmfe_BasisType basis /*<The basis for the element to set. */);

/*>Returns the adjacent element number of a mesh identified by a user number */
IRON_C_EXPORT cmfe_Error cmfe_MeshElements_AdjacentElementGetNum(const int regionUserNumber /*<The user number of the region containing the mesh from which to get the adjacent element from. */,
    const int meshUserNumber /*<The user number of the mesh from which to get the adjacent element from. */,
    const int meshComponentNumber /*<The mesh component number from which to get adjacent element number from. */,
    const int globalElementNumber /*<The global element number to get the adjacent element number for. !\todo this should be a user number */,
    const int adjacentElementXi /*<The xi coordinate direction to get the adjacent element for. Note that -xiCoordinateDirection gives the adjacent element before the element in the xiCoordinateDirection'th direction and +xiCoordinateDirection gives the adjacent element after the element in the xiCoordinateDirection'th direction. The xiCoordinateDirection=0 index will give the information on the current element. */,
    int *adjacentElement /*<On return, the adjacent element number in the specified xi coordinate direction. Return 0 if the specified element has no adjacent elements in the specified xi coordinate direction. */);

/*>Returns the adjacent element number of a mesh identified by an object. */
IRON_C_EXPORT cmfe_Error cmfe_MeshElements_AdjacentElementGet(const cmfe_MeshElementsType meshElements /*<The mesh elements from which to get the adjacent element for. */,
    const int globalElementNumber /*<The global element number to get the adjacent element for !\todo this should be a user number */,
    const int adjacentElementXi /*<The xi coordinate direction to get the adjacent element for  Note that -xiCoordinateDirection gives the adjacent element before the element in the xiCoordinateDirection'th direction and +xiCoordinateDirection gives the adjacent element after the element in the xiCoordinateDirection'th direction. The xiCoordinateDirection=0 index will give the information on the current element. */,
    int *adjacentElement /*<On return, the adjacent element number in the specified xi coordinate direction. Return 0 if the specified element has no adjacent elements in the specified xi coordinate direction. */);

/*>Returns the element nodes for an element in a mesh identified by an user number. \todo should the global element number be a user number? */
IRON_C_EXPORT cmfe_Error cmfe_MeshElements_NodesGetNum(const int regionUserNumber /*<The user number of the region containing the mesh to get the element nodes for. */,
    const int meshUserNumber /*<The user number of the mesh to get the element nodes for. */,
    const int meshComponentNumber /*<The mesh component number to get the element nodes for. */,
    const int globalElementNumber /*<The global element number to get the element nodes for. */,
    const int elementUserNodesSize /*<Length of elementUserNodes */,
    int *elementUserNodes /*<elementUserNodes(i). On return, the user node number number of the i'th element node. */);

/*>Returns the element nodes for an element in a mesh identified by an object. \todo should the global element number be a user number? */
IRON_C_EXPORT cmfe_Error cmfe_MeshElements_NodesGet(const cmfe_MeshElementsType meshElements /*<The mesh elements to get the element nodes for. */,
    const int globalElementNumber /*<The global element number to get the element nodes for. */,
    const int elementUserNodesSize /*<Length of elementUserNodes */,
    int *elementUserNodes /*<elementUserNodes(i). On return, the user node number number of the i'th element node. */);

/*>Sets/changes the element nodes for an element in a mesh identified by an user number. \todo should the global element number be a user number? */
IRON_C_EXPORT cmfe_Error cmfe_MeshElements_NodesSetNum(const int regionUserNumber /*<The user number of the region containing the mesh to set the element nodes for. */,
    const int meshUserNumber /*<The user number of the mesh to set the element nodes for. */,
    const int meshComponentNumber /*<The mesh component number to set the element nodes for. */,
    const int globalElementNumber /*<The global element number to set the element nodes for. */,
    const int elementUserNodesSize /*<Length of elementUserNodes */,
    const int *elementUserNodes /*<elementUserNodes(i). The user node number number of the i'th element node to set. */);

/*>Sets/changes the element nodes for an element in a mesh identified by an object. \todo should the global element number be a user number? */
IRON_C_EXPORT cmfe_Error cmfe_MeshElements_NodesSet(const cmfe_MeshElementsType meshElements /*<The mesh elements to set the element nodes for. */,
    const int globalElementNumber /*<The global element number to set the element nodes for. */,
    const int elementUserNodesSize /*<Length of elementUserNodes */,
    const int *elementUserNodes /*<elementUserNodes(i). The user node number number of the i'th element node to set. */);

/*>Sets/changes the element nodes for an element in a mesh identified by an user number. \todo should the global element number be a user number? */
IRON_C_EXPORT cmfe_Error cmfe_MeshElements_UserNodeVersionSetNum(const int regionUserNumber /*<The user number of the region containing the mesh to set the element nodes for. */,
    const int meshUserNumber /*<The user number of the mesh to set the element nodes for. */,
    const int globalElementNumber /*<The global element number to set the element nodes for. */,
    const int versionNumber /*<The version number of the specified element node to set. */,
    const int derivativeNumber /*<The derivative number of the specified element node to set. */,
    const int userNodeNumber /*<The user node number to set a version for. */,
    const int meshComponentNumber /*<The mesh component number to set the element nodes for. */);

/*>Sets/changes the element nodes for an element in a mesh identified by an object. \todo should the global element number be a user number? */
IRON_C_EXPORT cmfe_Error cmfe_MeshElements_UserNodeVersionSet(const cmfe_MeshElementsType meshElements /*<The mesh elements to set the element nodes for. */,
    const int globalElementNumber /*<The global element number to set the element nodes for. */,
    const int versionNumber /*<The version number of the specified element node to set. */,
    const int derivativeNumber /*<The derivative number of the specified element node to set. */,
    const int userNodeNumber /*<The user node number to set a version for. */);

/*>Sets/changes the element nodes for an element in a mesh identified by an user number. \todo should the global element number be a user number? */
IRON_C_EXPORT cmfe_Error cmfe_MeshElements_LocalElementNodeVersionSetNum(const int regionUserNumber /*<The user number of the region containing the mesh to set the element nodes for. */,
    const int meshUserNumber /*<The user number of the mesh to set the element nodes for. */,
    const int globalElementNumber /*<The global element number to set the element nodes for. */,
    const int versionNumber /*<The version number of the specified element node to set. */,
    const int derivativeNumber /*<The derivative number of the specified element node to set. */,
    const int localElementNodeNumber /*<The local element node to set a version for. */,
    const int meshComponentNumber /*<The mesh component number to set the element nodes for. */);

/*>Sets/changes the element nodes for an element in a mesh identified by an object. \todo should the global element number be a user number? */
IRON_C_EXPORT cmfe_Error cmfe_MeshElements_LocalElementNodeVersionSet(const cmfe_MeshElementsType meshElements /*<The mesh elements to set the element nodes for. */,
    const int globalElementNumber /*<The global element number to set the element nodes for. */,
    const int versionNumber /*<The version number of the specified element node to set. */,
    const int derivativeNumber /*<The derivative number of the specified element node to set. */,
    const int localElementNodeNumber /*<The local element node to set a version for. */);

/*>Returns the user number for an element in a mesh identified by an user number. */
IRON_C_EXPORT cmfe_Error cmfe_MeshElements_UserNumberGetNum(const int regionUserNumber /*<The user number of the region containing the mesh to get the element user number for. */,
    const int meshUserNumber /*<The user number of the mesh to get the element user number for. */,
    const int meshComponentNumber /*<The mesh component number to get the element user number for. */,
    const int elementGlobalNumber /*<The global element number to get the element user number for. */,
    int *elementUserNumber /*<On return, the element user number. */);

/*>Returns the element user number for an element in a mesh identified by an object. */
IRON_C_EXPORT cmfe_Error cmfe_MeshElements_UserNumberGet(const cmfe_MeshElementsType meshElements /*<The mesh elements to get the element nodes for. */,
    const int elementGlobalNumber /*<The global element number to get the element user number for. */,
    int *elementUserNumber /*<On return, the element user number. */);

/*>Sets/changes the user number for an element in a mesh identified by an user number. */
IRON_C_EXPORT cmfe_Error cmfe_MeshElements_UserNumberSetNum(const int regionUserNumber /*<The user number of the region containing the mesh to set the element user number for. */,
    const int meshUserNumber /*<The user number of the mesh to set the element user number for. */,
    const int meshComponentNumber /*<The mesh component number to set the element user number for. */,
    const int elementGlobalNumber /*<The global element number to set the element user number for. */,
    const int elementUserNumber /*<The element user number to set. */);

/*>Sets/changes the element user number for an element in a mesh identified by an object. */
IRON_C_EXPORT cmfe_Error cmfe_MeshElements_UserNumberSet(const cmfe_MeshElementsType meshElements /*<The mesh elements to set the element nodes for. */,
    const int elementGlobalNumber /*<The global element number to set the element user number for. */,
    const int elementUserNumber /*<The element user number to set. */);

/*>Sets/changes the user numbers for all elements in a mesh identified by an user number. */
IRON_C_EXPORT cmfe_Error cmfe_MeshElements_UserNumbersAllSetNum(const int regionUserNumber /*<The user number of the region containing the mesh to set the element user numbers for. */,
    const int meshUserNumber /*<The user number of the mesh to set the element user numbers for. */,
    const int meshComponentNumber /*<The mesh component number to set the element user numbers for. */,
    const int elementUserNumbersSize /*<Length of elementUserNumbers */,
    const int *elementUserNumbers /*<The element user numbers to set. */);

/*>Sets/changes the element user numbers for all elements in a mesh identified by an object. */
IRON_C_EXPORT cmfe_Error cmfe_MeshElements_UserNumbersAllSet(const cmfe_MeshElementsType meshElements /*<The mesh elements to set the element user numbers for */,
    const int elementUserNumbersSize /*<Length of elementUserNumbers */,
    const int *elementUserNumbers /*<The element user numbers to set. */);

/*>Checks if the given node exists on the given mesh component. */
IRON_C_EXPORT cmfe_Error cmfe_Mesh_NodeExistsNum(const int regionUserNumber /*<The user number of the region containing the mesh to check the node for. */,
    const int meshUserNumber /*<The user number of the mesh tocheck the node for. */,
    const int meshComponentNumber /*<The mesh component number to check the node for. */,
    const int nodeUserNumber /*<The user number of the node to check. */,
    cmfe_Bool *nodeExists /*<True if the node exists, false otherwise. */);

/*>Checks if the given node exists on the given mesh component. */
IRON_C_EXPORT cmfe_Error cmfe_Mesh_NodeExists(const cmfe_MeshType mesh /*<The mesh to check the node for. */,
    const int meshComponentNumber /*<The mesh component number to check the node for. */,
    const int nodeUserNumber /*<The user number of the node to check. */,
    cmfe_Bool *nodeExists /*<True if the node exists, false otherwise. */);

/*>Checks if the given element exists on the given mesh component. */
IRON_C_EXPORT cmfe_Error cmfe_Mesh_ElementExistsNum(const int regionUserNumber /*<The user number of the region containing the mesh to check the element for. */,
    const int meshUserNumber /*<The user number of the mesh to check the element for. */,
    const int meshComponentNumber /*<The mesh component number to check the element for. */,
    const int elementUserNumber /*<The user number of the element to check. */,
    cmfe_Bool *elementExists /*<True if the element exists, false otherwise. */);

/*>Checks if the given element exists on the given mesh component. */
IRON_C_EXPORT cmfe_Error cmfe_Mesh_ElementExists(const cmfe_MeshType mesh /*<The mesh to check the node for. */,
    const int meshComponentNumber /*<The mesh component number to check the element for. */,
    const int elementUserNumber /*<The user number of the element to check. */,
    cmfe_Bool *elementExists /*<True if the element exists, false otherwise. */);

/*>Returns the mesh nodes for a mesh component on a mesh identified by an user number. */
IRON_C_EXPORT cmfe_Error cmfe_Mesh_NodesGetNum(const int regionUserNumber /*<The user number of the region containing the mesh to get the nodes for. */,
    const int meshUserNumber /*<The user number of the mesh to get the nodes for. */,
    const int meshComponentNumber /*<The mesh component number to get the nodes for. */,
    cmfe_MeshNodesType meshNodes /*<On return, the mesh nodes. */);

/*>Returns the mesh nodes for a mesh component on a mesh identified by an object. */
IRON_C_EXPORT cmfe_Error cmfe_Mesh_NodesGet(const cmfe_MeshType mesh /*<The mesh to get the nodes for. */,
    const int meshComponentNumber /*<The mesh component number to get the nodes for. */,
    cmfe_MeshNodesType meshNodes /*<On return, the mesh nodes. */);

/*>Returns the number of nodes at a node in a mesh identified by an user number. */
IRON_C_EXPORT cmfe_Error cmfe_MeshNodes_NumberOfNodesGetNum(const int regionUserNumber /*<The user number of the region containing the mesh to get the number of dervatives for. */,
    const int meshUserNumber /*<The user number of the mesh to get the number of nodes for. */,
    const int meshComponentNumber /*<The mesh component number to get the number of nodes for. */,
    int *numberOfNodes /*<On return, the number of nodes in the mesh. */);

/*>Returns the number of derivatives for a node in a mesh identified by an object. */
IRON_C_EXPORT cmfe_Error cmfe_MeshNodes_NumberOfNodesGet(const cmfe_MeshNodesType meshNodes /*<The mesh nodes to get the number of derivatives at a node for. */,
    int *numberOfNodes /*<On return, the number of nodes in a mesh. */);

/*>Returns the number of derivatives at a node in a mesh identified by an user number. */
IRON_C_EXPORT cmfe_Error cmfe_MeshNodes_NumberOfDerivativesGetNum(const int regionUserNumber /*<The user number of the region containing the mesh to get the number of dervatives for. */,
    const int meshUserNumber /*<The user number of the mesh to get the number of derivatives for. */,
    const int meshComponentNumber /*<The mesh component number to get the number of derivatives for. */,
    const int userNodeNumber /*<The user node number to get the number of derivatives for. */,
    int *numberOfDerivatives /*<On return, the number of derivatives in the mesh for the user node number. */);

/*>Returns the number of derivatives for a node in a mesh identified by an object. */
IRON_C_EXPORT cmfe_Error cmfe_MeshNodes_NumberOfDerivativesGet(const cmfe_MeshNodesType meshNodes /*<The mesh nodes to get the number of derivatives at a node for. */,
    const int userNodeNumber /*<The user node number to get the number of derivatives at a node for. */,
    int *numberOfDerivatives /*<On return, the number of derivatives at a node in a mesh. */);

/*>Returns the derivatives at a node in a mesh identified by an user number. */
IRON_C_EXPORT cmfe_Error cmfe_MeshNodes_DerivativesGetNum(const int regionUserNumber /*<The user number of the region containing the mesh to get the derivatives for. */,
    const int meshUserNumber /*<The user number of the mesh to get the derivatives for. */,
    const int meshComponentNumber /*<The mesh component number to get the derivatives for. */,
    const int userNodeNumber /*<The user node number to get the derivatives for. */,
    const int derivativesSize /*<Length of derivatives */,
    int *derivatives /*<On return, the derivatives in the mesh for the user node number. */);

/*>Returns the derivatives for a node in a mesh identified by an object. */
IRON_C_EXPORT cmfe_Error cmfe_MeshNodes_DerivativesGet(const cmfe_MeshNodesType meshNodes /*<The mesh nodes to get the derivatives at a node for. */,
    const int userNodeNumber /*<The user node number to get the derivatives at a node for. */,
    const int derivativesSize /*<Length of derivatives */,
    int *derivatives /*<On return, the derivatives at a node in a mesh. */);

/*>Returns the number of version at a derivative for a node in a mesh identified by an user number. */
IRON_C_EXPORT cmfe_Error cmfe_MeshNodes_NumberOfVersionsGetNum(const int regionUserNumber /*<The user number of the region containing the mesh to get the number of versions. */,
    const int meshUserNumber /*<The user number of the mesh to get the number of versions for. */,
    const int meshComponentNumber /*<The mesh component number to get the number of versions for. */,
    const int derivativeNumber /*<The derivative number of the node to get the number of versions for. */,
    const int userNodeNumber /*<The user node number to get the number of versions for. */,
    int *numberOfVersions /*<On return, the number of versions in the mesh for the derivative index of the user node number. */);

/*>Returns the number of versions for an node in a mesh identified by an object. */
IRON_C_EXPORT cmfe_Error cmfe_MeshNodes_NumberOfVersionsGet(const cmfe_MeshNodesType meshNodes /*<The mesh nodes to get the number of versions at a node for. */,
    const int derivativeNumber /*<The derivative number of a node to get the number of versions for. */,
    const int userNodeNumber /*<The user node number to get the number of versions at a node for. */,
    int *numberOfVersions /*<On return, the number of derivatives at the specified node and derivative in a mesh. */);

/*>Get the storage type for a distributed matrix */
IRON_C_EXPORT cmfe_Error cmfe_DistributedMatrix_StorageTypeGet(const cmfe_DistributedMatrixType matrix /*<The matrix to get the storage type for */,
    int *storageType /*<On return, the matrix storage type. \see OPENCMISS_MatrixStorageTypes */);

/*>Get the data type of a distributed matrix */
IRON_C_EXPORT cmfe_Error cmfe_DistributedMatrix_DataTypeGet(const cmfe_DistributedMatrixType matrix /*<The matrix to get the data type for */,
    int *dataType /*<On return, the matrix data type. \see OPENCMISS_MatrixVectorDataTypes */);

/*>Get the dimensions of a distributed matrix on this computational node */
IRON_C_EXPORT cmfe_Error cmfe_DistributedMatrix_DimensionsGet(const cmfe_DistributedMatrixType matrix /*<The matrix to get the data type for */,
    int *m /*<On return, the number of rows for this computational node */,
    int *n /*<On return, the number of columns */);

/*>Get the row indices and column indices for a sparse matrix */
IRON_C_EXPORT cmfe_Error cmfe_DistributedMatrix_StorageLocationsGet(const cmfe_DistributedMatrixType matrix /*<The matrix to get the storage locations for */,
    int *rowIndicesSize /*<Length of rowIndices */,
    int **rowIndices /*<On return, the matrix storage row indices */,
    int *columnIndicesSize /*<Length of columnIndices */,
    int **columnIndices /*<On return, the matrix storage column indices */);

/*>Get the data array for this matrix on this computational node */
IRON_C_EXPORT cmfe_Error cmfe_DistributedMatrix_DataGetIntg(const cmfe_DistributedMatrixType matrix /*<The matrix to get the data for */,
    int *dataSize /*<Length of data */,
    int **data /*<On return, the matrix data */);

/*>Restore the data array for this matrix once it has finished being used */
IRON_C_EXPORT cmfe_Error cmfe_DistributedMatrix_DataRestoreIntg(const cmfe_DistributedMatrixType matrix /*<The matrix to restore the data for */,
    int *dataSize /*<Length of data */,
    int **data /*<On entry, a pointer to the matrix data. On return, a nullified pointer. */);

/*>Get the data array for this matrix on this computational node */
IRON_C_EXPORT cmfe_Error cmfe_DistributedMatrix_DataGetDP(const cmfe_DistributedMatrixType matrix /*<The matrix to get the data for */,
    int *dataSize /*<Length of data */,
    double **data /*<On return, the matrix data */);

/*>Restore the data array for this matrix once it has finished being used */
IRON_C_EXPORT cmfe_Error cmfe_DistributedMatrix_DataRestoreDP(const cmfe_DistributedMatrixType matrix /*<The matrix to restore the data for */,
    int *dataSize /*<Length of data */,
    double **data /*<On entry, a pointer to the matrix data. On return, a nullified pointer. */);

/*>Get the data array for this matrix on this computational node */
IRON_C_EXPORT cmfe_Error cmfe_DistributedMatrix_DataGetSP(const cmfe_DistributedMatrixType matrix /*<The matrix to get the data for */,
    int *dataSize /*<Length of data */,
    float **data /*<On return, the matrix data */);

/*>Restore the data array for this matrix once it has finished being used */
IRON_C_EXPORT cmfe_Error cmfe_DistributedMatrix_DataRestoreSP(const cmfe_DistributedMatrixType matrix /*<The matrix to restore the data for */,
    int *dataSize /*<Length of data */,
    float **data /*<On entry, a pointer to the matrix data. On return, a nullified pointer. */);

/*>Get the data array for this matrix on this computational node */
IRON_C_EXPORT cmfe_Error cmfe_DistributedMatrix_DataGetL(const cmfe_DistributedMatrixType matrix /*<The matrix to get the data for */,
    int *dataSize /*<Length of data */,
    cmfe_Bool **data /*<On return, the matrix data */);

/*>Restore the data array for this matrix once it has finished being used */
IRON_C_EXPORT cmfe_Error cmfe_DistributedMatrix_DataRestoreL(const cmfe_DistributedMatrixType matrix /*<The matrix to restore the data for */,
    int *dataSize /*<Length of data */,
    cmfe_Bool **data /*<On entry, a pointer to the matrix data. On return, a nullified pointer. */);

/*>Get the data type of a distributed vector */
IRON_C_EXPORT cmfe_Error cmfe_DistributedVector_DataTypeGet(const cmfe_DistributedVectorType vector /*<The vector to get the data type for */,
    int *dataType /*<On return, the vector data type. \see OPENCMISS_MatrixVectorDataTypes */);

/*>Get the data array for this vector on this computational node */
IRON_C_EXPORT cmfe_Error cmfe_DistributedVector_DataGetIntg(const cmfe_DistributedVectorType vector /*<The vector to get the data for */,
    int *dataSize /*<Length of data */,
    int **data /*<On return, the vector data */);

/*>Restore the data array for this vector once it has finished being used */
IRON_C_EXPORT cmfe_Error cmfe_DistributedVector_DataRestoreIntg(const cmfe_DistributedVectorType vector /*<The vector to restore the data for */,
    int *dataSize /*<Length of data */,
    int **data /*<On entry, a pointer to the vector data. On return, a nullified pointer. */);

/*>Get the data array for this vector on this computational node */
IRON_C_EXPORT cmfe_Error cmfe_DistributedVector_DataGetDP(const cmfe_DistributedVectorType vector /*<The vector to get the data for */,
    int *dataSize /*<Length of data */,
    double **data /*<On return, the vector data */);

/*>Restore the data array for this vector once it has finished being used */
IRON_C_EXPORT cmfe_Error cmfe_DistributedVector_DataRestoreDP(const cmfe_DistributedVectorType vector /*<The vector to restore the data for */,
    int *dataSize /*<Length of data */,
    double **data /*<On entry, a pointer to the vector data. On return, a nullified pointer. */);

/*>Get the data array for this vector on this computational node */
IRON_C_EXPORT cmfe_Error cmfe_DistributedVector_DataGetSP(const cmfe_DistributedVectorType vector /*<The vector to get the data for */,
    int *dataSize /*<Length of data */,
    float **data /*<On return, the vector data */);

/*>Restore the data array for this vector once it has finished being used */
IRON_C_EXPORT cmfe_Error cmfe_DistributedVector_DataRestoreSP(const cmfe_DistributedVectorType vector /*<The vector to restore the data for */,
    int *dataSize /*<Length of data */,
    float **data /*<On entry, a pointer to the vector data. On return, a nullified pointer. */);

/*>Get the data array for this vector on this computational node */
IRON_C_EXPORT cmfe_Error cmfe_DistributedVector_DataGetL(const cmfe_DistributedVectorType vector /*<The vector to get the data for */,
    int *dataSize /*<Length of data */,
    cmfe_Bool **data /*<On return, the vector data */);

/*>Restore the data array for this vector once it has finished being used */
IRON_C_EXPORT cmfe_Error cmfe_DistributedVector_DataRestoreL(const cmfe_DistributedVectorType vector /*<The vector to restore the data for */,
    int *dataSize /*<Length of data */,
    cmfe_Bool **data /*<On entry, a pointer to the vector data. On return, a nullified pointer. */);

/*>Finishes the process of creating nodes in a region for nodes identified by user number. */
IRON_C_EXPORT cmfe_Error cmfe_Nodes_CreateFinishNum(const int regionUserNumber /*<The user number of the region containing the nodes to finish the creation of. */);

/*>Finishes the creation of a nodes in a region for nodes identified by an object. */
IRON_C_EXPORT cmfe_Error cmfe_Nodes_CreateFinish(const cmfe_NodesType nodes /*<The nodes to finish creating. */);

/*>Starts the process of creating nodes in a region for nodes identified by user number. */
IRON_C_EXPORT cmfe_Error cmfe_Nodes_CreateStartNum(const int regionUserNumber /*<The user number of the region containing the nodes to start the creation of. */,
    const int numberOfNodes /*<The number of nodes to create. */);

/*>Starts the creation of a nodes in a region for nodes identified by an object. */
IRON_C_EXPORT cmfe_Error cmfe_Nodes_CreateStart(const cmfe_RegionType region /*<The region to start the creation of nodes on. */,
    const int numberOfNodes /*<The number of nodes to create. */,
    const cmfe_NodesType nodes /*<On return, the created nodes. */);

/*>Starts the creation of a nodes in a region for nodes identified by an object. */
IRON_C_EXPORT cmfe_Error cmfe_Nodes_CreateStartInterface(const cmfe_InterfaceType interface /*<The interface to start the creation of nodes on. */,
    const int numberOfNodes /*<The number of nodes to create. */,
    const cmfe_NodesType nodes /*<On return, the created nodes. */);

/*>Destroys the nodes in a region for nodes identified by user number. */
IRON_C_EXPORT cmfe_Error cmfe_Nodes_DestroyNum(const int regionUserNumber /*<The user number of the region containing the nodes to destroy. */);

/*>Destroys the nodes in a region for nodes identified by an object. */
IRON_C_EXPORT cmfe_Error cmfe_Nodes_Destroy(const cmfe_NodesType nodes /*<The nodes to destroy. */);

/*>Returns the number of nodes */
IRON_C_EXPORT cmfe_Error cmfe_Nodes_NumberOfNodesGetNum(const int regionUserNumber /*<The user number of the region containing the nodes to get node count for. */,
    int *numberOfNodes /*<On return, the number of nodes */);

/*>Returns the number of nodes */
IRON_C_EXPORT cmfe_Error cmfe_Nodes_NumberOfNodesGet(const cmfe_NodesType nodes /*<The nodes get node count for. */,
    int *numberOfNodes /*<The number of nodes */);

/*>Returns the character label for a node in a set of nodes identified by user number. \todo should this be user number?? */
IRON_C_EXPORT cmfe_Error cmfe_Nodes_LabelGetNum(const int regionUserNumber /*<The user number of the region containing the nodes to get the label for. */,
    const int nodeGlobalNumber /*<The global number of the nodes to get the label for. */,
    const int labelSize /*<Length of label string */,
    char *label /*<On return, the label for the node. */);

/*>Returns the character label for a node in a set of nodes identified by an object. \todo should this be user number?? */
IRON_C_EXPORT cmfe_Error cmfe_Nodes_LabelGet(const cmfe_NodesType nodes /*<The nodes to get the label for. */,
    const int nodeGlobalNumber /*<The global number of the nodes to get the label for. */,
    const int labelSize /*<Length of label string */,
    char *label /*<On return, the label for the node. */);

/*>Sets/changes the character label for a node in a set of nodes identified by user number. \todo should this be user number?? */
IRON_C_EXPORT cmfe_Error cmfe_Nodes_LabelSetNum(const int regionUserNumber /*<The user number of the region containing the nodes to set the label for. */,
    const int nodeGlobalNumber /*<The global number of the nodes to set the label for. */,
    const int labelSize /*<Length of label string */,
    const char *label /*<The label for the node to set. */);

/*>Sets/changes the character label for a node in a set of nodes identified by an object. \todo should this be user number?? */
IRON_C_EXPORT cmfe_Error cmfe_Nodes_LabelSet(const cmfe_NodesType nodes /*<The nodes to set the label for. */,
    const int nodeGlobalNumber /*<The global number of the nodes to set the label for. */,
    const int labelSize /*<Length of label string */,
    const char *label /*<The label for the node to set. */);

/*>Returns the user number for a node in a set of nodes identified by user number. */
IRON_C_EXPORT cmfe_Error cmfe_Nodes_UserNumberGetNum(const int regionUserNumber /*<The user number of the region containing the nodes to get the node user number for. */,
    const int nodeGlobalNumber /*<The global number of the nodes to get the node user number for. */,
    int *nodeUserNumber /*<On return, the user number for the node. */);

/*>Returns the user number for a node in a set of nodes identified by an object. \todo should this be user number?? */
IRON_C_EXPORT cmfe_Error cmfe_Nodes_UserNumberGet(const cmfe_NodesType nodes /*<The nodes to get the node user number for. */,
    const int nodeGlobalNumber /*<The global number of the nodes to get the node user number for. */,
    int *nodeUserNumber /*<On return, the user number for the node. */);

/*>Sets/changes the user number for a node in a set of nodes identified by user number. */
IRON_C_EXPORT cmfe_Error cmfe_Nodes_UserNumberSetNum(const int regionUserNumber /*<The user number of the region containing the nodes to set the node user number for. */,
    const int nodeGlobalNumber /*<The global number of the nodes to set the node user number for. */,
    const int nodeUserNumber /*<The user number for the node to set. */);

/*>Sets/changes the user number for a node in a set of nodes identified by an object. \todo should this be user number?? */
IRON_C_EXPORT cmfe_Error cmfe_Nodes_UserNumberSet(const cmfe_NodesType nodes /*<The nodes to set the node user number for. */,
    const int nodeGlobalNumber /*<The global number of the nodes to set the node user number for. */,
    const int nodeUserNumber /*<The user number for the node to set. */);

/*>Sets/changes the user numbers for a set of nodes identified by user number. */
IRON_C_EXPORT cmfe_Error cmfe_Nodes_UserNumbersAllSetNum(const int regionUserNumber /*<The user number of the region containing the nodes to set the node user numbers for. */,
    const int nodeUserNumbersSize /*<Length of nodeUserNumbers */,
    const int *nodeUserNumbers /*<The user numbers for the nodes to set. */);

/*>Sets/changes the user numbers for a set of nodes identified by an object. */
IRON_C_EXPORT cmfe_Error cmfe_Nodes_UserNumbersAllSet(const cmfe_NodesType nodes /*<The nodes to set the node user number for. */,
    const int nodeUserNumbersSize /*<Length of nodeUserNumbers */,
    const int *nodeUserNumbers /*<The user numbers for the nodes to set. */);

/*>Finishes the process of creating CellML equations for a problem identified by user number. */
IRON_C_EXPORT cmfe_Error cmfe_Problem_CellMLEquationsCreateFinishNum(const int problemUserNumber /*<The user number of the problem to finish the creation of CellML equations for. */);

/*>Finishes the creation of CellML equations for problem identified by an object. */
IRON_C_EXPORT cmfe_Error cmfe_Problem_CellMLEquationsCreateFinish(const cmfe_ProblemType problem /*<The problem to finish creating the CellML equations for. */);

/*>Starts the process of creating CellML equations for a problem identified by user number. */
IRON_C_EXPORT cmfe_Error cmfe_Problem_CellMLEquationsCreateStartNum(const int problemUserNumber /*<The user number of the problem to start the creation of CellML equations for. */);

/*>Starts the creation of CellML equations for problem identified by an object. */
IRON_C_EXPORT cmfe_Error cmfe_Problem_CellMLEquationsCreateStart(const cmfe_ProblemType problem /*<The problem to start creating the CellML equations for. */);

/*>Returns the CellML equations from a problem identified by an user number. */
IRON_C_EXPORT cmfe_Error cmfe_Problem_CellMLEquationsGetNum(const int problemUserNumber /*<The user number of the problem to get the CellML equations for. */,
    const int controlLoopIdentifiersSize /*<Length of controlLoopIdentifiers */,
    const int *controlLoopIdentifiers /*<controlLoopIdentifiers(i). The i'th control loop identifier to get the CellML equations for. */,
    const int solverIndex /*<The solver index to get the CellML equations for. */,
    cmfe_CellMLEquationsType CellMLEquations /*<On return, the specified CellML equations. */);

/*>Returns the CellML equations from a problem identified by an object. */
IRON_C_EXPORT cmfe_Error cmfe_Problem_CellMLEquationsGet(const cmfe_ProblemType problem /*<The problem to get the CellML equations for. */,
    const int controlLoopIdentifiersSize /*<Length of controlLoopIdentifiers */,
    const int *controlLoopIdentifiers /*<controlLoopIdentifiers(i). The i'th control loop identifier to get the CellML equations for. */,
    const int solverIndex /*<The solver index to get the CellML equations for. */,
    cmfe_CellMLEquationsType CellMLEquations /*<On return, the specified CellML equations. */);

/*>Finishes the process of a problem identified by user number. */
IRON_C_EXPORT cmfe_Error cmfe_Problem_CreateFinishNum(const int problemUserNumber /*<The user number of the problem to finish the creation of. */);

/*>Finishes the creation of a problem identified by an object. */
IRON_C_EXPORT cmfe_Error cmfe_Problem_CreateFinish(const cmfe_ProblemType problem /*<The problem to finish creating. */);

/*>Starts the process of a problem identified by user number. */
IRON_C_EXPORT cmfe_Error cmfe_Problem_CreateStartNum(const int problemUserNumber /*<The user number of the problem to start the creation of. */,
    const int problemSpecificationSize /*<Length of problemSpecification */,
    const int *problemSpecification /*<The problem specification array, containt the problem class, type etc */);

/*>Starts the creation of a problem identified by an object. */
IRON_C_EXPORT cmfe_Error cmfe_Problem_CreateStart(const int problemUserNumber /*<The user number of the problem to start the creation of. */,
    const int problemSpecificationSize /*<Length of problemSpecification */,
    const int *problemSpecification /*<The problem specification array, containt the problem class, type etc */,
    cmfe_ProblemType problem /*<On return, the created problem. */);

/*>Finishes the process of creating a control loop for a problem identified by user number. */
IRON_C_EXPORT cmfe_Error cmfe_Problem_ControlLoopCreateFinishNum(const int problemUserNumber /*<The user number of the problem to finish creating the control loop for. */);

/*>Finishes the creation of a control loop on a problem identified by an object. */
IRON_C_EXPORT cmfe_Error cmfe_Problem_ControlLoopCreateFinish(const cmfe_ProblemType problem /*<The problem to finish creating the control loop for. */);

/*>Starts the process of creating a control loop for a problem identified by user number. */
IRON_C_EXPORT cmfe_Error cmfe_Problem_ControlLoopCreateStartNum(const int problemUserNumber /*<The user number of the problem to start creating the control loop for. */);

/*>Starts the creation of a control loop on a problem identified by an object. */
IRON_C_EXPORT cmfe_Error cmfe_Problem_ControlLoopCreateStart(const cmfe_ProblemType problem /*<The problem to start creating the control loop for. */);

/*>Destroys the control loops for a problem identified by user number. */
IRON_C_EXPORT cmfe_Error cmfe_Problem_ControlLoopDestroyNum(const int problemUserNumber /*<The user number of the problem to destroy the control loops for. */);

/*>Destroys the control loops on a problem identified by an object. */
IRON_C_EXPORT cmfe_Error cmfe_Problem_ControlLoopDestroy(const cmfe_ProblemType problem /*<The problem to destroy the control loops for. */);

/*>Returns a control loop from a problem identified by an user number. */
IRON_C_EXPORT cmfe_Error cmfe_Problem_ControlLoopGetNum(const int problemUserNumber /*<The user number of the problem to get the control loop for. */,
    const int controlLoopIdentifiersSize /*<Length of controlLoopIdentifiers */,
    const int *controlLoopIdentifiers /*<controlLoopIdentifiers(i). The i'th control loop identifier to get the control loop for. */,
    cmfe_ControlLoopType controlLoop /*<On return, the specified problem control loop. */);

/*>Returns a control loop from a problem identified by an object. */
IRON_C_EXPORT cmfe_Error cmfe_Problem_ControlLoopGet(const cmfe_ProblemType problem /*<The problem to get the control loop for. */,
    const int controlLoopIdentifiersSize /*<Length of controlLoopIdentifiers */,
    const int *controlLoopIdentifiers /*<controlLoopIdentifiers(i). The i'th control loop identifier to get the control loop for. */,
    cmfe_ControlLoopType controlLoop /*<On return, the specified problem control loop. */);

/*>Destroys a problem identified by an user number. */
IRON_C_EXPORT cmfe_Error cmfe_Problem_DestroyNum(const int problemUserNumber /*<The user number of the problem to destroy. */);

/*>Destroys a problem identified by an object. */
IRON_C_EXPORT cmfe_Error cmfe_Problem_Destroy(const cmfe_ProblemType problem /*<The problem to destroy. */);

/*>Solves a problem identified by an user number. */
IRON_C_EXPORT cmfe_Error cmfe_Problem_SolveNum(const int problemUserNumber /*<The user number of the problem to solve. */);

/*>Solves a problem identified by an object. */
IRON_C_EXPORT cmfe_Error cmfe_Problem_Solve(const cmfe_ProblemType problem /*<The problem to solve. */);

/*>Returns a solver from a problem identified by an user number. */
IRON_C_EXPORT cmfe_Error cmfe_Problem_SolverGetNum(const int problemUserNumber /*<The user number of the problem to get the solver for. */,
    const int controlLoopIdentifiersSize /*<Length of controlLoopIdentifiers */,
    const int *controlLoopIdentifiers /*<controlLoopIdentifiers(i). The i'th control loop identifier to get the solver for. */,
    const int solverIndex /*<The solver index to get the solver for. */,
    cmfe_SolverType solver /*<On return, the specified solver. */);

/*>Returns a solver from a problem identified by an object. */
IRON_C_EXPORT cmfe_Error cmfe_Problem_SolverGet(const cmfe_ProblemType problem /*<The problem to get the solver for. */,
    const int controlLoopIdentifiersSize /*<Length of controlLoopIdentifiers */,
    const int *controlLoopIdentifiers /*<controlLoopIdentifiers(i). The i'th control loop identifier to get the solver for. */,
    const int solverIndex /*<The solver index to get the solver for. */,
    cmfe_SolverType solver /*<On return, the specified solver. */);

/*>Set boundary conditions for solver equations according to the analytic equations for solver equations identified by user numbers. */
IRON_C_EXPORT cmfe_Error cmfe_SolverEquations_BoundaryConditionsAnalyticNum(const int problemUserNumber /*<The user number of the problem containing the solver equations to calculate the boundary conditions for. */,
    const int controlLoopIdentifiersSize /*<Length of controlLoopIdentifiers */,
    const int *controlLoopIdentifiers /*<controlLoopIdentifiers(i). The i'th control loop identifier to calculate the solver equations boundary conditions for. */,
    const int solverIndex /*<The solver index to calculate the solver equations boundary conditions for. */);

/*>Set boundary conditions for solver equations according to the analytic equations. */
IRON_C_EXPORT cmfe_Error cmfe_SolverEquations_BoundaryConditionsAnalytic(const cmfe_SolverEquationsType solverEquations /*<The solver equations to get the boundary conditions for. */);

/*>Finishes the process of creating solver equations for a problem identified by user number. */
IRON_C_EXPORT cmfe_Error cmfe_Problem_SolverEquationsCreateFinishNum(const int problemUserNumber /*<The user number of the problem to finish the creation of solver equations for. */);

/*>Finishes the creation of solver equations for problem identified by an object. */
IRON_C_EXPORT cmfe_Error cmfe_Problem_SolverEquationsCreateFinish(const cmfe_ProblemType problem /*<The problem to finish creating the solver equations for. */);

/*>Starts the process of creating solver equations for a problem identified by user number. */
IRON_C_EXPORT cmfe_Error cmfe_Problem_SolverEquationsCreateStartNum(const int problemUserNumber /*<The user number of the problem to start the creation of solver equations for. */);

/*>Starts the creation of solver equations for problem identified by an object. */
IRON_C_EXPORT cmfe_Error cmfe_Problem_SolverEquationsCreateStart(const cmfe_ProblemType problem /*<The problem to start creating the solver equations for. */);

/*>Destroys the solver equations for a problem identified by an user number. */
IRON_C_EXPORT cmfe_Error cmfe_Problem_SolverEquationsDestroyNum(const int problemUserNumber /*<The user number of the problem to destroy solver equations for. */);

/*>Destroys the solver equations for problem identified by an object. */
IRON_C_EXPORT cmfe_Error cmfe_Problem_SolverEquationsDestroy(const cmfe_ProblemType problem /*<The problem to destroy the solver equations for. */);

/*>Returns the solver equations from a problem identified by an user number. */
IRON_C_EXPORT cmfe_Error cmfe_Problem_SolverEquationsGetNum(const int problemUserNumber /*<The user number of the problem to get the solver equations for. */,
    const int controlLoopIdentifiersSize /*<Length of controlLoopIdentifiers */,
    const int *controlLoopIdentifiers /*<controlLoopIdentifiers(i). The i'th control loop identifier to get the solver equations for. */,
    const int solverIndex /*<The solver index to get the solver equations for. */,
    cmfe_SolverEquationsType solverEquations /*<On return, the specified solver equations. */);

/*>Returns the solver equations from a problem identified by an object. */
IRON_C_EXPORT cmfe_Error cmfe_Problem_SolverEquationsGet(const cmfe_ProblemType problem /*<The problem to get the solver equations for. */,
    const int controlLoopIdentifiersSize /*<Length of controlLoopIdentifiers */,
    const int *controlLoopIdentifiers /*<controlLoopIdentifiers(i). The i'th control loop identifier to get the solver equations for. */,
    const int solverIndex /*<The solver index to get the solver equations for. */,
    cmfe_SolverEquationsType solverEquations /*<On return, the specified solver equations. */);

/*>Finishes the process of creating solvers for a problem identified by user number. */
IRON_C_EXPORT cmfe_Error cmfe_Problem_SolversCreateFinishNum(const int problemUserNumber /*<The user number of the problem to finish the creation of solvers for. */);

/*>Finishes the creation of solvers for problem identified by an object. */
IRON_C_EXPORT cmfe_Error cmfe_Problem_SolversCreateFinish(const cmfe_ProblemType problem /*<The problem to finish creating the solvers for. */);

/*>Starts the process of creating solvers for a problem identified by user number. */
IRON_C_EXPORT cmfe_Error cmfe_Problem_SolversCreateStartNum(const int problemUserNumber /*<The user number of the problem to start the creation of solvers for. */);

/*>Starts the creation of solvers for problem identified by an object. */
IRON_C_EXPORT cmfe_Error cmfe_Problem_SolversCreateStart(const cmfe_ProblemType problem /*<The problem to start creating the solvers for. */);

/*>Destroys the solvers for a problem identified by an user number. */
IRON_C_EXPORT cmfe_Error cmfe_Problem_SolversDestroyNum(const int problemUserNumber /*<The user number of the problem to destroy the solvers for. */);

/*>Destroys the solvers for problem identified by an object. */
IRON_C_EXPORT cmfe_Error cmfe_Problem_SolversDestroy(const cmfe_ProblemType problem /*<The problem to destroy the solvers for. */);

/*>Returns the specification array for a problem identified by a user number. */
IRON_C_EXPORT cmfe_Error cmfe_Problem_SpecificationGetNum(const int problemUserNumber /*<The user number of the problem to get the specification for. */,
    const int problemSpecificationSize /*<Length of problemSpecification */,
    int *problemSpecification /*<On return, the problem specification array. Must be allocated and large enough to contain the specification on entry. */);

/*>Returns the specification array for a problem identified by an object. */
IRON_C_EXPORT cmfe_Error cmfe_Problem_SpecificationGet(const cmfe_ProblemType problem /*<The problem to get the specification for. */,
    const int problemSpecificationSize /*<Length of problemSpecification */,
    int *problemSpecification /*<On return, the problem specification array. Must be allocated and large enough to contain the specification on entry. */);

/*>Returns the size of the specification array for a problem identified by a user number. */
IRON_C_EXPORT cmfe_Error cmfe_Problem_SpecificationSizeGetNum(const int problemUserNumber /*<The user number of the problem to get the size of the specification for. */,
    int *specificationSize /*<On return, the size of the problem specification array. */);

/*>Returns the size of the specification array for a problem identified by an object. */
IRON_C_EXPORT cmfe_Error cmfe_Problem_SpecificationSizeGet(const cmfe_ProblemType problem /*<The problem to get the size of the specification for. */,
    int *specificationSize /*<On return, the size of the problem specification array. */);

/*>Returns the coordinate system for a region identified by an user number. */
IRON_C_EXPORT cmfe_Error cmfe_Region_CoordinateSystemGetNum(const int regionUserNumber /*<The user number of the region to get the coordinate system for. */,
    int *coordinateSystemUserNumber /*<On return, the coordinate system user number. */);

/*>Returns the coordinate system for a region identified by an object. */
IRON_C_EXPORT cmfe_Error cmfe_Region_CoordinateSystemGet(const cmfe_RegionType region /*<The region to get the coordinate system for. */,
    cmfe_CoordinateSystemType coordinateSystem /*<On return, the regions coordinate system. */);

/*>Sets/changes the coordinate system for a region identified by an user number. */
IRON_C_EXPORT cmfe_Error cmfe_Region_CoordinateSystemSetNum(const int regionUserNumber /*<The user number of the region to set the coordinate system for. */,
    const int coordinateSystemUserNumber /*<The user number of the coordinate system to set. */);

/*>Sets/changes the coordinate system for a region identified by an object. */
IRON_C_EXPORT cmfe_Error cmfe_Region_CoordinateSystemSet(const cmfe_RegionType region /*<The region to set the coordinate system for. */,
    const cmfe_CoordinateSystemType coordinateSystem /*<The coordinate system to set. */);

/*>Finishes the process of creating a region identified by user number. */
IRON_C_EXPORT cmfe_Error cmfe_Region_CreateFinishNum(const int regionUserNumber /*<The user number of the region to finish the creation of. */);

/*>Finishes the creation of a region identified by an object. */
IRON_C_EXPORT cmfe_Error cmfe_Region_CreateFinish(const cmfe_RegionType region /*<The region to finish creating. */);

/*>Starts the process creating a region identified by user number. */
IRON_C_EXPORT cmfe_Error cmfe_Region_CreateStartNum(const int regionUserNumber /*<The user number of the region to start the creation of. */,
    const int parentRegionUserNumber /*<The user number of the parent region to start the creation of the region in. */);

/*>Starts the creation of a region identified by an object. */
IRON_C_EXPORT cmfe_Error cmfe_Region_CreateStart(const int regionUserNumber /*<The user number of the region to start the creation of. */,
    const cmfe_RegionType parentRegion /*<The parent region to  to start the creation of the region in. */,
    cmfe_RegionType region /*<On return, the created region. */);

/*>Destroys a region identified by an user number. */
IRON_C_EXPORT cmfe_Error cmfe_Region_DestroyNum(const int regionUserNumber /*<The user number of the region to destroy. */);

/*>Returns the data points for a region identified by an object. */
IRON_C_EXPORT cmfe_Error cmfe_Region_DataPointsGet(const cmfe_RegionType region /*<The region to get the data points for. */,
    cmfe_DataPointsType dataPoints /*<On return, the regions data points. */);

/*>Destroys a region identified by an object. */
IRON_C_EXPORT cmfe_Error cmfe_Region_Destroy(cmfe_RegionType region /*<The region to destroy */);

/*>Returns the character string label for a region identified by an user number. */
IRON_C_EXPORT cmfe_Error cmfe_Region_LabelGetNum(const int regionUserNumber /*<The user number of the region to get the label for. */,
    const int labelSize /*<Length of label string */,
    char *label /*<On return, the region label. */);

/*>Returns the character string label for a region identified by an object. */
IRON_C_EXPORT cmfe_Error cmfe_Region_LabelGet(const cmfe_RegionType region /*<The region to get the label for. */,
    const int labelSize /*<Length of label string */,
    char *label /*<On return, the region label. */);

/*>Sets/changes the character string label for a region identified by an user number. */
IRON_C_EXPORT cmfe_Error cmfe_Region_LabelSetNum(const int regionUserNumber /*<The user number of the region to set the label for. */,
    const int labelSize /*<Length of label string */,
    const char *label /*<The region label to set. */);

/*>Sets/changes the character string label for a region identified by an object. */
IRON_C_EXPORT cmfe_Error cmfe_Region_LabelSet(const cmfe_RegionType region /*<The region to set the label for. */,
    const int labelSize /*<Length of label string */,
    const char *label /*<The region label to set. */);

/*>Returns the nodes for a region identified by an object. */
IRON_C_EXPORT cmfe_Error cmfe_Region_NodesGet(const cmfe_RegionType region /*<The region to get the nodes for. */,
    cmfe_NodesType nodes /*<On return, the regions nodes. */);

/*>Adds a CellML environment to CellML equations identified by an user number. */
IRON_C_EXPORT cmfe_Error cmfe_CellMLEquations_CellMLAddNum(const int problemUserNumber /*<The user number of the problem number with the solver to add the CellML environment for. */,
    const int controlLoopIdentifiersSize /*<Length of controlLoopIdentifiers */,
    const int *controlLoopIdentifiers /*<controlLoopIdentifiers(i). The i'th control loop identifier to add the CellML environment for. */,
    const int solverIndex /*<The solver index to add the CellML environment for. */,
    const int regionUserNumber /*<The user number of the region containing the CellML environment. */,
    const int CellMLUserNumber /*<The user number of the CellML environment to add. */,
    int *CellMLIndex /*<On return, the index of the added CellML environment. */);

/*>Adds a CellML environment to CellML equations identified by an object. */
IRON_C_EXPORT cmfe_Error cmfe_CellMLEquations_CellMLAdd(const cmfe_CellMLEquationsType CellMLEquations /*<The CellML equations to add the CellML environment for. */,
    const cmfe_CellMLType CellML /*<The CellML environment to add. */,
    int *CellMLIndex /*<On return, the index of the added CellML environment. */);

/*>Returns the CellML equations for a solver identified by an user number. */
IRON_C_EXPORT cmfe_Error cmfe_Solver_CellMLEquationsGetNum(const int problemUserNumber /*<The user number of the problem number with the solver to get the CellML equations for. */,
    const int controlLoopIdentifiersSize /*<Length of controlLoopIdentifiers */,
    const int *controlLoopIdentifiers /*<controlLoopIdentifiers(i). The i'th control loop identifier to get the CellML equations for. */,
    const int solverIndex /*<The solver index to get the CellML equations for. */,
    cmfe_CellMLEquationsType CellMLEquations /*<On return, the CelllML equations for the solver. */);

/*>Returns the CellML equations for a solver identified by an object. */
IRON_C_EXPORT cmfe_Error cmfe_Solver_CellMLEquationsGet(const cmfe_SolverType solver /*<The solver to get the CellML equations for. */,
    cmfe_CellMLEquationsType CellMLEquations /*<On return, the CellML equations for the solver. */);

/*>Returns the solve type for an Euler differential-algebraic equation solver identified by an user number. */
IRON_C_EXPORT cmfe_Error cmfe_Solver_DAEEulerSolverTypeGetNum(const int problemUserNumber /*<The user number of the problem number with the solver to get the DAE Euler solver type for. */,
    const int controlLoopIdentifiersSize /*<Length of controlLoopIdentifiers */,
    const int *controlLoopIdentifiers /*<controlLoopIdentifiers(i). The i'th control loop identifier to get the DAE Euler solver type for. */,
    const int solverIndex /*<The solver index to get the DAE Euler solver type for */,
    int *DAEEulerSolverType /*<On return, the DAE Euler solver type. \see OPENCMISS_EulerDAESolverTypes,OPENCMISS */);

/*>Returns the solve type for an Euler differential-algebraic equation solver identified by an object. */
IRON_C_EXPORT cmfe_Error cmfe_Solver_DAEEulerSolverTypeGet(const cmfe_SolverType solver /*<The solver to get the DAE Euler solver type for. */,
    int *DAEEulerSolverType /*<On return, the DAE Euler solver type. \see OPENCMISS_EulerDAESolverTypes,OPENCMISS */);

/*>Sets/changes the solve type for an Euler differential-algebraic equation solver identified by an user number. */
IRON_C_EXPORT cmfe_Error cmfe_Solver_DAEEulerSolverTypeSetNum(const int problemUserNumber /*<The user number of the problem number with the solver to set the DAE Euler solver type for. */,
    const int controlLoopIdentifiersSize /*<Length of controlLoopIdentifiers */,
    const int *controlLoopIdentifiers /*<controlLoopIdentifiers(i). The i'th control loop identifier to set the DAE Euler solver type for. */,
    const int solverIndex /*<The solver index to set the DAE Euler solver type for */,
    const int DAEEulerSolverType /*<The DAE Euler solver type to set. \see OPENCMISS_EulerDAESolverTypes,OPENCMISS */);

/*>Sets/changes the solve type for an Euler differential-algebraic equation solver identified by an object. */
IRON_C_EXPORT cmfe_Error cmfe_Solver_DAEEulerSolverTypeSet(const cmfe_SolverType solver /*<The solver to set the DAE Euler solver type for. */,
    const int DAEEulerSolverType /*<The DAE Euler solver type to set. \see OPENCMISS_EulerDAESolverTypes,OPENCMISS */);

/*>Returns the solve type for an differential-algebraic equation solver identified by an user number. */
IRON_C_EXPORT cmfe_Error cmfe_Solver_DAESolverTypeGetNum(const int problemUserNumber /*<The user number of the problem number with the solver to get the DAE solver type for. */,
    const int controlLoopIdentifiersSize /*<Length of controlLoopIdentifiers */,
    const int *controlLoopIdentifiers /*<controlLoopIdentifiers(i). The i'th control loop identifier to get the DAE solver type for. */,
    const int solverIndex /*<The solver index to get the DAE solver type for */,
    int *DAESolverType /*<On return, the DAE solver type. \see OPENCMISS_DAESolverTypes,OPENCMISS */);

/*>Returns the solve type for an differential-algebraic equation solver identified by an object. */
IRON_C_EXPORT cmfe_Error cmfe_Solver_DAESolverTypeGet(const cmfe_SolverType solver /*<The solver to get the DAE solver type for. */,
    int *DAESolverType /*<On return, the DAE solver type. \see OPENCMISS_DAESolverTypes,OPENCMISS */);

/*>Sets/changes the solve type for an differential-algebraic equation solver identified by an user number. */
IRON_C_EXPORT cmfe_Error cmfe_Solver_DAESolverTypeSetNum(const int problemUserNumber /*<The user number of the problem number with the solver to set the DAE solver type for. */,
    const int controlLoopIdentifiersSize /*<Length of controlLoopIdentifiers */,
    const int *controlLoopIdentifiers /*<controlLoopIdentifiers(i). The i'th control loop identifier to set the DAE solver type for. */,
    const int solverIndex /*<The solver index to set the DAE solver type for */,
    const int DAESolverType /*<The DAE solver type to set. \see OPENCMISS_DAESolverTypes,OPENCMISS */);

/*>Sets/changes the solve type for an differential-algebraic equation solver identified by an object. */
IRON_C_EXPORT cmfe_Error cmfe_Solver_DAESolverTypeSet(const cmfe_SolverType solver /*<The solver to set the DAE solver type for. */,
    const int DAESolverType /*<The DAE solver type to set. \see OPENCMISS_DAESolverTypes,OPENCMISS */);

/*>Sets/changes the times for an differential-algebraic equation solver identified by an user number. */
IRON_C_EXPORT cmfe_Error cmfe_Solver_DAETimesSetNum(const int problemUserNumber /*<The user number of the problem number with the solver to set the DAE times for. */,
    const int controlLoopIdentifiersSize /*<Length of controlLoopIdentifiers */,
    const int *controlLoopIdentifiers /*<controlLoopIdentifiers(i). The i'th control loop identifier to set the DAE times for. */,
    const int solverIndex /*<The solver index to set the DAE times for. */,
    const double startTime /*<The start time for the differential-algebraic solver. */,
    const double endTime /*<The end time for the differential-algebraic solver. */);

/*>Sets/changes the times for an differential-algebraic equation solver identified by an object. */
IRON_C_EXPORT cmfe_Error cmfe_Solver_DAETimesSet(const cmfe_SolverType solver /*<The solver to set the DAE times for. */,
    const double startTime /*<The start time for the differential-algebraic solver. */,
    const double endTime /*<The end time for the differential-algebraic solver. */);

/*>Sets/changes the (initial) time step for an differential-algebraic equation solver identified by an user number. */
IRON_C_EXPORT cmfe_Error cmfe_Solver_DAETimeStepSetNum(const int problemUserNumber /*<The user number of the problem number with the solver to set the DAE times for. */,
    const int controlLoopIdentifiersSize /*<Length of controlLoopIdentifiers */,
    const int *controlLoopIdentifiers /*<controlLoopIdentifiers(i). The i'th control loop identifier to set the DAE times for. */,
    const int solverIndex /*<The solver index to set the DAE times for. */,
    const double timeStep /*<The (initial) time step for the differential-algebraic solver. */);

/*>Sets/changes the (initial) time step for an differential-algebraic equation solver identified by an object. */
IRON_C_EXPORT cmfe_Error cmfe_Solver_DAETimeStepSet(const cmfe_SolverType solver /*<The solver to set the DAE times for. */,
    const double timeStep /*<The (initial) time step for the differential-algebraic solver. */);

/*>Returns the degree of the polynomial used to interpolate time for a dynamic solver identified by an user number. */
IRON_C_EXPORT cmfe_Error cmfe_Solver_DynamicDegreeGetNum(const int problemUserNumber /*<The user number of the problem number with the solver to get the dynamic degree for. */,
    const int controlLoopIdentifiersSize /*<Length of controlLoopIdentifiers */,
    const int *controlLoopIdentifiers /*<controlLoopIdentifiers(i). The i'th control loop identifier to get the dynamic degree for. */,
    const int solverIndex /*<The solver index to get the dynamic degree for */,
    int *degree /*<On return, the dynamic degree. \see OPENCMISS_DynamicDegreeTypes,OPENCMISS */);

/*>Returns the degree of the polynomial used to interpolate time for a dynamic solver identified by an object. */
IRON_C_EXPORT cmfe_Error cmfe_Solver_DynamicDegreeGet(const cmfe_SolverType solver /*<The solver to get the dynamic degree for. */,
    int *degree /*<On return, the dynamic degree. \see OPENCMISS_DynamicDegreeTypes,OPENCMISS */);

/*>Sets/changes the degree of the polynomial used to interpolate time for a dynamic solver identified by an user number. */
IRON_C_EXPORT cmfe_Error cmfe_Solver_DynamicDegreeSetNum(const int problemUserNumber /*<The user number of the problem number with the solver to set the dynamic degree for. */,
    const int controlLoopIdentifiersSize /*<Length of controlLoopIdentifiers */,
    const int *controlLoopIdentifiers /*<controlLoopIdentifiers(i). The i'th control loop identifier to set the dynamic degree for. */,
    const int solverIndex /*<The solver index to set the dynamic degree for */,
    const int degree /*<The dynamic degree to set. \see OPENCMISS_DynamicDegreeTypes,OPENCMISS */);

/*>Sets/changes the degree of the polynomial used to interpolate time for a dynamic solver identified by an object. */
IRON_C_EXPORT cmfe_Error cmfe_Solver_DynamicDegreeSet(const cmfe_SolverType solver /*<The solver to set the dynamic degree for. */,
    const int degree /*<The dynamic degree to set. \see OPENCMISS_DynamicDegreeTypes,OPENCMISS */);

/*>Returns the linearity type for a dynamic solver identified by an user number. */
IRON_C_EXPORT cmfe_Error cmfe_Solver_DynamicLinearityTypeGetNum(const int problemUserNumber /*<The user number of the problem number with the solver to get the dynamic linearity type for. */,
    const int controlLoopIdentifiersSize /*<Length of controlLoopIdentifiers */,
    const int *controlLoopIdentifiers /*<controlLoopIdentifiers(i). The i'th control loop identifier to get the dynamic linearity type for. */,
    const int solverIndex /*<The solver index to get the dynamic linearity type for. */,
    int *linearityType /*<On return, the dynamic linearity type. \see OPENCMISS_DynamicLinearityTypes,OPENCMISS */);

/*>Returns the linearity type for a dynamic solver identified by an object. */
IRON_C_EXPORT cmfe_Error cmfe_Solver_DynamicLinearityTypeGet(const cmfe_SolverType solver /*<The solver to get the dynamic linearity type for. */,
    int *linearityType /*<On return, the dynamic linearity type. \see OPENCMISS_DynamicLinearityTypes,OPENCMISS */);

/*>Returns the nonlinear solver associated with a nonlinear dynamic solver identified by an user number. */
IRON_C_EXPORT cmfe_Error cmfe_Solver_DynamicNonlinearSolverGetNum(const int problemUserNumber /*<The user number of the problem number with the solver to get the dynamic nonlinear solver for. */,
    const int controlLoopIdentifiersSize /*<Length of controlLoopIdentifiers */,
    const int *controlLoopIdentifiers /*<controlLoopIdentifiers(i). The i'th control loop identifier to get the dynamic nonlinear solver for. */,
    const int solverIndex /*<The solver index to get the dynamic nonlinear solver for. */,
    int *nonlinearSolverIndex /*<On return, the dynamic nonlinear solver index. */);

/*>Returns the nonlinear solver associated with a nonlinear dynamic solver identified by an object. */
IRON_C_EXPORT cmfe_Error cmfe_Solver_DynamicNonlinearSolverGet(const cmfe_SolverType solver /*<The solver to get the dynamic nonlinear solver for. */,
    cmfe_SolverType nonlinearSolver /*<On return, the dynamic nonlinear solver. */);

/*>Returns the linear solver associated with a linear dynamic solver identified by an user number. */
IRON_C_EXPORT cmfe_Error cmfe_Solver_DynamicLinearSolverGetNum(const int problemUserNumber /*<The user number of the problem number with the solver to get the dynamic linear solver for. */,
    const int controlLoopIdentifiersSize /*<Length of controlLoopIdentifiers */,
    const int *controlLoopIdentifiers /*<controlLoopIdentifiers(i). The i'th control loop identifier to get the dynamic linear solver for. */,
    const int solverIndex /*<The solver index to get the dynamic linear solver for. */,
    int *linearSolverIndex /*<On return, the dynamic linear solver index. */);

/*>Returns the linear solver associated with a linear dynamic solver identified by an object. */
IRON_C_EXPORT cmfe_Error cmfe_Solver_DynamicLinearSolverGet(const cmfe_SolverType solver /*<The solver to get the dynamic linear solver for. */,
    cmfe_SolverType linearSolver /*<On return, the dynamic linear solver. */);

/*>Sets/changes the scheme for a dynamic solver identified by an user number. */
IRON_C_EXPORT cmfe_Error cmfe_Solver_DynamicSchemeSetNum(const int problemUserNumber /*<The user number of the problem number with the solver to set the scheme for. */,
    const int controlLoopIdentifiersSize /*<Length of controlLoopIdentifiers */,
    const int *controlLoopIdentifiers /*<controlLoopIdentifiers(i). The i'th control loop identifier to set the scheme for. */,
    const int solverIndex /*<The solver index to set the scheme for. */,
    const int scheme /*<The dynamic scheme to set. \see OPENCMISS_DynamicSchemeTypes */);

/*>Sets/changes the scheme for a dynamic solver identified by an object. */
IRON_C_EXPORT cmfe_Error cmfe_Solver_DynamicSchemeSet(const cmfe_SolverType solver /*<The solver to set the scheme for. */,
    const int scheme /*<The dynamic scheme to set. \see OPENCMISS_DynamicSchemeTypes */);

/*>Sets/changes the theta for a dynamic solver identified by an user number. */
IRON_C_EXPORT cmfe_Error cmfe_Solver_DynamicThetaSetNum(const int problemUserNumber /*<The user number of the problem number with the solver to set the theta for. */,
    const int controlLoopIdentifiersSize /*<Length of controlLoopIdentifiers */,
    const int *controlLoopIdentifiers /*<controlLoopIdentifiers(i). The i'th control loop identifier to set the theta for. */,
    const int solverIndex /*<The solver index to set the theta for. */,
    const int thetasSize /*<Length of thetas */,
    const double *thetas /*<thetas(i). The i'th dynamic theta to set. */);

/*>Sets/changes the theta for a dynamic solver identified by an object. */
IRON_C_EXPORT cmfe_Error cmfe_Solver_DynamicThetaSet(const cmfe_SolverType solver /*<The solver to set the theta for. */,
    const int thetasSize /*<Length of thetas */,
    const double *thetas /*<thetas(i). The i'th dynamic theta to set. */);

/*>Sets/changes the times for a dynamic solver identified by an user number. */
IRON_C_EXPORT cmfe_Error cmfe_Solver_DynamicTimesSetNum(const int problemUserNumber /*<The user number of the problem number with the solver to set the times for. */,
    const int controlLoopIdentifiersSize /*<Length of controlLoopIdentifiers */,
    const int *controlLoopIdentifiers /*<controlLoopIdentifiers(i). The i'th control loop identifier to set the times for. */,
    const int solverIndex /*<The solver index to set the times for. */,
    const double currentTime /*<The current time to set. */,
    const double timeIncrement /*<The time increment to set. */);

/*>Sets/changes the times for a dynamic solver identified by an object. */
IRON_C_EXPORT cmfe_Error cmfe_Solver_DynamicTimesSet(const cmfe_SolverType solver /*<The solver to set the times for. */,
    const double currentTime /*<The current time to set. */,
    const double timeIncrement /*<The time increment to set. */);

/*>Sets the arbitrary path logical for a geometric transformation identified by an user number. */
IRON_C_EXPORT cmfe_Error cmfe_Solver_GeometricTransformationArbitraryPathSetNum(const int problemUserNumber /*<The user number of the problem number with the solver to set the arbitrary path for. */,
    const int controlLoopIdentifier /*<The control loop identifier with the solver to set the arbitrary path for. */,
    const int solverIndex /*<The solver index for the geometric transformation solver. */,
    const cmfe_Bool arbitraryPath /*<.TRUE. if the the transformation has an arbitrary path, .FALSE. if the path is uni-directional */);

/*>Sets the arbitrary path logical for a geometric transformation solver identified by an object. */
IRON_C_EXPORT cmfe_Error cmfe_Solver_GeometricTransformationArbitraryPathSet(const cmfe_SolverType solver /*<The geometric transformation solver to set the arbitrary path for. */,
    const cmfe_Bool arbitraryPath /*<.TRUE. if the the transformation has an arbitrary path, .FALSE. if the path is uni-directional */);

/*>Clear transformation a geometric transformation identified by an user number. */
IRON_C_EXPORT cmfe_Error cmfe_Solver_GeometricTransformationClearNum(const int problemUserNumber /*<The user number of the problem number with the solver to clear. */,
    const int controlLoopIdentifier /*<The control loop identifier with the solver to clear. */,
    const int solverIndex /*<The solver index for the geometric transformation solver. */);

/*>Clear transformation for a geometric transformation solver identified by an object. */
IRON_C_EXPORT cmfe_Error cmfe_Solver_GeometricTransformationClear(const cmfe_SolverType solver /*<The geometric transformation solver to clear */);

/*>Sets the field for a geometric transformation identified by an user number. */
IRON_C_EXPORT cmfe_Error cmfe_Solver_GeometricTransformationFieldSetNum(const int problemUserNumber /*<The user number of the problem number with the solver to set the field for. */,
    const int controlLoopIdentifier /*<The control loop identifier with the solver to set the field for. */,
    const int solverIndex /*<The solver index for the geometric transformation solver. */,
    const int regionUserNumber /*<The region user number for the field */,
    const int fieldUserNumber /*<The field user number */,
    const int variableType /*<The field variable type to set the transformation for */);

/*>Sets the field for a geometric transformation solver identified by an object. */
IRON_C_EXPORT cmfe_Error cmfe_Solver_GeometricTransformationFieldSet(const cmfe_SolverType solver /*<The geometric transformation solver to set the field for. */,
    const cmfe_FieldType field /*<The field for the solver to set. */,
    const int variableType /*<The field variable type to set the transformation for */);

/*>Sets the full transformation matrix at a specific increment for a geometric transformation identified by an user number. */
IRON_C_EXPORT cmfe_Error cmfe_Solver_GeometricTransformationMatrixSetNum(const int problemUserNumber /*<The user number of the problem number with the solver to set the matrix for. */,
    const int controlLoopIdentifier /*<The control loop identifier with the solver to set the matrix for. */,
    const int solverIndex /*<The solver index to set the matrix for. */,
    const int matrixSize1 /*<Size of dimension 1 of matrix */,
    const int matrixSize2 /*<Size of dimension 2 of matrix */,
    const double *matrix /*<The full transformation matrix to set */,
    const int loadIncrementIdx /*<The load increment index to set the matrix for. */);

/*>Sets the full transformation matrix vector at a specific load increment for a geometric transformation solver identified by an object. */
IRON_C_EXPORT cmfe_Error cmfe_Solver_GeometricTransformationMatrixSet(const cmfe_SolverType solver /*<The geometric transformation solver to set the matrix for. */,
    const int matrixSize1 /*<Size of dimension 1 of matrix */,
    const int matrixSize2 /*<Size of dimension 2 of matrix */,
    const double *matrix /*<The full transformation matrix to set */,
    const int loadIncrementIdx /*<The load increment index to set the matrix for. */);

/*>Sets the arbitrary path logical for a geometric transformation identified by an user number. */
IRON_C_EXPORT cmfe_Error cmfe_Solver_GeometricTransformationNoLoadIncrementsSetNum(const int problemUserNumber /*<The user number of the problem number with the solver to set the field for. */,
    const int controlLoopIdentifier /*<The control loop identifier with the solver to set the field for. */,
    const int solverIndex /*<The solver index for the geometric transformation solver. */,
    const int numberOfIncrements /*<The number of load increments to apply the transformation */);

/*>Sets the arbitrary path logical for a geometric transformation solver identified by an object. */
IRON_C_EXPORT cmfe_Error cmfe_Solver_GeometricTransformationNoLoadIncrementsSet(const cmfe_SolverType solver /*<The geometric transformation solver to set the field for. */,
    const int numberOfIncrements /*<The number of load increments to apply the transformation */);

/*>Sets the rotation at a specific increment for a geometric transformation identified by an user number. */
IRON_C_EXPORT cmfe_Error cmfe_Solver_GeometricTransformationRotationSetNum(const int problemUserNumber /*<The user number of the problem number with the solver to set the rotation for. */,
    const int controlLoopIdentifier /*<The control loop identifier with the solver to set the rotation for. */,
    const int solverIndex /*<The solver index to set the rotation for. */,
    const int pivotPointSize /*<Length of pivotPoint */,
    const double *pivotPoint /*<The pivot point to rotate about */,
    const int axisSize /*<Length of axis */,
    const double *axis /*<The axis to  to rotate around */,
    const double angle /*<The angle to rotate */,
    const int loadIncrementIdx /*<The load increment index to set the rotation for. */);

/*>Sets the rotation at a specific load increment for a geometric transformation solver identified by an object. */
IRON_C_EXPORT cmfe_Error cmfe_Solver_GeometricTransformationRotationSet(const cmfe_SolverType solver /*<The geometric transformation solver to set the rotation for. */,
    const int pivotPointSize /*<Length of pivotPoint */,
    const double *pivotPoint /*<The pivot point to rotate about */,
    const int axisSize /*<Length of axis */,
    const double *axis /*<The axis to  to rotate around */,
    const double angle /*<The angle to rotate */,
    const int loadIncrementIdx /*<The load increment index to set the rotation for. */);

/*>Sets the scalings for a geometric transformation identified by an user number. */
IRON_C_EXPORT cmfe_Error cmfe_Solver_GeometricTransformationScalingsSetNum(const int problemUserNumber /*<The user number of the problem number with the solver to set the scalings for. */,
    const int controlLoopIdentifier /*<The control loop identifier with the solver to set the scalings for. */,
    const int solverIndex /*<The solver index to set the scalings for. */,
    const int scalingsSize /*<Length of scalings */,
    const double *scalings /*<The scalings to set */);

/*>Sets the scalings for a geometric transformation solver identified by an object. */
IRON_C_EXPORT cmfe_Error cmfe_Solver_GeometricTransformationScalingsSet(const cmfe_SolverType solver /*<The geometric transformation solver to set the scalings for. */,
    const int scalingsSize /*<Length of scalings */,
    const double *scalings /*<The scalings to set */);

/*>Sets the translation at a specific increment for a geometric transformation identified by an user number. */
IRON_C_EXPORT cmfe_Error cmfe_Solver_GeometricTransformationTranslationSetNum(const int problemUserNumber /*<The user number of the problem number with the solver to set the translation for. */,
    const int controlLoopIdentifier /*<The control loop identifier with the solver to set the translation for. */,
    const int solverIndex /*<The solver index to set the translation for. */,
    const int translationSize /*<Length of translation */,
    const double *translation /*<The translation components to set */,
    const int loadIncrementIdx /*<The load increment index to set the translation for. */);

/*>Sets the translation vector at a specific load increment for a geometric transformation solver identified by an object. */
IRON_C_EXPORT cmfe_Error cmfe_Solver_GeometricTransformationTranslationSet(const cmfe_SolverType solver /*<The geometric transformation solver to set the translation for. */,
    const int translationSize /*<Length of translation */,
    const double *translation /*<The translation components to set */,
    const int loadIncrementIdx /*<The load increment index to set the translation for. */);

/*>Returns the character string label for a solver identified by an user number. */
IRON_C_EXPORT cmfe_Error cmfe_Solver_LabelGetNum(const int problemUserNumber /*<The user number of the problem to set the label for. */,
    const int controlLoopIdentifiersSize /*<Length of controlLoopIdentifiers */,
    const int *controlLoopIdentifiers /*<The control loop identifiers. */,
    const int solverIndex /*<The solver index to set the label for. */,
    const int labelSize /*<Length of label string */,
    char *label /*<On return, the solver label. */);

/*>Returns the character string label for a solver identified by an object. */
IRON_C_EXPORT cmfe_Error cmfe_Solver_LabelGet(const cmfe_SolverType solver /*<The solver to get the label for. */,
    const int labelSize /*<Length of label string */,
    char *label /*<On return, the solver label. */);

/*>Sets/changes the character string label for a solver identified by an user number. */
IRON_C_EXPORT cmfe_Error cmfe_Solver_LabelSetNum(const int problemUserNumber /*<The user number of the problem to set the label for. */,
    const int controlLoopIdentifiersSize /*<Length of controlLoopIdentifiers */,
    const int *controlLoopIdentifiers /*<The solver identifiers. */,
    const int solverIndex /*<The solver index to set the label for. */,
    const int labelSize /*<Length of label string */,
    const char *label /*<The region label to set. */);

/*>Sets/changes the character string label for a solver identified by an object. */
IRON_C_EXPORT cmfe_Error cmfe_Solver_LabelSet(const cmfe_SolverType solver /*<The solver to set the label for. */,
    const int labelSize /*<Length of label string */,
    const char *label /*<The solver label to set. */);

/*>Returns the library type for a solver identified by an user number. */
IRON_C_EXPORT cmfe_Error cmfe_Solver_LibraryTypeGetNum(const int problemUserNumber /*<The user number of the problem number with the solver to get the library type for. */,
    const int controlLoopIdentifiersSize /*<Length of controlLoopIdentifiers */,
    const int *controlLoopIdentifiers /*<controlLoopIdentifiers(i). The i'th control loop identifier to get the library type for. */,
    const int solverIndex /*<The solver index to get the library type for. */,
    int *libraryType /*<On return, the library type for the solver. \see OPENCMISS_SolverLibraries */);

/*>Returns the library type for a solver identified by an object. */
IRON_C_EXPORT cmfe_Error cmfe_Solver_LibraryTypeGet(const cmfe_SolverType solver /*<The solver to get the library type for. */,
    int *libraryType /*<On return, the library type for the solver. \see OPENCMISS_SolverLibraries */);

/*>Sets/changes the library type for a solver identified by an user number. */
IRON_C_EXPORT cmfe_Error cmfe_Solver_LibraryTypeSetNum(const int problemUserNumber /*<The user number of the problem number with the solver to set the library type for. */,
    const int controlLoopIdentifiersSize /*<Length of controlLoopIdentifiers */,
    const int *controlLoopIdentifiers /*<controlLoopIdentifiers(i). The i'th control loop identifier to set the library type for. */,
    const int solverIndex /*<The solver index to set the library type for. */,
    const int libraryType /*<The library type for the solver to set. \see OPENCMISS_SolverLibraries */);

/*>Sets/changes the library type for a solver identified by an object. */
IRON_C_EXPORT cmfe_Error cmfe_Solver_LibraryTypeSet(const cmfe_SolverType solver /*<The solver to set the library type for. */,
    const int libraryType /*<The library type for the solver to set. \see OPENCMISS_SolverLibraries */);

/*>Sets/changes the type of direct linear solver for a solver identified by an user number. */
IRON_C_EXPORT cmfe_Error cmfe_Solver_LinearDirectTypeSetNum(const int problemUserNumber /*<The user number of the problem number with the direct linear solver to set the direct type for. */,
    const int controlLoopIdentifiersSize /*<Length of controlLoopIdentifiers */,
    const int *controlLoopIdentifiers /*<controlLoopIdentifiers(i). The i'th control loop identifier to set the direct type for. */,
    const int solverIndex /*<The solver index to set the direct type for. */,
    const int directSolverType /*<The type of the direct linear solver to set. \see OPENCMISS_DirectLinearSolverTypes */);

/*>Sets/changes the type of direct linear solver for a solver identified by an object. */
IRON_C_EXPORT cmfe_Error cmfe_Solver_LinearDirectTypeSet(const cmfe_SolverType solver /*<The solver to set the library type for. */,
    const int directSolverType /*<The type of the direct linear solver to set. \see OPENCMISS_DirectLinearSolverTypes */);

/*>Sets/changes the MUMPS ICNTL(icntl)=ivalue integer control parameters through the PETSc-MUMPS interface. Must be called after the boundary conditions have been set up. */
IRON_C_EXPORT cmfe_Error cmfe_Solver_MumpsSetIcntl(const cmfe_SolverType solver /*<The solver to set the library type for. */,
    const int icntl /*<The MUMPS ICNTL integer control parameter */,
    const int ivalue /*<The MUMPS ICNTL integer value to set: ICNTL(icntl)=ivalue */);

/*>Sets/changes the MUMPS CNTL(icntl)=val real/complex control parameters through the PETSc-MUMPS interface. Must be called after the boundary conditions have been set up. */
IRON_C_EXPORT cmfe_Error cmfe_Solver_MumpsSetCntl(const cmfe_SolverType solver /*<The solver to set the library type for. */,
    const int icntl /*<The MUMPS CNTL integer control parameter */,
    const double val /*<The MUMPS CNTL real value to set: CNTL(icntl)=val */);

/*>Sets/changes the maximum absolute tolerance for an iterative linear solver identified by an user number. */
IRON_C_EXPORT cmfe_Error cmfe_Solver_LinearIterativeAbsoluteToleranceSetNum(const int problemUserNumber /*<The user number of the problem number with the iterative linear solver to set the absolute tolerance for. */,
    const int controlLoopIdentifiersSize /*<Length of controlLoopIdentifiers */,
    const int *controlLoopIdentifiers /*<controlLoopIdentifiers(i). The i'th control loop identifier to set the absolute tolerance for. */,
    const int solverIndex /*<The solver index to set the absolute tolerance for. */,
    const double absoluteTolerance /*<The absolute tolerance for the iterative linear solver to set. */);

/*>Sets/changes the maximum absolute tolerance for an iterative linear solver identified by an object. */
IRON_C_EXPORT cmfe_Error cmfe_Solver_LinearIterativeAbsoluteToleranceSet(const cmfe_SolverType solver /*<The iterative linear solver to set the absolute tolerance for. */,
    const double absoluteTolerance /*<The absolute tolerance for the iterative linear solver to set. */);

/*>Sets/changes the maximum divergence tolerance for an iterative linear solver identified by an user number. */
IRON_C_EXPORT cmfe_Error cmfe_Solver_LinearIterativeDivergenceToleranceSetNum(const int problemUserNumber /*<The user number of the problem number with the iterative linear solver to set the divergence tolerance for. */,
    const int controlLoopIdentifiersSize /*<Length of controlLoopIdentifiers */,
    const int *controlLoopIdentifiers /*<controlLoopIdentifiers(i). The i'th control loop identifier to set the divergence tolerance for. */,
    const int solverIndex /*<The solver index to set the divergence tolerance for. */,
    const double divergenceTolerance /*<The divergence tolerance for the iterative linear solver to set. */);

/*>Sets/changes the maximum divergence tolerance for an iterative linear solver identified by an object. */
IRON_C_EXPORT cmfe_Error cmfe_Solver_LinearIterativeDivergenceToleranceSet(const cmfe_SolverType solver /*<The iterative linear solver to set the divergence tolerance for. */,
    const double divergenceTolerance /*<The divergence tolerance for the iterative linear solver to set. */);

/*>Sets/changes the GMRES restart value for a GMRES iterative linear solver identified by an user number. */
IRON_C_EXPORT cmfe_Error cmfe_Solver_LinearIterativeGMRESRestartSetNum(const int problemUserNumber /*<The user number of the problem number with the GMRES iterative linear solver to set the restart value for. */,
    const int controlLoopIdentifiersSize /*<Length of controlLoopIdentifiers */,
    const int *controlLoopIdentifiers /*<controlLoopIdentifiers(i). The i'th control loop identifier to set the restart value for. */,
    const int solverIndex /*<The solver index to set the restart value for. */,
    const int GMRESRestart /*<The GMRES restart value to set. */);

/*>Sets/changes the GMRES restart value for a GMRES iterative linear solver identified by an object. */
IRON_C_EXPORT cmfe_Error cmfe_Solver_LinearIterativeGMRESRestartSet(const cmfe_SolverType solver /*<The GMRES iterative linear solver to set the restart value for. */,
    const int GMRESRestart /*<The GMRES restart value to set. */);

/*>Sets/changes the maximum number of iterations for an iterative linear solver identified by an user number. */
IRON_C_EXPORT cmfe_Error cmfe_Solver_LinearIterativeMaximumIterationsSetNum(const int problemUserNumber /*<The user number of the problem number with the iterative linear solver to set the maximum iterations for. */,
    const int controlLoopIdentifiersSize /*<Length of controlLoopIdentifiers */,
    const int *controlLoopIdentifiers /*<controlLoopIdentifiers(i). The i'th control loop identifier to set the maximum iterations for. */,
    const int solverIndex /*<The solver index to set the maximum iterations for. */,
    const int maximumIterations /*<The maximum iterations to set. */);

/*>Sets/changes the maximum number of iterations for an iterative linear solver identified by an object. */
IRON_C_EXPORT cmfe_Error cmfe_Solver_LinearIterativeMaximumIterationsSet(const cmfe_SolverType solver /*<The iterative linear solver to set the maximum iterations for. */,
    const int maximumIterations /*<The maximum iterations to set. */);

/*>Sets/changes the preconditioner type for an iterative linear solver identified by an user number. */
IRON_C_EXPORT cmfe_Error cmfe_Solver_LinearIterativePreconditionerTypeSetNum(const int problemUserNumber /*<The user number of the problem number with the iterative linear solver to set the preconditioner type for. */,
    const int controlLoopIdentifiersSize /*<Length of controlLoopIdentifiers */,
    const int *controlLoopIdentifiers /*<controlLoopIdentifiers(i). The i'th control loop identifier to set the preconditioner type for. */,
    const int solverIndex /*<The solver index to set the preconditioner type for. */,
    const int preconditionerType /*<The preconditioner type to set. \see OPENCMISS_IterativePreconditionerTypes */);

/*>Sets/changes the preconditioner type for an iterative linear solver identified by an object. */
IRON_C_EXPORT cmfe_Error cmfe_Solver_LinearIterativePreconditionerTypeSet(const cmfe_SolverType solver /*<The iterative linear solver to set the preconditioner type for. */,
    const int preconditionerType /*<The preconditioner type to set. \see OPENCMISS_IterativePreconditionerTypes */);

/*>Sets/changes the maximum relative tolerance for an iterative linear solver identified by an user number. */
IRON_C_EXPORT cmfe_Error cmfe_Solver_LinearIterativeRelativeToleranceSetNum(const int problemUserNumber /*<The user number of the problem number with the iterative linear solver to set the relative tolerance for. */,
    const int controlLoopIdentifiersSize /*<Length of controlLoopIdentifiers */,
    const int *controlLoopIdentifiers /*<controlLoopIdentifiers(i). The i'th control loop identifier to set the relative tolerance for. */,
    const int solverIndex /*<The solver index to set the relative tolerance for. */,
    const double relativeTolerance /*<The relative tolerance for the iterative linear solver to set. */);

/*>Sets/changes the maximum relative tolerance for an iterative linear solver identified by an object. */
IRON_C_EXPORT cmfe_Error cmfe_Solver_LinearIterativeRelativeToleranceSet(const cmfe_SolverType solver /*<The iterative linear solver to set the relative tolerance for. */,
    const double relativeTolerance /*<The relative tolerance for the iterative linear solver to set. */);

/*>Sets/changes the type for an iterative linear solver identified by an user number. */
IRON_C_EXPORT cmfe_Error cmfe_Solver_LinearIterativeTypeSetNum(const int problemUserNumber /*<The user number of the problem number with the iterative linear solver to set the type for. */,
    const int controlLoopIdentifiersSize /*<Length of controlLoopIdentifiers */,
    const int *controlLoopIdentifiers /*<controlLoopIdentifiers(i). The i'th control loop identifier to set the type for. */,
    const int solverIndex /*<The solver index to set the type for. */,
    const int iterativeSolverType /*<The iterative solver type to set. \see OPENCMISS_IterativeLinearSolverTypes */);

/*>Sets/changes the type for an iterative linear solver identified by an object. */
IRON_C_EXPORT cmfe_Error cmfe_Solver_LinearIterativeTypeSet(const cmfe_SolverType solver /*<The iterative linear solver to set the type for. */,
    const int iterativeSolverType /*<The iterative solver type to set. \see OPENCMISS_IterativeLinearSolverTypes */);

/*>Sets/changes the type for a linear solver identified by an user number. */
IRON_C_EXPORT cmfe_Error cmfe_Solver_LinearTypeSetNum(const int problemUserNumber /*<The user number of the problem number with the linear solver to set the type for. */,
    const int controlLoopIdentifiersSize /*<Length of controlLoopIdentifiers */,
    const int *controlLoopIdentifiers /*<controlLoopIdentifiers(i). The i'th control loop identifier to set the type for. */,
    const int solverIndex /*<The solver index to set the type for. */,
    const int linearSolverType /*<The linear solver type to set. \see OPENCMISS_LinearSolverTypes */);

/*>Sets/changes the type for a linear solver identified by an object. */
IRON_C_EXPORT cmfe_Error cmfe_Solver_LinearTypeSet(const cmfe_SolverType solver /*<The linear solver to set the type for. */,
    const int linearSolverType /*<The linear solver type to set. \see OPENCMISS_LinearSolverTypes */);

/*>Sets/changes the absolute tolerance for a Newton solver identified by an user number. */
IRON_C_EXPORT cmfe_Error cmfe_Solver_NewtonAbsoluteToleranceSetNum(const int problemUserNumber /*<The user number of the problem number with the Newton solver to set the absolute tolerance for. */,
    const int controlLoopIdentifiersSize /*<Length of controlLoopIdentifiers */,
    const int *controlLoopIdentifiers /*<controlLoopIdentifiers(i). The i'th control loop identifier to set the absolute tolerance for. */,
    const int solverIndex /*<The solver index to set the absolute tolerance for. */,
    const double absoluteTolerance /*<The absolute tolerance for the Newton solver to set. */);

/*>Sets/changes the absolute tolerance for a Newton solver identified by an object. */
IRON_C_EXPORT cmfe_Error cmfe_Solver_NewtonAbsoluteToleranceSet(const cmfe_SolverType solver /*<The Newton solver to set the absolute tolerance for. */,
    const double absoluteTolerance /*<The absolute tolerance for the Newton solver to set. */);

/*>Enables/disables output monitoring for a nonlinear Newton line search solver identified by an user number. */
IRON_C_EXPORT cmfe_Error cmfe_Solver_NewtonLineSearchMonitorOutputSetNum(const int problemUserNumber /*<The user number of the problem number with the Newton solver to set the linesearch monitoring for. */,
    const int controlLoopIdentifiersSize /*<Length of controlLoopIdentifiers */,
    const int *controlLoopIdentifiers /*<controlLoopIdentifiers(i). The i'th control loop identifier to set the linesearch monitoring for. */,
    const int solverIndex /*<The solver index to set the absolute tolerance for. */,
    const cmfe_Bool monitorLinesearchFlag /*<Flag to determine whether to enable/disable linsearch monitor output. */);

/*>Enables/disables output monitoring for a nonlinear Newton line search solver identified by an object. */
IRON_C_EXPORT cmfe_Error cmfe_Solver_NewtonLineSearchMonitorOutputSet(const cmfe_SolverType solver /*<The Newton solver to set the linesearch monitoring for. */,
    const cmfe_Bool monitorLinesearchFlag /*<Flag to determine whether to enable/disable linsearch monitor output. */);

/*>Sets/changes the Jacobian calculation type for a Newton solver identified by an user number. */
IRON_C_EXPORT cmfe_Error cmfe_Solver_NewtonJacobianCalculationTypeSetNum(const int problemUserNumber /*<The user number of the problem number with the Newton solver to set the Jacobian calculation type for. */,
    const int controlLoopIdentifiersSize /*<Length of controlLoopIdentifiers */,
    const int *controlLoopIdentifiers /*<controlLoopIdentifiers(i). The i'th control loop identifier to set the Jacobian calculation type for. */,
    const int solverIndex /*<The solver index to set the Jacobian calculation type for. */,
    const int jacobianCalculationType /*<The Jacobian calculation type for the Newton solver to set. \see OPENCMISS_JacobianCalculationTypes */);

/*>Sets/changes the Jacobian calculation type for a Newton solver identified by an object. */
IRON_C_EXPORT cmfe_Error cmfe_Solver_NewtonJacobianCalculationTypeSet(const cmfe_SolverType solver /*<The Newton solver to set the Jacobian calculation type for. */,
    const int jacobianCalculationType /*<The Jacobian calculation type for the Newton solver to set. \see OPENCMISS_JacobianCalculationTypes */);

/*>Returns the linear solver associated with a Newton solver identified by an user number. */
IRON_C_EXPORT cmfe_Error cmfe_Solver_NewtonLinearSolverGetNum(const int problemUserNumber /*<The user number of the problem number with the solver to get the Newton linear solver for. */,
    const int controlLoopIdentifiersSize /*<Length of controlLoopIdentifiers */,
    const int *controlLoopIdentifiers /*<controlLoopIdentifiers(i). The i'th control loop identifier to get the Newton linear solver for. */,
    const int solverIndex /*<The solver index to get the Newton linear solver for. */,
    int *linearSolverIndex /*<On return, the Newton linear solver index. */);

/*>Returns the linear solver associated with a Newton solver identified by an object. */
IRON_C_EXPORT cmfe_Error cmfe_Solver_NewtonLinearSolverGet(const cmfe_SolverType solver /*<The solver to get the Newton linear solver for. */,
    cmfe_SolverType linearSolver /*<On return, the Newton linear solver. */);

/*>Returns the CellML solver associated with a Newton solver identified by an user number. */
IRON_C_EXPORT cmfe_Error cmfe_Solver_NewtonCellMLSolverGetNum(const int problemUserNumber /*<The user number of the problem number with the solver to get the Newton CellML solver for. */,
    const int controlLoopIdentifiersSize /*<Length of controlLoopIdentifiers */,
    const int *controlLoopIdentifiers /*<controlLoopIdentifiers(i). The i'th control loop identifier to get the Newton CellML solver for. */,
    const int solverIndex /*<The solver index to get the Newton CellML solver for. */,
    int *CellMLSolverIndex /*<On return, the Newton CellML solver index. */);

/*>Returns the CellML solver associated with a Newton solver identified by an object. */
IRON_C_EXPORT cmfe_Error cmfe_Solver_NewtonCellMLSolverGet(const cmfe_SolverType solver /*<The solver to get the Newton CellML solver for. */,
    cmfe_SolverType CellMLSolver /*<On return, the Newton CellML solver. */);

/*>Sets/changes the convergence test type for a Newton solver identified by an user number. */
IRON_C_EXPORT cmfe_Error cmfe_Solver_NewtonConvergenceTestTypeSetNum(const int problemUserNumber /*<The user number of the problem number with the Newton solver to set the convergence test type for. */,
    const int controlLoopIdentifiersSize /*<Length of controlLoopIdentifiers */,
    const int *controlLoopIdentifiers /*<controlLoopIdentifiers(i). The i'th control loop identifier to set the convergence test type for. */,
    const int solverIndex /*<The solver index to set the convergence test type for. */,
    const int convergenceTestType /*<The convergence test type for the Newton solver to set. */);

/*>Sets/changes the convergence test type for a Newton solver identified by an object. */
IRON_C_EXPORT cmfe_Error cmfe_Solver_NewtonConvergenceTestTypeSet(const cmfe_SolverType solver /*<The Newton solver to set the convergence test type for. */,
    const int convergenceTestType /*<The convergence test type for the Newton solver to set. */);

/*>Sets/changes the line search alpha for a Newton line search solver identified by an user number. */
IRON_C_EXPORT cmfe_Error cmfe_Solver_NewtonLineSearchAlphaSetNum(const int problemUserNumber /*<The user number of the problem number with the Newton line search solver to set the alpha for. */,
    const int controlLoopIdentifiersSize /*<Length of controlLoopIdentifiers */,
    const int *controlLoopIdentifiers /*<controlLoopIdentifiers(i). The i'th control loop identifier to set the alpha for. */,
    const int solverIndex /*<The solver index to set the alpha for. */,
    const double alpha /*<The alpha for the Newton line search solver to set. */);

/*>Sets/changes the line search alpha for a Newton line search solver identified by an object. */
IRON_C_EXPORT cmfe_Error cmfe_Solver_NewtonLineSearchAlphaSet(const cmfe_SolverType solver /*<The Newton line search solver to set the alpha for. */,
    const double alpha /*<The alpha for the Newton line search solver to set. */);

/*>Sets/changes the line search maximum step for a Newton line search solver identified by an user number. */
IRON_C_EXPORT cmfe_Error cmfe_Solver_NewtonLineSearchMaxStepSetNum(const int problemUserNumber /*<The user number of the problem number with the Newton line search solver to set the maximum step for. */,
    const int controlLoopIdentifiersSize /*<Length of controlLoopIdentifiers */,
    const int *controlLoopIdentifiers /*<controlLoopIdentifiers(i). The i'th control loop identifier to set the maximum step for. */,
    const int solverIndex /*<The solver index to set the maximum step for. */,
    const double maxStep /*<The maximum step for the Newton line search solver to set. */);

/*>Sets/changes the line search maximum step for a Newton line search solver identified by an object. */
IRON_C_EXPORT cmfe_Error cmfe_Solver_NewtonLineSearchMaxStepSet(const cmfe_SolverType solver /*<The Newton line search solver to set the maximum step for. */,
    const double maxStep /*<The maximum step for the Newton line search solver to set. */);

/*>Sets/changes the line search step tolerance for a Newton line search solver identified by an user number. */
IRON_C_EXPORT cmfe_Error cmfe_Solver_NewtonLineSearchStepTolSetNum(const int problemUserNumber /*<The user number of the problem number with the Newton line search solver to set the step tolerance for. */,
    const int controlLoopIdentifiersSize /*<Length of controlLoopIdentifiers */,
    const int *controlLoopIdentifiers /*<controlLoopIdentifiers(i). The i'th control loop identifier to set the step tolerance for. */,
    const int solverIndex /*<The solver index to set the step tolerance for. */,
    const double stepTol /*<The step tolerance for the Newton line search solver to set. */);

/*>Sets/changes the line search step tolerance for a Newton line search solver identified by an object. */
IRON_C_EXPORT cmfe_Error cmfe_Solver_NewtonLineSearchStepTolSet(const cmfe_SolverType solver /*<The Newton line search solver to set the step tolerance for. */,
    const double stepTol /*<The step tolerance for the Newton line search solver to set. */);

/*>Sets/changes the type of line search for a Newton line search solver identified by an user number. */
IRON_C_EXPORT cmfe_Error cmfe_Solver_NewtonLineSearchTypeSetNum(const int problemUserNumber /*<The user number of the problem number with the Newton line search solver to set the line search type for. */,
    const int controlLoopIdentifiersSize /*<Length of controlLoopIdentifiers */,
    const int *controlLoopIdentifiers /*<controlLoopIdentifiers(i). The i'th control loop identifier to set the line search type for. */,
    const int solverIndex /*<The solver index to set the line search type for. */,
    const int lineSearchType /*<The type of line search for the Newton line search solver to set. \see OPENCMISS_NewtonLineSearchTypes */);

/*>Sets/changes the type of line search for a Newton line search solver identified by an object. */
IRON_C_EXPORT cmfe_Error cmfe_Solver_NewtonLineSearchTypeSet(const cmfe_SolverType solver /*<The Newton line search solver to set the line search type for. */,
    const int lineSearchType /*<The type of line search for the Newton line search solver to set. \see OPENCMISS_NewtonLineSearchTypes */);

/*>Sets/changes the maximum number of function evaluations for a Newton solver identified by an user number. */
IRON_C_EXPORT cmfe_Error cmfe_Solver_NewtonMaximumFunctionEvaluationsSetNum(const int problemUserNumber /*<The user number of the problem number with the Newton solver to set the maximum function evaluations for. */,
    const int controlLoopIdentifiersSize /*<Length of controlLoopIdentifiers */,
    const int *controlLoopIdentifiers /*<controlLoopIdentifiers(i). The i'th control loop identifier to set the maximum function evaluations for. */,
    const int solverIndex /*<The solver index to set the maximum function evaluations for. */,
    const int maximumFunctionEvaluations /*<The maximum number of function evaluations for the Newton solver to set. */);

/*>Sets/changes the maximum number of function evaluations for a Newton solver identified by an object. */
IRON_C_EXPORT cmfe_Error cmfe_Solver_NewtonMaximumFunctionEvaluationsSet(const cmfe_SolverType solver /*<The Newton solver to set the maximum number of function evaluations for. */,
    const int maximumFunctionEvaluations /*<The maximum number of function evaluations for the Newton solver to set. */);

/*>Sets/changes the maximum number of iterations for a Newton solver identified by an user number. */
IRON_C_EXPORT cmfe_Error cmfe_Solver_NewtonMaximumIterationsSetNum(const int problemUserNumber /*<The user number of the problem number with the Newton solver to set the maximum iterations for. */,
    const int controlLoopIdentifiersSize /*<Length of controlLoopIdentifiers */,
    const int *controlLoopIdentifiers /*<controlLoopIdentifiers(i). The i'th control loop identifier to set the maximum iterations for. */,
    const int solverIndex /*<The solver index to set the maximum iterations for. */,
    const int maximumIterations /*<The maximum number of iterations for the Newton solver to set. */);

/*>Sets/changes the maximum number of iterations for a Newton solver identified by an object. */
IRON_C_EXPORT cmfe_Error cmfe_Solver_NewtonMaximumIterationsSet(const cmfe_SolverType solver /*<The Newton solver to set the maximum number of iterations for. */,
    const int maximumIterations /*<The maximum number of iterations for the Newton solver to set. */);

/*>Sets/changes the relative tolerance for a Newton solver identified by an user number. */
IRON_C_EXPORT cmfe_Error cmfe_Solver_NewtonRelativeToleranceSetNum(const int problemUserNumber /*<The user number of the problem number with the Newton solver to set the relative tolerance for. */,
    const int controlLoopIdentifiersSize /*<Length of controlLoopIdentifiers */,
    const int *controlLoopIdentifiers /*<controlLoopIdentifiers(i). The i'th control loop identifier to set the relative tolerance for. */,
    const int solverIndex /*<The solver index to set the relative tolerance for. */,
    const double relativeTolerance /*<The relative tolerance for the Newton solver to set. */);

/*>Sets/changes the relative tolerance for a Newton solver identified by an object. */
IRON_C_EXPORT cmfe_Error cmfe_Solver_NewtonRelativeToleranceSet(const cmfe_SolverType solver /*<The Newton solver to set the relative tolerance for. */,
    const double relativeTolerance /*<The relative tolerance for the Newton solver to set. */);

/*>Sets/changes the solution tolerance for a Newton solver identified by an user number. */
IRON_C_EXPORT cmfe_Error cmfe_Solver_NewtonSolutionToleranceSetNum(const int problemUserNumber /*<The user number of the problem number with the Newton solver to set the solution tolerance for. */,
    const int controlLoopIdentifiersSize /*<Length of controlLoopIdentifiers */,
    const int *controlLoopIdentifiers /*<controlLoopIdentifiers(i). The i'th control loop identifier to set the solution tolerance for. */,
    const int solverIndex /*<The solver index to set the solution tolerance for. */,
    const double solutionTolerance /*<The absolulte tolerance for the Newton solver to set. */);

/*>Sets/changes the solution tolerance for a Newton solver identified by an object. */
IRON_C_EXPORT cmfe_Error cmfe_Solver_NewtonSolutionToleranceSet(const cmfe_SolverType solver /*<The Newton solver to set the solution tolerance for. */,
    const double solutionTolerance /*<The solution tolerance for the Newton solver to set. */);

/*>Sets/changes the delta0 for a Newton trust region solver identified by an user number. */
IRON_C_EXPORT cmfe_Error cmfe_Solver_NewtonTrustRegionDelta0SetNum(const int problemUserNumber /*<The user number of the problem number with the Newton trust region solver to set the delta0 for. */,
    const int controlLoopIdentifiersSize /*<Length of controlLoopIdentifiers */,
    const int *controlLoopIdentifiers /*<controlLoopIdentifiers(i). The i'th control loop identifier to set the delta0 for. */,
    const int solverIndex /*<The solver index to set the delta0 for. */,
    const double delta0 /*<The delta0 for the Newton trust region solver to set. */);

/*>Sets/changes the delta0 for a Newton trust region solver identified by an object. */
IRON_C_EXPORT cmfe_Error cmfe_Solver_NewtonTrustRegionDelta0Set(const cmfe_SolverType solver /*<The Newton trust region solver to set the delta0 for. */,
    const double delta0 /*<The delta0 for the Newton trust region solver to set. */);

/*>Sets/changes the tolerance for a Newton trust region solver identified by an user number. */
IRON_C_EXPORT cmfe_Error cmfe_Solver_NewtonTrustRegionToleranceSetNum(const int problemUserNumber /*<The user number of the problem number with the Newton trust region solver to set the tolerance for. */,
    const int controlLoopIdentifiersSize /*<Length of controlLoopIdentifiers */,
    const int *controlLoopIdentifiers /*<controlLoopIdentifiers(i). The i'th control loop identifier to set the tolerance for. */,
    const int solverIndex /*<The solver index to set the tolerance for. */,
    const double tolerance /*<The tolerance for the Newton trust region solver to set. */);

/*>Sets/changes the tolerance for a Newton trust region solver identified by an object. */
IRON_C_EXPORT cmfe_Error cmfe_Solver_NewtonTrustRegionToleranceSet(const cmfe_SolverType solver /*<The Newton trust region solver to set the tolerance for. */,
    const double tolerance /*<The tolerance for the Newton trust region solver to set. */);

/*>Sets/changes the type of a Newton solver identified by an user number. */
IRON_C_EXPORT cmfe_Error cmfe_Solver_NewtonTypeSetNum(const int problemUserNumber /*<The user number of the problem number with the Newton solver to set the type for. */,
    const int controlLoopIdentifiersSize /*<Length of controlLoopIdentifiers */,
    const int *controlLoopIdentifiers /*<controlLoopIdentifiers(i). The i'th control loop identifier to set the type for. */,
    const int solverIndex /*<The solver index to set the type for. */,
    const int newtonSolveType /*<The type of the Newton solver to set. \see OPENCMISS_NewtonSolverTypes */);

/*>Sets/changes the type of a Newton solver identified by an object. */
IRON_C_EXPORT cmfe_Error cmfe_Solver_NewtonTypeSet(const cmfe_SolverType solver /*<The Newton solver to set the type for. */,
    const int newtonSolveType /*<The type of the Newton solver to set. \see OPENCMISS_NewtonSolverTypes */);

/*>Sets/changes the absolute tolerance for a Quasi-Newton solver identified by an user number. */
IRON_C_EXPORT cmfe_Error cmfe_Solver_QuasiNewtonAbsoluteToleranceSetNum(const int problemUserNumber /*<The user number of the problem number with the Quasi-Newton solver to set the absolute tolerance for. */,
    const int controlLoopIdentifiersSize /*<Length of controlLoopIdentifiers */,
    const int *controlLoopIdentifiers /*<controlLoopIdentifiers(i). The i'th control loop identifier to set the absolute tolerance for. */,
    const int solverIndex /*<The solver index to set the absolute tolerance for. */,
    const double absoluteTolerance /*<The absolute tolerance for the Quasi-Newton solver to set. */);

/*>Sets/changes the absolute tolerance for a Quasi-Newton solver identified by an object. */
IRON_C_EXPORT cmfe_Error cmfe_Solver_QuasiNewtonAbsoluteToleranceSet(const cmfe_SolverType solver /*<The Quasi-Newton solver to set the absolute tolerance for. */,
    const double absoluteTolerance /*<The absolute tolerance for the Quasi-Newton solver to set. */);

/*>Enables/disables output monitoring for a nonlinear Quasi-Newton line search solver identified by an user number. */
IRON_C_EXPORT cmfe_Error cmfe_Solver_QuasiNewtonLineSearchMonitorOutputSetNum(const int problemUserNumber /*<The user number of the problem number with the Quasi-Newton solver to set the linesearch monitoring for. */,
    const int controlLoopIdentifiersSize /*<Length of controlLoopIdentifiers */,
    const int *controlLoopIdentifiers /*<controlLoopIdentifiers(i). The i'th control loop identifier to set the linesearch monitoring for. */,
    const int solverIndex /*<The solver index to set the absolute tolerance for. */,
    const cmfe_Bool monitorLinesearchFlag /*<Flag to determine whether to enable/disable linsearch monitor output. */);

/*>Enables/disables output monitoring for a nonlinear Quasi-Newton line search solver identified by an object. */
IRON_C_EXPORT cmfe_Error cmfe_Solver_QuasiNewtonLineSearchMonitorOutputSet(const cmfe_SolverType solver /*<The Quasi-Newton solver to set the linesearch monitoring for. */,
    const cmfe_Bool monitorLinesearchFlag /*<Flag to determine whether to enable/disable linsearch monitor output. */);

/*>Sets/changes the Jacobian calculation type for a Quasi-Newton solver identified by an user number. */
IRON_C_EXPORT cmfe_Error cmfe_Solver_QuasiNewtonJacobianCalculationTypeSetNum(const int problemUserNumber /*<The user number of the problem number with the Quasi-Newton solver to set the Jacobian calculation type for. */,
    const int controlLoopIdentifiersSize /*<Length of controlLoopIdentifiers */,
    const int *controlLoopIdentifiers /*<controlLoopIdentifiers(i). The i'th control loop identifier to set the Jacobian calculation type for. */,
    const int solverIndex /*<The solver index to set the Jacobian calculation type for. */,
    const int jacobianCalculationType /*<The Jacobian calculation type for the Quasi-Newton solver to set. \see OPENCMISS_JacobianCalculationTypes */);

/*>Sets/changes the Jacobian calculation type for a Quasi-Newton solver identified by an object. */
IRON_C_EXPORT cmfe_Error cmfe_Solver_QuasiNewtonJacobianCalculationTypeSet(const cmfe_SolverType solver /*<The Quasi-Newton solver to set the Jacobian calculation type for. */,
    const int jacobianCalculationType /*<The Jacobian calculation type for the Quasi-Newton solver to set. \see OPENCMISS_JacobianCalculationTypes */);

/*>Returns the linear solver associated with a Quasi-Newton solver identified by an user number. */
IRON_C_EXPORT cmfe_Error cmfe_Solver_QuasiNewtonLinearSolverGetNum(const int problemUserNumber /*<The user number of the problem number with the solver to get the Quasi-Newton linear solver for. */,
    const int controlLoopIdentifiersSize /*<Length of controlLoopIdentifiers */,
    const int *controlLoopIdentifiers /*<controlLoopIdentifiers(i). The i'th control loop identifier to get the Quasi-Newton linear solver for. */,
    const int solverIndex /*<The solver index to get the Quasi-Newton linear solver for. */,
    int *linearSolverIndex /*<On return, the Quasi-Newton linear solver index. */);

/*>Returns the linear solver associated with a Quasi-Newton solver identified by an object. */
IRON_C_EXPORT cmfe_Error cmfe_Solver_QuasiNewtonLinearSolverGet(const cmfe_SolverType solver /*<The solver to get the Quasi-Newton linear solver for. */,
    cmfe_SolverType linearSolver /*<On return, the Quasi-Newton linear solver. */);

/*>Returns the CellML solver associated with a Quasi-Newton solver identified by an user number. */
IRON_C_EXPORT cmfe_Error cmfe_Solver_QuasiNewtonCellMLSolverGetNum(const int problemUserNumber /*<The user number of the problem number with the solver to get the Quasi-Newton CellML solver for. */,
    const int controlLoopIdentifiersSize /*<Length of controlLoopIdentifiers */,
    const int *controlLoopIdentifiers /*<controlLoopIdentifiers(i). The i'th control loop identifier to get the Quasi-Newton CellML solver for. */,
    const int solverIndex /*<The solver index to get the Quasi-Newton CellML solver for. */,
    int *CellMLSolverIndex /*<On return, the Quasi-Newton CellML solver index. */);

/*>Returns the CellML solver associated with a Quasi-Newton solver identified by an object. */
IRON_C_EXPORT cmfe_Error cmfe_Solver_QuasiNewtonCellMLSolverGet(const cmfe_SolverType solver /*<The solver to get the Quasi-Newton CellML solver for. */,
    cmfe_SolverType CellMLSolver /*<On return, the Quasi-Newton CellML solver. */);

/*>Sets/changes the convergence test type for a Quasi-Newton solver identified by an user number. */
IRON_C_EXPORT cmfe_Error cmfe_Solver_QuasiNewtonConvergenceTestTypeSetNum(const int problemUserNumber /*<The user number of the problem number with the Quasi-Newton solver to set the convergence test type for. */,
    const int controlLoopIdentifiersSize /*<Length of controlLoopIdentifiers */,
    const int *controlLoopIdentifiers /*<controlLoopIdentifiers(i). The i'th control loop identifier to set the convergence test type for. */,
    const int solverIndex /*<The solver index to set the convergence test type for. */,
    const int convergenceTestType /*<The convergence test type for the Quasi-Newton solver to set. */);

/*>Sets/changes the convergence test type for a Quasi-Newton solver identified by an object. */
IRON_C_EXPORT cmfe_Error cmfe_Solver_QuasiNewtonConvergenceTestTypeSet(const cmfe_SolverType solver /*<The Quasi-Newton solver to set the convergence test type for. */,
    const int convergenceTestType /*<The convergence test type for the Quasi-Newton solver to set. */);

/*>Sets/changes the line search maximum step for a Quasi-Newton line search solver identified by an user number. */
IRON_C_EXPORT cmfe_Error cmfe_Solver_QuasiNewtonLineSearchMaxStepSetNum(const int problemUserNumber /*<The user number of the problem number with the Quasi-Newton line search solver to set the maximum step for. */,
    const int controlLoopIdentifiersSize /*<Length of controlLoopIdentifiers */,
    const int *controlLoopIdentifiers /*<controlLoopIdentifiers(i). The i'th control loop identifier to set the maximum step for. */,
    const int solverIndex /*<The solver index to set the maximum step for. */,
    const double maxStep /*<The maximum step for the Quasi-Newton line search solver to set. */);

/*>Sets/changes the line search maximum step for a Quasi-Newton line search solver identified by an object. */
IRON_C_EXPORT cmfe_Error cmfe_Solver_QuasiNewtonLineSearchMaxStepSet(const cmfe_SolverType solver /*<The Quasi-Newton line search solver to set the maximum step for. */,
    const double maxStep /*<The maximum step for the Quasi-Newton line search solver to set. */);

/*>Sets/changes the line search step tolerance for a Quasi-Newton line search solver identified by an user number. */
IRON_C_EXPORT cmfe_Error cmfe_Solver_QuasiNewtonLineSearchStepTolSetNum(const int problemUserNumber /*<The user number of the problem number with the Quasi-Newton line search solver to set the step tolerance for. */,
    const int controlLoopIdentifiersSize /*<Length of controlLoopIdentifiers */,
    const int *controlLoopIdentifiers /*<controlLoopIdentifiers(i). The i'th control loop identifier to set the step tolerance for. */,
    const int solverIndex /*<The solver index to set the step tolerance for. */,
    const double stepTol /*<The step tolerance for the Quasi-Newton line search solver to set. */);

/*>Sets/changes the line search step tolerance for a Quasi-Newton line search solver identified by an object. */
IRON_C_EXPORT cmfe_Error cmfe_Solver_QuasiNewtonLineSearchStepTolSet(const cmfe_SolverType solver /*<The Quasi-Newton line search solver to set the step tolerance for. */,
    const double stepTol /*<The step tolerance for the Quasi-Newton line search solver to set. */);

/*>Sets/changes the type of line search for a Quasi-Newton line search solver identified by an user number. */
IRON_C_EXPORT cmfe_Error cmfe_Solver_QuasiNewtonLineSearchTypeSetNum(const int problemUserNumber /*<The user number of the problem number with the Quasi-Newton line search solver to set the line search type for. */,
    const int controlLoopIdentifiersSize /*<Length of controlLoopIdentifiers */,
    const int *controlLoopIdentifiers /*<controlLoopIdentifiers(i). The i'th control loop identifier to set the line search type for. */,
    const int solverIndex /*<The solver index to set the line search type for. */,
    const int lineSearchType /*<The type of line search for the Quasi-Newton line search solver to set. \see OPENCMISS_QuasiNewtonLineSearchTypes */);

/*>Sets/changes the type of line search for a Quasi-Newton line search solver identified by an object. */
IRON_C_EXPORT cmfe_Error cmfe_Solver_QuasiNewtonLineSearchTypeSet(const cmfe_SolverType solver /*<The Quasi-Newton line search solver to set the line search type for. */,
    const int lineSearchType /*<The type of line search for the Quasi-Newton line search solver to set. \see OPENCMISS_QuasiNewtonLineSearchTypes */);

/*>Sets/changes the maximum number of function evaluations for a Quasi-Newton solver identified by an user number. */
IRON_C_EXPORT cmfe_Error cmfe_Solver_QuasiNewtonMaximumFunctionEvaluationsSetNum(const int problemUserNumber /*<The user number of the problem number with the Quasi-Newton solver to set the maximum function evaluations for. */,
    const int controlLoopIdentifiersSize /*<Length of controlLoopIdentifiers */,
    const int *controlLoopIdentifiers /*<controlLoopIdentifiers(i). The i'th control loop identifier to set the maximum function evaluations for. */,
    const int solverIndex /*<The solver index to set the maximum function evaluations for. */,
    const int maximumFunctionEvaluations /*<The maximum number of function evaluations for the Quasi-Newton solver to set. */);

/*>Sets/changes the maximum number of function evaluations for a Quasi-Newton solver identified by an object. */
IRON_C_EXPORT cmfe_Error cmfe_Solver_QuasiNewtonMaximumFunctionEvaluationsSet(const cmfe_SolverType solver /*<The Quasi-Newton solver to set the maximum number of function evaluations for. */,
    const int maximumFunctionEvaluations /*<The maximum number of function evaluations for the Quasi-Newton solver to set. */);

/*>Sets/changes the maximum number of iterations for a Quasi-Newton solver identified by an user number. */
IRON_C_EXPORT cmfe_Error cmfe_Solver_QuasiNewtonMaximumIterationsSetNum(const int problemUserNumber /*<The user number of the problem number with the Quasi-Newton solver to set the maximum iterations for. */,
    const int controlLoopIdentifiersSize /*<Length of controlLoopIdentifiers */,
    const int *controlLoopIdentifiers /*<controlLoopIdentifiers(i). The i'th control loop identifier to set the maximum iterations for. */,
    const int solverIndex /*<The solver index to set the maximum iterations for. */,
    const int maximumIterations /*<The maximum number of iterations for the Quasi-Newton solver to set. */);

/*>Sets/changes the maximum number of iterations for a Quasi-Newton solver identified by an object. */
IRON_C_EXPORT cmfe_Error cmfe_Solver_QuasiNewtonMaximumIterationsSet(const cmfe_SolverType solver /*<The Quasi-Newton solver to set the maximum number of iterations for. */,
    const int maximumIterations /*<The maximum number of iterations for the Quasi-Newton solver to set. */);

/*>Sets/changes the relative tolerance for a Quasi-Newton solver identified by an user number. */
IRON_C_EXPORT cmfe_Error cmfe_Solver_QuasiNewtonRelativeToleranceSetNum(const int problemUserNumber /*<The user number of the problem number with the Quasi-Newton solver to set the relative tolerance for. */,
    const int controlLoopIdentifiersSize /*<Length of controlLoopIdentifiers */,
    const int *controlLoopIdentifiers /*<controlLoopIdentifiers(i). The i'th control loop identifier to set the relative tolerance for. */,
    const int solverIndex /*<The solver index to set the relative tolerance for. */,
    const double relativeTolerance /*<The relative tolerance for the Quasi-Newton solver to set. */);

/*>Sets/changes the relative tolerance for a Quasi-Newton solver identified by an object. */
IRON_C_EXPORT cmfe_Error cmfe_Solver_QuasiNewtonRelativeToleranceSet(const cmfe_SolverType solver /*<The Quasi-Newton solver to set the relative tolerance for. */,
    const double relativeTolerance /*<The relative tolerance for the Quasi-Newton solver to set. */);

/*>Sets/changes the solution tolerance for a Quasi-Newton solver identified by an user number. */
IRON_C_EXPORT cmfe_Error cmfe_Solver_QuasiNewtonSolutionToleranceSetNum(const int problemUserNumber /*<The user number of the problem number with the Quasi-Newton solver to set the solution tolerance for. */,
    const int controlLoopIdentifiersSize /*<Length of controlLoopIdentifiers */,
    const int *controlLoopIdentifiers /*<controlLoopIdentifiers(i). The i'th control loop identifier to set the solution tolerance for. */,
    const int solverIndex /*<The solver index to set the solution tolerance for. */,
    const double solutionTolerance /*<The absolulte tolerance for the Quasi-Newton solver to set. */);

/*>Sets/changes the solution tolerance for a Quasi-Newton solver identified by an object. */
IRON_C_EXPORT cmfe_Error cmfe_Solver_QuasiNewtonSolutionToleranceSet(const cmfe_SolverType solver /*<The Quasi-Newton solver to set the solution tolerance for. */,
    const double solutionTolerance /*<The solution tolerance for the Quasi-Newton solver to set. */);

/*>Sets/changes the delta0 for a Quasi-Newton trust region solver identified by an user number. */
IRON_C_EXPORT cmfe_Error cmfe_Solver_QuasiNewtonTrustRegionDelta0SetNum(const int problemUserNumber /*<The user number of the problem number with the Quasi-Newton trust region solver to set the delta0 for. */,
    const int controlLoopIdentifiersSize /*<Length of controlLoopIdentifiers */,
    const int *controlLoopIdentifiers /*<controlLoopIdentifiers(i). The i'th control loop identifier to set the delta0 for. */,
    const int solverIndex /*<The solver index to set the delta0 for. */,
    const double delta0 /*<The delta0 for the Quasi-Newton trust region solver to set. */);

/*>Sets/changes the delta0 for a Quasi-Newton trust region solver identified by an object. */
IRON_C_EXPORT cmfe_Error cmfe_Solver_QuasiNewtonTrustRegionDelta0Set(const cmfe_SolverType solver /*<The Quasi-Newton trust region solver to set the delta0 for. */,
    const double delta0 /*<The delta0 for the Quasi-Newton trust region solver to set. */);

/*>Sets/changes the tolerance for a Quasi-Newton trust region solver identified by an user number. */
IRON_C_EXPORT cmfe_Error cmfe_Solver_QuasiNewtonTrustRegionToleranceSetNum(const int problemUserNumber /*<The user number of the problem number with the Quasi-Newton trust region solver to set the tolerance for. */,
    const int controlLoopIdentifiersSize /*<Length of controlLoopIdentifiers */,
    const int *controlLoopIdentifiers /*<controlLoopIdentifiers(i). The i'th control loop identifier to set the tolerance for. */,
    const int solverIndex /*<The solver index to set the tolerance for. */,
    const double tolerance /*<The tolerance for the Quasi-Newton trust region solver to set. */);

/*>Sets/changes the tolerance for a Quasi-Newton trust region solver identified by an object. */
IRON_C_EXPORT cmfe_Error cmfe_Solver_QuasiNewtonTrustRegionToleranceSet(const cmfe_SolverType solver /*<The Quasi-Newton trust region solver to set the tolerance for. */,
    const double tolerance /*<The tolerance for the Quasi-Newton trust region solver to set. */);

/*>Sets/changes the restart of a Quasi-Newton solver identified by an user number. */
IRON_C_EXPORT cmfe_Error cmfe_Solver_QuasiNewtonRestartSetNum(const int problemUserNumber /*<The user number of the problem number with the Quasi-Newton solver to set the for. */,
    const int controlLoopIdentifiersSize /*<Length of controlLoopIdentifiers */,
    const int *controlLoopIdentifiers /*<controlLoopIdentifiers(i). The i'th control loop identifier to set the for. */,
    const int solverIndex /*<The solver index to set the for. */,
    const int quasiNewtonRestart /*<The restart of the Quasi-Newton solver to set. */);

/*>Sets/changes the restart of a Quasi-Newton solver identified by an object. */
IRON_C_EXPORT cmfe_Error cmfe_Solver_QuasiNewtonRestartSet(const cmfe_SolverType solver /*<The Quasi-Newton solver to set the for. */,
    const int quasiNewtonRestart /*<The restart of the Quasi-Newton solver to set. */);

/*>Sets/changes the restart type of a Quasi-Newton solver identified by an user number. */
IRON_C_EXPORT cmfe_Error cmfe_Solver_QuasiNewtonRestartTypeSetNum(const int problemUserNumber /*<The user number of the problem number with the Quasi-Newton solver to set the type for. */,
    const int controlLoopIdentifiersSize /*<Length of controlLoopIdentifiers */,
    const int *controlLoopIdentifiers /*<controlLoopIdentifiers(i). The i'th control loop identifier to set the type for. */,
    const int solverIndex /*<The solver index to set the type for. */,
    const int quasiNewtonRestartType /*<The restart type of the Quasi-Newton solver to set. \see OPENCMISS_QuasiNewtonRestartTypes */);

/*>Sets/changes the restart type of a Quasi-Newton solver identified by an object. */
IRON_C_EXPORT cmfe_Error cmfe_Solver_QuasiNewtonRestartTypeSet(const cmfe_SolverType solver /*<The Quasi-Newton solver to set the type for. */,
    const int quasiNewtonRestartType /*<The restart type of the Quasi-Newton solver to set. \see OPENCMISS_QuasiNewtonRestartTypes */);

/*>Sets/changes the scale type of a Quasi-Newton solver identified by an user number. */
IRON_C_EXPORT cmfe_Error cmfe_Solver_QuasiNewtonScaleTypeSetNum(const int problemUserNumber /*<The user number of the problem number with the Quasi-Newton solver to set the type for. */,
    const int controlLoopIdentifiersSize /*<Length of controlLoopIdentifiers */,
    const int *controlLoopIdentifiers /*<controlLoopIdentifiers(i). The i'th control loop identifier to set the type for. */,
    const int solverIndex /*<The solver index to set the type for. */,
    const int quasiNewtonScaleType /*<The scale type of the Quasi-Newton solver to set. \see OPENCMISS_QuasiNewtonScaleTypes */);

/*>Sets/changes the scale type of a Quasi-Newton solver identified by an object. */
IRON_C_EXPORT cmfe_Error cmfe_Solver_QuasiNewtonScaleTypeSet(const cmfe_SolverType solver /*<The Quasi-Newton solver to set the type for. */,
    const int quasiNewtonScaleType /*<The scale type of the Quasi-Newton solver to set. \see OPENCMISS_QuasiNewtonScaleTypes */);

/*>Sets/changes the type of a Quasi-Newton solver identified by an user number. */
IRON_C_EXPORT cmfe_Error cmfe_Solver_QuasiNewtonSolveTypeSetNum(const int problemUserNumber /*<The user number of the problem number with the Quasi-Newton solver to set the type for. */,
    const int controlLoopIdentifiersSize /*<Length of controlLoopIdentifiers */,
    const int *controlLoopIdentifiers /*<controlLoopIdentifiers(i). The i'th control loop identifier to set the type for. */,
    const int solverIndex /*<The solver index to set the type for. */,
    const int quasiNewtonSolveType /*<The type of the Quasi-Newton solver to set. \see OPENCMISS_QuasiNewtonSolverTypes */);

/*>Sets/changes the type of a Quasi-Newton solver identified by an object. */
IRON_C_EXPORT cmfe_Error cmfe_Solver_QuasiNewtonSolveTypeSet(const cmfe_SolverType solver /*<The Quasi-Newton solver to set the type for. */,
    const int quasiNewtonSolveType /*<The type of the Quasi-Newton solver to set. \see OPENCMISS_QuasiNewtonSolverTypes */);

/*>Sets/changes the type of a Quasi-Newton solver identified by an user number. */
IRON_C_EXPORT cmfe_Error cmfe_Solver_QuasiNewtonTypeSetNum(const int problemUserNumber /*<The user number of the problem number with the Quasi-Newton solver to set the type for. */,
    const int controlLoopIdentifiersSize /*<Length of controlLoopIdentifiers */,
    const int *controlLoopIdentifiers /*<controlLoopIdentifiers(i). The i'th control loop identifier to set the type for. */,
    const int solverIndex /*<The solver index to set the type for. */,
    const int quasiNewtonType /*<The Quasi-Newton type to set. \see OPENCMISS_QuasiNewtonTypes */);

/*>Sets/changes the type of a Quasi-Newton solver identified by an object. */
IRON_C_EXPORT cmfe_Error cmfe_Solver_QuasiNewtonTypeSet(const cmfe_SolverType solver /*<The Quasi-Newton solver to set the type for. */,
    const int quasiNewtonType /*<The Quasi-Newton type to set. \see OPENCMISS_QuasiNewtonTypes */);

/*>Sets/changes the type of a nonlinear solver identified by an user number. */
IRON_C_EXPORT cmfe_Error cmfe_Solver_NonlinearTypeSetNum(const int problemUserNumber /*<The user number of the problem number with the nonlinear solver to set the type for. */,
    const int controlLoopIdentifiersSize /*<Length of controlLoopIdentifiers */,
    const int *controlLoopIdentifiers /*<controlLoopIdentifiers(i). The i'th control loop identifier to set the type for. */,
    const int solverIndex /*<The solver index to set the type for. */,
    const int nonlinearSolveType /*<The type of the nonlinear solver to set. \see OPENCMISS_NonlinearSolverTypes */);

/*>Sets/changes the type of a nonlinear solver identified by an object. */
IRON_C_EXPORT cmfe_Error cmfe_Solver_NonlinearTypeSet(const cmfe_SolverType solver /*<The nonlinear solver to set the type for. */,
    const int nonlinearSolveType /*<The type of the nonlinear solver to set. \see OPENCMISS_NonlinearSolverTypes */);

/*>Sets/changes the type of output for a solver identified by an user number. */
IRON_C_EXPORT cmfe_Error cmfe_Solver_OutputTypeSetNum(const int problemUserNumber /*<The user number of the problem number with the solver to set the output type for. */,
    const int controlLoopIdentifiersSize /*<Length of controlLoopIdentifiers */,
    const int *controlLoopIdentifiers /*<controlLoopIdentifiers(i). The i'th control loop identifier to set the output type for. */,
    const int solverIndex /*<The solver index to set the output type for. */,
    const int outputType /*<The type of solver output to set. \see OPENCMISS_SolverOutputTypes */);

/*>Sets/changes the output type for a solver identified by an object. */
IRON_C_EXPORT cmfe_Error cmfe_Solver_OutputTypeSet(const cmfe_SolverType solver /*<The solver to set the output type for. */,
    const int outputType /*<The type of solver output to set. \see OPENCMISS_SolverOutputTypes */);

/*>Returns the solver equations for a solver identified by an user number. */
IRON_C_EXPORT cmfe_Error cmfe_Solver_SolverEquationsGetNum(const int problemUserNumber /*<The user number of the problem number with the solver to get the solver equations for. */,
    const int controlLoopIdentifiersSize /*<Length of controlLoopIdentifiers */,
    const int *controlLoopIdentifiers /*<controlLoopIdentifiers(i). The i'th control loop identifier to get the solver equations for. */,
    const int solverIndex /*<The solver index to get the solver equations for. */,
    cmfe_SolverEquationsType solverEquations /*<On return, the solver equations for the solver. */);

/*>Returns the solver equations for a solver identified by an object. */
IRON_C_EXPORT cmfe_Error cmfe_Solver_SolverEquationsGet(const cmfe_SolverType solver /*<The solver to get the solver equations for. */,
    cmfe_SolverEquationsType solverEquations /*<On return, the solver equations for the solver. */);

/*>Adds equations sets to solver equations identified by an user number. */
IRON_C_EXPORT cmfe_Error cmfe_SolverEquations_EquationsSetAddNum(const int problemUserNumber /*<The user number of the problem number with the solver to add the equations set for. */,
    const int controlLoopIdentifiersSize /*<Length of controlLoopIdentifiers */,
    const int *controlLoopIdentifiers /*<controlLoopIdentifiers(i). The i'th control loop identifier to add the equations set for. */,
    const int solverIndex /*<The solver index to add the equations set for. */,
    const int regionUserNumber /*<The user number of the region with the equations set to add. */,
    const int equationsSetUserNumber /*<The user number of the equations set to add. */,
    int *equationsSetIndex /*<On return, the index of the added equations set in the solver equations. */);

/*>Adds equations sets to solver equations identified by an object. */
IRON_C_EXPORT cmfe_Error cmfe_SolverEquations_EquationsSetAdd(const cmfe_SolverEquationsType solverEquations /*<The solver equations to add the equations set for. */,
    const cmfe_EquationsSetType equationsSet /*<The equations set to add. */,
    int *equationsSetIndex /*<On return, the index of the added equations set in the solver equations. */);

/*>Adds an interface condition to solver equations identified by an user number. */
IRON_C_EXPORT cmfe_Error cmfe_SolverEquations_InterfaceConditionAddNum(const int problemUserNumber /*<The user number of the problem number with the solver to add the interface condition for. */,
    const int controlLoopIdentifiersSize /*<Length of controlLoopIdentifiers */,
    const int *controlLoopIdentifiers /*<controlLoopIdentifiers(i). The i'th control loop identifier to add the interface condition for. */,
    const int solverIndex /*<The solver index to add the interface condition for. */,
    const int interfaceRegionUserNumber /*<The user number of the region containing the interface and interface condition to add. */,
    const int interfaceUserNumber /*<The user number of the interface containting the interface condition to add. */,
    const int interfaceConditionUserNumber /*<The user number of the interface conditions to add. */,
    int *interfaceConditionIndex /*<On return, the index of the added interface condition in the solver equations. */);

/*>Adds an interface condition to solver equations identified by an object. */
IRON_C_EXPORT cmfe_Error cmfe_SolverEquations_InterfaceConditionAdd(const cmfe_SolverEquationsType solverEquations /*<The solver equations to add the equations set for. */,
    const cmfe_InterfaceConditionType interfaceCondition /*<The interface condition to add. */,
    int *interfaceConditionIndex /*<On return, the index of the added interface condition in the solver equations. */);

/*>Set the time dependence type of interface matrices */
IRON_C_EXPORT cmfe_Error cmfe_InterfaceMatrices_TimeDependenceTypeSet(const cmfe_InterfaceConditionType interfaceCondition /*<The interface condition to add. */,
    const int interfaceMatrixIndex /*< */,
    const cmfe_Bool hasTranspose /*< */,
    const int timeDependenceTypesSize /*<Length of timeDependenceTypes */,
    const int *timeDependenceTypes /*<Time dependence types for the given interface matrix and it's transpose (if any). \see INTERFACE_MATRICES_ROUTINES_InterfaceMatricesTimeDependenceTypes,INTERFACE_MATRICES_ROUTINES */);

/*>Get the time dependence type of interface matrices */
IRON_C_EXPORT cmfe_Error cmfe_InterfaceMatrices_TimeDependenceTypeGet(const cmfe_InterfaceConditionType interfaceCondition /*<The interface condition to add. */,
    const int interfaceMatrixIndex /*< */,
    const cmfe_Bool hasTranspose /*< */,
    const int timeDependenceTypesSize /*<Length of timeDependenceTypes */,
    int *timeDependenceTypes /*<Time dependence types for the given interface matrix and it's transpose (if any). \see INTERFACE_MATRICES_ROUTINES_InterfaceMatricesTimeDependenceTypes,INTERFACE_MATRICES_ROUTINES */);

/*>Sets/changes the sparsity type for solver equations identified by an user number. */
IRON_C_EXPORT cmfe_Error cmfe_SolverEquations_SparsityTypeSetNum(const int problemUserNumber /*<The user number of the problem number with the solver to set the sparsity type for. */,
    const int controlLoopIdentifiersSize /*<Length of controlLoopIdentifiers */,
    const int *controlLoopIdentifiers /*<controlLoopIdentifiers(i). The i'th control loop identifier to set the sparsity type for. */,
    const int solverIndex /*<The solver index to set the sparsity type for. */,
    const int sparsityType /*<The sparsity type to set. \see OPENCMISS_SolverEquationsSparsityTypes */);

/*>Sets/changes the sparsity type for solver equations identified by an object. */
IRON_C_EXPORT cmfe_Error cmfe_SolverEquations_SparsityTypeSet(const cmfe_SolverEquationsType solverEquations /*<The solver equations to set the sparsity type for. */,
    const int sparsityType /*<The sparsity type to set. \see OPENCMISS_SolverEquationsSparsityTypes */);

/*>Finish the creation of the boundary conditions for the solver equations identified by the user numbers */
IRON_C_EXPORT cmfe_Error cmfe_SolverEquations_BoundaryConditionsCreateFinishNum(const int problemUserNumber /*<The user number of the problem containing the solver equations to finish the boundary conditions for. */,
    const int controlLoopIdentifiersSize /*<Length of controlLoopIdentifiers */,
    const int *controlLoopIdentifiers /*<controlLoopIdentifiers(i). The i'th control loop identifier to get the solver equations boundary conditions for. */,
    const int solverIndex /*<The solver index to get the solver equations boundary conditions for. */);

/*>Finish the creation of the boundary conditions for the solver equations */
IRON_C_EXPORT cmfe_Error cmfe_SolverEquations_BoundaryConditionsCreateFinish(const cmfe_SolverEquationsType solverEquations /*<The solver equations containing the boundary conditions to finish. */);

/*>Start the creation of boundary conditions for solver equations identified by user numbers */
IRON_C_EXPORT cmfe_Error cmfe_SolverEquations_BoundaryConditionsCreateStartNum(const int problemUserNumber /*<The user number of the problem containing the solver equations to start the boundary conditions for. */,
    const int controlLoopIdentifiersSize /*<Length of controlLoopIdentifiers */,
    const int *controlLoopIdentifiers /*<controlLoopIdentifiers(i). The i'th control loop identifier to get the solver equations boundary conditions for. */,
    const int solverIndex /*<The solver index to get the solver equations boundary conditions for. */);

/*>Start the creation of the boundary conditions for the solver equations */
IRON_C_EXPORT cmfe_Error cmfe_SolverEquations_BoundaryConditionsCreateStart(cmfe_SolverEquationsType solverEquations /*<The solver equations containing the boundary conditions to start. */,
    cmfe_BoundaryConditionsType boundaryConditions /*<On return, the created boundary conditions. */);

/*>Get the boundary conditions for solver equations identified by user numbers */
IRON_C_EXPORT cmfe_Error cmfe_SolverEquations_BoundaryConditionsGetNum(const int problemUserNumber /*<The user number of the problem containing the solver equations to start the boundary conditions for. */,
    const int controlLoopIdentifiersSize /*<Length of controlLoopIdentifiers */,
    const int *controlLoopIdentifiers /*<controlLoopIdentifiers(i). The i'th control loop identifier to get the solver equations boundary conditions for. */,
    const int solverIndex /*<The solver index to get the solver equations boundary conditions for. */,
    cmfe_BoundaryConditionsType boundaryConditions /*<On return, The boundary conditions for the specified solver equations. */);

/*>Get the boundary conditions for solver equations */
IRON_C_EXPORT cmfe_Error cmfe_SolverEquations_BoundaryConditionsGet(const cmfe_SolverEquationsType solverEquations /*<The solver equations to get the boundary conditions for. */,
    cmfe_BoundaryConditionsType boundaryConditions /*<On return, The boundary conditions for the specified solver equations. */);

/*>Get the number of solver matrices for the solver equations */
IRON_C_EXPORT cmfe_Error cmfe_SolverEquations_NumberOfMatricesGet(const cmfe_SolverEquationsType solverEquations /*<The solver equations to get the number of matrices for */,
    int *numberOfMatrices /*<On return, the number of matrices for the solver equations */);

/*>Get a solver matrix from the solver equations matrices */
IRON_C_EXPORT cmfe_Error cmfe_SolverEquations_MatrixGet(const cmfe_SolverEquationsType solverEquations /*<The solver equations to get the matrix for */,
    const int matrixIndex /*<The solver matrix index to get */,
    cmfe_DistributedMatrixType matrix /*<On return, the requested solver matrix */);

/*>Get the Jacobian matrix from the solver equations matrices for nonlinear solver equations */
IRON_C_EXPORT cmfe_Error cmfe_SolverEquations_JacobianMatrixGet(const cmfe_SolverEquationsType solverEquations /*<The solver equations to get the Jacobian matrix for */,
    cmfe_DistributedMatrixType matrix /*<On return, the solver equations Jacobian matrix */);

/*>Get the vector assiciated with a solver matrix from the solver equations matrices */
IRON_C_EXPORT cmfe_Error cmfe_SolverEquations_VectorGet(const cmfe_SolverEquationsType solverEquations /*<The solver equations to get the vector for */,
    const int matrixIndex /*<The solver matrix index to get the vector for */,
    cmfe_DistributedVectorType vector /*<On return, the requested solver matrix vector */);

/*>Get the residual vector from the solver equations for nonlinear problems */
IRON_C_EXPORT cmfe_Error cmfe_SolverEquations_ResidualVectorGet(const cmfe_SolverEquationsType solverEquations /*<The solver equations to get the residual vector for */,
    cmfe_DistributedVectorType residualVector /*<On return, the solver residual vector */);

/*>Get the right hand side vector from the solver equations */
IRON_C_EXPORT cmfe_Error cmfe_SolverEquations_RhsVectorGet(const cmfe_SolverEquationsType solverEquations /*<The solver equations to get the right hand side vector for */,
    cmfe_DistributedVectorType rhsVector /*<On return, the solver right hand side vector */);

/*>Get the user number of the given region. */
IRON_C_EXPORT cmfe_Error cmfe_UserNumberGetRegion(const cmfe_RegionType region /*<The region to get the user number for */,
    int *userNumber /*<The region's user number */);

/*>Get the user number of the given mesh. */
IRON_C_EXPORT cmfe_Error cmfe_UserNumberGetMesh(const cmfe_MeshType mesh /*<The mesh to get the user number for */,
    int *userNumber /*<The mesh's user number */);

/*>Get the user number of the given basis. */
IRON_C_EXPORT cmfe_Error cmfe_UserNumberGetBasis(const cmfe_BasisType basis /*<The basis to get the user number for */,
    int *userNumber /*<The basis's user number */);

/*>Update the bioelectrics geometric field by interpolating the finite elasticity geometric field */
IRON_C_EXPORT cmfe_Error cmfe_BioelectricsFiniteElasticity_UpdateGeometricField(cmfe_ControlLoopType controlLoop /*<The bioelectrics control loop */,
    const cmfe_Bool calcClosestGaussPoint /*< */);

/*>Initialise the given FieldML context using the given FieldML XML file. */
IRON_C_EXPORT cmfe_Error cmfe_FieldML_InputCreateFromFile(const int filenameSize /*<Length of filename string */,
    const char *filename /*<The FieldML XML file to parse. */,
    cmfe_FieldMLIOType fieldml /*<The FieldML context to initialise. */);

/*>Creates a mesh using the given FieldML evaluator. */
IRON_C_EXPORT cmfe_Error cmfe_FieldML_InputMeshCreateStart(cmfe_FieldMLIOType fieldml /*<The FieldML context containing the evaluator to use. */,
    const int meshArgumentNameSize /*<Length of meshArgumentName string */,
    const char *meshArgumentName /*<The name of the argument evaluator to create a mesh from. */,
    cmfe_MeshType mesh /*<On return, the newly created mesh. */,
    const int meshNumber /*<The user number to assign to the new mesh. */,
    const cmfe_RegionType region /*<The region in which to create the mesh. */);

/*>Creates a mesh with the given user number using the given FieldML evaluator. */
IRON_C_EXPORT cmfe_Error cmfe_FieldML_InputMeshCreateStartNum(cmfe_FieldMLIOType fieldml /*<The FieldML context containing the evaluator to use. */,
    const int meshArgumentNameSize /*<Length of meshArgumentName string */,
    const char *meshArgumentName /*<The name of the mesh argument evaluator to create a mesh from. */,
    const int meshNumber /*<The user number to assign to the new mesh. */,
    const int regionNumber /*<The user number of the region in which to create the mesh. */);

/*>Create a coordinate system using the given FieldML evaluator. */
IRON_C_EXPORT cmfe_Error cmfe_FieldML_InputCoordinateSystemCreateStart(cmfe_FieldMLIOType fieldml /*<The FieldML context containing the evaluator to use. */,
    const int evaluatorNameSize /*<Length of evaluatorName string */,
    const char *evaluatorName /*<The name of the argument evaluator to create the coordinate system from. */,
    cmfe_CoordinateSystemType coordinateSystem /*<On return, the newly created coordinate system. */,
    const int userNumber /*<The user number to assign to the new coordinate system. */);

/*>Create a coordinate system using the given FieldML evaluator. */
IRON_C_EXPORT cmfe_Error cmfe_FieldML_InputCoordinateSystemCreateStartNum(cmfe_FieldMLIOType fieldml /*<The FieldML context containing the evaluator to use. */,
    const int evaluatorNameSize /*<Length of evaluatorName string */,
    const char *evaluatorName /*<The name of the argument evaluator to create the coordinate system from. */,
    const int userNumber /*<The user number to assign to the new coordinate system. */);

/*>Create a basis using the given FieldML evaluator. */
IRON_C_EXPORT cmfe_Error cmfe_FieldML_InputBasisCreateStartNum(cmfe_FieldMLIOType fieldml /*<The FieldML context containing the evaluator to use. */,
    const int evaluatorNameSize /*<Length of evaluatorName string */,
    const char *evaluatorName /*<The name of the argument evaluator to create the basis from. */,
    const int userNumber /*<The user number to assign to the new basis. */);

/*>Create a basis using the given FieldML evaluator. */
IRON_C_EXPORT cmfe_Error cmfe_FieldML_InputBasisCreateStart(cmfe_FieldMLIOType fieldml /*<The FieldML context containing the evaluator to use. */,
    const int evaluatorNameSize /*<Length of evaluatorName string */,
    const char *evaluatorName /*<The name of the argument evaluator to create the basis from. */,
    const int userNumber /*<The user number to assign to the new basis. */,
    cmfe_BasisType basis /*<On return, the newly created basis. */);

/*>Creates a region's nodes using the given FieldML evaluator. */
IRON_C_EXPORT cmfe_Error cmfe_FieldML_InputNodesCreateStartNum(cmfe_FieldMLIOType fieldml /*<The FieldML context containing the evaluator to use. */,
    const int nodesArgumentNameSize /*<Length of nodesArgumentName string */,
    const char *nodesArgumentName /*<The name of the argument evaluator to create the nodes from. */,
    const int regionNumber /*<The user number of the region to create to the nodes in. */,
    cmfe_NodesType nodes /*<On return, the newly created nodes. */);

/*>Creates a region's nodes using the given FieldML evaluator. */
IRON_C_EXPORT cmfe_Error cmfe_FieldML_InputNodesCreateStart(cmfe_FieldMLIOType fieldml /*<The FieldML context containing the evaluator to use. */,
    const int nodesArgumentNameSize /*<Length of nodesArgumentName string */,
    const char *nodesArgumentName /*<The name of the argument evaluator to create the basis from. */,
    const cmfe_RegionType region /*<The user number of the region to create to the nodes in. */,
    cmfe_NodesType nodes /*<On return, the newly created nodes. */);

/*>Use the given FieldML evaluator as a template to create a component on the given mesh. */
IRON_C_EXPORT cmfe_Error cmfe_FieldML_InputCreateMeshComponent(cmfe_FieldMLIOType fieldml /*<The FieldML context containing the evaluator to use. */,
    const cmfe_MeshType mesh /*<The mesh for which to create the mesh component. */,
    const int componentNumber /*<The number of the mesh component to create. */,
    const int evaluatorNameSize /*<Length of evaluatorName string */,
    const char *evaluatorName /*<The name of the argument evaluator to create the mesh from. */);

/*>Use the given FieldML evaluator as a template to create a component on the mesh identified by the given user number. */
IRON_C_EXPORT cmfe_Error cmfe_FieldML_InputCreateMeshComponentNum(cmfe_FieldMLIOType fieldml /*<The FieldML context containing the evaluator to use. */,
    const int regionNumber /*<The user number of the region in which the mesh component is to be created. */,
    const int meshNumber /*<The user number of the mesh for which the mesh component is to be created. */,
    const int componentNumber /*<The number of the mesh component to create. */,
    const int evaluatorNameSize /*<Length of evaluatorName string */,
    const char *evaluatorName /*<The name of the argument evaluator to create the basis from. */);

/*>Create a field using the given FieldML evaluator. */
IRON_C_EXPORT cmfe_Error cmfe_FieldML_InputFieldCreateStart(cmfe_FieldMLIOType fieldml /*<The FieldML context containing the evaluator to use. */,
    const cmfe_RegionType region /*<The region in which the field is to be created. */,
    const cmfe_DecompositionType decomposition /*<The decomposition to use when creating the field. */,
    const int fieldNumber /*<The user number to assign to the new field. */,
    cmfe_FieldType field /*<On return, the newly created field. */,
    const int variableType /*<The OpenCMISS variable type. */,
    const int evaluatorNameSize /*<Length of evaluatorName string */,
    const char *evaluatorName /*<The name of the argument evaluator to create the field from. */);

/*>Create a field with the given user number using the given FieldML evaluator. */
IRON_C_EXPORT cmfe_Error cmfe_FieldML_InputFieldCreateStartNum(cmfe_FieldMLIOType fieldml /*<The FieldML context containing the evaluator to use. */,
    const int regionNumber /*<The user number of the region in which to create the field. */,
    const int meshNumber /*<The user number of the mesh to use when creating the field. */,
    const int decompositionNumber /*<The user number of the decomposition to use when creating the field. */,
    const int fieldNumber /*<The user number to assign to the new field. */,
    const int variableType /*<The OpenCMISS variable type. */,
    const int evaluatorNameSize /*<Length of evaluatorName string */,
    const char *evaluatorName /*<The name of the argument evaluator to create the field from. */);

/*>Update the DOF parameters of the given field, using the given FieldML evaluator. */
IRON_C_EXPORT cmfe_Error cmfe_FieldML_InputFieldParametersUpdate(cmfe_FieldMLIOType fieldml /*<The FieldML context containing the evaluator to use. */,
    cmfe_FieldType field /*<On return, the field object. */,
    const int evaluatorNameSize /*<Length of evaluatorName string */,
    const char *evaluatorName /*<The name of the argument evaluator to get the parameters from. */,
    const int variableType /*<The OpenCMISS variable type. */,
    const int setType /*<The parameter set type. */);

/*>Update the DOF parameters of field with the given user number, using the given FieldML evaluator. */
IRON_C_EXPORT cmfe_Error cmfe_FieldML_InputFieldParametersUpdateNum(cmfe_FieldMLIOType fieldml /*<The FieldML context containing the evaluator to use. */,
    const int regionNumber /*<The user number of the region of the field for which parameters are to be updated. */,
    const int fieldNumber /*<The user number of the field for which parameters are to be updated. */,
    const int evaluatorNameSize /*<Length of evaluatorName string */,
    const char *evaluatorName /*<The name of the argument evaluator to get the parameters from. */,
    const int variableType /*<The OpenCMISS variable type. */,
    const int setType /*<The parameter set type. */);

/*>Write the FieldML document managed by the given context to a file with the given name. */
IRON_C_EXPORT cmfe_Error cmfe_FieldML_OutputWrite(const cmfe_FieldMLIOType fieldml /*<The FieldML context containing the evaluator to use. */,
    const int filenameSize /*<Length of filename string */,
    const char *filename /*<The name of the file to write the FieldML document to. */);

/*>Add the given field to the given FieldML context. The FieldML type will be inferred. */
IRON_C_EXPORT cmfe_Error cmfe_FieldML_OutputAddFieldNoType(const cmfe_FieldMLIOType fieldml /*<The FieldML context containing the evaluator to use. */,
    const int baseNameSize /*<Length of baseName string */,
    const char *baseName /*<The prefix to use when naming automatically created FieldML objects in the context. */,
    const int dofFormatSize /*<Length of dofFormat string */,
    const char *dofFormat /*<The name of the format to use when writing dof data. */,
    const cmfe_FieldType field /*<The field to add. */,
    const int variableType /*<The variable type of the field to add. */,
    const int setType /*<The parameter set type. */);

/*>Add the field with the given user number to the given FieldML context. The FieldML type will be inferred. */
IRON_C_EXPORT cmfe_Error cmfe_FieldML_OutputAddFieldNoTypeNum(const cmfe_FieldMLIOType fieldml /*<The FieldML context containing the evaluator to use. */,
    const int baseNameSize /*<Length of baseName string */,
    const char *baseName /*<The prefix to use when naming automatically created FieldML objects in the context. */,
    const int dofFormatSize /*<Length of dofFormat string */,
    const char *dofFormat /*<The name of the format to use when writing dof data. */,
    const int regionNumber /*<The user number of the region containing the field to add to the FieldML context. */,
    const int fieldNumber /*<The user number of the field to add to the FieldML context. */,
    const int variableType /*<The variable type of the field to add to the FieldML context. */,
    const int setType /*<The parameter set type. */);

/*>Add the given field to the given FieldML context, using the given FieldML type. */
IRON_C_EXPORT cmfe_Error cmfe_FieldML_OutputAddFieldWithType(const cmfe_FieldMLIOType fieldml /*<The FieldML context containing the evaluator to use. */,
    const int baseNameSize /*<Length of baseName string */,
    const char *baseName /*<The prefix to use when naming automatically created FieldML objects in the context. */,
    const int dofFormatSize /*<Length of dofFormat string */,
    const char *dofFormat /*<The name of the format to use when writing dof data. */,
    const cmfe_FieldType field /*<The field to add to the FieldML context. */,
    const int variableType /*<The variable type of the field to add to the FieldML context. */,
    const int setType /*<The parameter set type. */,
    const int typeHandle /*<The FieldML type to assign to the new FieldML field. */);

/*>Add the given field to the given FieldML context, using the given FieldML type. */
IRON_C_EXPORT cmfe_Error cmfe_FieldML_OutputAddFieldWithTypeNum(const cmfe_FieldMLIOType fieldml /*<The FieldML context containing the evaluator to use. */,
    const int baseNameSize /*<Length of baseName string */,
    const char *baseName /*<The prefix to use when naming automatically created FieldML objects in the context. */,
    const int dofFormatSize /*<Length of dofFormat string */,
    const char *dofFormat /*<The name of the format to use when writing dof data. */,
    const int regionNumber /*<The user number of the region owning the field to add. */,
    const int fieldNumber /*<The user number of the field to add. */,
    const int variableType /*<The variable type of the field to add to the FieldML context. */,
    const int setType /*<The parameter set type. */,
    const int typeHandle /*<The FieldML type to assign to the new FieldML field. */);

/*>Initialise the given FieldML context using the given mesh. */
IRON_C_EXPORT cmfe_Error cmfe_FieldML_OutputCreate(const cmfe_MeshType mesh /*<The mesh to use when initialising the FieldML context. */,
    const int locationSize /*<Length of location string */,
    const char *location /*<The root directory in which associated data files should be created. */,
    const int baseNameSize /*<Length of baseName string */,
    const char *baseName /*<The prefix to use when naming automatically created FieldML objects in the context. */,
    const int connectivityFormatSize /*<Length of connectivityFormat string */,
    const char *connectivityFormat /*<The name of the format to use when writing connectivity data. */,
    cmfe_FieldMLIOType fieldml /*<The FieldML context containing the evaluator to use. */);

/*>Initialise the given FieldML context using the mesh with the given user number. */
IRON_C_EXPORT cmfe_Error cmfe_FieldML_OutputCreateNum(const int regionNumber /*<The user number of the region owning the mesh to use when initialising the FieldML context. */,
    const int meshNumber /*<The user number of the mesh to use when initialising the FieldML context. */,
    const int locationSize /*<Length of location string */,
    const char *location /*<The root directory in which associated data files should be created. */,
    const int baseNameSize /*<Length of baseName string */,
    const char *baseName /*<The prefix to use when naming automatically created FieldML objects in the context. */,
    const int connectivityFormatSize /*<Length of connectivityFormat string */,
    const char *connectivityFormat /*<The name of the format to use when writing connectivity data. */,
    cmfe_FieldMLIOType fieldml /*<The FieldML context containing the evaluator to use. */);

/*>Add the given field to the current FieldML context, only including the given components. */
IRON_C_EXPORT cmfe_Error cmfe_FieldML_OutputAddFieldComponents(const cmfe_FieldMLIOType fieldml /*<The FieldML context containing the evaluator to use. */,
    const int typeHandle /*<The FieldML type to assign to the new FieldML field. */,
    const int baseNameSize /*<Length of baseName string */,
    const char *baseName /*<The prefix to use when naming automatically created FieldML objects in the context. */,
    const int dofFormatSize /*<Length of dofFormat string */,
    const char *dofFormat /*<The name of the format to use when writing dof data. */,
    const cmfe_FieldType field /*<The field whose components are to be added. */,
    const int fieldComponentNumbersSize /*<Length of fieldComponentNumbers */,
    const int *fieldComponentNumbers /*< */,
    const int variableType /*<The variable type of the field to add to the FieldML context. */,
    const int setType /*<The parameter set type. */);

/*>Add the field with the given user number to the current FieldML context, only including the given components. */
IRON_C_EXPORT cmfe_Error cmfe_FieldML_OutputAddFieldComponentsNum(const cmfe_FieldMLIOType fieldml /*<The FieldML context containing the evaluator to use. */,
    const int typeHandle /*<The FieldML type to assign to the new FieldML field. */,
    const int baseNameSize /*<Length of baseName string */,
    const char *baseName /*<The prefix to use when naming automatically created FieldML objects in the context. */,
    const int dofFormatSize /*<Length of dofFormat string */,
    const char *dofFormat /*<The name of the format to use when writing dof data. */,
    const int regionNumber /*<The user number of the region owning the field to add. */,
    const int fieldNumber /*<The user number of the field whose components are to be added. */,
    const int fieldComponentNumbersSize /*<Length of fieldComponentNumbers */,
    const int *fieldComponentNumbers /*<The component numbers to add. */,
    const int variableType /*<The variable type of the field to add to the FieldML context. */,
    const int setType /*<The parameter set type. */);

/*>Import a FieldML object from the library into the current session. */
IRON_C_EXPORT cmfe_Error cmfe_FieldML_OutputAddImport(const cmfe_FieldMLIOType fieldml /*<The FieldML context containing the evaluator to use. */,
    const int nameSize /*<Length of name string */,
    const char *name /*<The name of the object to import. */,
    int *handle /*<A handle to the newly imported FieldML object. */);

/*>Finalises a Fieldml context. */
IRON_C_EXPORT cmfe_Error cmfe_FieldMLIO_Finalise(cmfe_FieldMLIOType *fieldml /*<The FieldML context to finalise. */);

/*>Initialises a Fieldml context. */
IRON_C_EXPORT cmfe_Error cmfe_FieldMLIO_Initialise(cmfe_FieldMLIOType *fieldml /*<The FieldML context to initialise. */);

/*>Get the session handle from a Fieldml context. */
IRON_C_EXPORT cmfe_Error cmfe_FieldMLIO_GetSession(cmfe_FieldMLIOType fieldml /*<The FieldML context whose session handle is to be returned. */,
    int *sessionHandle /*<The session handle. */);

#endif
